(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[      3893,        100]
NotebookOptionsPosition[      4254,         95]
NotebookOutlinePosition[      4598,        110]
CellTagsIndexPosition[      4555,        107]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Restricted three-body problem", "Section"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Mu]$$ = 0.5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Mu]$$], 0.5, "Mass ratio \[Mu]: "}, 0, 1}}, 
    Typeset`size$$ = {360., {178., 182.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Mu]$734$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[Mu]$$ = 0.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Mu]$$, $CellContext`\[Mu]$734$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ContourPlot[
        $CellContext`\[CapitalOmega][$CellContext`\[Mu]$$, 
         1], {$CellContext`x, -(3/2), 3/2}, {$CellContext`y, -(3/2), 3/2}, 
        ColorFunction -> $CellContext`cf, FrameTicks -> None, PlotPoints -> 
        40, Contours -> 17, ContourLines -> True], 
      "Specifications" :> {{{$CellContext`\[Mu]$$, 0.5, "Mass ratio \[Mu]: "},
          0, 1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{409., {224., 229.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({
      Subscript[$CellContext`\[Rho], 
         0] = (($CellContext`x + $CellContext`\[Mu]$$ $CellContext`a)^2 + \
$CellContext`y^2)^Rational[1, 2], 
       Subscript[$CellContext`\[Rho], 
         1] = (($CellContext`x - (
            1 - $CellContext`\[Mu]$$) $CellContext`a)^2 + $CellContext`y^2)^
        Rational[1, 2], $CellContext`\[CapitalOmega][
         Pattern[$CellContext`\[Mu], 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]]] = (1 - $CellContext`\[Mu]) (
          1/Subscript[$CellContext`\[Rho], 0] + 
          Subscript[$CellContext`\[Rho], 0]^2/2) + $CellContext`\[Mu] (
          1/Subscript[$CellContext`\[Rho], 1] + 
          Subscript[$CellContext`\[Rho], 1]^2/2), $CellContext`cf[
         Pattern[$CellContext`x, 
          Blank[]]] := Part[
         ColorData[60, "ColorList"], 
         IntegerPart[20 $CellContext`x + 1]]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input"],

Cell["\<\
Visualization of the potential of the restricted three-body problem. The \
equipotential lines lie between the borders of regions of same color. Change \
mass ratio to see the different structure of the potential well.\
\>", "Text"]
},
WindowSize->{707, 637},
WindowMargins->{{438, Automatic}, {Automatic, 64}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 48, 0, 70, "Section"],
Cell[1286, 32, 2719, 55, 70, "Input"],
Cell[4008, 89, 242, 4, 70, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature aw0Dh65I2rZNhBwkWt4GOS7l *)
