(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     13182,        298]
NotebookOptionsPosition[     13539,        293]
NotebookOutlinePosition[     13883,        308]
CellTagsIndexPosition[     13840,        305]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Orbits in the Sitnikov problem 3", "Section"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`e$$ = 0.2, $CellContext`v0$$ = 
    0., $CellContext`z0$$ = 0.1, $CellContext`$t$$ = 0., Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`z0$$], 0.1, 
       "-1 \[LessEqual] z(0) \[LessEqual] +1"}, -1., 1.}, {{
       Hold[$CellContext`v0$$], 0., 
       "-1 \[LessEqual] v(0) \[LessEqual] +1"}, -1., 1.}, {{
       Hold[$CellContext`e$$], 0.2, "0 \[LessEqual] e \[LessEqual] 0.5"}, 0., 
      0.5}, {{
       Hold[$CellContext`$t$$], 0., "t"}, 0., 62.83185307179586, 
      0.06346651825433926}}, Typeset`size$$ = {360., {101., 105.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`z0$1095$$ = 0, $CellContext`v0$1096$$ = 
    0, $CellContext`e$1097$$ = 0, $CellContext`$t$1098$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`e$$ = 0.2, $CellContext`v0$$ = 
        0., $CellContext`z0$$ = 0.1, $CellContext`$t$$ = 0.}, 
      "ControllerVariables" :> {
        Hold[$CellContext`z0$$, $CellContext`z0$1095$$, 0], 
        Hold[$CellContext`v0$$, $CellContext`v0$1096$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$1097$$, 0], 
        Hold[$CellContext`$t$$, $CellContext`$t$1098$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`$pos$, $CellContext`$mx$}, $CellContext`$pos$ = \
$CellContext`sol1[{$CellContext`z0$$, $CellContext`v0$$}, $CellContext`e$$]; \
$CellContext`$mx$ = GoldenRatio Max[
            Table[
             Abs[$CellContext`$pos$], {$CellContext`t, 0, 10 2 Pi}]]; 
        Graphics3D[{
           $CellContext`Orbit[{1, $CellContext`e$$, 0, 0, 0, 0}], 
           $CellContext`Orbit[{1, $CellContext`e$$, 0, Pi, 0, 0}], 
           $CellContext`Planet[{
            1, $CellContext`e$$, 0, 0, 0, $CellContext`$t$$}, "Color" -> Blue,
             "Radius" -> 0.09], 
           $CellContext`Planet[{
            1, $CellContext`e$$, 0, Pi, 0, $CellContext`$t$$}, "Color" -> 
            Blue, "Radius" -> 0.09], Red, 
           Sphere[{0, 0, 
             
             ReplaceAll[$CellContext`$pos$, $CellContext`t -> \
$CellContext`$t$$]}, 0.06], Black, Dotted, 
           Arrowheads[Small], 
           Line[{{0, 0, -$CellContext`$mx$}, {0, 0, $CellContext`$mx$}}]}, 
          Boxed -> False, PlotRangePadding -> 0, ViewPoint -> {0, -2, 1.4}, 
          PlotRange -> {
           GoldenRatio {-1, 1}, 
            GoldenRatio {-1, 1}, {-$CellContext`$mx$, $CellContext`$mx$}}]], 
      "Specifications" :> {{{$CellContext`z0$$, 0.1, 
          "-1 \[LessEqual] z(0) \[LessEqual] +1"}, -1., 1., ControlType -> 
         InputField}, {{$CellContext`v0$$, 0., 
          "-1 \[LessEqual] v(0) \[LessEqual] +1"}, -1., 1., ControlType -> 
         InputField}, {{$CellContext`e$$, 0.2, 
          "0 \[LessEqual] e \[LessEqual] 0.5"}, 0., 0.5, ControlType -> 
         InputField}, {{$CellContext`$t$$, 0., "t"}, 0., 62.83185307179586, 
         0.06346651825433926}}, 
      "Options" :> {ControlPlacement -> {Bottom, Bottom, Bottom, Top}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{409., {180., 185.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`r[
         Pattern[$CellContext`e, 
          Blank[]], 
         Pattern[$CellContext`t, 
          Blank[]]] = ($CellContext`r[
          Pattern[$CellContext`e, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] = 
        1/2 - (1/2) $CellContext`e 
         Cos[$CellContext`t] + (1/4) $CellContext`e^2 (1 - Cos[
           2 $CellContext`t]) + (3/16) $CellContext`e^3 (Cos[$CellContext`t] - 
           Cos[3 $CellContext`t]) + (1/6) $CellContext`e^4 (
           Cos[2 $CellContext`t] - Cos[4 $CellContext`t]) - (5/
          768) $CellContext`e^5 (2 Cos[$CellContext`t] - 27 
          Cos[3 $CellContext`t] + 
          25 Cos[5 $CellContext`t]) + (1/
           160) $CellContext`e^6 ((-5) Cos[2 $CellContext`t] + 
           32 Cos[4 $CellContext`t] - 27 Cos[6 $CellContext`t]) + 
         7 $CellContext`e^7 (5 Cos[$CellContext`t] - 729 
           Cos[3 $CellContext`t] + 3125 Cos[5 $CellContext`t] - 2401 
           Cos[7 $CellContext`t])/
          92160 + $CellContext`e^8 (7 Cos[2 $CellContext`t] - 224 
           Cos[4 $CellContext`t] + 729 Cos[6 $CellContext`t] - 512 
           Cos[8 $CellContext`t])/
          2520 + (1/2293760) $CellContext`e^9 ((-14) Cos[$CellContext`t] + 
           20412 Cos[3 $CellContext`t] - 312500 Cos[5 $CellContext`t] + 
           823543 Cos[7 $CellContext`t] - 531441 Cos[9 $CellContext`t]) + (1/
           290304) $CellContext`e^10 ((-42) Cos[2 $CellContext`t] + 
           6144 Cos[4 $CellContext`t] - 59049 Cos[6 $CellContext`t] + 
           131072 Cos[8 $CellContext`t] - 78125 Cos[10 $CellContext`t]) + (1/
           7431782400) 
          11 $CellContext`e^11 (42 Cos[$CellContext`t] - 590490 
           Cos[3 $CellContext`t] + 29296875 Cos[5 $CellContext`t] - 201768035 
           Cos[7 $CellContext`t] + 387420489 Cos[9 $CellContext`t] - 
           214358881 Cos[11 $CellContext`t]) + (1/
           13305600) $CellContext`e^12 (66 Cos[2 $CellContext`t] - 42240 
           Cos[4 $CellContext`t] + 1082565 Cos[6 $CellContext`t] - 5767168 
           Cos[8 $CellContext`t] + 9765625 Cos[10 $CellContext`t] - 5038848 
           Cos[12 $CellContext`t]) - (1/3923981107200) 
         13 $CellContext`e^13 (132 Cos[$CellContext`t] - 17537553 
          Cos[3 $CellContext`t] + 2685546875 Cos[5 $CellContext`t] - 
          43501188346 Cos[7 $CellContext`t] + 
          188286357654 Cos[9 $CellContext`t] - 285311670611 
          Cos[11 $CellContext`t] + 
          137858491849 Cos[13 $CellContext`t])), $CellContext`eom[{
          Pattern[$CellContext`z0, 
           Blank[]], 
          Pattern[$CellContext`v0, 
           Blank[]]}, 
         Pattern[$CellContext`e, 
          Blank[]]] := {
        Derivative[
          2][$CellContext`z][$CellContext`t] == \
-($CellContext`z[$CellContext`t]/($CellContext`z[$CellContext`t]^2 + \
$CellContext`r[$CellContext`e, $CellContext`t]^2)^(3/2)), $CellContext`z[
          0] == $CellContext`z0, 
         Derivative[1][$CellContext`z][
          0] == $CellContext`v0}, $CellContext`sol1[{
          Pattern[$CellContext`z0, 
           Blank[]], 
          Pattern[$CellContext`v0, 
           Blank[]]}, 
         Pattern[$CellContext`e, 
          Blank[]]] := ReplaceAll[
         $CellContext`z[$CellContext`t], 
         Part[
          NDSolve[
           $CellContext`eom[{$CellContext`z0, $CellContext`v0}, \
$CellContext`e], {
            $CellContext`z[$CellContext`t]}, {$CellContext`t, 0, 10 2 Pi}, 
           MaxSteps -> Infinity], 1]], $CellContext`cart := {$CellContext`r (
          Cos[$CellContext`\[Omega] + $CellContext`\[Nu]] 
           Cos[$CellContext`\[CapitalOmega]] - 
          Sin[$CellContext`\[Omega] + $CellContext`\[Nu]] 
          Sin[$CellContext`\[CapitalOmega]] 
          Cos[$CellContext`i]), $CellContext`r (
          Cos[$CellContext`\[Omega] + $CellContext`\[Nu]] 
           Sin[$CellContext`\[CapitalOmega]] + 
          Sin[$CellContext`\[Omega] + $CellContext`\[Nu]] 
           Cos[$CellContext`\[CapitalOmega]] 
           Cos[$CellContext`i]), $CellContext`r 
         Sin[$CellContext`\[Omega] + $CellContext`\[Nu]] 
         Sin[$CellContext`i]}, $CellContext`$Elliptic := {$CellContext`r 
          Cos[$CellContext`\[Nu]] :> $CellContext`a (
           Cos[$CellContext`\[CapitalEpsilon]] - $CellContext`e1), \
$CellContext`r 
          Sin[$CellContext`\[Nu]] :> $CellContext`a (1 - $CellContext`e1^2)^
           Rational[1, 2] 
          Sin[$CellContext`\[CapitalEpsilon]], $CellContext`t - \
$CellContext`t0 :> (
           1/$CellContext`n) ($CellContext`\[CapitalEpsilon] - \
$CellContext`e1 
           Sin[$CellContext`\[CapitalEpsilon]]), $CellContext`\
\[CapitalEpsilon] -> $CellContext`Kepler[]}, $CellContext`Kepler[
         Pattern[$CellContext`\[CapitalEpsilon], 
          Blank[]]] := $CellContext`M + $CellContext`e1 
         Sin[$CellContext`\[CapitalEpsilon]], $CellContext`\[CapitalEpsilon][
         Pattern[$CellContext`M, 
          Blank[]], 
         Pattern[$CellContext`e, 
          Blank[]]] = 
       Nest[$CellContext`Kepler, $CellContext`M, 4], $CellContext`Reference[
         Pattern[$CellContext`opts, 
          BlankNullSequence[]]] := With[{$CellContext`R = ReplaceAll[
            ReplaceAll["Radius", {$CellContext`opts}], "Radius" -> 
            GoldenRatio]}, {
          Line[{{0, 0, 0}, {$CellContext`R, 0, 0}}], 
          Opacity[0.2], 
          
          Polygon[{{-$CellContext`R, -$CellContext`R, 
             0}, {-$CellContext`R, $CellContext`R, 
             0}, {$CellContext`R, $CellContext`R, 
             0}, {$CellContext`R, -$CellContext`R, 
             0}, {-$CellContext`R, -$CellContext`R, 
             0}}]}], $CellContext`Orbit[{
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]], 
          Pattern[$CellContext`i, 
           Blank[]], 
          Pattern[$CellContext`\[Omega], 
           Blank[]], 
          Pattern[$CellContext`\[CapitalOmega], 
           Blank[]], 
          Pattern[$CellContext`M, 
           Blank[]]}, 
         Pattern[$CellContext`opts, 
          BlankNullSequence[]]] := {
         GrayLevel[0.2], 
         Line[
          Table[
           $CellContext`XYZ[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], $CellContext`\
\[CapitalEpsilon]], {$CellContext`\[CapitalEpsilon], 0, 2 Pi, 
            2 (Pi/99)}]]}, $CellContext`Planet[{
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]], 
          Pattern[$CellContext`i, 
           Blank[]], 
          Pattern[$CellContext`\[Omega], 
           Blank[]], 
          Pattern[$CellContext`\[CapitalOmega], 
           Blank[]], 
          Pattern[$CellContext`M, 
           Blank[]]}, 
         Pattern[$CellContext`opts, 
          BlankNullSequence[]]] := {
         ReplaceAll[
          ReplaceAll["Color", {$CellContext`opts}], "Color" -> Blue], 
         Sphere[
          $CellContext`xyz[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], $CellContext`M], 
          ReplaceAll[
           ReplaceAll["Radius", {$CellContext`opts}], "Radius" -> 
           0.1]]}, $CellContext`xyz = 
       Function[{$CellContext`a, $CellContext`e1, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], $CellContext`M}, 
         Evaluate[
          ReplaceAll[
           ReplaceAll[
            
            TrigExpand[$CellContext`cart], $CellContext`$Elliptic], \
$CellContext`\[CapitalEpsilon] -> \
$CellContext`\[CapitalEpsilon][$CellContext`M, $CellContext`e1]]]], \
$CellContext`XYZ = 
       Function[{$CellContext`a, $CellContext`e1, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], $CellContext`\
\[CapitalEpsilon]}, 
         Evaluate[
          ReplaceAll[
           TrigExpand[$CellContext`cart], $CellContext`$Elliptic]]]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input"],

Cell["\<\
Animation of the Sitnikov problem. The third body (red) oscillates around the \
common barycenter of the two primaries (blue). Change initial conditions \
(z(0), v(0)) and eccentricity of the primaries (e) to see the different kind \
of possible motions; use slider to see evolution in time.\
\>", "Text"]
},
WindowSize->{707, 637},
WindowMargins->{{438, Automatic}, {Automatic, 64}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 51, 0, 70, "Section"],
Cell[1289, 32, 11928, 252, 70, "Input"],
Cell[13220, 286, 315, 5, 70, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature EvTSMt#SzG0aCAwBtJAfUKTy *)
