(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[      9910,        231]
NotebookOptionsPosition[     10504,        229]
NotebookOutlinePosition[     10841,        244]
CellTagsIndexPosition[     10798,        241]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Expansions in the two-body problem 2", "Section"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`flag2$$ = True, $CellContext`flag3$$ = 
    True, $CellContext`flag4$$ = False, $CellContext`form$$ = 
    StandardForm, $CellContext`m$$ = 1, $CellContext`n$$ = 
    1, $CellContext`ord$$ = 4, $CellContext`$e$$ = 0.1, Typeset`show$$ = True,
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Dynamic[
        Framed[
         TraditionalForm[($CellContext`r/$CellContext`a)^"n" 
          Cos["m" $CellContext`v]]]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`n$$], 1}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`m$$], 1}, {0, 1, 2, 3, 4, 5}}, {{
       Hold[$CellContext`form$$], StandardForm, "Output format: "}, {
      StandardForm, InputForm, FortranForm, TeXForm}}, {{
       Hold[$CellContext`ord$$], 4, "Expansion order: "}, 1, 7, 1}, {{
       Hold[$CellContext`flag3$$], True, "Keep Eccentricity: "}, {
      True, False}}, {{
       Hold[$CellContext`$e$$], 0.1, "Eccentricity: "}, 0, 0.5}, {{
       Hold[$CellContext`flag2$$], True, "Exact coefficients: "}, {
      True, False}}, {{
       Hold[$CellContext`flag4$$], False, "Group with respect to e: "}, {
      True, False}}}, Typeset`size$$ = {485.1, {56., 22.93}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`n$285$$ = 0, $CellContext`m$290$$ = 
    0, $CellContext`form$291$$ = 0, $CellContext`ord$292$$ = 
    0, $CellContext`flag3$293$$ = False, $CellContext`$e$294$$ = 
    0, $CellContext`flag2$295$$ = False, $CellContext`flag4$296$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`flag2$$ = True, $CellContext`flag3$$ = 
        True, $CellContext`flag4$$ = False, $CellContext`form$$ = 
        StandardForm, $CellContext`m$$ = 1, $CellContext`n$$ = 
        1, $CellContext`ord$$ = 4, $CellContext`$e$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$285$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$290$$, 0], 
        Hold[$CellContext`form$$, $CellContext`form$291$$, 0], 
        Hold[$CellContext`ord$$, $CellContext`ord$292$$, 0], 
        Hold[$CellContext`flag3$$, $CellContext`flag3$293$$, False], 
        Hold[$CellContext`$e$$, $CellContext`$e$294$$, 0], 
        Hold[$CellContext`flag2$$, $CellContext`flag2$295$$, False], 
        Hold[$CellContext`flag4$$, $CellContext`flag4$296$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`return$}, $CellContext`return$ = ReplaceAll[
           $CellContext`roanm[$CellContext`ord$$][$CellContext`n$$, \
$CellContext`m$$], Sin[
             BlankSequence[]] :> 0]; $CellContext`return$ = 
         If[$CellContext`flag4$$, 
           
           Collect[$CellContext`return$, $CellContext`e], \
$CellContext`return$]; $CellContext`return$ = 
         If[$CellContext`flag3$$, $CellContext`return$, 
           
           ReplaceAll[$CellContext`return$, $CellContext`e -> \
$CellContext`$e$$]]; $CellContext`form$$[
          If[$CellContext`flag2$$, $CellContext`return$, 
           N[$CellContext`return$]]]], "Specifications" :> {
        Dynamic[
         Framed[
          
          TraditionalForm[($CellContext`r/$CellContext`a)^"n" 
           Cos["m" $CellContext`v]]]], {{$CellContext`n$$, 1}, {0, 1, 2, 3, 4,
          5}, ControlType -> RadioButton}, {{$CellContext`m$$, 1}, {0, 1, 2, 
         3, 4, 5}, ControlType -> 
         RadioButton}, {{$CellContext`form$$, StandardForm, 
          "Output format: "}, {
         StandardForm, InputForm, FortranForm, 
          TeXForm}}, {{$CellContext`ord$$, 4, "Expansion order: "}, 1, 7, 1, 
         ControlType -> 
         Setter}, {{$CellContext`flag3$$, True, "Keep Eccentricity: "}, {
         True, False}, ControlType -> 
         Checkbox}, {{$CellContext`$e$$, 0.1, "Eccentricity: "}, 0, 0.5, 
         ControlType -> 
         InputField}, {{$CellContext`flag2$$, True, "Exact coefficients: "}, {
         True, False}, ControlType -> 
         Checkbox}, {{$CellContext`flag4$$, False, 
          "Group with respect to e: "}, {True, False}, ControlType -> 
         Checkbox}}, 
      "Options" :> {ControlPlacement -> {Top, Top, Top, Top, Top, Top}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{533., {171., 178.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`apo[
         Pattern[N, 
          Blank[]], 
         Pattern[$CellContext`exp, 
          Blank[]]] := 
       Module[{$CellContext`con, $CellContext`per}, $CellContext`con = 
          ReplaceAll[$CellContext`exp, Alternatives[
              Cos[
               BlankSequence[]], 
              Sin[
               BlankSequence[]]] :> 
            0]; $CellContext`per = $CellContext`exp - $CellContext`con; 
         ReplaceAll[Expand[
             Normal[
              Series[$CellContext`con, {$CellContext`e, 0, N}]]] + Collect[
             TrigReduce[
              Normal[
               Series[$CellContext`per, {$CellContext`e, 0, N}]]], 
             Alternatives[
              Cos[
               Blank[]], 
              Sin[
               Blank[]]]], {Pattern[$CellContext`a, 
               Blank[]] Cos[
               Pattern[$CellContext`arg, 
                Blank[]]] :> 
            Expand[$CellContext`a, $CellContext`e] Cos[$CellContext`arg], 
            Pattern[$CellContext`a, 
               Blank[]] Sin[
               Pattern[$CellContext`arg, 
                Blank[]]] :> 
            Expand[$CellContext`a, $CellContext`e] 
             Sin[$CellContext`arg]}]], $CellContext`HansenCoefficient[
         Pattern[N, 
          Blank[]]][
         Pattern[$CellContext`n, 
          Blank[]], 
         Pattern[$CellContext`m, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]]] := Normal[
         Series[
          
          Module[{$CellContext`s1, $CellContext`t1, $CellContext`\[Beta] = \
$CellContext`e/(1 + Sqrt[1 - $CellContext`e^2])}, 
           If[$CellContext`n - $CellContext`m + 1 >= 
             0, $CellContext`s1 = $CellContext`n - $CellContext`m + 
              1, $CellContext`s1 = 30]; 
           If[$CellContext`n + $CellContext`m + 1 >= 
             0, $CellContext`t1 = $CellContext`n + $CellContext`m + 
              1, $CellContext`t1 = 
             30]; (1 + $CellContext`\[Beta]^2)^(-$CellContext`n - 1) Sum[
              Sum[
              Binomial[$CellContext`n - $CellContext`m + 1, $CellContext`s] 
               Binomial[$CellContext`n + $CellContext`m + 
                 1, $CellContext`t] (-$CellContext`\[Beta])^($CellContext`s + \
$CellContext`t) 
               BesselJ[$CellContext`k - $CellContext`m - $CellContext`s + \
$CellContext`t, $CellContext`k $CellContext`e], {$CellContext`s, 
                0, $CellContext`s1}], {$CellContext`t, 
               0, $CellContext`t1}]], {$CellContext`e, 0, 
           N}]], $CellContext`Xnmk[
         Pattern[N, 
          Blank[]]][
         Pattern[$CellContext`n, 
          Blank[]], 
         Pattern[$CellContext`m, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]]] := $CellContext`HansenCoefficient[
        N][$CellContext`n, $CellContext`m, $CellContext`k], $CellContext`roanm[
          Pattern[N, 
           Blank[]]][
          Pattern[$CellContext`n, 
           Blank[]], 
          Pattern[$CellContext`m, 
           Blank[]]] := $CellContext`apo[N, 
          ExpToTrig[
           $CellContext`apo[N, 
            
            Sum[$CellContext`Xnmk[
              N][$CellContext`n, $CellContext`m, $CellContext`k] 
             Exp[I $CellContext`k $CellContext`M], {$CellContext`k, (-2) N, 2 
              N}]]]]; Null}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input"],

Cell["\<\
We provide a tool to calculate various useful expansions found in the \
two-body problem. Click on the expression and it will be expanded in terms of \
the eccentricity 'e' and the mean anomaly 'M' up to a given expansion order. \
Change the output format and the expansion order by clicking one of the \
setter bars. Expansions are made either with exact coefficients and keeping \
the eccentricity as a parameter or accurate up to machine precision with the \
possibility to replace the eccentricity with a specific value.\
\>", "Text"]
},
WindowSize->{740, 731},
WindowMargins->{{430, Automatic}, {Automatic, 72}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 55, 0, 70, "Section"],
Cell[1521, 35, 8428, 182, 70, "Input"],
Cell[9952, 219, 548, 8, 70, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature gvDmrqOCK5qpkD1s5DppT9HB *)
