(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[    116463,       2007]
NotebookOptionsPosition[    117051,       2005]
NotebookOutlinePosition[    117388,       2020]
CellTagsIndexPosition[    117345,       2017]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Orbits in the restriced three-body problem", "Section"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`bgr2$$ = Dynamic[
   Show[$CellContext`bgr0, 
    $CellContext`bgr[{0.05, 
      $CellContext`cj[0.05, $CellContext`xy0$$]}, $CellContext`xy0$$], 
    $CellContext`sol[0.05, $CellContext`xy0$$], 
    PlotRange -> (3/2) {{-1, 1}, {-1, 1}}, Frame -> True, FrameTicks -> 
    False]], $CellContext`xy0$$ = {0.5, 0}}, 
  LocatorPaneBox[Dynamic[$CellContext`xy0$$], 
   DynamicBox[ToBoxes[$CellContext`bgr2$$, StandardForm],
    ImageSizeCache->{360., {177., 183.}}]],
  DynamicModuleValues:>{},
  Initialization:>{$CellContext`bgr0 = Graphics[{{
        Opacity[0.5], 
        Disk[{0, 0}, 0.025], 
        Inset[
         Style[
         "\!\(\*SubscriptBox[\(\[Mu]\), \(1\)]\)", FontSize -> 11, FontWeight -> 
          Bold], 
         Offset[{-5, -10}, {0, 0}]], 
        Disk[{1, 0}, 0.02], 
        Inset[
         Style[
         "\!\(\*SubscriptBox[\(\[Mu]\), \(2\)]\)", FontSize -> 11, FontWeight -> 
          Bold], 
         Offset[{5, -10}, {1, 0}]], {
         Point[{0.7152253477044327, 0}], 
         Point[{1.2280936683242036`, 0}], 
         Point[{-1., 0}]}, 
        Inset[
         Style[
         "\!\(\*SubscriptBox[\(L\), \(1\)]\)", FontSize -> 11, FontWeight -> 
          Bold], 
         Offset[{-5, 10}, {0.7152253477044327, 0}]], 
        Inset[
         Style[
         "\!\(\*SubscriptBox[\(L\), \(2\)]\)", FontSize -> 11, FontWeight -> 
          Bold], 
         Offset[{5, 10}, {1.2280936683242036`, 0}]], 
        Inset[
         Style[
         "\!\(\*SubscriptBox[\(L\), \(3\)]\)", FontSize -> 11, FontWeight -> 
          Bold], 
         Offset[{-5, 10}, {-1., 0}]], 
        Point[{
          Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}], 
        Inset[
         Style[
         "\!\(\*SubscriptBox[\(L\), \(4\)]\)", FontSize -> 11, FontWeight -> 
          Bold], 
         Offset[{0, 10}, {
           Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}]], 
        Point[{
          Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}], 
        Inset[
         Style[
         "\!\(\*SubscriptBox[\(L\), \(5\)]\)", FontSize -> 11, FontWeight -> 
          Bold], 
         Offset[{0, -10}, {
           Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}]], {
         Thickness[0.005], 
         Dashing[0.01], 
         Line[{{-GoldenRatio, 0}, {GoldenRatio, 0}}], 
         Line[{{0, 0}, {
            Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}, {1, 0}}], 
         Line[{{0, 0}, {
            Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {1, 0}}]}}, 
       GraphicsComplex[CompressedData["
1:eJyFXXV8VEfXDl7ciofgAYJDcRlcixaHUqB40eClxUqLayhQvMECwR0SGLR4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        "], {{{}, {}}, {{}, 
          Tooltip[{
            GrayLevel[0], 
            Thickness[Tiny], 
            Line[CompressedData["
1:eJwl1GdsllUUwPGnBrQtZQ8DggRKYoEAH5CE5QcNOCKBUkBlJcwCyh4FEaVM
BWkBBUUBQbTsoewhEZBlZAokrJoIrVqVBIwKDsDfiR/+/Z9z7jn37Xvf57kN
BozKGZmSJEm+P5npSbIpLUka8UZuyA9iBXrLUzOSpKV4ifgwH8Fo/F0hSUbx
P7yMB1nfJt6OrfhX/oh6E/N1uKJaBm6Jd1ibFr18F4WYpT6fT/IpzMQMLNT3
NuZhLgpRgMl6f8Cj9v+RL+Ed9YtcYK4PZ+Oy2pPyS/wUb8B6vGZtEA9GfzSy
PpAb8gDO5CX8AYagDD8j39x+nsZruL6+3pzCF9RKxKXIi++vVgu35XdwBVdR
jMvW37W2GIswVf6F+htc1XfKFX+LcyiMs0E7XNTbNvbhjjxFf8s4Y/lP8uk8
AzPxm/wM3hO/jzYxi3bRa66+uTK+itriK5yLYtSRf8ezscUen6E7yql3VeuL
x2N/e53FcqzAR9hsrRT19JbwGJzDeSzF5+a2ogfK68lRWx77807zu7ADe7A7
zkj9Ph7Te4/H4iYy5bc4zWyWOJWf0/8snsEarEY5zMJOvW/ybPyq9wYWqD3P
Lcx34vZoZr05WmCBvF/M8Vv4GsfjOVKbwC/peRGJeC+XxdlirfxjPa+IX0aO
vJrPuCZ+AXesrefO6II58uPxjHNXzsZGbIjnyux57Lf2J1dRq4zieDfUusX+
ce7YhNf1bOG/rHXnHtiHFPWe3AtVxDX9P6v0TJK3Eu8V1+K78upcA2PF4zA+
9jczkfMwAd3k13kEH8RwPGBmIiecF+8F19aTHs+fuALfjPcvfh+fN0e8mifL
X8XDccbx3vAqrIxzRKXYPz4LI+P7y8fw6LiHcASH8YR6DRTZsyZ/ytU5A19a
P4DByMVKa4f4KwzDUAxBxfg+3JrboCqOyqvxMf7E3NGIMR734oz4fpyJtaL4
TbkxZ2GbuGnchXHfiPO5XtxDcX/xOq7LDwX605CKD9VPxx0U72H8/zw17gic
QIG8tTOdHr8DfjfzR9wLeDqeeesH4i7lDvJfxN/Encvfp/9/9/8HQ9nSNA==

             "]], 
            Line[CompressedData["
1:eJwl1GdslWUYh/EXEEwH4Aw1gLREQGTVyvCDDMEg05VIAaHMRBQpO2znB0BJ
ZMieChpINOytVYaKICCroCZQdlKgRUBAIODvDh+uXvf/vp/nOc85fc/J6jv4
jfwySZIMij9pSbI/JUnupSbJPv6Uv+fdqJyeJEP4Zb1n0UDO4QK9Xago5/MD
eoO5kvwbb8WvSJcHcVvzRqgvZ/MUfIZp+Mm8LE/nGjyDy3FLLHe3FeiAjjiJ
V/X7cj/0xzL5Se7K1fk8zqGLfIZz+Sy34YZevzc3l1/AS+q/+QKKsVFuw63x
IgbIGVwF/6lv4TjKyqnOGhB3Vb/NKXIPs1bxWenl4Lm4vzzK/ByfxwkU4V29
8ubvcJq9eXo9sSk+F718rmN+NXrypLgfn8ZD1k/ggWafcAH/GGeiVpzJtXke
f4G/8CeOoQVeQeeY2dvYWdWsvSP/In+u/pkL+SgOo5nZEX6Ns61/nf+1ppb6
Gr+Hk6gmn+KPMd/6BXEHHMJBNLUvzywXD1rbXd6A9ZioV4qa+iU8HBeRJV/i
WVga/28swVf4Et30F9nfhStY2029DmuxQO8qntK/Ep8XTqCqXMQXkKku5lbO
aokWmIs52KbfzHw733ZeBb3R0ePn4/2gCRqjUH9GPMfxfKpX693iVXw7XpeL
cDyeZ2se5Yb8CD+Ox1Bf3s8N+GGeYt/ReJ7coZBzuI9eO3V7rFF/zd+gCZ6x
p16cgzfj89LrynvkDPVufoKzUM9ZmfEdM9+JKvIO7ocDyJAP8pi4A7LtnYo/
1E3Neqrz0AuznDMb5eO3Qy7ADxgRz4HeUNyRh/F3+BYL47nnus5K5fEYF88v
VprV4VVcmyvZe4p/l+/G/eVMbFZP0uus7oQbuB59vZvxnUVv9MFsvS3WX1KX
4CIuoxR7za7Edw3/xHuybisW6ZdwaTzvmGx2jQ/EXWIfxmMCVlu7j+uafcgf
4H08LX+EkebX4/14vzd4cfzG6u/BWHSXe2GmejTKWTeGd2A7ejjrrbT7v9f/
A+3ZyTg=
             "]]}, 3.074], {}, {}}}], 
       GraphicsComplex[CompressedData["
1:eJyFXWV4lDnXLg6Lw+LuUtwpLMG1uMMCi21xFrct7k6xokVLcXcJLsXqTl2n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        
        "], {{{}, {}}, {{}, 
          Tooltip[{
            GrayLevel[0], 
            Thickness[Tiny], 
            Line[CompressedData["
1:eJwl2HfY1nMbx/GrtJcVRaIyIj3Wk4qkiUhSZKRISWZlRWlTFEV2CA0lyQgN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             "]]}, 3.0975], {}, {}}}], 
       GraphicsComplex[CompressedData["
1:eJyFXXV4VDnXh0WLbHF3dymuwRaXxXVxd4ptYXEo7lbc3aFQtAEKFClSqkih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        "], {{{}, {}}, {{}, 
          Tooltip[{
            GrayLevel[0], 
            Thickness[Tiny], 
            Line[CompressedData["
1:eJwl13n8TmUax/FHYsqSppRKEe2bNLKkUkhpk10LESoqSwuJInsrooQWIdlC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             "]]}, 3.4019], {}, {}}}], 
       GraphicsComplex[CompressedData["
1:eJyNfXdYVLn3t13Xsvay9t67a0WNa8Xede29u3YU116w99577wXEHlHEhgiC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        "], {{{}, {}}, {{}, 
          Tooltip[{
            GrayLevel[0], 
            Thickness[Tiny], 
            Line[CompressedData["
1:eJwl1VdwVVUUgOEDBAsGn+0SUEhQkBKKigEhOCOdYAcSDG2EEJzQRqWJhaq0
AIIVfdAAAdQRNYmgQChB6R0VGwF07IggRb81Pvz5V9vn3Hvu2Ttp+SNzCmsk
SVLlzw11k6S6TpJ0Sk2SbLQSj1Frw8u47xVJUsL9eAPWY55eC7Mt0Qz11Jrz
TD6ud6P5E1yP53Nrvfp6mZzGrXgWn9RLM9MA9VEsX65+C6bIb+Vc3K5ewtdi
EAaiEtdgDmZjLlpacz4+G1/gTJ7CK91vgDgPReJqfKS+R14mLscY66erbeLh
KMA2eSGPwGbMlI/lX/GmtW9hhbWlmKxXpt4uPo/6XMwJq5/S/wu/40/8gev1
ZumtE69FmfxjXIeKqPFa/TPiiUiV141nJC5SP8ef8llex//w53xlfHfxRZxH
Iv+Xh+mV+2yPcREfxhHcJR8cjmdu7hk8ixXyUiy2fglewj3yl7k2L8Voay+J
94J38U7swCvyC3ya0+P7csP4/tyIn9Dbiz3YjcZqGeiIlfJV6IBi92rPC/hu
7mx9Bzxo7oF4luLmeqV8iJ80sw9dxF0xI95JjNDvLi/gHbwT25HoVWErXtc7
zEdwAIdwEJea26Q3XTwNU7FRXlv9Nd4fz4r38nLex5XxXPSH8/Py55Air4VX
1Q7wwfhdfNZdfJFHqr9orpBfiP2BWurd9IfwUGSgjXpjflq9Jt8bewzzkCVv
xtmucRv3N7tM3ETcFH3k9+F+FJvN4d7ohXT5ZDO/mZ/EjeTd1XugJ+bLs/S6
ibvGO2lmAkrUdsvfif0Un00tA2MxDun4OX53/oXHc0PXeopv5qZoEu+S/Goe
xVfx25wTe92aCa47Hn/jNLarn4t3Ua8yfg/8KE/lL2Kfq48T58Z+jb2Nn2IG
i9WO8wmMwmj0VTvJj3C16xxDuesskm9QrxnXjfvGHsMx/IA1cT7E+4UCfCD/
nh+1Ph/94tpYqr6N+/BG9TwMiOeNScjGFvfrHGcjBpsdgqFxTsXvZN23/F2c
SdgfNt9Wvb2ZLGSq9ZIv4d5xLmCYOAWPi2dwA9yEh80/hIXq6+O5qp3FGfRU
W8MfxnmKqe7Tgqdxa72J4kXijryQO/EnqIgz2LXmYDbeMFsR52O8B7GH5V+q
r+ZczkMX8WX6NeJ8jPMCW1GFr9S+jnM7nme8c2YvN7uZB8kHIh/vyo9yf2ve
E68y0423xJ7Havn7nBLnJT7DN2aPoof6gvj/onYH2qId7sSp2PPxLtT5/3/k
f2UNBds=
             "]], 
            Line[CompressedData["
1:eJwl1XmUlnMYxvFnOKiZlqmm0krEP0X8obSpQTWFVq3kMJQUTcnStGA000Zx
crTOTDVNM8lRTRM1iMrSckoLLZKhco6llPVw4uBzH39857ru676f3/u87/N7
ftMqO2fg+JQkSar9Sa+VJGfTkmQq/RE/4TzOhZcvok+lJkkJv5RfgsW4TN0Z
b9ZOkgf0r5Rl07fUV/Bn9OrQ2miH4fLp+q/xa3CYryfLMZdOD6lXykswhR8m
u45PRRq+M/c9Ruo1U9fhPzJTl9ZCsWw5VsT9qdvQtnGf2Oyab2QT+dP0UnoJ
umKReob+Jr4SDdSPWHepbDL/Fd0gX4/L5dXqw7RCvRET+cexha/CbP1i17WX
dcBN6IibcVCvkZmmsRaa4HNZfb1jtAHNpU1pMxTpF2IZDsj/QaX8XlrgM2Zi
MOapt9P59EtsM3OC7pPtxQUsVv9Gt1prLl/Or8HdoeYHxe+A4Xr3xGdgBO7D
SKTrraZlKMWA2DPI5h+MPYBReAj15A/TMRiN+upe1r3KZ/ekb8ha8Sfk69St
1T/QHtHHCPlL6rW0BabEnqKTaUuaS2fpv89vwxOYhF1oHt8Bw3DKWpnmTsaa
eAUL4pnJjsT11jlK9yCV303TaJ5rO/HL+RUoRh/ZStqbvoen9e+IvWK9Mdik
/prmm5mBDXoVyEKhuhctovPjecXvbn6c+bFYiFfxpOwvbDQ3hC6L50sr1Bdi
P2KVrBRpGChPpYPoML1CfiidYK0ctFfPiecQ9xnvq97r6jP0GRTJOuDj2J+0
SvYZX8O1h2iJej+/il4c5wStSd+m35q/mj9irjU9JdvBf4DtsUfUB+Sr6TXq
a+M3UGdhPN8wzg6+QP8xdYZ6LH0U47BAnR/fhW/E59DGtCz2Yex9vXexOfZc
/PYYhS3qrfTPOF+sXz/ONfPnYk/GvahH00w6RNadDo17wSYUuH4mmuBknGdx
fuDXeHdk5bKD8d6qM+he2W2yhvzzsn18XdkncebgQ/40nYR++nvU/emd6Ivd
6rtoN/1pdDpS8Kz1nkNenGnqMfo1aD/zNWl/+rtsId8ON2C7OkW+g15E18d5
IK9G7zhfrDVA3gM9cTuy4rngvH4b2jb2uLk+6CIbrO6MLuiEW9AViTVvje+O
bshEd/RFfux7167jb+QrsRF5sl/oz7HnrL8Tu/C3+iiOxZpmyvAyqtQdsTM+
m87GLNwf57Xs39iv8U5YozT2GhrHfsHUeCb0OM2gX9CW+s3RIubwqWxevJOY
ixfxApbH7x/vipm1sT/ifcQfsrPq4/w78T7yufH/CvvVE103Id5t/dqxV+Xl
mKa3RH09X7fW//9z/wMGXAAG
             "]]}, 3.4685], {}, {}}}]}, 
      PlotRange -> {{-GoldenRatio, GoldenRatio}, {-GoldenRatio, 
         GoldenRatio}}], $CellContext`r0 = (($CellContext`x + \
$CellContext`mu)^2 + $CellContext`y^2)^(1/
      2), $CellContext`r1 = (($CellContext`x - (
        1 - $CellContext`mu))^2 + $CellContext`y^2)^(1/2), $CellContext`ome[
      Pattern[$CellContext`mu, 
       Blank[]]] = (1 - $CellContext`mu) (
       1/$CellContext`r0 + $CellContext`r0^2/2) + $CellContext`mu (
       1/$CellContext`r1 + $CellContext`r1^2/2), $CellContext`cj[
      Pattern[$CellContext`mu, 
       Blank[]], {
       Pattern[$CellContext`x0, 
        Blank[]], 
       Pattern[$CellContext`y0, 
        Blank[]]}] = 
    ReplaceAll[
     2 $CellContext`ome[$CellContext`mu], {$CellContext`x -> $CellContext`x0, \
$CellContext`y -> $CellContext`y0}], $CellContext`eom[
      Pattern[$CellContext`mu, 
       Blank[]], {
       Pattern[$CellContext`x0, 
        Blank[]], 
       Pattern[$CellContext`y0, 
        Blank[]]}, {
       Pattern[$CellContext`vx0, 
        Blank[]], 
       Pattern[$CellContext`vy0, 
        Blank[]]}] = {{
      Derivative[2][$CellContext`x][$CellContext`t] - 2 
        Derivative[1][$CellContext`y][$CellContext`t] == ReplaceAll[
         D[
          $CellContext`ome[$CellContext`mu], $CellContext`x], {$CellContext`x -> \
$CellContext`x[$CellContext`t], $CellContext`y -> \
$CellContext`y[$CellContext`t]}], 
       Derivative[2][$CellContext`y][$CellContext`t] + 
        2 Derivative[1][$CellContext`x][$CellContext`t] == ReplaceAll[
         D[
          $CellContext`ome[$CellContext`mu], $CellContext`y], {$CellContext`x -> \
$CellContext`x[$CellContext`t], $CellContext`y -> \
$CellContext`y[$CellContext`t]}]}, {$CellContext`x[0] == $CellContext`x0, 
       Derivative[1][$CellContext`x][0] == $CellContext`vx0, $CellContext`y[
        0] == $CellContext`y0, 
       Derivative[1][$CellContext`y][
        0] == $CellContext`vy0}}, $CellContext`bgr[{
       Pattern[$CellContext`mu, 
        Blank[]], 
       Pattern[$CellContext`Cj, 
        Blank[]]}, {
       Pattern[$CellContext`x0, 
        Blank[]], 
       Pattern[$CellContext`y0, 
        Blank[]]}] := 
    ContourPlot[
     2 $CellContext`ome[$CellContext`mu] == $CellContext`Cj, {$CellContext`x, \
-(3/2), 3/2}, {$CellContext`y, -(3/2), 3/2}, PerformanceGoal -> "Quality", 
      PlotRange -> All, ContourStyle -> {Thick, Red}, 
      LabelStyle -> (FontSize -> 14), FrameTicks -> None, Axes -> True, 
      AxesStyle -> Dotted, Epilog -> {
        Disk[{0, 0}, 0.05], 
        Disk[{1, 0}, 0.02]}], $CellContext`sol[
      Pattern[$CellContext`mu, 
       Blank[]], {
       Pattern[$CellContext`x0, 
        Blank[]], 
       Pattern[$CellContext`y0, 
        Blank[]]}] := ParametricPlot[
      Evaluate[
       ReplaceAll[{
         $CellContext`x[$CellContext`t], 
         $CellContext`y[$CellContext`t]}, 
        Part[
         NDSolve[
          $CellContext`eom[$CellContext`mu, {$CellContext`x0, \
$CellContext`y0}, {0, 0}], {
           $CellContext`x[$CellContext`t], 
           $CellContext`y[$CellContext`t]}, {$CellContext`t, 0, 10 Pi}, 
          MaxSteps -> Infinity], 1]]], {$CellContext`t, 0, 10 Pi}, 
      PlotStyle -> {Thick, Blue}]}]], "Input"],

Cell["\<\
Structure of the zero velocity curves (gray) in the restricted three-body \
problem for \[Mu]=0.05. Click on the locator pane to specify the initial \
(x,y) coordinates of the third body at zero velocity in the potential of the \
secondary. The zero velocity curve is shown in red the orbit of the third \
body in the rotating reference frame is shown in blue.\
\>", "Text"]
},
WindowSize->{740, 731},
WindowMargins->{{430, Automatic}, {Automatic, 72}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 61, 0, 70, "Section"],
Cell[1527, 35, 115133, 1960, 70, "Input"],
Cell[116663, 1997, 384, 6, 70, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 7wT6hGFgQlRoVAgMU@vbiDDe *)
