(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[   2118615,      35454]
NotebookOptionsPosition[   2118963,      35449]
NotebookOutlinePosition[   2119307,      35464]
CellTagsIndexPosition[   2119264,      35461]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Orbits in the Sitnikov problem", "Section"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`bgr2$$ = Dynamic[
   Show[$CellContext`bgr0, 
    $CellContext`plo1[$CellContext`xy0$$], FrameTicks -> 
    False]], $CellContext`xy0$$ = {0.5, 0}}, 
  LocatorPaneBox[Dynamic[$CellContext`xy0$$], 
   DynamicBox[ToBoxes[$CellContext`bgr2$$, StandardForm],
    ImageSizeCache->{360., {148., 152.}}]],
  DynamicModuleValues:>{},
  Initialization:>{$CellContext`bgr0 = ReplaceAll[
      Graphics[{{{}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8Vf8bl5ESIXuPKCNlZGR0ri0aaCqyV2TvvfeIkCgrbRUlJfJ5St/c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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWWk4VG/YNyNFJLQolSWS7EIouY9SJPTPWkqRCFmKUlHWLCmhQhFJJUS2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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4lP33xxlJWogWepBUKolSWghnSEmpyFJSCCFLKKk8FImyJBIVepI2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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWc8le8bt0URmSVOdiJJUlSumygj7ZBUomSFQkb2ahL9SkQhoaIie+R+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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWk8VP8XvpSSisjP0r5qUREiwhmKUvaUSpGkhJRdZY+obCUpkTUhZc/u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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc4lf0bP1JSUkZIQ6hUeFta3tJtZZQQCVlllCKjjIq8kmjISohssvc6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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc4lu/7xyVFWiQVUlb5pBKKKJxmyCrZRVIpGaXMJkVGVka2ZxuFytY6
GyQNKSUioZCGhKb7vv3u7+/Ph38c13E/Ls9xXef5fr/e5y3vedhuv6CAgMD4
NAGB//2+3Bf6TbCMgMjry6OuSaXgmcMw94s3heYBsvuVnwej2J75WXNuEPhd
9umcKNsM3J/Hk5P+QsIXraSD8XUsyJNQuK8NFLoUphVpuV+CbIYv26OZgId/
K08+2ZaHz5iJ4tbWJJbI6n2s2sDDd2qf73yqIEAHx5gh7WkwcOXI2v5+AkVG
DBexRFgwZJn6IdaHhHozKOgy40F6z621koUkVMco77mxhwsjnzeETH9AYkY5
WS0VzsFX+hBtlkdg8twdGXMcbHH0c+Sec/spnF3Q/y1+9VmcMcNDc1cJgVul
z6noaF9Ej6UfZzrLUZiuInflqVsu1Ex01hqKkqi/YBrTZh8H2l1lgzxySFx4
3eyzWhEX6kmn9Z5cAvWKdAebx6Lx86NwezsGgRv2/uY2CBwHoQj/oklpCo/4
Ofeu0M8DidctFhdKSTB3EKdAgwtjIRl/Cg5QEC/JDZO5fxql3S8FzeIS8E+t
sKHDORr411mbA5c+uUzA5hejAoleybD717ueJTsoqP68OX/Lv2TIzLZvvOJK
wdP/RvuxIh67cftWwaMkPEgV9ysx4OE2aYfQnHsEqhsLybTWZ+F+q5lcD3MK
iDsfrLLE0/CY7k+3RW4kJj4SCPaw5OEOt6X/8aQoEPfIS6kKysO/WqfHJr8R
wKuyaTpRxIJjYx4SIsspsNB+dOZjei5ePfvKxr6ZhDdy4c9l53Ngg+XwN4c8
Alw2Zpy+99YYvU/fX5xfROIDs4tZ2Y5cCN1Vc1jOl4KWyeC8ioB9eHjtUZXq
LwRYKnS0OJ1iTbk/0zu75sR0E8B5X2+muocJVmn+lNcqCtImWz+0t2RDbISJ
s7UvhfX+HLa/uSdOu2XmblNHwNFz9RG55CUcuTIQlLCDxC0BK0T2GvCgNFEp
97wKCSsbI2YppHNBfFaUstkvAus3BO/4os+GzadHlSyHSbiYKxYhk8SaUg+S
18zF79iQsLRxb+kqbR46Bl/tLaKfS05ztX5FP09dJc+8+pVEZbXNR7K4LJRj
rva+lEWCqlKLzInrXIgi2/WpNRRa5eROt1fMBqteYZmjLwhcoKwqfU0oHw/P
0yhevZtCNbOJFZatMdhvVbu7sJeEsn577lMNNv6anDXc4ULiuWsz3b3NeZga
+Eyho4rA/TdeLpx+JR0dZoYL57tTcCcwykbfJRbfJ8rNCXamUHTBiQI1SETS
N0wn8T3dXwOSJZHBTNjlkSnIySexSO60uX06FwvX+3ZouVAwuIUti5UJsIZ1
+PsNLxKrt5DX5Cx5YDC8TWHnPRJu3BZap5TEAf93phESHQTqZz1ZLFjBgEN3
d17pnkGBOSE2e5UyE62UZovMuEvg2wGRhqztWTiH4fPDiU3g+YgFEZRTJPw1
1zXRW0mindeZ4u+BXNB6X2XGtKXATiiq+Z5ICkwzLePuGCBx1e8V/0p/s3DH
OglJVQYBu7ZbvJV/Gwq2Ms8EL9P1s2pgRPTNcRZI7D2Ho48J+OwlfUnrQC6I
lhdPxtGfF9HbIPIGTmCgvbZ4PZPATdW6JFUXDvz9axXapm/qSIHKdx3XuvYk
fLhZ/aEi/f+1i+uvzSBZ8JdporDwKgGeYhGDOoUpU/Qg8G3cusSzJMS39Yot
XsKD3kiJTllan666Ru32PM2Br356x0O6SVhnc8v3rCt7Sr3/NhRYcNCMQv00
i8r+HWmQkZO7+Uo9gS31dzLMbmcD7vOzt3tN4Ke/SgHiPfkg/UDf14dHwJKa
5FPXa2PR7rrzLAZ9v2pPNArHTjDxzfPZmbk1JMS+VJ52uZ8DgmnRj20/EZi5
/X2H7yYW+k/38UpZQGL4r5+jdvc58H3sRUvbBwIrLloMpbcz8XX5J8PImwRO
HlzzYvfDDCida2BmOk4CRCWX7NvIwuB7hVtffCUwMmO27NeLLKxmHJAbWkbB
y6AKxrTMXJCOG+94vpICxqgZW9I0B5J1xJh7jChIkXu8+Vx2OvLroYBaaOvJ
WyQKNFQdtL3JgeHi9BWjfwlIMciL2xPGBqXgIwVJ60k49NHpflILF/QLPeeF
1ZPwnat0WiyIg3P9Hc9d55CQsaRgrmII/TxwWaNQOYHucvr/Kham4Zydtf/s
aD/rflrWGSUcBiuPKpsZ0Pp/pKLsd4JH7hT967uzd3uNOwn7JA8kxFjxgN8P
c6VkF2y6RoCJ4Vf/P9qpIOp/bs08BxJG/vXe/GHIg/djZte86XW+pO21QVMe
vL7wwbRhNgWBo11BZ04zcFBxSWW4IokhiZv9nPZysf/nbWv7MgLbde1TMhxS
IC5FsP1JHP28YEjrzB8uLFCstuWM0mvphZu6bVg4PWjm8CcN2loULA2fTc9C
/vrn9x9+vYrtMl1htJSETaLEWI8CFySHt9ye9KD13fuNWYJRNCrlGRcIPyGg
snRX0u2wXGjao6/H6KDvx7MwZl06G74KLKhs2E1BSWXPcJlJDNgfdfd8W0PA
orcSxzlBl5B/za+/B0QE3r85RvvrwT8LT+rzMNjK6KWlOAkv5urvvl7FAa//
/6FQSNY9b5ZABEicH3n0k9bTJy0adn3lXGComUstzaf1xPz1cL3KETBkZhhN
byfgBnH+dcgJBv6OF5tlS/vRwUjfJ4967cF8LQTEh5IQs3kRrtPggbKi04fa
CRLvqpfWezQxp+jP+4SS40PCJPaHunkaGnFw5WrZ85ceEjjvqX/TPMMc5K/H
CEOj2PpBEtJHIr84DbLQseCoVHE5ASWHvG+auKcBoTGSGUPrs3SAscyhPbHw
Y2DXPgdRCkP7Lqp4ljPAzenTkqppFJ6boxoyeJAJnUYbGwXPkGB6PjXIQomH
QZvdshv0SJzrtW9bzjQefM3lLfM2pvCue9YnTZd04O9/fT3Tp+b5tF5yJmXT
7APg17he9AB9XkUzrFSnB4WAZNKXHxcLCZwj6T3/3OV4DNKUmUiRp2Cu8oaD
gf/lglKd9HbZmRRMyD0icRkTn3eu06mh/36EI/y7b00QbNqSab0ykcTMAyyL
wiEu/PigY/BOhIKdbze+fDHAwI8FP+rP/yBQt2Z1mM0XFvr6HR3b10nCw82B
PNdwNmiNigzWFhOgcT7U9eXFJOQOoI+5OQn3Rp9JWa3iYWLEY9M+Wl9yO8xn
taSyoCffu/aOAoWa9yfeb6FyQHXsuHrsc5pv9Lpd7ZPzMPeWdLnFWrpe3GRO
2izNRn49P9F9m2VA95ttjl6djhuX/l7JbwV4BNZuvN3cJBMLWidPld3sIaBB
WP2A+SUmXIj5qemzjsIyt57TF65kgZ3v6Xn910hoclYfuibFBbWd96Q7u0ha
D56JGvqzoevYJudU2p9jKJ2JT1t5UF13ocp9J4V+T+O+3VCMh9YYtyjeKxJ2
ZQ9tamhm4+fbjjONnGn9inR7vncLD46kZOdV0vXNUrpsO3idi/y8IexwwvnU
IQoVbjV07jwXiPdPqvrveEVAnUDc3saifPRsjlgi4E6htPqlzyafYmFwUbS4
rB0J8kKjq5fQ/DPT/sjmNatItOjcmOAcx4UQ6p5LljIJk1qql0+e4cK1dx2R
8IDAP76kX5tJNvLrvY9q991amrfElsirhQ5tR/68oNcpb7Wzh0Qtu59nm0zZ
yM8LKqYyTjslSYy9YuLY1s2BJyYKSUIsAlRYOmsinCPQJma3O7mHBGIAfxvY
8EAAthmspf3aUUmtOVD9DN6IC90/sZ8C1frhec0XI9BAfi8vt5LAAW63iYBi
OpglPjQXo/k4vqKIpz/9Iv7YpGl4RIqk+dj55l1hLnRx+qPYNH+Ga+oUzWE4
wgRRsb/Ph8JtbMaLU78PIT/vjO4Oc46j/ervWcXQO2npwO8P/N83cSy2sdWG
wq5dBbpR5ilw6puca9MGEk/2aGhUtXLxFYexfBfNG2qlBS8Slh7HM7PSu91o
/djk7qpb8ZSLggV9w4V/SHQVkNq97y8T5hTvEGu4RqBfDBE4cTwV1tiph8V9
JtDswNfCQ14sEA1a6+qmS0Lh6sOhEhO0vm/Y7p5An4dAmIhw9bJ05O/fv89V
Zo5TBLTgB22JR2w4oB4whzOPAm5Iv+OqRYwp9dW+T+OT/RMSal3e3RxX40zh
bfF035HGvRTaiizSq3eKRKkmnYRt+yiQnyzuzKk/N0U/JeY+X21K15vIl5ey
7HAuMoywOGKI5r8wLe+cZhbOOFwe4h1LwgF5sX5JWt/4z2eV6q9mgtaXo3aS
km+7GWCWF7f8vyYC/DbMWPlmPAdFQs+uUSokgLV4YfCZZfGIix+8Wl9D4JpG
59NHtC4hP/98jbg12hdM4nGBmpxITR7ei95eamJJYaJdZ98z21Qc0Pdb/+QB
AZo7D0odOpk9RT9OtgaGra+i9bXeTj9gXzq43LHULFen8FNgx9E6oywY91Pc
UkOfl9yHo9EiGkYQquzUz1Sj81rVvv1t/lloM3boxOuPJOx0fxbiKsrGvRM3
x2fSvNJ3sfjfHNE04OddoXp4LClAoi/r0Wr/t2wQeq/4dMdLmv+6vl94qZ2P
WlZlOfqtJHZ03ehW6WQjv78Yz54Xt/0tAbHr17Zd+sqA2pvRryQOUljqL2mT
e/YU7m9QbTpP89PueY4SWWFc5Ow2WlhC32/Cy0Ziulck8OePEft5Y5yrBCbe
O6b/+3sKHhNTYlSwCFTq/TQgsPQc3PC8cDBoiACpR8r30Y4FFFuUMqV5Nzup
zEHfUBPNHjj/saogcIuJTilxKW0Kz64/1XY/hEaXbTMDDrSV5CO/3vOf343k
ng+B9PnKzPwjaxFB541yXa0PJQR8HG5fXppxEeJat4ob0n5Y/2CFk5lvAD75
JZVRJkti42sld1U1LjJVnzo4BZHgOJxx46EODy0VuCU1SSSEHNip8fkDF0Ty
Glg8Np0vKyUXc2dGge7Zk40NNF9sEphW9vLPQXAZEe1tHyaw84OKVPxtFqQa
mA0bbqUgZuYPzvHsVAxU/GahQfNNveyhC14VHAysck2YT+/3qPP0667Gc7BV
XU2+UYkELcH73jqHuHhdeunulpm0X9YctLPW5kzhT63w4DfKdN7/9idCov9/
+XaDsxab1i8xM++/d7bykJHk/2DLIQp6FL0NIl4H4QK9MuMHGyk4G6S+LFUo
E54UNc7qXEDhvPp28U8h+dAlX6ctJ0RCn/Se/1IkOLBUMqniI+23X7aVlxqN
5CBPpaf2H82HanM6Sw6sip7SnxPtqgUHppFQp814mfiVjfz6nZ0jPus6XW9x
98Wm+207MYXX+PWMP58t/xex2KWcxHwv9vWj4lzgr1f+ecI7tciTN3oJFJVN
ehFTxJySt1W2+ytct6cgrrZuoUZIMvLnuU2Ht97S30lC6LfcHGUrHk6kChmf
pv1qWa/dx09xZ+FdgLFw7gsSPGvSXYO/smH8u5BbVDVdDwFLhdNG0kHPZ6X0
k7sEcC6s1+2Jy5ri9x8j3w30FxGgPXdvb9ORxCl6FhOTs7PMhILgQ348DbF0
aF55xfki3T9qiRpR4Z57sFm8tu0FzZPHqL5wBbNYaCS8Or9TJI7H/zD7kMFE
4T9jtz3nUihD7gvo2cJApYXbPZpZJHrLFKs/i+TCjpH8a1fo87HozjO/UMDE
wZTLAQaPCJzNqY7uqcmZwt++RyptVtJ5XX9IqRICuRj7ONWsjv7+ii39z967
JaKn3MAgg/YnFcWr+1oPsdD2VoImK43EX+3+N7Y84wL//pykU5mNVSR+Phvk
HviTA1WpldsVfxLwoOcPI24NG+zIj3pDdF7KGmjpszjOAP79HFQe9pnR9bNF
fcxHOZwBY2v2xR+j+fxCkQmVrpsDRdcHm7w8KDQuWRht3xYN/H7Gn++GNold
jqX5hODxasU+crAjZIe7xi0CfioUb186IxP4++0kYRo12Ujz3F/dsm3bOeDT
utNseIxAL5F+mYlFbDzioJg3QeuD89O+DJsWP+TPw78nJzVlaH1XWbv/2a6b
odi0VeZlZQ7NCxqrVCyLubjMBZzmLiHxUKtmyoe/HGz5k7Lp1FoS5g7vn/+k
mAsV9eKXnel1U9XBo0H056fkxY3C1Za0XtQLbCt5uyQMlZp+BNi3EbD4026H
ZNrv+edV/DzMn+/1PIezn9B88tjt8abzP5lT5jlnFD9XZXIJkK9y7th7KgYD
YxVPLqTzpduxKEJQkYvnUlwu/G8+p5adcfPArAy4kfIv9lYDAcnpYjO2CeZM
mY/w87expK/oFvp+zB3mari94+A7kb6hPzQPdgfOkZqfEwH8es+fJ/jrn8H0
23CdJFBQRHedeyUbw5cF2c3ZRUEQIdLlmnphSn7in3/z94fJ+aSJoN0U6vfN
vjVUEYP8eqWYsuGMBVBo8qroZavDpSn9mTfa9PvMERIt+21vfDXioW9JQsEk
nTfCSr+EXFzCxeSAO23mZrRe/yx8uOlAGvDPt8fkVbT1PpCIj/ojA5ax4dAv
4YHfTwi0+iVKcmtyUTr11+v+HRQeqX/TIHI7GUTniw68ovnVN1gvX9iah/z+
yKyayFisR6Hk6jCVqleX8OpKn2i7fBLjnZ/1eGRz4ZBs1w4bOg/arSIaAoaO
Iv88wartHftYIwF9bxt/3jyTA1at3B67fyQY7ildGNfNBGvy2fWW3RTAZLRW
o24M8uevnkChJJ8BEoN1rCIu/WSBue8XZ6FvBH5af35BQjYL+fcP8KmOEqL1
KNE8nHvCKAH43y843BJ5u/g3XY99VR17xFnInz+KHmcsu/2RAIfq4FHtEeaU
PGX1ptohwZSEjB0nJc/L8lCtzdnwLM0HaQ6buSqDXHQOkg/QySQxLJKVPPMW
d8r8tchBN9WTzoPekRsFK8XjccjxtlE5zcPjZa5mk2e4aP3lbZYtre+L8v7O
Tj2xHn5+drfeMkHg+M3Jwt2JbOCf38aoeLkR9QR+nBXq9OxhNhxdlpwd1E1A
6N88XVs3Jjqf2G/guJ8EbYNsyRN0PimULwkvonnUwzpQdOc+OyiZa+gwwaT7
ZdvHP9+sI2B07+Pn1+n7/HevpTdpSRCWCze+mDWXxM0R1gbbozjw3uXdeAPN
t0/zSjWSNmbhGkHmATNaH0NXNDi1iWRiqbiQjBWtd+GOkReyKr7os3UfdJXQ
fKMbyeiMGI/ExolPn3+VEmDybUZg98IUkCouuPqPzhsj4tESaHN0yvsfh/u8
M510PrHLbF6TvIDW/6++qglyJG7SIINNtnKnzOv45/l2Fntml8tSaJe9fPqs
5twp85TKB+yOXjpfW65lGt3V5sGskSzr+g4Sj1wvDutNmcrjCe3kV5cWAt56
HZad0UjzZ/Bg2B26H3y6J4RT07hT+n/zSHNS0m0CGONsCa+oTEz8ZrrOg87r
2zQ0mxUq8qfMYxxIDeNnRSS+tvC5z3LkolVqZokmzSPCHgXzL7yLhh8bF2k1
0Dy0fOgsnAs/CcI9xfJBdL7u/jv7snQiZ8p92DsKZ0uMECDrX5Nr+IqF5ct9
JCp30fphFLVRc8YFwPTzoip0Pq7rMIu2EuEif/1kyUl0aapSsKnVqTRvMAsH
PRL/DewicetGw+5HtF92j0v85/KGQK7f8z6GFQOef7ETl0ql/XB2tFX9Ky5s
+DZf5HUfnTe5iU5K95i4cr3C8OJhEiBvUsc3mYX8vHme5zI6jdbX7gWtBsab
M5Bfv/Y8Kp1mbU6B2Ylnp5UV09DjPeduaDzNZ5XLHCx/cJF/nnXRR6mJO5uE
4ivz7ioEcfBac69fL71u3bp9TnUgB7LXeZwOo/P/o8WLEu/XHca/n//2udH7
GVueCZMa5QIePxi79QqBhl7jg+XlyfhfXJuhEM2vXU4b3CPzTk3pp0vHPo8L
9pGwfuBwna86GwT1BU1r6f3tv9/fWOzmAyo+91bL/Ech8Xnlgu+iOfim4NgD
T5pPvlNEf1t1NPK/32sxT1JdSvux5uXWAGuVWPx5YsexPGMKbz7wuTBhl478
8wn+eRn/+ezyLss900bintMrFqXVsHHGD7E7X+n+MGi9ymhoysULSao/Bozp
56Wz84MX86bkOdcIYePEUQIeh0+k2QqwkZ/f+HlNpcVsWecEiQ/+CQ+qNzJx
n0lu1P/moTeN1wWxtqbBwg+/S0VnUtBiXNe1Tp4Jph11rr0GNF8yBfc+msuD
3GR5mdpwEtt3nWouWMYDfn+TZ8V3K9N5Vrs69pfjEAObN7xMjKb9sOJsZeCA
wtkp709Fmnx0H9C8v1CmZLzvSDI0T3RJSC8nodK51VpHjwtl7Uljt+j+EpAm
ah3ZJ9Ff/UTp/GECegPO+b8uZmHt08eTFhYUhs81vhXcnQq+9e4u81aRuDyz
Eg7HcfH/AE0JgGE=
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXdcTv/7Jg2jEjISMhukCCnS3Y5CQ6WSpOQTbUVLmwZKO63nOU9kZCuU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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXcg1P8bPxXSRFQqLb5SqYzSkkeKooxkRkYTWZGGpCVEyYqy98o+686d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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk8VO8bxo82hFSKUpYSoVUphbonqfhF2UtolVCRSipRSouolLJEJGTf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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk8lF8fxscyyb6EFLKmRf+s0aLOXUSErGPIUooKKaESkWSJCtkiJesg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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8Ve8fN0NfmcmoELJVSKL0PFE07HVxXSElO7IlSaJERslIRlaIKCPk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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk8VP/3DpVU9hCRlL1kp6Tex76lLDHWSJQs2YVI9n03o2hRlLVFSkiN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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4lP/3xkWiSIrKUqK0CNlatJ5KUWmREFHZkiwpIn2shUIokRKKkiJl
3wrHOkK2GZUlZa1kfyZ6Zkb5Pd/fnzP+cc1lrvG83+ec+37dZxSsXQzP8fPx
8f2excf3v99OZjtfvYitQQ9TL6OFl9h4vupYy6peAgKcGwbLvlXi8FYXN41D
dFj51lTlUwCJU416KqX/GOhVKMpx5yMxRf3ZnMdVBISrqYfPyFfhVUMzuq8C
E4YdGu+f+JgNkcn8tun9BP760hECgkWo9f8/TMzMjbh+4cRZbEuxWecRzcBX
mSWaxGoSRG+U6e052QL3u9ZKCH0jcRGnRUcxNAcXLH677HIxB/BkZKM7m4CX
B+kxMemueCpvXvC6KQJSlG/l22iloHq91I379QS27Tj6uj2xAgT5j1q4ThE4
ETzwwN3pOV50fUD4/iVwl+Kl3UFHy/By0hYRNZ9GOLK4gvPDgQXPqucs9iYJ
CHSyI74pPMaIjG71R/kMNDB77A6SJJR6tJ5cVNECBhLbUw6/JrH4cJP9XWM6
ZJfYClr5kxCy8hb/pvIPqF2s6742lQX2CWVpT62bcfecklKLJSygiQ7JFp5h
YF1+ndxSNRIeNKxYqdFFwL8vBV+OO1eBZaTmHiWSuq8ymRnT44nY1yR7o5FO
wIVL+791zysHwcd7K2+NpsK0rd6Lud85mGoYdFxcgA7Kfwutf74kkXNx67tN
1Pv9pTdbJq0vx8n8h7/05jIhv2/bKqOeYrzM1165rISAtMXiB+3W1OC0cJx7
yuFyzChenC6oyEEjmkzLNH895Iak/EkbYGFLiNuN2FcMeMa2s5GXIzHQP83K
4CeB2qWRqo9XV0LFDhuVwCECjwhMNee9zIXwxdqxI+8I5JPJ+9KwtgaeMW9s
zFueiVHLLxrJt3KgP41BC6T+funeQW/R1TXQkb68aYw6b+ro48R/U2WYW35U
fbtlJdxsmz8s2MKGLXGbQoZ6CFTQKrezuvcWJ2b/eOP9g8B2+Rt7Lu+qRF2x
nV9lqNePXu0pkbpTgOaDO96PazLxzSafRKvAABTIVcx6qsmEPYeKPQvlb0No
+OSXfxktIBdpU65RSaJAiXSyxGomzJ5QeX+rLRO3bRYjfRIZIHTssbOQLInk
57Ny8f31ILvYpt+ghgXPfXr2+M5jIv1o9/Qsj2LUGFX+JufXgg/19FWDy0ls
WupQL/edgL7wco/F9pX4uEvP1ECxDsc3/2mfI8DGA6Nz1R69JWAsOmrv9Xk1
8H74RDKzvwJfrEreGcRmg9KLrc+PiDDBQkdaLWRDMW7uvjeb/0UVqg8fvx/4
mg30p7fmePO14AJx1YMRP0jwuK11t3cZEwU+Ts+/tyYPrLdmDv1IagKRz6Ui
pDEL9ZQO/lrwi4EtcQdPnhIm4Z6xTdZfASZM4KxPCx6Xgk+SSsKBfgbW3/wX
0zWHBCO+/MA1vwmINXPYv6MzDUyHXRPyljDB4Q+/PHQVAC2lf17E9mZw2Abi
CzazwCGor365fS30iXrGnpNlQ8rk1E23VgK3HOtY7WJWDdz6oJpVcMpiksAI
v5koPumXPPMZNidjaG8FgZpmPkJJKVWYphNte66xHq06RD0Te1mYfsHsd3Ib
A5doxH9/LkaCtHNvW+1nAqI7qs2l+Kph/06IKdOMgYaG2OnZvRzQdkraMMUi
0OnJZ4m7infA4cSl0XvTDOiQqTfOofTrQ2r6Omt3Go7VSbXnR7Fh5UGjQbvH
dfi5Jm1AVJSNBwfFlp37ywCFgztOSM0icXWARqTSw0ZMeKXwUfQ8C091O9qL
fSFwtfMDw5qwKih2m/loOMMA/SK+4EQ+EmpliJJcFgFLXC4pSXaW4WN6txjx
i4BDC27NergwDySt3V2bQm9i29MbZI7gNDj2qb1c9ZSO2+MXH/5uT+Jy7UPP
l4ZVw97JjKin1PPZbimIAiRQy2f4r79hNdwb8D8vQP3/qxo1T12ySuDPnvm+
/5Yz8dzKpldH43NxrW+3OD+ll5mZocFXjkagdKNVgzeNgcZGt65wJEkU2fCl
xIO6n5RS1l7TgPvIhgNXlkA5/Cg9a2K0mgMtm8NfSbcSQHtxPvcZlgHdRypz
I6Xfu79W1d3vMAW7LadCN/yg+v2I7jwR/wJ45pvlMepVi9fMdNTvabKxd5+K
usoEgUH3Vd8H7s8E/wNLD1tXVqPMgyG3ppdsiEk2tv5PkQlZ9x4kqqtnQbLt
7tOhMkxsq7ifn7IxH8/obMDUjwROCk8EJWlXo3rw0GTWnghQ3rrv4b4BDmgu
tigGqv/31jf2P7+Yh46hqh9LJauhPfek/uwSNnL3+8GM3q+9Y83wd6Q0e8kM
iep+yu6UPmBCSX1C4ZPbmB1Td1pAMx1yQt8ZzevmgLRploWHDANFW4PDk46S
aGU0/nYndf/TMZfSpBfXQGJuU+54YgvWMcaUJmtIHNE9hjkrK9FU+mTd9c/U
+UYLL9rtboYZ0eOLYzayMKbiWvNZy2JsFZpyX+jEQe7+dXl7ija/hI4eE0KV
is4kqsiEWwT8JOBLsfDVA2n5YJtRqWX6joCHxxytlyjX4NCjU6XZlD95lYX3
WcmQPOd9vkxCJLyb6jcP6BkxfgcyFZH9PiUEkl5FllfLqpFbr7fw7Wvf+IlA
kZit0ARloBtUEBLwpAjFf6zw5tziQKbvzU8Fhk0w+NBA2OQwC/meDxr8/kOA
iAbS5/xORNe6hOvBdQTskGh2Pt5VgTs+XtMjkYAp85lP/kI1ID43pNXBrxKl
qgOrF/1i4w99d8/TVH+KnV9Tbx7oz+NXnGCdHKv3BIZcT/c6b1iJJnssZORm
teJHac9PIjN/cCrywKBAQgN2Leq865nEAoXmzYucSgk4qslyY/hVI7d+Zea3
+dqtZ6K1Rfd23adpYLPGtu2fchbU6sVq3HnDgZhKDVq+EwOd7cdUD2mRwPq9
tsiyjMCMzknGLvFqFOfzix5RY4JHTjKqHkoEqyNP5G2oehR7zx45srIGLHed
yDg7TsCQatWVhIlMmKxf7JpbT/ltzyGrzPgKnue9ciCmjV1SgW6cNiVODxtL
t4nzlVH9KOSbUXr3UTDYO8s6yZxvgdyz93s+vCfx6/7BpZdDXkNgsZnOhRIO
j38FvkxI0r9VjrP4dpluk+MA03EVec2DgQmPhP99WEvCIWFjpUsyjdht0B1v
f4cFSvbnBD35c0CGsUnSuowDwrYvZ0tTfODV86lDrbUas079PFnMYeCjoQ6t
JZRefjfcbj3Sx4CRjfZraii/OInQfF+8EfnWVokd/I+Fn8bmLn3gy4AXgY8G
rVVJHj29rO6qFSTejPkdSQ6zdFhg9jN2R8cIgbFnYhptf2fD1uOv7MlyAsYd
lZgnR2n4KNRT5wN1/7FRYzL7pqrAkX2+vmYFE121cv5b9y4HixP1MXINHab5
077GJZAw2repp3qQgEueU2ZEex7QllYMz39L4K1zJcKF0zTIL317MWacwPoL
ieuNpCvwStuFI3MIBpy6PbCpn5+Elzbn7L7m0JGUavXztiFBTWBkYWA3gdnz
tG9+NnmHD/Ze/2ncRqBHst+CVdcRq+7vV3zmW4yWat7xgkc42B4gmFtI8ePt
5q9PN9rEA3d/+//SvOlhfg91f4VoLxWYBm4+Eb7a5Pi3mMC18uaJB1bVYILz
e8O6AQKGdyQFDZsUAt+18tCKUQI7tsmtsjepAG69kTJJlJvQYIJOSUXYLs1o
NPhVZTBB8frCQ3sSYmf+wBRb5vt5aj58HMAra1kNCu2SYEYUE5C8y5n8Tlbj
zfZeomdDE/jJvRISoPxtU+PnzMy6d9CptVnJzIiDrzP0rZYx3kNBxUHzsxvY
oGf+5/UUdV7t54eGMrUf4fYdsqWdGbWwarxEpEqZjcvygxinf5dgWPa0xfGd
HFx+qrhuQTUBczZYtnTl00B5KDRvxisJr1TZvp7bTvFnwbTeoqF4eD9b1qp/
mupfDZNFQTON6DndcfyfM4uH9wpefW8rUqHmmU/TndmWAp+wKMGc4qth2wtL
7ApowLCjH1tWS0BvzuaSUmsacPOY6o3U2uBmAub1tNuzi6oh2lHMqINGwNJz
JVtmkiuRT8Ag32spE2g/hf0f3S5ABx922kGKf90Urjw3aMnHqsp91rPUqXk1
6wj1m5+INgpr1ZYNukFJzFPnuh8cTPlpv1X6IwG/XupG7Qoow2fq9D3EUxr8
UrWdkHRjY8+qmLBk6/fAP9o8zTBhI+eX3SpmB+V3h2OnvbaVov1c7w+q1HkS
Pq4WtBikYf35OP1pBoFSXS6uC6vKUMQzM0k+rQWzo4o7w3IpPu/57SOhzYD7
+rnen/aR8OGI5NsHbnToTt/kPRJIgt1L6UE9gyLE5WnW7ZT/cPvf2zP1fH5k
A/w0H11jEs3i8fOfPil3+D5loYOW1UDlew6PP3D7M3de6HXc1jre34x9DzJ8
S8dIHNCR8B35TfGTV9TFbTKpPDxSdSEzVIVOoNoFpT5ZtXJYYFQ3VijJhCPX
OetmpxdCEr3p83qBDKTL3v7+7TMHXcLYvxN+0GFtY8SNPWdJDPmaeXugmkB+
0eDJu18qgTvPxYvvWGEZRwebrhMdfI6Ufvyb2Sk4ycA31XPdZCk9mFFbYTRK
zcv333rLjp2vhoxV9/wV7jah/qpbjW46LOTm529/e1wsqHqVN+0vsJhdg24M
Ze/Dx1owVz9ef6SJRG5+9pnoi9tH5ZtTX0OWB4y8hfWFtZENDQR+yR6IzWZX
w/GxQf3dVH3OLtDeU5MbyZOPzNpav/g5lcJgZteybGMO+kS1bqNR/D0f7nX5
3y8Dbj6lfbx34soYgdfrWfqswizc5bNpbtkvAtdH3N8osSEP7eqHYzM66Wi2
xDNrvQ2J50Rtv95uakHNtX9idItIHl6gyRebZzUSYNqhEPjzdzlPvjrv0t82
m9LzNmmh5A3DVTz8cz5hW2xDEsUvpVWvomVIIEvc7P8LbUT+38H5in4s7Kta
uc1UmQl3n9SnTSukQv6a9TdiqPudZey1T+gxjaf+3H76cShLdusIAx+A/kP9
2SSc7ak2T3Opg2V/DauVWSzk9ud1ip18IlQ/EtGihtn8rxBu6aWoCX1ALfoZ
dlkHC7jzPkMkyMOJIIA988i6eO8b4K7Psz7dz6XZCC7q5BUZPQ7kZihV1FB6
23JMXKNisBq468XdbxUXxRZdz6XDLflH3sepehTMM/a/85lAmRUllYpC1eg+
P7ZLOrUFfGaXmTNySVgeJr/HTOQ5Lt5VcMaQzkFuPo974pNwjsWAK9VK+D+/
4/aHqhUzAYqRlTjPPm9i7U82z75DeNwhXyqmGbsm9lmqC7Fg08m3uqJfGmHc
wV3M+jTl/1z6y60HI46t4KdMx98mNcxF8ST61WrHfpFrwCidncHXcljw39+x
hWYCKeg0cPXZ/jEOcNcvLF1Z4dQAgXfny0ub+PHyIPd+h9XAzj3sVAl29Liv
isNsmEoPerFtAxNyUXVslD8Zzljsdwui/Gjr8Cu5ua9pyJ2vufPZNo5C6Jdv
DKRJGzcICpM4I6mSZLmeCaYhxq//S0zDUgG3nCNdFC+8WsXfObcEqulhFthb
iYP7M2pEKtlwXCUrzL2dgKiNKjd8JkrB97CE9Ph0CwrssbN3jCNxS/iO9Stq
6RCT7hK0+QKJQrFKpS5U3vAKPtottb8at79+s6uOei0Zcn7ftfk1eMPq63Gx
188xcunHzzNjHDy8xef8pd0M/Lt8geOCvSRw+/WHkUM601oVsOJq47NuUQ7a
btHb4HSgDiLTD/x3ZykbY/77oBu5gYniLpY0MYNnoJ55+bk8lfdepiTdljC/
AsP9lQMma5i4Ljv/yaR4Jg/fce/f1tc9M4x/XAMegsPtxUZs4OYlbp70dXn7
02U2E8Ue3pTT8yzFu39O749TZmLOO/UN3vgSDDWztQwoHl1v5izhROXr8Qe2
EflUfkr91Jfb+wFR62YcrqTmK9LRwvWFFA3tGlfsXKrSjIs94zNOr2FBdPBc
843iDOgZf6OzhkomNt+2j1dEPcFX85YeGGBzwG/1bveOwBpwGvnw44krm2d/
4O8tfvWIZxTmTcwQTn0csBPuLozraAbB5LnKyYIsHv7gzr9RXy2tRYILUcvp
GGv9FQ70+5SbS3wg4I2DikOuIg3LbyQl36H0mEzWqs37WgH/MkW/2zYR4BE2
VGz2oRy5/UnqZN2peYLN8Ph0kOA7DRZU77eNc6f8pFegFQ8TlcjN89z7t+b3
L7J2fCPA3PFGRKZWFZjKHJtRpPzy5qYJtd3ZvPfHvZ/6mHRXzIvi2+HEAuVZ
XudhK/1AwkaKX97f/3ONiVXg7a6i3zv/Ou4y6VG3nDPNw7/2X++Vm85qhHet
A9FXvFnA7ZcWkpEHGliUfvmonMwhIsF4Hv9iqU4GShZeNwmYSwL3vjOv2Pcq
ndJz9e+zS1TW0nj6z+vE1YVlYWVQye7P3yTNgarQNE43VS/LR1lMxwAahGnO
etzfRcD1PbPPJb0rBu78mtrhGew33gKnpm6NajwhkVvf5fxUlmVVEJCo+eTQ
5vAqXJa4sYneS0Dn/qz80xJvkTtfcu+LFZzP7i6aJNCqt3CvDbxAOvPfugjK
j9ocFvRljqcCt39+fCZVE+dSC1lHM49rbGTDC1U7tQzqeX16Yo8GbK+G73E1
pn2yDPxeYRgdrkNirYhmchJRDmL+22X9JTg8+7q/mVaWbA0mLtXV3fNgQTTP
vDk3hBLWVL2jmRr5soNeYF6kxdaj7m/U6KmIbgaNZ1/Nvf+nK7eHJcrSsWpG
y3DpPRK457XTp9kGP9VBl9GP7Muz2QjatW2J1TUouUFmKtKBDSwvd4FNki3A
X1gkmdpD8tSDe3/CfV/7092LVlDPa7UUx9LbaTzzMfeat7bMSiYm7nTw2xuY
Dbq2vkElEWWgJ+e6Qm8zB/gb1D4adVD5Xjx8yj2oFMVarAW25TVCWf+aJwOe
LNyx1VhrDXX/XacGneMla5Bs0Pf0+EKAhIFZ4w4P3v0ct75y6/+hM+mWMfOb
wOp3SgrTkQWeA8nCPvJMfJq5ZQnrTA6YDn5SeMOhY/Emp51vTanzhu6+ljdM
8UFrcbRXbAW4G/y7eOIdxWfrAtpDjGnUua46hbe24M7ah1OZL0i09B0s6vhX
DC5jS6pdz3GQ298EI2+7bY1gQH3Ah8loeRKXPFo/wBwnwPXYhF2rWyZGLJBr
kR0hQPhcgNnR4Bwev88SEg9jrmBC6MGbuo1Pc2D+HacQmSkCN05N+RvsS4Gd
sRqmJEn5tagfrcb1EY8/cu+DuPNUtFyXB0eRid/XX5OO6MsEbt6/WGZ8zvYT
AXF/HHPZm8rQ8o/Z6XHmW5Rf1uj0xYKD3Plwu3HEaM0UAfUG+23WBydjnckc
skCMickNR3eakm/RT5b/18Mz73Ge0uOG4yfZwL2P6dTxnbnznYBx87Pv3nQX
4KbRjAZ6JwHZ/of+zbtfhfHGqW1DnbWY43BdzE2U4isuXpDqYnU8kGBSOTx2
yEquCLg/b+HO/jVhFL/QcuZfcHJ8hvGD+0s+dLTA8XC7B2/ySNQ5PGV5YScD
xrYVD2lvpfLf6OP0xVUEFFsuXPkGqni+X+POt9x+uLki1olGzUf6U468mkIN
zr8oba579z1GHks9WbeZDUsqidixJgILTnJm9maW8/QX9/Ocsnvh6/XtHa46
dnmZ7wkO1HUGBgxq1WMD5t5s+cNC7n0aGqmapl4tRYVT+pHaxhzY2Sn9YXEt
gZq3953uUq6EyxzxkTvHa/Au803KyjNsiOasKjNXY2LZGutf2nFJPPvmSiYx
7S3MxNo1qYxZiiXosirw1tVRBt6Vyo8VFSLx5MY5BXqOVRDeelJBrZmN+cs6
j0V9JbBsSVfffMticJJxv8Hv3QJ2T7KdoxkkNC9s6ClYx8QXCvxJ4/yv8dSB
tfdu9DaD/YSIhf84ydO/3HzDrUfcvDg1uS1fhvLr4HuWgXup+9jOKPDxniTA
yFUYo9tf8HyfpPDyScuuzS0IZ852un8meeYtpnNYxbOXgWdu/QxRECEhgqkS
1f2nDFSLjk1KL+Cg/+kdcbtpBMYoZTg3JdB49lncfOf8YOjWK3UmHC8UX3Ih
Lx58nprcsaU+X6aqfdZRERIXrAnwWdRPgH3nElWf00XI/X4xnUvjRwQYMLGI
9UzVhMQ7pTv/XnlL4ERxSl9hKo1H79MKczagHAN+RYiGrztC8uTH8k2TEU33
Y3Bp4w4Xgm8aub8P4tZDq/72YIVD9VCi9H2J4hcW/JDuHDbsofzb1Fqx6U8l
MEsTFr0aqEKp3ya5wSls3JFmZW/7j8BBN1dJG5Uy+D+Q8Bd8
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4VP0bxoV4Iy1ooSyFokJFUslTkhBarKUF8bZYUilEvNKizRJFWZIl
ElIhRT32kLLvDTNjGMvMOMdSDNXP79+Zv+aPM9d1zvU9z3Pfn/s+q5zOH3YR
FBAQGJ8jIPD/X73cr4f/CR5E2YbYvXsFB1Dd8q+I7WUS7stFZlov/IyLLVhL
ax2K8cIm4SeOx7hIK9l/ZF7oEB5LafJwPd+PjXWfbA4u6YDt7Q465lYTGBoQ
cX1LDwEfw68ULNjUgIO6goqdfwh0kjTB8l118Leq5LDOHwLa47juf1zqoPvC
umf/zSHgNN3i2r2ODtCsePidkdmNj1mGSjY2YyAyrZft+pgNgk82xwTdoaGn
6lJT+Y4BNHmx4lr19ACEOoZdivUaxk0SdlSNeX0gUWvrpP9xEOKGmpgpmUy8
l3s15LNIN655ml9TETGGW18wfxgfITFp+ykjt9EyVCrusWduaUaJR9LxN4V/
oazLWm7GTgLsXLmLl31rw8FrB8QtX4zAOt3vJzQcumDKK7Kqh8EGmuwTt7mC
NHhz6KWAwVU6XI82435eQmKnSzUjZhEL/yw+756wiIEnfW5O7VcngOqsJq9z
qh2qaLsVb8SQ8N9pmV8rk/ZC35vov8sau5H722pcxWQMjv7IHb/aSkXNlQ2S
sQaj+HK92PmGjgKwDWEfC3/HxSVgbXvs/jvo2Zp/5Q6NC3Rq9Ev9G+2wo+2V
ie/tCUikpJoIKnTjnRMFdx3ujGHD/PedgfdIzC8SCmFMv4HjQdctusJIjErR
lvBxfA1/6kqCUk1JWNoRsOKrYSXcfWQfHG2CsOWSkIaABxccvZYt7+ISqN3a
43cP6yD9hZlLIDsTmPh1+SOhaZR0v1SV0M9BK7P9kh8su5GYeGx/ZTETcyIN
wzKjhsG0cVmoYTWBHtlyYht2N8JVn1XF4w9ImNktsz333xzIVv7YVupPQmpo
01Zqz0f0azHUWEQbhA1KJTpLvZj4RUi4oSSKhF2ulLkvklKha38eaRxD4qDy
rpaLF87hWqlJqtgRDniOu8mGbqbiA0e7TyF5BNYPKLQ/kG/CjNFpxmAPBXLF
RFz+eTYG8+uSg4cXc0Aw8qmfeA4Vec+L9zwVEv8r99Qk8cUXSe+SoWrYu22j
3qfDJM6nEKp2shVg/UWtNesxCdIRNRunh2PQpEeL3XWBAInGph0xzS0w2eg5
YFBLgIKyhX6JVCMm1+zZlmnRh6PNjBwFBQ6KCBY2zlCZsOWEz7nhM0NQf2ZJ
sOMZFqhtD1jUH9wLXwN8La9vb0EuO3Cb16ufqJwuXOlpRYDgoM6epPFWvLLG
guKjx0S7gqk1J2yHIapZdqJihy88C7jrc1Z9GuVezTzkTjFR7yy6rtg7hDlb
jJWCar+iZPGT3t6ZSayN0ybFbhZiaGrUp+wYLkgkBFAUrqfAbemT+ceWT4M4
V6ZGTYuEqxm2i5y9q/F5ut7rxrJh+EFX1Ax8wEDzNRfZlBU9QH2h8KhMYwwF
Mvsi1/u34qLbSRKSO3/iagfpH3Sj7xgovHRr2PNJrC8uuBQWRIJ5zUaPCIkC
TPL+p8SCNgLyvVXMmkudKPb1gN5gK4Gh/+jOUUhpgNvn5x3frNgLXqmH1AMS
CCiaryG39QYJegdYaU3j+aA3zno2SiOw5OKf9UslG0A0riHX6TcB40XLDlOv
1MFF46i1w+F92PR8/hYJZMOaanNTUIpHxZtWx8dXT+OHbSoRQwbd+FYyqzTL
bwxkXd4fWFY8DAOrqnUuPmTw3W97rvDi9Bw26p700jM5TgPRdGuXJUtJOKVq
VmZaWostxgu+Wil9R2pM4rYVLyaR2QnrSdU+FDeVGCuw4oCIrTIxb9UQMJZe
C5aSZuL9oAZH6ecEFL+5PEgfb8Iza2QG43UGIP9G8Jju8CDMX799mfweAjRt
XaSao9r43ifvfPKe192tzAPLW9m4M/HYmgFZGmj2Ng02Px2CFTe2rl9p3w9H
begBG5UYoKBq3buuZgTmf69asfrlAOy6aaI7YTCIxu+d7gQq9sO5lJT/NhIs
4J3fzik/nfS1JHBCXp+k5Nbg2s6/fXd7OehWPkFIO3RDO2flmXaBEdjicMtE
kkOBPVUtooEzXXhb5LymmNk4TDoGBCfN7o9dULt+0qWn0FYfSjcxI2fnWGWL
qmAlfti0r0teloDfsTXB68Q6YKNwke0+g0GwYmlJ33UcgNsJYrWFyQQeV8yC
DV1NEMXlZCak1KPVk1VNeRsm8WLacNZ1HwKLOz7lJce2wDq/W9s615BIEXn7
KXuiBqPqjH1+zOqL3Qqlzz4eSXz79uH5zIu0JSPwjXNMxTuFgoo06yW+cX1Q
56NLs8xmo73bK7FFIQQKxAtHrZtuxpdcNC9v7ofl7pt9HnGGgddPze877BAa
ZIJE7JW06yeGwHZFsWeBIhvyH1xSOGJNx523Yw72urHRtC6ydUkTDU+7eLBT
XnPQ8JOUmd26HtRY79VWW8gGdaetpiGmNBCQf1AcdncYFwqRuYYDDLTRoOjG
Z8zq3wPtDO+wJnj+xyB51IfEI2bynOV7i3B1RAjD7k0vFJYHFpzRISChapB5
f1ZPda2Sa6eSrmO4pubDqu0ERJ7qG5ditIGF/27722cJEDW8abpSqxWOnl5Y
JSbPQoWhzT/TuL2gmJzZP+nJQTAqV3ESpvL5Da+fJsZkvFphS6KLYVp3uF05
yHcr3GEakih3PyE3cbQSY10kNxvNvg+hQ/PoZRMpmBI3HFTuw0INjQZfcdde
NPHaz6juZuAKK78584s5QFHvOPmysBGqCp4bSAf9gv2Pfod5XylFqc3uTTZr
uBDnE68TNnv+jCKjc4zcT6Cppi86MLcFd3lpKH/+9BN7PPb17xTJwVYVlRB7
LhevhLEPjq76jjJXKvJ2zO4vr78NhGS62ZIEvmu/vGytfT2fnnlBkm1LBAFX
j9i4PI1uhhfTrMNBVblwRyX2pUIbF5dGa1yTtR2COfkSZGNpP+y6fUSoXmsE
uvMPm95Qo8CO5MLIWI1+8KJVz8R1sTBwkx0Z/rgVFvqpNJlp/4Rw8s/ihmgS
c9VrdHSjYqGCLfIsuJNArQU0+9KLDehF0WrUDa2EWoMHBz5lT+E2pTOq1kwq
ohvDtVtnFIRDNim5GpHQfj9zcSqrEobzWs9m3yTRZ6Ji++M9+eCvtvzt7eUM
9P5Q7326cwQ3+O/2VK8h4NTTurpbWxqxyiXW4OjnHiyyvHKQNTYKSWJDCREV
NExlv9VdGE3C76pVEYKLBuD4vmKLjSpDUOTolL5tltPyhU87aNcOwLffcSeX
yxH4o0t5i9V4O8TlOow5PyHhh5myNVXuDEi/NA2SKqBA+XKfd7pZY8Drd7z8
yeuf91vTXOOiqWgzb8F5rscoRLu20jbuJ6FMI1/6jVIlts2NcYvRp0Ft/Ae9
DZMk1F45xL18qwV/EN9vlET8BDkN2RudkSPotGCT1tyMLnQI79DmsMsx2qsA
d1OnUL09o+rRnX6Uu1RwYtERFrjOX2c9KdoCQz8k5Pw//YS8Q+GWzfdJXL73
h4B3dw76Zm372DhCgGqmtJHyv/XIy6sU89B9Ou+70Sn6nKLf4TFoXKYfmCVQ
gl4hehkRZlzkxHlQvaPYuDDo3yv6YTSI8k8zSbhAYPaluFXStBaMcH22aGEb
AZNStTMY2QAd5Z3Oudx+uCQLAX/yhjHUu2nC9tAwPht/lRYNfRhovm/X+muz
z2Pz2uqeSwvffucxBvVpLDp0r1thcbRs9n8HK2WkbtHRunNpwl0JEp4+YaTe
WpaB61cfK74nPg3Q3O8QzmTDtPSBm2f+UrFfUsQ4b8vs8/5UObZAg44SnfKO
e8oYmLUyyXMDk4OPI9UeDs/qjfMTl5OZWkGgKGrr/sa6D6S4ui7y0hw0yFDV
+kIfxvqXefZ37Rkg6vaf8swUB2ZsHr5TE+/Gj7afFDaQBOwer09MtayHIfWf
p87SZ3n79NrX0oV0+DNM+/Y6lYDcmLlrT31vAnHPCzI79xN4q111Qdy+NjDT
XtYT4Etix5GBVYYLiuBJ5L74uooarC4QZHasmkKtVdbXihvpeLSXKR3QSsCL
SOaha8ateLvyk2utxU+YSVr6QG4PgX8or64NxrYBrx4bN92KP3CHhA1Zyszs
b+/Qv8dXSFatF1f3NH52jiGg8O4uo1ZrElvmNs8JfVIO+vHPhLLE6/H0O5vu
oaOT8KZj7f0/5sNA2S+9e49RH34NPz48ojkMWnZXTA569UHo9rpvRvYsFNvY
8GEyZlYPX0p7OCfOvqd7fhzf6SY4xD7INoyc3efLbeKbxNP4+J13n/4mXm0/
touNa0ouZpnL05F3viokDAXkjt5Fs79d+d3rp0GN69SmtLUeQjc9+jloPoni
orakZWkT+vVFVLmu+wXndf0qlqd+RdkHU9l7BKfglP6yyxcT2lFsc8XOjwET
WDuglnhanYnh/aLCxh7DIDev8cnkVQJthL/sOBjUAnF70p6pPWdAyH2Fd+LL
R3DCKS9wmmSBZc4tp9OJdGCZfPM8LlIOnb7BZ7WmpxCMFWfEjUjc9N6SdYFa
id9W9xUyuwiw7LbvlTvTAFeWOn+RAgILZuqhN78NWTmV+b9yRmBGIOXGjE4X
WHQMcCpL6VhjdXzn+lmOvJcV7R1iR8eNOGQurUEir15luNV5bg4l0Sbny8/x
9teYEiqH2y+SqGMQ9ODmyGfM0hQuOETtg1Kqw4FiCzb+6RC1Ki4g8Ou1q5+f
k418+8DLa027BPR0n5C4b2+qpKD/TeD1J97rvHrGkcmOnnJko4e4Q7gKkwZS
LLqP4Wzeaw+8V3lC7DVY1ev9dN3XBx/N0+nJqhzItEhROy41iAUfjqyhpg6g
X1PKvW2VNEgLaS5cNavn7vM8Yl9/bMVR+fvqw2t/gvvM3+/jM3V4Op18feLk
JCpe1T9skjKM/XqCR+WRATXf6ybjnNtwoPCMyjhrAnKLJvrOBdLRd5mtnMfi
2ZxkKNtVuJyAg75FleMLO5CXH+CmsVXYSzYKev5VuHSWhke3RgssLBjCq31F
9aR6P/DOw0U5wW3N1F6ICLR/Y7aEgAuOc0Vqnj/FXN8av3DlaXxj0F4S924A
/YvnnHu7eRDlY8fZzi0jcJhmXa+U0om/N72r9snqxxkz7RHxtSwsSxfkzszy
nnNi1UeIp+B+S8/OoMNMvKbcHPhp6zCfv/u/fS7qld6PFm2K7lvUWSiis8SW
rkGAp5ktRcWynU8/FMJC+2zcR9BHvrl0p9EP2B2jbfN91kf+7t60Lv9pL19+
fCTknKLe+BEbR7aFU59x8UWNWYTRJhIyYi0MdiRWg53WXP8D4yw0HRDu3JFA
58ubIbpeq3/pkyi2Zig5pPQL1Kaq1hodHcS1rZSevfoDYPnZdJ/Kk0E8YWYY
9n8fZTXG5d1UJtBckHx7K6sdYnsNP1RWDqCO8Htuh8wgNrhROfOdWJAqb5Gu
HtaL6269OVJqwwJHGbv5W5J74YR7p3/Zo34MXXb5/TMTFvDyrP78HIw7Ug+i
J+xmru+ZxGxRzcwXuhS8P1/bGLrG+PLircrkG78VR/DHn5AGIx8KXj5Qrdz+
iA2dngLXkh7Q4N97Cs/00lnYvPOQwjfZXr596R7N+b7mTh+s/hr8LuArGypq
C/rZXQPYKqkie2ByAG6Yflgg5NGLjoLOaW9OExhifiX1aB0HF8kkRArndMPh
tMfSTDs2FhpqzTRM0PCawTql08Mv0MupeU6u1DRY2jgWpe1nw+4PpU0i8+mw
LH+D2rFX9RizYaNcm9ok5v69NV6aTgOablFYzCuSz29K25Vd3cSrISvd9qTE
8Sm+/HMz2Vu4NJ8Ct/99HnQjewx2ydHGjp0kIXiLqK2QSBnw9h3y3y5z5Xzb
4GiuvlJh3wRm3he6ZdjHho+i3H8E/lL58hhvvydE95vIOEpCwcw8+46GMj6/
VDt2wlYknwoHq0NyW46Mop3cJuVXi3ugkH6VPb5pDK5+Wqmk+/E9+Aq572r+
xEVtJfm+c9YM2HxwIskyeAR5eYx3PnZs0vqnYeEAsvwvzg1WHoK3Je9iVx4t
BdG06OIkNS7fPHmM2pb5HSLxRKPjpNHhCuDtH95Jujutm4qFS6YH57QpTcNx
Tki89G0S0nfMdU81zsOcvdlLvKcIpGU3XF5WW4e8519w2On1t4o2uD2xRe94
zQRushrXXfp8GATFgPxdykD/lw3So+IV6K7WQ91JmeLrB9fuum7yZ6ofioN2
X339fhhbg7qNGQcIPGkWYMyUbePrE8Trvv+nKUNiQ1Dc2ArPWj7e5uUxXn0/
t6nguKwsCdFyR7Z+ta9FXp6409tfv2h+DzCSqeO5WmN4r7/qs0VAJyh1uWu8
bB5HXr3inc8sGx29ux1fobRVQvDg9CRsk7tGpD0uxdSZY6e7VnNh7w9TGaXi
EdgnFKzq8acTJudItpzzJDE5b6fqnd+I2u8rRhB78f31bWsCNxAwN7rhUbwI
idFBk3f8I77z9VfWVTJHBgJm571kqZjHjQ98/dvKQ9Xx7/cR2Bp1+7nF+Tbk
3a8bClYygW0j2P/zv0WrHnfy5aXGqpHiDH0Ouq5mnx05RYWPEbvLVhYSsP1u
6i8avRFjA6an/+sdxO933RRSzzOxwKWwMyOODYlLzzmeCqLhua6quf6/elFs
8jLFdC4Bm4skJDvn9aPw0Cupw1JsKN8bd8OJwoYNEUp7jSVo8Cexx3y7zB10
+PLMOH6WpxrDlXLm+1KgJ+pBsl75GEQcEjthPstvnb/P3jvVkw68+TJ6Wtqh
r4oF5YXCR3710pG3P+Xtj9g5zifb5jVCTOrZF26Fv4CXr0cPr9SrdiTx2kyM
tklyKZ9+yYvFddWc7ocPdivFuu6y+Pj/hpKVf4IoBSbU3JckssYwlZghwsiR
2bwcNjCl2cnXbwd4ibbo5oyg4lP7ujLtLj6+5/U74Vyr/4r02rD1ZtTdaO4E
+A7GV4aGkzDQsuOCl0Ym2tP/poQkUIH9Mi+84dwoWJ98XSAdRaJJrcftxzGp
fHrJq8f3y8Rxm1MS6jvsNvmwchqSLEpXvb08hKXlBvTuiH4w6Ci5sXl2fv9V
fvvpy7JiMN7V6rzjwTe44GxRklc0idfrVYUelfZheW9ftJoPG/2bkkf3lgyi
jmj1+KtUJt/++rWc9Q46PAQnStWKD1X1I5T6SUacHcZSuZKcB7J9GOmdkDXX
gYRp9hEZ6e5S5O0PFPJnHKSKX0HvrJePi0zDwaNd6ppf++DkX6u5wefYEBig
Y5T6bxdobtWvN7k+ztenLlC5nD8W1weqx1Tv+b9mQ4toYl5IBImUxUqfXl99
BbcF75vukGeApvOpxYmNs3od/Tnm5N52vP+vBedcwgSc+iw/sy6MwG4bW7EX
Oc0oc5vSNid7GOOv7z95MIcBVQ0vMyv2klD17/PmvJlKvvubuB3YElzGgsDq
0jGfEToUOaZL0sqZWKe+7fjkwyE+f+TlA975fKa/4FJ4EIn0nQ2vNR8VgNb6
znlJKX1wfNRZPD6ZjV57UjOfRbKACPz+6OWOWT5Jk+O8ya2GBQF0FTejKT7e
K0vd7qyc0Yn23nMdQyvGkff7yJ4L+98KUPpR8tzSBX7UYUyk3IsxphEw/TQk
5pVqA1//y8u719O1iOEdHWgW97e+1miCT8959UfIboGNvyAJ8YsWWO2b/I68
+SO8061mupiKG8Yi92w8PMrnt1+c7K/4lDMBBa0nVCOG+PzWRUNc9BizGTo2
3onr+vITKpTLx7XX90JN2CKuWDQB1k9D9pdFDuMjg5goy04GX95sGSvQbnAj
sbh40RG5qmJQO3VvscGaESgrc5N6cJoCAffenxFYXoynrrhI6pzi4t65GbUb
H5JwaJ9MeFrrS+jcNypTyRjEnCd75MLdmaDgvcZ9aSUNLWMH01wfk3z9EG9+
/uAZWHdItg8+bHm4Nv0MB5YF6ytd/8UGCidM1JpKRd78+XB7vIy7Dwm/T7sn
OToXgfT8mPmrprIxw1eh5dBvLiy3lPwxLcOGmbUtRRsd6Xx51HPhM5kF6zn4
bVWXWPctKh+vf+teqSuoTQK53NtyrUH17LxvDNeldOLL6Ha5ze/G+fSdV1+D
m0KcGCUEJEw+fKEY2QhRj2qMvJ9zIEci0DjBvgdcj2WCZiKB3sXrFtL+aQbe
7wHPFDX6niT2YsEeZnXsHgIYkeG6XR6zOrcW95/bX4wPOOoU6VPDsGtaeGRI
pQ9eb/5qPa1Coq+mW48Lp4aPH6oiLg+qf2SCmYPgP/XPhoDoOnPszqw+CXwh
+v3ySpE3/5g23xz7bkuAbp/bleq2VmR8rtfWoBAw8rHYUd64AXl5iPd7l6Cu
oGO57AiGKXcHi4ZRkJcnDtysssvuHYDuCcr2f9gDuP9R39dVM0nos4NqPr5i
GnnPx9xtbZpbAg20Cm3+DL4lkXc+litRGxRjSMweFMx4sPQS8vZ/vHmOlx/+
B7Yv4YU=
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWk4VO/7t8uuKGu2VFSWFsn6lCIllCVlqUilVKRN2uxKJKENpVSUskVE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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXlUzP/3x0tS2hBJRYqSomRJIV2yFCWUJAlRKKTwiWwhaVUjUZRKaaON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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWc8lf8bxzWISktUEpGVrNIurpR2yUyFn5GRKCMRyigkqYzMEClKJVKh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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWWc81e3/V1TKSmYqhIpE0SY+SXeESKIhSUYpMopUpCTZs3KHUpGUkZAV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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWk8lG0XV9FCUokeW4vsyvqo6MlRKJEltCpbEtlFoVCyVCqplKUslaVG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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk8lG0bxi2tlOUhJcmjhUJlLdlOaUELRZY2SwutVGRJCY/QQkIhWmRJ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWc8le8bR5RoSKiUlGggFZUkLjOKhhEpoTSN9JOKjLILRRQSZSarQrZc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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWc41f8fxtFQiRIlLVJmksho6E2JklGEUlIqJaKUNIx+WVmZGUUZGVnZ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk41P0XJSTRRol2Umkl3lKvcokWbVLWZEkpZC1kKfLSYimRZF9Ldobs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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk4VO8Xp1ISQtqklIoWlVIplSOUrZREQt9EQklZQxRlKSHZyl723Rhm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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWk4lO/3J2tEtkgkFGUtoewnWbIz9n2GEFmyzC4lopIi0aYo3ygqRVQq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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4lO/3x6VIKaRQlFRoQUnKUjpFSigVUUgiREWlpBTJEvkI2UMi+zoz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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk81G8XxqU9KZI1lYqSKEpF1EHalZIQIqJQ0Yq0KBSJQsq+RYTIvjUc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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc81P8fl5GUCiVJGSVRQmiq7wsNMloiSkNGSRmVUSKpjJRESCVkr+xN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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk41G8Xxikpe0RaKQlFRCFZTqVURHtKVBTJvmSJX7bsKSkSqRDZyxYh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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFmWc81W/cxyWFaEglTVLKCFkN9EV2VIqyUiIq/VtSSkoaZqHIahghKyNU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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc81f8XxysplXxVlB0VDZkVyThSRkpGaEiSZERKiZRdEdEk0SJlRNkr
HDt708XlLntz75VVfn7/Xn99/riPex/3/Xmf8zrP1+uIXXEysl61YsUKxsoV
K/7/vFqav2/jehrU41P3z66I5e+1dlvF+6Nt3qaqtCAm7tqyMST/BBHDV2TE
RPL3wwbbVbFRp2vhit73LUMOU3gz9jlb/mMiev66VD9Q04c/zUab+Ks7UVtl
wkA7sx8XHvGqy4cTUGdI9o+J0zCueP58i1B8Exy1ET8WmDWBM2b1P5U1fiPv
+TFfc8oIqAY/7MoUJcDirV8X3aaGMfkjdV2UzW+Y87ne0J8zAoeCzv6MTkwH
C5ekQhRjgk7yH/43dVQkSueJVbysgJstdXKuzDYM0Sx+lSc/ijd49cvr19Ag
/FDtMJwthFoyb9T0xnrwzq9737plCqo/7p9roARB9e69g4uBTLTyF+t76lgO
EkO9N47H0tF68LPZTm4yKmn7aq7soGCaPI+4sEkD3FipMyxfMIkc6Z84+trT
0c99Bvq2M2HO72v8jEMXnFsbvvg7phdf2ct9C7lHhX1Px1VV8xuA9fuxMU5d
3Oc6gDrXfqzVeRA/x3287f26GySZsrr823rAz+OOjUoB4lrei45yrxhw60E/
samUCDns+zt/e/SB6qhf6KBpGs6xjx3gk2Fi58jgRflUCnR4Nc/u1yfgt9th
3onyRRBgOiy0wo6BtqovnW1lW+DFJt2Fwr/j4J5Uo2v+hoKw30xYdF87IK++
8uAgGY6FLAScUujGj7UrXXJau4B6kL8uhb8XtcZyS1MJ6cBx/kvG/HYmnjbh
8elx6oZPq559pOv0gFuj/yr5tE5QMPR5PdLcD8ICdisK5Whg53JdKdwhHA7p
/evlyOlCBfNAVV31XjhFPFQ9dpMMR95FFtsmkfFvi7qkRnkn+KX5bmfk9eO9
ti7V1dZtYPq9zmZ75Si+KzI7kM9Jg8xN9++qGBbglgYh6V9L9+6+dcfjmZN0
/G7yb+ihUyMuGpvcjDg+iUd8xH7sMmjFGKLRlwHqGLZ/p+STtClI2reh3PNl
J6RpzWxbtG4AlcuU0u1Zk2DlHiL3h/oT7IcSdwhVM5C1P4qO3w5M/uaBkuFc
murBTIT+oxpzEfkoYZDpzEhlwIQHKTB1RScaHRWRvfNtADzzWij735PRSZZ0
0kaEDHtKRJsV2mrg7auQnicPp7DntYuD4fYmyDq/Jvnq9ASqHA4wd3rUBrOv
XhOtYkehaDa06X1HONamdBTBQyZW/Hf/7ho9CiT7tgX2OnaCWg89pEqgC8jZ
Wn0c3H14xFsr80BLKXydXq/W10cHMd2yyO9ZVNzQyGs9dLR62e8FGbQxGDQq
DHASHArry2AiQ9xE0KYFrqKhGqliHAkJ1kKGnztBcE1k9o7+fiQkdg1z1pVj
YjWXW/0bOvz7Uurkwk3DLaKqBTojeSAPFsd75iiY4biXJtHUCmcFFjivXqfC
fLda3NorjWCwQPpcs6kR7g/8ffTOcXLZeUQ3WV4d2FOJPirDUmvl6XDxfL3x
N40EqHX8eGvMkgnC8cGJBvNUvDZ41Jn9VDE0S934G9fTjF1FXo7eOydQ9TzZ
IegrFXarqWZ1CtTinYZFV+vCVNy7dVVGxkEmyFGyEu5zVQFtq2aF4zo6/L0W
N20xTUUCT1tU/LYSFHHYsyvrfBya/Y2bUbRlApuips9wARVpT52Cb9tV4eL6
Qxds/nVgju3E+KXvAzhGLsjRsSLA+VtbItPjh8FDg58UatUGXqEZE/1Vo6hm
Ztz1UJeIJrqq5b58/cDaL8XXNphYRlAxyPJS4SGTOnxb8jddT7sBVc6eU5Ir
nYSVPfTZ+D+NcEk8TkOOYxIXHtN4uheoyOuWaH1sXTHKdGVKaUtS0GmkdPdv
GyIQDmSXcbGRocJVv+vvSiq6KBTGBa5rBE9vq3/qtybBx9H+vA6FCiVnO9na
pctRa/XEYc6gMPxntTpp5BETZQwTrVygA98VvlYUejaIvemJnwLYqFiofp6n
0rcVJTxCL2hsoQIzLzylaaIFF9Z08Ks1k+DlrIJfjh4VRji9dfLLySAT5B5n
LEGCEgXuCpPQeJhzNhc5eJWJLm9qyNXHmqDz07eErt4J4KpuKch+TcX3zjba
V/rrIKvSKDxag4phBFvL9/zNuHr3xX1MKyLs3yOVu3W2b1k9Oqhbao3LULBY
6dbVe5pEfBdx0uGyMhUtJLbT7K4043Z7FW732noYyxBE3ZFJEFET1Fa3bIV1
f66lNTSOLftcQMzKtDKvHcR3TWqYSAwB6zxg1XNq/HG2PXJFsNcqxHCXHQM8
3yblvx5qB40N6kKDk4MotmHMvnk/DR5chzB5+Xh865ZuOzDQAPtdDSPFvSbx
bJ+y7b7CJLAnuXN9M2Eiaz3nu23Pi6rshJ3k1wzD7H4wfKJHei7zC3Q53Kbr
/elgapY8wXm4CnR1Po60r6QD67xrPvSW2/xyF7iOT/PT03ux+HJ12mXtdKxK
df6RJ87ExNCdr2NPNUDi5rEt5UWTcG313lqjsg6Mnn57ymRqAB/wR/vc1KNi
XTKjaX1sE5BNHnw24MuFHw7XZXuoDJx1G+OpNiwCathwI+MqA5V2ky0v8lCA
LWOR3Z+zC7Wv3CoZ0HmP6penSjW8mXAy+V+W604a7vzZZpxlkQas8yrU4m+Q
wisqZlb7hqWsr4fYk3ZBPn864KbUN7vRzAGgPeCwFvRBGLxDbswKY4BepJ5r
wToyGgpOZCiOUfDvERnKz5R2bGqhHOQ9MITem0vkKow7kGusXTHz7iAKxlE3
80RRUF+zlC5GJCx7v278x3lsNaigcn8z38hS/RWy1ZUmUbqQNvSjdmBdL04T
Stu+KnVhcoAGp3l/LzYLSnHn1FAwQcYys9nxN+hVz5ar76XBeNLjNJXu76hv
N7S4MpqApZbBe0OuDoND6J7GFA4q2B+OCZk3bgX2N+d8miqoMHPA0+CATiUY
JE6ZiU934IQ0j4Rg9sCy/iq1GIlTSGuH5yd3CU/KDkGnzaYTbAlt0HGT08bR
ZxQ68sIkBnfQwCngye5gWhpWiYvJPBInQJ6susKF0WGwV+6NuK9BgGtlvwZt
aofxMX+71/ZL5SDSzfO2LJ6O2/IX5feK0lCzeMsRc9cM3J0wzMmmToHp9MI3
lXWdKOUTaxixohuqzh1/NETuAY3LnPm0E2m4hiAkGLfEH6znqxte1LknTgP9
vlgxRcVUuLuzT9i1+z54cpxuUluan3+oNckZd6mQWpRk1tK1VIcs9Zhi8Wu4
xZIKMcazUwk1jdj/qGLa/lcb2lzSNeayGoXS51dOnthLxahQpwwHgRaskY4X
UJtd4jSlcDlpaivU+LuE+nd0Y68KI1srgwZRx+7Nu5W3gM+qwHevr4/jzVHL
PW5L/694wMA6VTx1GW/87jWZdi5rxaEnJ0NtHMbAMZm707GyGfXW9vqYyk7A
+QiBFrnpVtzb0LVVUnkMn/i7KkwT2zHuXqHZmpVD4KD6ZDJgQw2YrtGRk/82
hRu6zRq/v0iAeAflzv7LTAxbcUNkn2Q7fGkJcw2rHlrWj1yn/wn1fWvFbSGK
FlaPx5AtrEJ+vRgNQyRjB5Sn0iFL64DDWhkaCsRn83zDGHg3IqthslS/AV+8
OsyEm0GFXaB3UpEELX1H3T/J0iAwaqFhFW89xF1h79bbPAUrfzz7MsdHgwTj
FEK6WA68CEk1+DFMQbcT5jLXzduQI/Ax2/yBGjz8dSEq8fMUtoZXNKnwkdA6
d4N+hTkNLepOE2but+PTbEtlq5tDwPr+6/LFkvn+lKB7pMiD4bUMnFuxKy30
LhlK4vtalSPJcI1ssSXdjADjBT+9PqQM42CEx7ySUA2U3WgN4o2bgkqjLYZZ
2Sn4uCxq4ogaE6yYcp8/7aGheithE3NnMqQkV3AsipBxrl0yfVcSZZm+R6xK
j2W8JkE9173ctngqbP4nIippXIRn3Hml3yzplcJR+ZutHtXg4ENUny6bAo9c
zeTBdTQMGnguH34FwZz6OrRxgQjuo4IMA4U+5Oe7XPaouA046G7kWZtR1CmW
0/C7TQQ13XN9l3v7IP7grRqrWgqmzxvd2WL7G+W1V+Ws5yyGnK/rVB6cYoBA
Je8RNykaWBEt2eS3xkHyfseteez5yNVtOgk/GXC260q1PKUDKAH56y82DoBI
iOJCkhQVXBrhbdVoM/B8uZzjq0hBjV5xUiQnERt3EOVe+RVDFm/kZ2uV5Xqc
6fmfvbRYN6yqyAuG9B4YbGvKLXOlgtPVFCWFxgbkPi5g/NuYBCPqmu7H19Lg
1Zk6haMzVHx8yPTcq7LiZeezIZq7uu0rwDBbQm9hAgPMWtaEaMVSwMvk3c7F
rwR4fOXPu4igIoxJXNgTaM6Ak29rfns6knGj/ybx1iwyniDat+X6tMK7KIOQ
quQx+OH5T7PGiowzLtZTt3+T0WImfa2lFQUNW5Tc6SUdaGO1cLrrQB4IxbLJ
dpYzkGBQKBlgVgv3FG+VPbOfAgH/E4Z9uu2o9VQ6Mj92CMz4/vZz671HQVv1
M5ZL88a34ZRn+TcS5PSEP573p8JBnTeDs7w1MHX7QPzp+CkseHqavbytHOfW
ifVZhdHxUPMuz3s2BVjyRMT6SiwDDTRtHdIimnHGYOeteK0J7Oepi5wJpWKL
gIXt96o6YPVXwUUHf2XWF+HEXy2pD8YMZI95ue2/pfv7tN620ZvRjEe+3Z2w
6yXDx7TKkp2m3XDqHB2cIpvRz3eSZK81AalDNcqPmpbO3/xDWlnlN+bT7xTc
b6XiQqtHjW/KL7in9nYjeLXB+bOU7IWkUTgc0CzxRbgFhAZeX5bmmIAObgf5
xYluLD0fF80ZSkNza+H18dJUPLRVT/9TbzM2fC3UOzcfDcQTN7xWujIhfPOv
H5OyNGRyJR388PY96L347JafSEHuxU/bnt0nwKm4zS5ilk3A7OzRu0OYgG0P
Pr9Ir+jGrAKOU2J1NPRqDX5g1d0BiVK3udNbBpB1ngl7/5XauX+pXzOOcGy5
lICs/Mmzu7T37+sm5FYvYRALJ+Dijk1DNUu8ebNfxbHXpxU5jtiPlmUs+cWz
C2Yex3shqd3uzPTUT3zhIVm1s2q5n3Ux25tqltaKr+JfJu72GoPVst8q+vuJ
S7pv52ph2Ac/eilpQlCH4/nnAl+oTuF4hKThrRQyplg4/9qXScJ3ZP0wPWkS
vjy1QeefKg1Y++MoI/Ofe+qSHyhovjdbUw1ZbzU/Z/GRcT72G7O8kAK0M+aN
UNMJwVkvnN0y+uG8ndSzniV9Fk0jzCXnRePJTzl3eVxyIIB97VD3EANYefiQ
zotDq5b8bS5RTPTu1wKQsvhiI/ttiTdCSvP/GfXiyztapotvyRjp/CJm254l
v3wj57hPHwnISvEkkix12X3IDtFkDrVS4Jn7d6+8Hb+X5Q3PXJxmFLOpwD5z
t6FYuhoOC6wy4NSuQ7x23qhTeQopJjlT6YtkSN24OiHgYxdq/YhW/MVFA8GU
2dNtj/PB6db9lmu7W8AWyx/ask2gWFBr64vwbhhIlA6gcfeAcWNyzKncNhwl
eeP7m6Po6CChr2tMBYEdO99pmzfBH4ab7sqLBEjjpfjfSxmGtuz8nfFQimy5
KCP4l74s72Gdx4dP/4zM0G8DkiFJbQNpaV6bde+xLO/Cjp5gv0jpXuSUuW3m
vDT3nrHbiwjRP4HnjG+BuF0XFn/MYD+Q0Ius+mtvl61ChM+gdDlws81dJrL2
Byu/1qZ5JS+8oeKF510Haa/qlvnvJp66zOvELrgLc1+8N/Xi6lnHIRqtBs2V
PuxI95nCdaL6Ftv/FcET31NV+qcZy/TwihrbKGU/Ff6LjDpJXdKPr2ZN/ttc
qah7b53Z3c4G8FiXtP/CahrckZX2v1lcCO1CwcbrNtGQ/aXskeqnecgl60JP
maJgddQHnyvCbbCJbdH/bT8V6gsUDNdrluExU74A4fQWGCg8/eixxzicVMgP
jE8koGXrsCDp3DBc1cjrqPRPQ49s4S5JKeYynmF936z8/Eh3wfO6HxVtfqZ8
rtRqWJZPseYzK3bs4+/PzIJoF+8nfCuYuLLH9agaNw2qr1vqy0znIePcG2Mh
x1bc84QSEVc2BkKbhjaclWiDoNYRCe91Y/CUdt+TcyEPo9e1Do38ZCAr/1GU
i1sMlvSXaBoXdN20Gwf8hNYUG3cjdxq7xssbPfDsuPxCSggVZxIy5qsf1C/j
oT77S9tO55MgTuNr3a0bVHSlm6068JqCZo4ic2Ka7cvyh/cDPh6VhSSkP5A1
qrWl4nG9l9Le/RTY1NGf1OPXBicqXp2r3EbDl1NJP5Wic4DV7074CByNq7+E
MlMh3X3BTOC2t/pBF6ShbvHBcPvwLDS95JC2+hoVxPeWCFd9aETW98Gqr6z8
uvXjxZDay+14LkPvSG7I0DJeV7Tcn9aYS4FrUkPtWWsIsNB2ibfvMAkUfp7Z
bbqka6z6E6vcSORWK0JT3hUPom0YIB+h1sjYSoPjNlzXVPhyl+WprPlpgtvl
wUmiL5yQa8h9/pSJO85+uBfqR4azDM6aoVtLz8zqiYawUrx6Xot4aoKOFDEH
nqA/HXjzr6FP7JI/fC8S7WFCo4LyXFZEKrkMk8W/PtLjakMfotdR5x1jkF3X
USbc24KCP/ZxceuN4+39RrnzojTg3ZHP/mMmHUSzGeT+FCoUdsQ2qVOrgZU/
dOiPTFQuUiBAaasMz2wHsPozXe5w/4EYMhopflewW00GQfc2wXSnToyWMHpR
Iz4AW8PVeGL+UIFhEus921cMbPbz0+TdFFxjOe5k6EWE1dFxAdN7CcAmp8Lk
HRhGVt57+2Tx4SEBKoyJp39e+b0F5G0Pn+6kF0NCSNeF3v0MiA6s/WJCTgaT
tC3/fdVkLuMZ1nyElQ9Z/dxkQRC7gCYZQvwmNv53mLJsnrLmQ6z1z+ofXo0P
HK2Up8Fvrmcb+rWDkDUf6jY6xXGBQkbLciezKuduYO2fngNr6vX200B0rr3S
OjF+WZ7Fyk8VfQdp95QL8YoOkXPQnwHf058/162hYnqpop3e7wowHghsOpbf
jONuGxzNFSaQdV6x5mcjVmUPfOPJqMfBnU0YJkH+ktVznMgFpnshqe83Ayp2
HYiff7PUjw83DzQ+q4MSMQHtC3I0OCNRVmdMe4esvNx55Qyv8cUlfbzMZvRs
TRNINPnJXZOmoPaBdmzXJyJjKvXnzAsK/lLynntp2g5jNHtF3SX976ffnB0l
NOBfa9OReREa9necbTi0K3OZHtjZBpv1mFHgfEPInTMLHVg5ND37i5OM+oud
NfU9FNgfVSYaKFuJypc31nyUpSNrvsSat26wDUt6eoAG7o/m+aIsrJGVP1nz
MFZ/ypqP3+i4Ea3JoELpA/eGSKcS1PYydQkkLvWf659i3qZyeDxHeMO42QJ3
eV+e98JxGHNaKcK3j4YkZTf6pxXf0eVjJfeASxlEn1Njv1ZHX5YX8kuJJaad
JuPr7a2PD/NTQDS+bmCzZBdoiNyS2TTfC58TPqWeXqpHI64TxqE/Q8GQ7iR0
qbQSK/IvrInZSseq0U7hsE2twDeO7X9Fl+fhL94Oe74roULcOl9Jz+5KtGT2
tOVeKsUdWdwHX83QUVG76qLM9G/wOXYrK0h0ZJm/Ys3j175sGSiyJkNEkXnP
lwYy8KsqjOrc74aNVdMSwUo9yMpHDKejlvfLUtHvyCG+qINMcA4mfJBZOo+J
3mPR90ffoHGg7Q/5WTLcXny/UbemC1j3Oaz5P+v+Tdv72Nbrt4iwdbPfA46B
PrRNsi/ovtiG714I6mk1jkLZH/6rhVUVuNrFTtpKgw4Ka1Z6GJaQsVKB2+iT
GmnZPok1j5Q4zXwVgy146ofu3APncWDdt7yaL5HhjmtG452XnmupT2DzrnD7
gQQq9JOiNBo/1IDn4rfpWevvILhwQpPrDBNZ8wBWPWflcVa/ojS1qpOXrQGC
59kNXpAnMTJEjUePj4ZDhNsiYmY5y/JQ/lZRZ5tdNLjgvZN4sDcV/U86XK18
/RUlYk+YmzoyodyJY3FKkoaCaq1tcxEJ0G4qJsr9kAJ6LQzVa2XtMBx/DEyH
qSCcIU42KCpFcYOOrxNDZPxJSc3Tl+1etv/c9sNzYu6/CLx9pDmVx4+JQxFP
nVWHKOD24LYIyb4NWO9HWP2iicFDIjZ5rE3mbeiDd1rt46oxVKhMOlh4+0It
yH/ua28kE1HzInto1oW+ZfszVn1i3d8+cfM86yZSgf+e1vIRLOhoW/wqvEaM
DLvpBymiMZRl+0NW3hUUYqS//E6F2MGe5LijNfDfPdKMB3chAKNg0jCYgeFG
12O6l3inbMzXPDUhC1n9/r9KqanVSTGweM4n/Y0zE/gC5NdufNiAb/llUn0T
Jpf5ccm7TQrvNzSCZJCkjcHNSWDd57HqL+t+8ZLhSe6Vh9rguvCea61zo/g/
bE4CdA==
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk4lO/Xp0JRIf0QKVKRylYh0akkpQVZU1GSlCVLQklSSVJf2bUqS4ks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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXdcje8bxytSZkqUEGmRSlGicGWVFJGMChGFNHwzUhqiRHtoklWRFElD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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWkglG8bxUmIJEUhlSIKWZJodSWhSIUWSSmlTVKEQpaSpFL9bSlZkzWy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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWk4lO/bRgvRQkJZsiRS1hSRXC1ClBKFUCRFSNlKiSSpbJFSlCSJipJQ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4VO8bxiUqLaRSpGRJJSVJ2ntKi1L0lRZZkkKpbKWNQpJQ2QtRIVvI
WpbQY9/Jvq9jmRnDzDn2Jfz8/p2Zf+aa6zpzznnPed/7/tz3K3HT/KIRNxcX
18gCLq7/f5/ZTM/SDiIw7c2YY/ZcDTBSzl+0LO3FWFfGnMjdQSxuL57Tk+gH
v/MtFLk1VFz3Vndr/vI+LBQsaHi9fBALlVr5bjb+hYOXLYLsDCewx+2dwaKL
fcgaGK+yjRpAtwXRoeS1fig+d+3L9sw+NJ2+WrS+kYUpE/Gx4p+aMeSo7N7c
cBqM5PrfbThFB40OvdRW2VxMkr3O9F09BSI6ajYNPiQaPuf2+WUagp7crGdn
qwkc1X7A7VpShb0Tlr+DDjSi/yXt6msho5jbGpbt8a0IT7kve7bt3iQe/a2j
sJ5kQqFlJH3prnagzlgJzdqR6C6mcvlDZCouoasK29T0gdB7/dU7mQz4lFRx
lSZRjZI0weusxHH8Mmn19qIxC1YGVdOLTFrx8uXAvM+bG0H2q1Ov7fdRZN39
Xl8WzsT6xYE7d6p2oM6swNKZE+1gPW0tvOr5MBqvulymLlOLwQ9SExyXjKNF
ldPT4Q8kjtF5S9W1PuMXpT8Y6cSE999v+I9ldICNwAqfJG8C1PtLs8Lta/Hb
yGCa+yoCLTQ2DserNeGed6eDNruyoOR7tcGh5hZYkKLHPKlHgFGMR4VvRD3U
xonTLlyiQa2/o/eFLDqe+cuX3S/TB8Jn1+om9wzg6Z4lcu+1SFxT2FY1tCgP
XWqelB+bv5974i9OzZqFQPDcBwdpuxZIutSQQXk6gsced0R73KGCt4BYR68w
Aw1uCZ256EDiKcaWfz/0U9BMSjzAZ+kgSBUWHG1+SoHW+n71TB4CXjry8cUW
NqF8jklU3ncWLAsix3ZfaMFkJx8RanAvih3x/agYOQiVFtd05U91Qtx2o4fc
UUMop7Bmta0pE3csm7J7vqITDY3/2vZJMWGFinCop1cnHvwTLZgbkohZ2ufj
86hTKLtZ1IzLj4Qo6hPHF4v9UKFc8t8hy0gc0HD1NhGYBkqhp+iJajraahwY
ufiWio4LE0XPJjVCwbqiXtsnozCRUG5uH1ELVhaMitXtY/BobfWdnNvluJWU
/oHZEzj1vvbVz0sslOZzbAj80QoUfjJmpz2JXbaHA2jCaaBXsOqTvC+BU3ts
PgsY1aKJTLcOzWsQXx74LPPPowsiw6f+WCYkYNaNmKZW5hS87NDs+XWWhODa
G4z8CwWwU2m7wbLtJKic85OXtCzBD3L9VQttCBw843YYn9aBoZOIDnWuHZS1
7gxt3D+MoevfXhpxJ/HgJRFjs+ofyLMj79ro/Vyw55pctH75FNiVasyMcrNg
8nUK9SmjDcPCPDZnqZBg/+lFSeibAmTW3VAP0y5FZUW9SN0Vk1AzbJS12LYb
eM92ZKrqEkhWG3C9eEfCcOAWi4qTCRjxfHe613A3HhwR4xNaTHCM30rd0fGk
cCuetA5sa1EeQY1vD/Mj+gbAJTn1N+0XBbxaGosjt9ejJv+v5V+ujUF7909v
eoQPnAub2qi+bRpeZ/YduXCqDPr2bJAgGRMwZhUVz99JoJlJncz9LVVgbfzo
tdERGvQ6PHu2iUIH/aQLwqXYgXq3nZ78GR4CoiztU0EVgSOFvP4f66rwtbN5
j4ndAKZJn1x8QL8bf7r5JbyUbsIgj6X+HuqjoF4qtyprfnxiIZ4Xth1KgL45
/KiXRYODxiPabZvo4Fa+QbG5hIlX6xQzM3PaIfaldPy+ODrWVH/SCv1DRZne
az4B6+sx9r4VF3l9DGQTd/VdvslC5ZeSY/KPW+HpcrJfhK8F9lM/Nch/G8Et
90CMy5SKbr6NggdXMTDjhZazvTkJsspLPA7yZnHoX6WZ9SLnOgYGQs8Lkwc9
oHU74ApLioVMrlcOseZtYC8g3iZ5nIRDSo1VC58U4o1kQef23Sx8lEILTtnV
Bh/IzQz3kkb4N6yt0Wg2CtfbKQojupXg8HvN8Q3KE3DugVhv8QwDT6+8gaG7
e4Brrsll2wgLi/Z5xmltaIZ7b/Zun5rXg4cKhDWr8guE892++XiyF7KFnjHz
tg9iQLDErj5ZAkPf1xFHLRvh1p4F55XraKhUPbLq9kI66BS32bnJExBzIePW
0yONqHFA7dBHZwJsbhDrRUdqIfspRWFz1wDyJrwNMs6gYJ9D1cUH8AubeQ/o
Mms49V5ctCLT60gg3Bohvo5LTYOjrAiv93MS8uW3qOx68Bs6si++Pq+QD0pF
32fGGidRwfyZVWFDD+b+1BXYWszEeN+rHfkTPXCyenj3P38mvtl/5zRlrg1f
6K4Im/MehsMzvbuOzwxAmvGIRJ47BcNi5RhkFAFccvGhZk41EGO4K6XpGYGf
ryhHODrVYaHbHeXTxzLg5m4hgTSPKY7nwW3a+qlubhBlTHVVkms6gd0fr2U0
XA/TKgMxmfE11bQJTOevevfNqAYG9ws1nDw7Dt+EPsi2O/WB8mzBehW9AZCf
PjuUd6YPL+WF/DVLGYBQUflnjOFuSJIs37pjMYGZFaFeH52YeFA8StQVO4Cp
0Nl24c8AnJpauOX2GAU/rmR8HOYnsEqdrnLHuAmNC+XlaG7z+q3KFLm1LB6d
H3KfHj/XhuU3pI0ka4c5/FfP/HKyqiALXF8W/VyS2IZawZeSNNN7QF1rdaXo
vK+yjzfq8Zf7x5wGcd31L8JxYV3I7kfJvxavrfsxv76phslZ5jVIjXC/solJ
g+BEloV5Kw1t+Fa57e7pwvYWnrcF9iQUpfOfaOjoQvJy+Nffr0jMcehqXbi2
DQmpvlwl2jCHHzraan5yftwHD3SkytY/GgDZkW3CF791wtVZ973dxkNgVlf4
ZbtkLwiuejokq8+EE4L620X+dcCplTo/u9uG0L/T/Ky1ySCeKX5k49zQhfxq
hfpHIgikFiqe6EysgY1z3j7bz5SA37iV3Pk9k1DvLt5NUlhw1YjmHmTYjJuM
V02KStKwSLrnwOpl/cjupwtD0u/MPiOBZSLqdXdxBuz4vO7zthwmxtwuTn7b
1g418o5ZDiIkyo3ZHxq4XgZbMywvUF+QMLtk32jbbBqy/y7iO/MlWq4OcvhT
PZ7GjcHH4GshNjHFePdiV+wrlUlI7Hbhjn0WA3tA2vgY7zTwuocseaFIYPT6
bIlvUo0Yb9ei2eJJgttqn0KXoGi4aaCotFuVwOTWlUbymg0QIZuSM5HIgtjR
Wt2j21uQ2rLAbwlvC16xZF5KDB0BibdHYtMptdiQcW1pT/EY6FWrayRV54Pm
JW13/fxJFLLLM17whwqaMTbOpoH9yK7/F+sT3XPUCEhrOvC4bVcDejZF2pz3
6gfNO27bVI374F3wamvjZAYY39uf//pbD/y7NbGnMHIA++mypI1oN3g922WA
ztWo6GXl+8NzHPkK1+2UqyXwwX7GJv70Kix5kpcl5tGMO4SimhUrRjiu9yE6
uJiu0o0RR4WTvjkQaDVquWrAcwCHBTqbMo92Y5lBUO2jGTosk9l3SO8MFXlU
1kWGP+rCo1XX0xIrSdj8+tLHaAkKpLSXmLldJlEt8C2zIKwd3aNc44K1huH5
NsmVBDcBUtOf6O/rmiAvk6hudyNh+qGBYde9eGyVK5LZBAzU3lOg//B6L47t
PWdYV0iHi/y2Cgr+VA6/8jkT89hUn0SVksV2jwRzMaYN/JyuEfPnW2y6JL+e
gw9Kq23o6fEUWHJhyS1BJgEm7g1Pyqv74GJF6mAqweCYf+x6kPPi3m+ufb1w
J9m+Z88xJiosurpQ7w8FfgXvdfToIYD9fs8/orrfOtIJmqq9Vffih2DBOy2r
6pQudJKQ7NMMIkHX6UiwSCULvg/LOr9PbAZBSqhYwNtavPdXKbOvbwzNC7z2
Rdez8KX6rPmqT83Avh7Zf+97Nit7ZAUVig7/IjQCGbjzqK/invck5AYF6v80
SgD2fONWGrDwQ3Yjhva0KQY8GOXgr+Eh6/++H6zBfN4341+vjuPdYudRr+wB
nNXVPLaQoECsEpF6dRmBS71DHmS8buLgdY0h3oeoRuLKWirdKSUfS0wmF2ku
GYC9hzsdRTf2cOSPmv6Nj4rm5+vGnz/5PsZWIbuesucnrbE/uqkeLfC7Liba
8sEIBz9daho4KijaiIfPT936EjPKkdcSt7ne9DtPAvNdW3Hn4gKc9PxoL6rG
wMuuBcqHTvVy8DL7fOcPD/9JCrDQMakmPSK5DZRLvQc/f+3BH3oav78Js1B8
697vvQ7B2PVjWeAHsWlk1+P+tWuWV1qw4M0CD0rhwVYI/7nq4gHmAAoWxahs
jaAAz4jUs19uHcj7549rFc8wXPYs/7XyMYlZH3xjGHczUTbx6AtnTzr0GRxa
EcCgwoLkwYunI3rg3qWGqBx+Fnzy//9n3jd4SgTP7XkKu/3fDHPb+kJCbIb4
+y3TYC842346k4pnqZ/XngjoR3Z/Pbso72WB1SAYP1jJk5bThbl6Ci62ktVo
uJ6c9UgaRzQYj+lNokP4hgPy3KlUZOcra8u5PhXRfhwUvGp6VZSKzzvWbrjg
RwE4efWY/xyB7OvjjwtfZZckAWoh3lqvcxo5+EnokqVRwZYitO3psuq1ngRu
S7UNLYt64dxCt+OVr5iYJRw6MmPcjp9/u9jbmA2DzN2m9n2nBtA0qBY7M7rR
wmWj7F5eJhBPI58olXbi4PM8j50PETNbRSQt70+BcGW06bmp+ZwxtH4b990x
ZH8/NZ40vXcSg3j/YKqqvCaFYz29rigXi1xKol0YZdkK6Qpgz5fs11O75C3o
dzoRtvlvSanvn0J2fmPnjfRvz7as/tECcPBNkMOdEWD3O3Y/UXpk0il7i8SF
n7dLb9DJge51C4SPtHcjQzVNX2YtgTx5e94E8hVDkZE1vUJvkiNPlv/gW7+I
h4l/ae/axIs74esRqyx/7yagbl+6umDrKLL7j5rLv9Jzp0th0bGyoM8Ck7DL
xdmkS60O+qdO+DqEjSG3Y0WBnEYvXP/UJrZGlAnuzZpPI9cwcdeCFIXi6E48
u7PR5te8/07wWTxuKIrCCo004cb38bCee//HhLEpCEixtl9i2QCRA8dUUmmj
SIR1G14o60avjB0ynlIEjEab3V9iS8IV0/V9N9f/xvzDq6cOnO+EmfazwuFh
Qxi0I/XVRHsXRp4uawp1JGFFQo90fA8N/VZr3OYfpHHkA3Y+Z+c5tz4T3mEb
Ktp5vnkpPd0P99+KO6sepqEWefirUjcdPcIrvbb0FGH0+MMb5Tcn4dMBkZ96
PiTceOBUxxsahtXTFlyM913AfBMcI4ckjHpajI72UtEqOS5H/UY/R98Sdv5p
9E+TbuhccUS72oSA4JXZ+RvPEyi9/NHp5Scb4JTnzkh+vkbk3qhOKUkcBcm8
xAnFSBYc+kxXOqvTguuKN/jqiXVCyQGNA+P5Q2Azvexfx7s26FTxu7MjcxjC
wgK0H9QRuPWcw7NdiVXo7He+9FA+A6/++m5f4NIDgVwUPOxHwm/uyhk+sQdg
Ff+lTLGZgK0GIRRv6ypg998qs93kakY38qS2vLq/goDnyaqhku4klPo8cS7l
jeVYj/sk4x1rVzLAXL5s45ewXpj48CEhwJCEusgHdYFKOXhXXHw8NNgbzqWt
kfCbn98iE5F8jzYMwImBX7bSM93Irm/s+Yjla0o6NfRAk46PI7WQCcI1Fx62
FFVi3cpQ8wrxCeheqV0v0t4HYj6x8p/aGRz69YX6qW2fBwGvL4Vtlo+rxXOT
xXWHnlZA4L5eMwv/CfjeJL5d/nw/3jRXCbKt6uPgaeK725eS/wZBoddPoWCu
C1ODbxPOo60YXkW3iRsehn2Dct4vjtXgVg/XJbqXx4E9T7Hz6qnKlImWeipe
PpbzSPdxP9idOuJZ8JGB+rnMSv7aHlCRovctghzYAIturt0xhbrKu+2kFjNw
v0DxgfdJvcjeR9y7KdGpuIlEiWcvpbuTSlFGlzm+a7gOajeS5PH7Y9i2RYjG
WknDNAVz62OS/bgiXD+7Tmv+verPtuwoqUd2/6oq1qe/jqGjUe3sqa3ZVA7e
YL/+IdYdh25LEho2PcynTv3Bk4u5zIUCmbjKcIuV5P0O9I5jzopH0MFg52Sp
aRkVFd4If5Z0JWDEVCluIa0Wz+Zaqu81IkF61jx+wUw2Hh8xM+LbNAA9ZTVF
QtPd2HJl6OeW1VSorbvNS3gycLJ1zaWIrkG8dvqmow5fF/r6tikk1TNhlkb+
nXNvB/a+hP3/E1wBFkenmcjrtrLsv8XtUDe2+ITzok6wz3p7P6JhCDoOX9fl
nR/P719Z2eF3ERZr+Iop/6OBeb3nmH0RDY/A11bh850YOna+ZThsCCJcrkVK
iffhsKahZ8DQAFr3+F2GnSQU+PsvvyJXAv/Z5A/mDhC4rXsqQ/ttJbLP50vm
i3LGyyvxsNbDBoNNExgpwvI+d6cP9ZjfFjxyGcCeXYoPk/eQ6LH3+6Dk8WJg
1xe+L7WpfuWNqBNYpPzSdBQebH4cr8BgwYZK9zWfVJvxYOnhaR4LBhQ6flOz
E+hF2/D0cqd53kwgJpLfBTBAglIbvCqWBed6/c58P9kC7PmYx8OHZ/pNO8ZN
ufZn3ByGQzlS4sHx3aCh8/WMzD6Cw0/Y+2R2/2XnN/Y8+DfV01DWrwmzX3WU
NG4ZRXY9LFo/eU+tlQYbE+6sWTBFgyhJi1qpfBYMTw7MDHU3Q1ft3r4l89xx
JYn/SnnQKD6u26bfGlaN5/gKz61wHodX0W6GBor1UMfzsyn18himkHmrqcdJ
SDBVTSh5Ugj7ryzHyUUEOlDpt4UTm4DpUyF+qoaAjT0SLR2FVcjef7Lzc+QJ
8YE1m8Jh2uqxg7LQNEefcyDMLtingIquutpnbrj3g+uav+cKjxAQMPZ8e3pu
A0f/wXO50yT6F4EDblqbvdfXAPv4bfkoQbQfjbjjX79V/LNRmKsLVflsN++n
mYfadV3S0P9fcu6UHoHx6p+i2vzrwY++a4P6cjrqp5LN3Ek0ODtUuGa0kgrD
+TXZMS/74cNa/r/ODQyoAe4l2vd6gD1PBFSEaPV7xcBzP5v3t3mmOfKVToj4
G0WuQXh2N6hGx4WCQumG9UISA+D1oTVObaIbomuzumVZdHgEGUnrblDhcaCA
T3EvE76eFuK7ptMOhFGUj6Mvifk76sZavP1hpXlWk501icKWUpMv/NI5/OL4
6yc+U9Ra3G+SEnW4aAzMjokv5HpOoo7SLp0I5XQ8qeT+GVwYeCx7g/MErQfZ
8wE7nwl7HrfdNH9f91yEZnSkGHh9Z/PC+sR5XmBY72yP6QcP1QdvZHw94ZZ8
j2+MzDQH720W076lu3yeU/T0+8ao5XjtpqcB4zgBRdsahX0CG8AQKO4X+Sth
85XcpxnaE7BO/0b763ck2uw5bfAhNwHY938qVzf5xSYyoaFJb+/cxg78ur1R
f1yMhXJxc8aXrdtA/9qGyr0aBLp1fXzfJ9zA4f/annNfrO90g2axS5PDPQKD
c6Y2Wpwg8fNzzWLmqUJg10P7PVqaTWPNUBxgelMjagTZ92fY50/3vm1pmYY0
IIaIoP0RdDTbpbPicTYFt1TWKsVRCHwn3QXJ8zw9aZgzJiuShzaS1adW8bZB
ylFl191Mzv6LXR/Y++UXfY2q+3zm73/hoBfP/TDgShhb09RJgcU5S0cXlhEc
+tibdJ97zpHEkWBV0nxpMrL3Q/YfIkPG9Fqxb7lXkMD2EY68xp5n44aqiqXn
eapWi//wKl53kDhQdsIhuxVEdKrFe3lHIIvcMXSwhAGTHp1bQ172YPXumxnL
5v3BJOw+XBkagJ+1OR+PprOwXDDEvZivBRrs9ohjWdf8cbcKD3uRqCdq9mbl
Gxp+P2OrzrCiI52nxM52hoa+cRdPWBbSOM5nR+gzKzoH8P7unOuzOJ9v2PbL
2PmOvf+VfVXi3PaoG1Yon6A/NiA4+syomR139cTn9bHyxH9zvqWQ4D/SFaWR
hoN+rb/iYqeQvZ+zImbg47pBeHzkRpSSIQUDX4a6Ju0jYTiGEFiQXcSxn2ZQ
8UKhfv55qnYYDUX6ugM7rymqrP7aNU4BW8XbvavTCXw4qFK1dH69ZMyoS5Gl
Ccjej3Yo3X514b9ufG6iXVn2nEClV7YOAke70cQwsWWZK4HsfY7MEqOAG+tz
oHnf7mum8lNQ7PA5kKswEmfuGUksE5iGZjst8upDEqNWPknflvMH2fse+Uiv
jP+og3DYs7I0dbaTo99VdlTTjxatBYs/a++9Wz7OsR/J3iezH19WLeMYV1qE
nnKKz8uNJqFT+86VSAsa3JW1j5DypSP7fE1TO0mOnG2CaxKZIneUR9Hlodq7
Jwfo6HLyzsNWcxoHP/0PvkhBEA==
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXlYTO8bxtusSaWUtFgKRWnDN4WH0qIiIUtRIUvWSqhIhEoLaaEiEUna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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4lN8bxomKUJYoLYREISXKFmOnxZoQsmQtsmVN1sHYZyRLCKFIRYQi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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc81f8Xx+3VpCgiySwzs5LeJyWSisg3QqgUSmWUUUb2umQWkpURyoii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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWc81e8bx61klJWGSiRkFYXQOsieqV/2yEjInodjpyhKhaREhVTEWfa4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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk8lO8Xxh+VQom02hNCqSwpZTmDKL/SJqWokCVRSaVSRJYiEZW17Huh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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWlATP/XT6tkqZA9pVC2okVIp5S0CYVQiLRoJe1JGwnRomih0r6paZ9p
Zpyk7RdK2RXxL5G1KNS9M/e5z9uZeTNvZube+z3ns47ycR8bZ1EREZGxKSIi
//++wu/eu89rKFA9nzxsOciAxVkpLRe9SLTcvKK6fzUXtj5VO3fKj4eSN7qK
3R6xsUWHlzvsQaBCp+Pl8zEMGHz0pCDQnwJbXl9lyEgpOB241t0CBLR5e/tH
Ts2GRY6vT8/1JGD7ofTPBnEMVA83rlhURaFK4TDL9GU+Zmwp4u1/SmByl3oN
cxkL5x9fYaWlR8GxnkOr5wczYNiMXZH5nYBzXhPSNTYN2OZn07rvKQFWi2Wd
1VRYKF5uE7U7lABtKe3BKNcqENVUUl1ziQJLg493JRVLcK5Myi1DaR5oXWsJ
ezqDi+aa8zc+7SfAWWpWHJPNwsZ/envcK0n0ueYmJuXLBenTW5tz9hIoHjTa
7txZjPY150xcuijcsv+ZRLp6DjRJXrpRbkTg+TSbwqT1d0B6X11tczcJ+RNH
DaKPc1G5yTXSeTUfihsd/cCGieWJN8VgFwHXz3bNkqgrRLeiD1tSbxBgPXbE
YL1CLaapD934T5QPrtaq79ZsZKHbxr2ppUokytot/DN9lA2d4peeGNqT+GbG
vN6VBAfFx9sYNo8IPJYpnrC4lYn715pYx9HP73RVbu187yqsszb4e96Twg36
c+UjG8rgqmzDsbMeFHz58XCTZXcZvFN+vvjJET6GZwzUe8+rx6WaqStcRyn4
92JiQ4NWGsbNSFqE2gR+uRfic7A3Bn3/e33nzGUSrE/7GVsf5uLm1oMHQsRE
Gm+I1tU+MYlD5hqxnkhjApQzNzQe35wDuWLpz2To8zKNZV9kaefgAuP5kcQH
CjxLdkStb8zEDpLX915KpHFY6k3mjhlnsO+jXEvlIRI0du6/IDLJEbrfpgvj
26UjSNAsynxdYM0FwevPlGYeObqLQHlF5sK5LYWQn/zp27VmPho+cwrXs6mB
uaXi59e+5cMBuz/TqKRqhLu8jB0EASUj172mvGjAXDK4MqCdwhmpHb/2LsiF
ktfOxkZKJGwvZlQQ39n4rK8+QtaAgEH5+6tj3t1GP1Xlm0qeJN6QC0xvU+MK
nffk/n96ObUEHLkV4XDUsx4uFIg6ehgTmHjm76zmtTn4sa8qMOokD9Rqa1/0
j7EhQ3XbpWR6vntqFhWMkRyIBuahnbEUDIYeUVisVYLKcvmfh+jzynO22tF2
xxcE7/eBOnH/moiIYfvWJIucl4n46mcZQdC/P1U+ZUvNbzZ6Gi3/72c6Ae/1
+saO+9XCP89gs5E+HvjuC4w4xmNhMz/1k4wXCew1A3MiV3ExU/xklZMmie8m
vOaZWnLgZXw8eOoQ0HXl7+9O1yuQfOBWymQrAQzRc0c3hjDh13RTb4slfHy7
yTWwIpcJy56fDHTVJ/CPXONc4nwG6ubW/8lNJKD5s8kDi4IaPLtswuU1zQ+x
jLVKSfOzsY899U9IIB9KJ/tW/RdQB/PeWsR60M9rpROwJo4dDGd8zus+vkiB
u+azg7egBATx5WkfN7cECKx5LzEw/DsLJ+Xqp/UaU/A+qDHYS4qBZnZLrfXZ
JHwJ71eFU1zwrttx7mwdH/aORyiz2TUgyH93mvwWnzUicfHWWdys2xyQeufx
n+EePp6WeNjv4VWP1OFfylGHCJz6Sh9E35cid7DkSZcaiTuzrm7QX8aBLVfv
B7I28jFiekb8BmkmTuWM9I7/4kPO/6SlnP9XBSZa+pUOegTai1jm+1Um4+Fd
N9jdTTz0c617sTisAV5rloYYaRHw6tkq19joE3idv2nVOykRwwNLTk73mXYG
2w2eL3LVIzHWnWL2nOGgbmfX6ca3fNz2VTfX51o1QFucUc0YD+7s1o98FcWC
ey+DHVLdeZjidlviEs0ngudzqd7keO0ozffj7gYSm7m4L6S1Gg7z4MhA4UCX
Egfby5VPGE0VMZxGxHRU27mgX/6djW9SCFhoai++VLIWVlIWw3dERBrTw9q8
Y+8nwuP5WYdlZSg4NGLxsHxuFYxsXALEEIG35j553jm9AdpZP30cswlk5C1/
fHWwFtX85Z1jTPg4ePHPQXFOPXwfnSnvSz//GmpCuuOXLwbZz1APPUGCmvGY
jYwCFxmZTzTmRxAYKartyfheBZeopP7+Lj7+UR7SkiGqYfUPdf/wtRR0pKu+
j33HQNvyNFfXXhJKOiX/RBzggldMrvHeEwRqPFQsLhotxznfMi98HaFQbyf/
e9HRNOycsdRR7jqJ8f2tBk3OXOgL2CMV/ZiA3s4u3qYXTBTk/yMzOQXlJwiY
d8pk+TGZCvxiqvRzUI7mqyr5r3iVjW72A/+8TvLwwki8bMY4G9Ytir+N92n9
Mn3tHbaWidnrj7l8yCDwRo9z1cxLtVCy/tnbVVoERqxUPRi4TBa8azYY7/lE
QtIO89VO5lwsI9cp/KT3fU5qHI+9PBuqFJN7DzH5oDnvduvy8hoUxKeX97In
V2n8Rhsuff5MPg5TiktOeV7jYWffT4UsZ5ofApaK9fQT2GXfb3CIw8Ifqa0f
lUsp3CWafV4+uwDW9Wc+GUnnwSu3ZNWnmmxYOXj+arUVAWrEd/eBggIwHMqt
kbAh4c/X5FOqbzkIpYonPqZTaHvW8DTDoQhMQv1rv9B6bVB4pW1yFQsL9y5M
nNdKQtC2YS03Dy5kMr6oSKiRsHd61RTtJRwQ1JPTrzSHZ9TzceSeH3m5vga7
RdX3fJwkoGphsP3mngYIVUmSGthM+xH9p+Iaa9PQeyigv4u+P1XZqMoftQVo
n2k78kaEAt1o/YcZXlXI8f6zKq2LBy6UrfplaMArYmdinfQI2PC3k5jFSMZ6
1RyZSDsCArYvyFj6qgTGVrE9CyVFGuuYZdrKPyNw9T2N91lmJMw6oB14u4ED
2mU/bTf4EDh5ZTi9cowhpM+CeI1/sW+G9TgPVZVM+6vCWWgRIqMhRvstSbab
bjXNvzfF/N6WyvFhc9y+0JsfmRjtZrCc50if3+ODBimjd8E8rOyBG41Hv+J+
sU8Pd0LP8Awv4jeB71WmvPyZ2ICC82hL3PK9id6nH/T290ifhf7vMkX/Cydg
4+5uA5XPVTghVaQh7UFhzA21s5q9ZUJ8fXz9BvHPAQSWejCd/vexEtfm9Wg2
u/OxPPBg7oWOOgxT9F9tvo2CS7vDgq4oMCDYJGlB7mECXPZ6zqsdKBPyR70L
HnC6hyhcJr7B5MWS23Dm8Sy9tw/4OGluNu5gV4P/nqbmfN1LQGrCtc1Lvhbj
n7gdmRnjFNxQOCXO8ruJf0XfXwnz4OMoQ41/r6VOSC/7Bq8e7RblY6hsWI8Z
7aeidHT6Bu9QcNw3QWI8uxCeXQnrFqP5aFabqVfZlAacLNv8dCvtd164mG15
Hh+FOdZdj1iefLRdXar+H7cOBPe1Q6dNsbmSAtHzzW0XP+SDfIZE9mELAm3e
r//vv9x8oXnovQ1Lz9tJ4ZDJ6NEA8wokYgnWIiMSqi6PSD/O4ODd1nGfplgK
J47dUPZQK4Ed274lB27kYYf1F6vuNA4GzTDsqtlI4ct1a0upMAYK4l1/eM2D
830kaBuWbaH2c2EocpHBqtt8LFBV+33lTC3u1nq0mLmdh00xtlt/eXNg5rmJ
uTrGfJhxUXnv8uZ6WHAnRfPdBAUi5FjFisspaMJTjWbS/p6R4n5wWzgD11yz
vD/zCB+CEpb+vLa4HrZp7dBu2UbhtK/z77+VY+CNNb8XxWwiMCD5ZNOXFzeQ
c6Xy5qFPFOYuIF1kR27B3FQrJa1hHoLyvVtx91g43eP7hzsZPDz+StSjZC0b
Bf2Zh/zjhuzHPLhwXsVJ1rwBVvZy1Xx0CbCBOXUBHgk4sG5xmMJ1kv7dQ+Fb
XLhQcElmvqkhif5HllWIp3IwD4st1rEJjLrU/bWorV6ID7qzHMUsaPys17bX
Cf9yAk9GvWhp5ZDw11R99uJTXDRJDtKOMidRPlFadso9DiSYWFe8WUrCSpnp
tVbf2CA4j5Yg92/jh+m88LTpWAa/DL4sudVCZyvDoh5DBw/NBFgksiX5fRUF
5x9HjjU15gvtv+Dnf7yJbGc08THG6XWjk2MNBlcm1OrS+WDTUZ1djM0sKJ9o
VBa3IaBfYcPb6p4idO+IZ/7q4sOr6PdyryerYWDp3uDnEiKGepLT3lREnMe0
3WsvdR3m4aC0YvszRZqvtP7/RYDIxci+H9RsoXyRpunwyDyWgER5d/3q5moh
/SiS6Hl0TkzEMEPKqOKOWRymXjU9oGBGgNlQZY58Qh4K+qddFpvWND+joMKW
ITLH9Q48e9KpYxLNw1SzcYWOJDZs6VJN675B46Vm6yPewlo4w+ufo3+VAAlt
qU+LoAbNH22bPKJAoWuxd+neqkqc11Mg38uj4HXnvn8O6ddR79Q/S1s7Cvfc
vKs7I7ocrXUI87NLSfRsyuC8H2Yj9eZCQjudJy8uunL8xBkGvte6KnHpNx9f
m4TX5r+twj3Z3tp5vTz8HmF1YFysAR00DLO+0n6LURP28qy5L6JiQKrKExKU
j01LWneCCwPXr1UPTSHRqd3fd2gWGwX94WSmpPLpLzxIMtNRyGCyUHaB5YaA
Kvp8G55UHqLzJcfrvVnbdgIubtzzhuGdi+a5EyOqbwiU1GP6twWxwIb9PvMa
m4CXZYGcB4/qYaFCpdTdITpPrF4FptIN6Kzu5ao/zkf/VsagU1cVTD8/xDjv
QeuD5sTmjXReflG4+VDSFBK+tp3ynjmDDd+GbwfY6NN+6pSlr757BliwZud9
Nebh/hMTm477cYT0T2k8Cv560nx51nKJI6MMCxvGm7TqaP4PiL477F8P1Qnr
bvrReWP/7+8DdaOJQnqywqWfoTFK4fxE1bnhFmlCftN935JV6qIihuXM9oac
nnj0iPLxeC1NouZk5OzS3WxYdjV3f60/DwaeB88paWML6bVg/hKc5yeZ7fcV
gvho4SwZmuVbh5Nj26d3yJIgK/ro8PYLbNg8dMT7Jq3ne0+lTXOxjcSIqBOO
67bz4WzTGWs1Zj0WF5ydZ0/zX/aN57J76H0R9GPMc5EVLTR+fKMGzj8PDUVy
eInFcWMeeHVUZE0N4ADr46FPBXTeS533d02lRQ4K+m81RbMPNUMkZOKOqJMW
XGgZTJOUy+Lj9QuiK38510J5jeV9socAi1mSkdcUWeCmNyHCmUrinxFtZU0z
Ngr6ndMx332UDQj87E3UOEzchmlhZ7T5LAqsb95tzR2m8Zh2YGWhhEhj1OoF
kZoGF3D2Sgcnc3pe6M7WzHlRBXsGVMIkREUajeKLY54vSEBBfhfMZ2Ls3eTh
o3z0KJ3NCptTD4L7bRmX6vPVnNajb53T3yIHz5k7DG3TJoAzMuuEmlg06s2c
Hn7Mh4BMr8Eis0mGUH6QjvJR4/VScFQp5OUt22wU9L8So0qyQToEnnxen+ty
+wqi5Uel0goC16tLNUpK1uOEvJXlUTsCT3/NW3/yYYnQ95vd1zSFMgi8v+3f
Gy59/9usEkT9ZUn8+8W/624UG3PXFPEddQn8KrFK5NqGBBTsn1y6v0mvpucf
sWMya8nh5ULn36EifpNL70sfu4+ZeSEUrXZ9Ly3I4IHp5oWNvbTedfImwyzC
KQiOatBQlykFd1sn3e5GCjd4V0RYzsnD1q1mJ/tu8eDeMtXfjWpsFOyjBPWn
Vo1hz6D9zLqGQ6IPpjbgsYPfb065TOvXqNPyJw5cyCjp07pVQiA72MJ0oqQO
g6c+CpmiR0LCsvRNc3w5QnrzSTnSQK2bxBjz8I0dx7mgsl9auyaQAIfD+ieH
eJVCfNneVvh2qRMJcvNF8jXluTBz/W+3Y5l8uPXmou8d91qM1cyq/t8rAjaJ
Sd8zPskCQT9hkv43tMaaggOvHz93167AU1OLvGbZEDh/9tjUjKdFWFq2JjBb
hkKd5WeZF2SrUEzapWlyKwG7++3i6u7dhuil+nuXxPPw+bozJv3H2dAMGQ8k
oni4To/6m3CTDXWfHx1XCSDRdubn9oKtXKE8Iti/OVojz+gWD/W/BPw+tZoN
zOU4yPenIOiSecXqwVK8mjJkl7mMwuStHnkpxpVC/cudT0fl0wkCl/02NlJ5
3QCm6jmMHnr/He1+X7A8cBF1dFXcFgWSWHZ25nopQy7M0rLmuNN6qmrfHBwb
Fgelp3sDQw/zMerf8rsblerx8Y4PvaMRJDZv5y65vpsLtWuUJs8U0/mtqe5x
3mgDnNomrdJSQkHXk1Rdr5IC9Cpk2D4RF2kMDZkLGzfGwoWQXQ9GCQLyVH2G
FvXR+cDconc4hIC+PNLM1qFKyF8tU72/qecQAUo28a+CJktRM2SOxosCElwm
YiXsT3NhdEJRP+IYAZo5jzbz5pfjRMDU6Zvo5/t0UsSlJykKH6Tb1BjTeeua
4se5y32rQNAP5ms9VfwbTUCdywaN1L3VQn2VmOZmJ4c+Hqov/LRqp0gDCOIH
xwInxWh/ZmE8M02TwxGan7jeFzNFcT7ciJYoWqZJ+/+ZA++a6Xy2cNwrIU+y
EqZ58D9m7aDx5HK6XPZgnlBeF/Szgn6SevJRyf82iUVhG1ad9eIK9UeCeuF8
sanE/hoPuvQfTk+l87Ygf7XX/9tlJkrCwkOrGQ3ybPg6KX0934QHO9Y8Gqo6
zRHqb46UB3fWdFJgV18WdM4oR6ivsh5cUBfEo3DxEHVuZet1ob5299aU/lAL
Oj+3Pm0wr8zHqEJiXiedt5Y4qm1O7yuGfZU1hqxZfFB/62WgN8IUup4gHmom
h6ec8uDDim134C+dxwT1+eeW1LnelST0i2uohNL6IKjP3csiZ9pLiTT++9F4
jvALAUH/Ub74ARUZTSBnQW2fjHk1Fm0PGTtuz4PjdmqOjis50Hjf6KE0nwR2
uc3gBxUu3HefLZ5oROCTFGel68p3hPRGML/P9Dx3wGGcxrPzKrnVV28K9UeP
Ux/m/2Ty8Vlj4j5mcQ2sPPHlet8eWv+70kwqHhRBb6bYrj8sCu9JlVY103ob
H85yrKLx13ob+vF6rJA/0l18Jdtek4S3iim+Cy050MfU2ur7lULZDu5gYWiG
UB/0yyJL4tM3AqkLZmW7LBtQ0D/0ayje2r2Lh5bh+vxvuzhC+ynYp9iUnEg7
Okb7B3eHUwkpDSDof6T4B6yWF/Hgs+OBeaZ/G0CHLdlrSuthkXfQctbPeGTc
Vt/7ZwkfsrwD6uWzmeg5bcosDu0/QYez5wWdF2NcneQM9Qn0fWAuZmadIbTv
gv2iBicfimi+ES8tvNH6tRS21K0fL5WhYItVlKQuzff+xdzcqo18OG+gEFEj
zcSOo0bO4jF8LFmZkT46pw4E96FmrHu2zwMeaLx8dV0lpAEF+74grbhFE4l8
3L8/blyjqRZmn4rQTZrDQ8ksJ+VbY/Q+CPyfIPh9Oa/ncolLefAvwVXS7w2N
t90zn83PJmB7o66rXX8tCOYxwXkK8rd5EcvoGO1/+M5WfQHTkoT4aP1r30dJ
1Tz8VzJvj0pzg1D/nHe5N6fwN52X4tfLicU3gHOt2YGjkTx8Q7mmh6Wz8fmC
pF8r6etbW/xMlwuuRcF+tfLregkfOh9EbrCoux2dgb/unx7g95GQfchGabEd
VyjfTbCSG89GkFAq1jrt9y4uure3P6gYoUAt43Wxf0iaUP4MbpnG0tcm0OCj
6NCPjiioKw2IcaOvX/C48bPn5dOQt/+DSUUACev8rVz1gYvFOz+mK7bwwTvg
gsb3nTVY4FFm6LeWwpGm5bE/aDya2050zU0iYPn3Fa8mGTV4ZFRhsZ8aCc2H
wiUnlnJw4NhLq8NreJB35IT4IJOD3QOSW4lYEq75/NqSb88FwX5uV0vsa9NP
JHp/Yv10pf2hYL8g6M/DgvVa9rgREJC4vfydNAMzZ8qk3D9God4/vX1++Xcx
psO2r6yVhGK7m7797lyhPmNwrXcdi9bLnIFFom55MXDxoKJo0CUSY4dUzH7Z
c4X0Z7x3XVZ0IQ8Nvh2ONJtsQMF+5/MeibdOn0kw22afOM+Mi9qLidGLYnxc
V5CT6q7FEsqPgngU3CdZP7f+pTsp8GsvbI7cWwGleu4ieTSfdanAj6z/YoX6
JMF9EKk3KrxqRaBXUtn6sNQC/DDWxFwYxAeLkKWD9jTfi99rCflnR8DvohRb
XZFSoXwsyM+C/kAwrwr2h5/jj8U3biLgfXOrjrz5TTxqWSBxq5HAQTnV/S8X
MZG7or1RjNYXHltj2fyWMjzNim3c/oAP5561989xqAEbu51vL8qRuOSh0W3F
K2xIPvL6TzW9zxb6uqU7ZS9AmKGy7cEcCnZXJV03Sy7E/wM+Lo2W
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4Vfv3x1Gp3IgMdWmgQZOESgotNCi6MmUeimSeQiKUkDGzYz7OEeki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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXdcTu0bzwjFSymrqFRKWQ0qhSuSUVoKoUKUaGqQop3S3ns8q0RWw2xc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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk4Ve/3xkkyJGSKRlOTZkJRrSIlRUXIlEhESCUiDWSqFJGxzEPmzJyB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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWlcTO/bP6JsKUQUbZIlCSmtXGOrSFq0CImyZMlelIgIpV0bKe35Fe2p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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk4lN/bRylCpMVWKJRIlBRF56YkoiyVIhH6ppKtVITs+zpjG4QQWRJZ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWlcTO/br+OXElEKiRYlSmj5iyy5JiUqRLaMSKFFJUl7pFRaaRFtKtmK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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWs4VO0bxdmkQoVCOeQsSimSpLqnUkpCRCQKHaRCUYSkkOSQklc5JBEi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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXdcjd8fT5raQ4UkFQ2EJBTOiRDtfe9tKZpCe9DW3uvb1lbae6j0nDQl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           
           "]]}, {}}, {{}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk8VO/7xu0qJEuLStYWFVGUUt2IsiRpQypLaKdFqRQqSUSyRUS0SNGn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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4VP/7xiO0KISIVJQlZYv0IfSkiEKhEiklEWmRNtKmtFCisoRISCpZ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWXc81H/8J02VUpklNAhFkdHQS2nRHpQVqVQSKmWTKJXs8W3IbGjJzEi9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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXcg1d//xxGVIiPSkBUyQhKRck5GRtkyblbXiuy9t4ayUkk0lDIzokF4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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk4VV8bxg1JSjKnIkWGyExC7EMhpWQqFVHkX5lLRGWeZxJpkillVkLE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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8le//ziwzMzKzQkRmRN03QmSvjKREnygh44uM7L2S7Gwhe0TWc5NR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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4lP/3xklZKkqLrRAqSVQ+lYhOES2WViWJopSskaVSlhYlRSUhW4pC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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWlcTP8Xx6VQqbRQVBTaURShxbfFVpasbX4oWUJZiihaZU1Zi7KFFtKm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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk4VV8XpqIiKn4NQiEikchUhrOESMk8ZCjzlCEzIfM8uy7XrKhISiWk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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXdcju/3b1Cyomh+RBEtQkui61RSadFeShGlEtoq7b2fxtMgWmhKGloa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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtmXkgVP/3xlWWtNm3PiJ7KTtZwgzRQiWRZCkU2fcl+74PhhZJyBqhUkik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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXcglf8Xpki2RFZWKGmQJAr3Gkk2KUVkRKHsssne69qUIiUNKRSKz0E7
Kfe9trKK8NWSXfw+v3/v/csf3vf9fM45z3me55wr7eRl6bKGiYnpDzMT0///
bhYokb6QKEJWst+k+3SslfS4W+SVpFcyqKpM8N36TkUSP8sTJ7nyoe5x1OEA
goqOLR50k1PxheLVUHPh8wT6T9jWtO5FPgySRg3dqFRkV3L997pdqRDLkhYx
PElFE6Sft21aI8F+pVFviI9ARDiPn4NJIdwS4pi1+0hFRKFe7W2+y/DPZ6xQ
SIxAbnH5QbceukKUh33j5z4CZXdyqJjPx4LhkU1rrFaoyGH5htNKdyjMa9RU
aW4jEBrtUV4YyIRbKnINy4NURIpvEwj8ex4Uh970Hi0iUL6Vk8wNOzeYj+3Z
JvOMQL+01m0qX5Uly/LuKcoMJdC7r2Kj8VZJ0Ooaz2T0i4ouZOQvz0TEQtAo
+wwbE4E+uBQ1tc+mg11cQ33NVyraxvOuxNnlHGxtGniQ8JJAyV9YXjDbZMMj
/64m9j4qEiGvvan2SAAuJNWl7/35FQnl+JWvKhTBgB5nt9kHKpI63ZvkoxQP
NM+zs7uXqIitUXjg0j0KnJV/d3vwExWV/KL2vFRPBCH3+yo7/lCRL6moQXt7
DvSEVruc7aEisUNDmzXs88FxyTF2Bef7mrJonEHuKUj61G3HGU1DJh/lA50s
kmGLA2/TJK5futXfEnHuRGgSWGd/E3+vw9h1QF4gDHa7mx0w2Eqgxm2/pMXi
EyDclsNUYo6KPszcGjj+IwE03r1snsfP77uz/kBrfwyM3DY7GLGGQHNaToUT
xUnQr/DVM+snFXHkjR26fjoUFLUMOlW2E4hksBCsF3wJPm2m+tQbEGj1ynSE
vHYRcI3MvNiH449LD0o9EHkeRg45FqhdI5CX3XDuM1oWyMVJVMv3U5HlVX7m
mA15cIakSGHupKJ6zk0Ncfy68EPH37etqRvp1TQkJDkXgqsfIaeD8SNx8rvv
uZt5cE3t8C1BGhWVp/68k9aZCVZLU1O8Q1Rk0/0jTMlUmTzT3T7gWfqU1Efy
vCGVbQteG2w87LJoKM89aeRmWDCk7GiXe76HQKp90p4vuLIgvdEr/s8AFdFc
qyXadLPBiOtgshqu773lcLMDKwmQ8cU8oB3nZ+it31rvy3ngtutzohk+XyEl
obp1Szik15nPbt1CoNpKw5Ff9pnA5L2keGqYii4dWtXQVVwPW8pd5koWulA4
sjdfdt9Iru2efGdztIvEvXH8+MxkFpC9TtDm8Xmil1w5267Gwp071ioFq1S0
2UJSyI41C0zqLxxZh/FSYHxaP85Kgeyx5rtz1Yf3JPrzM+Vuv6cqFsLXsgbL
aJyvwsuF0gG2eeATNSCXhO87Yxn0QifLHeyulqyqVBFoXEKco9PIAaIP9Hp9
NKIhO606jzt5dhBhEhHe6UdDKgrZ4438tuA9Qzq1XERDqY+V4/4aesPT3jHb
N5EEshcPmelQcQVtC4UJ8jCBmvs7Duu7RoPymvd7a9cTSM6jtvTzLW/Q39Sw
fDyMQHlbt9e378mCm0N3k6/gfEuwG23VMc2BTyHeXFIY73utVzQ7w/jAoHZq
gO/EMIk+//GP/rxKHs0Cl4gg/vUYP7QYmrBE2WH4miTH1NvXhW6bSbz+dTQD
Nj3loqZ8oaLSUM45gdlwKJGwStkiSSAr5bcvH1WIkYt0txwReplJUpFp2WzV
lA9XbUTe+uH+SpBCzjfSfUFA8bVR3DkCOT4+9uCfXDqwppIKJcapaFYrZzo1
NBAahCQXTDQIZMjyyyPZoAj25f+R2IXxTgt6Pi3n4wsbnZ+vr3Yj0O31yu8q
ddOh62t208QY5tPAfWt5NuaAumpoJQXHG9xq3MqjlgM73F0aDXsY3296pffF
2+0izJXO+miZ4/soLUrFs/sB+Vf53IIzgWY3BOg6cmeC7YCSrNEIFR2JqzNv
3nkRQj7XJbFYEkiYfde7qhYKXNmpkHkb46e4S2mNfrkIlLj22vL4dSGzS+El
abLK0OJwop1qOMDAnyaZMdaBgZGQfSvov3B+AgV2Lmq7fIsFUxWfsETMz0w3
H7Gmv8qFyT/vVkNw/9oFRGe8UC8CgcRiHy2cjyeyE/eXW/JAeUK1dxzriTpZ
xq3cJQuMPU/myAww9vs/Sisvn2wcqHlLkWv/UZG+pbDlw5khZCHVc1OQc4Hk
9Mn5cuj+GFBt7kiWYCVQYc7m26tyKuSNO2zt2ibLSD/vpNf8jI0Ck6nNQeNc
BNpzOf2Kq/BpcJf3+thvT0P63TW3VAMxnlIUlI5g/ov4UycQdycMjC8aJs/I
EMhpqoJqtS8W7I345bcwE+izvUbhef0YELng2zzIQqD+5fqVG83ZYHpmKVKl
F/fTSdMW+4e5UNoheKwEx3//2JbMCv4UmEqfjlCdpqKeHgdOvoh0eGcVti8S
179zpcaxZTELdlzUCe3G/W4l1rNOxy8HpDXf3+3tpiIuZmmrlDkKnPxvw/x2
XC/DtBJVU8FTsHEmh8aTTEPqCVZXbln6QkesZeWoO4Hen4rRy21OBRGLh5z1
E1T0O2zPPT/uIjh8jdrni/Mv53BoMO1tLMR5fzadxfWK3Z9S26+fA6WF7pq7
Md6uZS08kX/ERV4VC3xgfvwVydFk98846RQwbir9Jojv76nxvIxvXRGklTWW
h+Dv6b6XNW5JdIRaySiT+4o05J286X5F3mVgO8pX+UiIQDGKti/602Th91Hl
4NCiGlJ+01H/OOMM2CHKy3QT9+OU9BtN9burqAbdqHzuP0lqpDRM7t6aDYmC
4pQAnI+PBj8U3k1lwkqvYAKB9X0gbz9/6dsMOB/naiM4SkXGVUOBFqyh0HOC
cqRegUBFW9UCyiawXp7xrFrpoqLrjxStdYUpwFwiHnwKv//KO4pDdXMmzL5r
WS+J++Ohx/Hs047pEJWw3qAW14Ne38pCF6msOalwLdGghQ/7mbdR3o4HN+wh
57yicH8eb0aGF1o3eMRTgJb65prGZ9xvHyfz1xbnQSdX/g5pzK+tgTw11WL5
YB4Cmxwx3iXXHop++jITPk5lR6phfeLceUWe5yYFyo25ZX7j+tL7nbtV5wc/
FoWCoHSl0n55Am0/xrNH/WI07PHWYfXBfCpWx6+f2+MDPhxy8+1eBCq9JqVN
TvAG8wHqbFs45tvGO52HfkbC+TdCa77zEohfdP/fA+vioE+A94ME/v7puD8J
1dvygO/8Lc9P+L5rE1+wLZRg/xHhkS0wg/kp9q3qxcV8SA6ziZDCfLiRxEdt
Ys8AFVm5+KivjP3OO/vtcbaWCtkw9Yz4RH0Jgx+cZz+1UlzkBp5+x9Uq6gkk
YL2P5q6TC+M2kY4OXYz4uhd/9VW4mxWUyb49Ir23E23jWCckdigD1g9I6DVi
/ESwkQVTPheA76VTbVNY31wznVzKOXPAZW+uUgnGs/hskP4Dbm8Y2dXrNxBD
IMqb9nvCiph/Xgv6duB4uXKzYwLWO0Gu8IpzpByNwV9uFB4wjSryAVVBTiV7
XwJl1c+z3NOxAPvDr3NLrneieHLE4rDDIZDNWxQsI3cjeS+dr/4pYTB5zf7v
OVkCGXx3+tNQlAy55yJlyNiP3dkXceN9SD5wlPhhOFDRG+vt879uB0Bg5uLL
7doYv6vPXlSUx8N3y/OlTxZw/7Jp9j3/UABDo80bVnF83C1PxZnrw6GxX2f9
MtYvORb+HDPeVDgyXq0iMUVFaZrbkpUv5YKbvZTJOpxPD/PhgvsrhaBlFBoU
g/M5Xlb+7O7vC1D4VDhkMgv7ayuNRVnLAuB0E/W41UFFV5XtA9vN40DMXPqv
MOZb+nmAHo/0eKP3xw2xe381GqaCy9vXejdx/fWOFbv5zWbDs6rxP224Ph31
v09lcEXDCYn4TdYcBEpsp4iUM1+GX2GHH4bgeSCqWO14sFAsmP2cOZCD+ffh
f5Jn2NZQAJl9e5I3yOg/Dx3wsKllCQeFS89QPvY/9HxOr5f088/yZ71Te42y
4Tm77Zg85h/6frl6J3wj68FcCN14zOkCzm9B1pZnz0r84GpbcVOePfYTA5qD
anPBwBkYURqtSDD48YJP9+0D/LNgrvhxKDPWO4tZXUsLTQosR/xbWcL8UcF1
TVl2IAucZ5+cEsZ+Zpui5jd7WxXy/mOPaM92FpLo8Uzvh+jxLK13d8pgNB+4
nZtSSBhvXytazin4HQMzWQPBJsFOVFv1KM/7nihclWjsZxXMQ5VGuVZdqzkw
IT9d1oXje6/8liViNwWIerX30jjfPDXU/xxnA2Fdt7PyPXXs3yeqau5qXgYt
muKDHyIEip98TQhUZMLTO48CkzC/jfg8Vl9zmQLxzsfPmOH4NhWteXNP8xL0
JukcPmZIIJsfqifNzcPgtfv5h8flGP33++qz/kRqNgTkDAoWY31t+KMrrdmQ
DbbNCgG6vYx8ftL2jtyv+mCwaeA6WaJEoD+qGw+QBrOh7tXEpkWMt5JvHx1F
3lKgYLzSPBfzrU94FIfYtDJZQnDRzIXpCanCUKLqUVIALLnN54/gfjyVtiFK
yleUfFV7cttyUyNq61ny6+nOhmOag8Ns+Pwrvl8SzsuEwvLZ9DpVrD/Vz/3x
yVGw7/HrirfcBNplvFg/SKTA7+x+gQLcnzt6HxsvVuSC+EmJ7vudjPOf/YMU
I+3CTOi7stxfjfNn6iN03f+wMNymVN0aF3nJMI/R+9UhCc09c4XhMDjyIeac
FIH0uBM789t84a9wKknNlUDFMo359yQp8N9a6X4DXM+pFeZQiShx8lzh9Fux
q30k+nlm7vB8luo/afBVun/7+bNhpOvbnLTXPQMaOoLe6WH+Nb3PJmCUngEm
07w+7ViPA+PDRO8ZX4brzT4BaRgPw86pZ1G0Pox61I8qcnYjkTD2u2e3Yn2r
7k2wxf1M79ddQ+/28o0lwz/bTMEC7Dc82sWrtaV9wDip0KM6gEDPRnvZld5s
JBcotqs3kCgk+nmSXj+9wn+MjWVHQRWPQ/UV7P/Orcs+tUHIDjSOm9w3DaEh
ifdZIas5CaAeL3t9ZpaKmD2d7lYYJMLE+ej+NbifnvYM1XB9zwZm6YvX+zF+
OPm/VIZf4gZHhYVJsnMTqXn/1eYa0TTI49x7jwv7LbdPpUHy3QVwXc/s/Czm
axaZRimLan94saVs4cExxv3HtKGC17bb+RDcWHUhC9dvpu+pUvD8MShm/kvZ
tL4T7f6yP3esMQakLhB75nC9G/iGPynJbyNzTCg82BnfQaJ/n36eYfAHdp0H
K18HQdbug57G+whk62dp+Tm9EOxGdPg58X38HaqFd0TFgDn39K5vawlk6S9q
UnAyFZ6cWbCKx/zttZuHNyShEAyyvPcK4OelD32U3vA7H7w5/1IVqIz+B+zF
d2k7JEO/Pli9xvzn+yA9suJZEnyIFRA3wv6Kvp/o9Z3eL9DPc6NfPNR2ywSD
FOueXVF7Gfc7RfKlMgV3kmGBt91X4v/7kL8nWCQrfYFGUjhjd5ZAlYeHgwUq
Z0its/Kn0lt+kejrV+tuVRK0tJes8LxgNONOBUM8V3TOXjyQkw0LweVDafj+
Ou+LF3okEiDX5VuX6Tz2S+wW4rd88qBoVuGrK41x/xLOlqOlwZYLdRaldm8w
37oJfOvQOZwGBg65i0++UVHlJoHG4BfecPxfyemxEAK93m7adCfhMnj8YAvn
EyYY+KBaaMDk1lgYRKObXpxY7/xun24ozs2Dbm3Fup34/AtCg/JHraOhVFej
bRH7R/2YipMpKxkwODCQHDDCyD/LxEyiZE86dJLNjoxjv8f5qeGkZ34KiMpZ
/xH8j4oU2Vk/T7sXwpPCzVNqOF/RT5c2P0jKAtGW93XtWL/o9wPyvqc581lP
gPuC+taj3TQUMqnyl/2zF3zOd/3iGUegsKYgtYD6ZKj9pjD2F/e/szXbA44d
mfDzyhb1mWHMn0LpBQ2HnUD00o9D16VoKLnqY5uI0UUQ6Hh1QMqCQJ6xzFN+
lTmQdMJ5nQeen1oNZdt2mUXAs6XbU6PiBHLgf2MivYLrwXY5KxX78eNfdzXt
EsiCejFdYgTrzea7STN6n4+AevB8xOO4LrTByZPfzjYDjsmuafD/wuhHTyps
Xdj3IA32XGLhnRunMujnhRvPTnQfz4KdR5xHDuHvbzuYzb/CdAaqn3pWdDHT
EIdver7AF2/oi479FxyM9ZBXYcf9TyogyTHmfe5gP2Kp+i1VKy8DFSk0tSGn
FtJFZRP5b6npoGNzwuIsnldarHeceNDhD+KhhSLNVox4puf/Iy/USBdJOXBa
1DlQA/MZ/fP/nMFU/jf2n2WqUTSM31In9roikRiYPtCudhXP1/T7H1vWTftS
5GPAneZcbYf/Tz8v0ueLHj/0+z/BpCpFC99C6BmPq1XEeNrw6rUIv1Ue+O3j
ms35v1+vc0mNEYsGI+YFBz7sF+n1aaK2lt3SLQF+TnXr++N5Pj8y3eq7WRGc
VysKlcX+d+WTdZG/aA40uFSoxvQw8pGNosLOSyHHwdthRxHvMg3FDDescjMn
wEFJm8ZynA8eviLhvr/Z8Nur9WhTD+M+OtPxVteUuRmYfA9dz/atk2G/EceR
YHBePRqu/hTUimEnUP9KpbNEVjR8YTccmWAjkJJUr0uNVwHceE2+FI79uIaL
HmXWhgKanb6Sldg/MV33H7VAmfClpvarMe5P8VNS+g8nY0DArERLD/d/3+8Q
kmhmDIQRrQp3MX+3qR8tP79gCBxXUng7HbuQpuvlsVGFRDhwWqHxKNY3tv7n
kJbsADzX3ir2HqKhk6pDSw+NPUCEWLVKqyBQ01Bgk4s0K3nthH3rSPFXhvmB
r8nZwVQqD4yXun0ncH2ami9P+sZHwh0PypACP4FWt2mPe39MhYk2E/YrWB/F
QyrLhF/HQVTJIkvMMn4+bGJ141woKBDsl1owH9LrqcrW2dDCyTRQjZiISRxn
5Ff6fW/kws2gyR4KXB44tuSD/dRKSmddsU8G1La1/dmJ+/fvUot3skYkrAkP
IWgbCaTRedQ+xToRil4pPezD867Llj1JVNIZuM2/e+Pnfzg+s66UBB8pgO1W
Wb+Z2lHo99Oy/Rk5kL3tKHcp5pdt7g+1WvPj4WNE4dOveF57shKbINRjCS+N
N/GbuHSibhJy1CalQH3/rFTnf4z7MPr7OM6x6P396wdxxUoNMbYEctv1y2OY
oxBk90tGPML98B+XUOY/lWzYvils3hrPJ/T6cfeV0PF3HI6QdbyoyPsADckn
S7SXFReCmL/Y4AI+b+D+OWvF1x7w8km4v/lNAp3WT3C9oYHzyaz+Zg73y774
/Ja5NSTYne376VxrDxIeSPsdMLyHPKF3ifdFahP2Q5JT23vzQOWkx9sXmD/p
50/THfqHly5FwVRzXZ0y9r/uF3S9N1CUySd6zmT61dUjrYNsF5+OU0D9WfaA
ySfG/RS936PXX+ekxrCRg6nw7sQPy1bsR3bsFtfeHpkEj8IKHAdw/x4Gn2bu
8hyI+C7ZEIjr8zLW+sl0xALSPEst2vZyDO3fKNi33zsdpjOOKRdh/nxXZapS
figJfsSn7PX+RWW4b1mV7jseg3z4SuGQk8TxTutnuxzRzoTNpsDzCOsRPb96
d72fLzqRC0WSzFnquB6Kv4sDd3cHAsvzNZqWBxj3YfT+qU7hRcfhN+nA+yao
hmmMUU/cLahNZyL2wzo3+fpnbn2ItTehdTY4HmJudRXrLFJRjXPQDgehbOje
Gmub18e4/xDQau+fu5cBrBKbyT7Yr9P7P/p9O/3888hOfLrjTxyovjA8/XOJ
is6SC6zKv0dBqH7g+6+Yj+n17uojWxlt9zwQT/511RfzQ46c/jEFJU+Qrudi
laHgeb35sE1BIAXO8TOrOWF+mzpyZIL5pytMzhTXvuomkMwWE95PiTxkzmta
jjMxXQy/n9DzJ/2+L9VI9JvMDwpEuHSMHPzE6N/p9YEUH1By6noaRGtJ+23A
/qu9xzgqzC0SJuTuJhKYz6TPDzfsjUmE7qofBs6YL+j1lN6f078/tfa5EXeD
D4iKjZwW8MHz6RGxa3v1nEH6rzjNloeG1giXxa19kQKVAaqb63A/qc3Lax+d
LoBFjtErPbg+71Vuf2O5kA8FzE5j3zBeBsseBrCIJIFa94d3Qxi/aqEXzAZD
skBzzVD0T6ynh6y3mZYK+oIySY7F4gL2F3cWLyyfSoHaV9bD2ZiPaq6XjpxT
SwPqD1cRGo5X6ONzsx0SqdBxr+XtKu4vpivitl7yhTDRY/Mk5SMj/ujnL3p/
Sr9for8vvT7+vvF44+PcDKhZsmZ9gvGpVkH2MxpMhaT8QZmICcbfd3bfeCn2
0S8NNN6zap3B96f/PSCFwuLf05cDXHqV6SKYDwb3FNp0kMOhS86J+7E0o3+I
IOuLo0+5EM828Ps4ns8DMr01JQ5GQc26sLQzPARS3F2t5+PGTG6VlcyXcRhE
/wPr6yjp
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk8lO/3xokokmhRWaJFlkoSheocijaUXVJ22fd9HTOMQosIH6SFZImi
Hc88zxhlK8oSSqKESqVFpOjr9/vTzD/zmj/meT33fZ9zXe/r3HIOPibOc3h4
eH7y8vD837cg81dQdY81vt1bOG/85iNo8x+O4skwRda+ZaWyCvVQJ9D+9i5T
FrvCO/WXMyrJhhhdzVY2Ha/5fW4giwh40p2eyz7KxNTmdZc9FxHgyrquvuxv
CLLkS8v7S0g4RJVNSyoJUib89wte7nlBvkoqNDmreQyD1vl006QegfBOf8sz
Iubo1nHGc1NyHcTl17KvxtnhnQ2T/oRZLfh8mt9xfYM3ChlcBRtrNiiqsOZr
qsdgi7GddYczC0qTxGN4Ij3wKWdFoWEVG3SDVWwr1CJxT++3ttqXLNhz7Om5
Pt8YNLBukMo7xoKPIguy4qqdcNBRbf2LBRyIFN/5dn85Ey+1LJA+xU+AVf+J
t/qLGShr85rFl0WAehN/tJIvA/t+WVUUnSTAMlN46b8qOrI0rlcPFBOQHX6g
8uwaGhquDCuR1GGBaMX0xPugaIz/3M43TGNBxL5blQ63ZClNp4G2xaXd8LrM
+cJ0qhAVR5R//ba2HnxzeKokXvmhTL+BiEE1BXlmse8fv4vH521DN0rlCNgj
qbPAnx2Pm8X6SljyBKSfFVO/RNBQduFZD7eVLLClTevUlEfj09erBwxDWdBu
c05V4lI8jnqXcd4oE2B4Ojq1BHzx2771UWribHh8pCzteYs3/klzqfpPjw3Z
U8QWxWWx2CHQNmUylwX/fvfToub4Y2zA7WNNdygwl1+k+tN4FdZkXuypS6bg
WebnqjwtTSr2Hk+E5NNLpHVPlBzHnYZtqt8Pvd/EAo0XppFBdBr+6rwo9EuB
BT2Fqltvx9JxRHze06h7BDh7fHFbNWCH/CO3R+W31IL+tX6XiUEaJiQl3A9e
xALL32cyCz+L4qTuq3z3uD6QLt7InzTAxAPHxO6mTFVzrVfk0KUfnOMMJKfy
P71OIiCaOXw8uUQRzX4u6bwlk0baJa0tZiwLxCfvqfybRyhoi75wybohALtF
1tPanCngP/z13tyfrhiw8eGNdetr4Na6gYOxv6NxRc1BjfXeLJg4zY799yMU
H8X8HZMLJkHhvlP2U4YGFedK3ZfCSpDVtR12d92HBYIBK86PPIGEjPsZfi0e
6HQ1xqa0jA1WQgteBIsw8INs0T+ZbAKWGuJrYZ8ALCg1iAsJpOCXgs3ZmrGf
wPP/n76qZBMtfVEZBzR8cDJ+YQMHIvy8Wm0rI3DwSsBei68scPzWWwE6NMy5
LF7ip8kCqnSj0s+DcWjdK9r8xZ6ACwJryHc8cbhEQ4S/xZvg+v/1kKsXT+9l
4CDVy9xwjgA5GY/CB1XxuLhs2ClzPQGZC6eaU1ZxIH1Zl9t08xRp33Ruddr6
SNxleMqlqYcFel2brt0USEDDw394pieq4alj58pRi1h8fUNb0PkXAYv6eHcF
Fvghc2SVSuxjCqxPbF7U3LIfoxql+rX2PwHBWJet3kvjUVj7kYawDgGejhOW
+l1ClJPSq/wjFm/Idi+KfK7oj49616t6lFKQZX15UDAlFMuOZtWvSiIh0fr+
6qsHmFg+razXJU7Ajt2KKQU5cbi10HgozIyA1E3Dv7de30Y9N1t9XlzrDqgI
52eH/vPEbwvKh57Q2fBz2dyX8wV8MHLo0NXeXWzIMSs/GJ3FxGbrgOESQQL0
n7KldZ0j8NRZ+leFae5+Tjl6I6a3KAqrrgoJKF9iwTZ/+406V+zR0MXKxPIb
B4yNlYaD9OVwW8jaj+9MU7j6wyz4ne6tfDp2pmwtirlJAE/k+VtyTu54VbCn
tmCIDa7PXOVdR93R1Dx9juBzbj2r57l1V002GDsV+VviRCkIMMxduSnCAie3
gNc+/jrIMOc9XyDIQO3jXZ+1crjXE1h4QLpajIaLbA3Da/RYUH5YTqyWE4zS
iUdXMsdIkLcbzdUe9sMXslHy9Q8pCBy5oVjhpEnJyon9u1V7gRw6uyhkfaIM
pmQfHmfEcLjqw/PnT2qeTghG1Yrnrukk4TQ4Hbrl54cOLwO//nhGQf5If3ad
Oh3f+ke85nlMwC6dpjQJwxh8FCZ1KNGBBZsOmaxpehCJ6w3ku0ZqWVDsEL2l
ISIIX7TmeTLWUeDimbbGY0kAujaNaRcwKEjNSWiK79pCKbw9I/fS4hFZw/J8
1cJnj/P2rvcfk68FTfOAVQucXVHXQ2D1eZ0a6DSZsOgLNcMqOu/yd3V1cFBW
f4eXmiMa3dhZ1BnEgfqaL3/6nhzCB/OsTBjLGuFSjv/XiCoGvtawy5oXQcAV
Xvrzy6LuuEVh+auyMTbX81++sJgyDozDZ3eXiK8/SsDowu2Duq2xWFrGNBR7
RXD5WfTp972yjt6o8ll12NKUDYlbP93rPh2Nu+xaZAOiWOAx94rRXa8orC25
kWVfyIKF/LvsPSUVqdftKdd/q7WCjclOta0v4rDT2nxE6iABYubXFT5/ZaIM
K/fy/L/VELcwO/HYmB969k582XufgkiNqeywJaswua+NhXm18P3gdLJUNx0L
zDSF1a4RMNTIl5ms4odpk7w1x3opLr1Qfs+Zlz4ejml6/xmwxUjwTPE6lUzZ
YzPzxB/RIQ6ce/Hdt93ZDbU+iYh0idfAdmVbX7MxBj5RW3Wv1ZeAEEcr71tX
A/DbBz+D+Z4UrIneMcLrZIJfPfdyft6rh0x5kn9xPRNPPtLI8eQlQES9PsGj
3AQfaZhtTkipB8M3t1aWCMQh+tya3+xFwDzbe9oZGbGYfLrkzcDQTD1ZYMUJ
CV9UXIBtXpJsULMbkWtTdkfFOF3/8VE2pMs68tw9uYbKebcqi1H9grx+oNo2
Zq0dGvs/zPsSWgs9DJMIV8lwTGkpae7TIsHdvn/JJ7dotA8dj8qnz/htaM7d
kPi1qHFoNDHFuYEMDovdyRcQgq1bVBdYNpEQtc7t/O+kENR59jqN8Yjk8vMM
ysngjPfMeWkMO0rbENAGTZIBtqGooFl5qvcCCeOpfdsutsYj36jcpq1rCS5+
+Escjr57IxK7ha3b+x7P9G+6nVLuHjsk0/c+LfOshXMGfenShjQ03eha4qrB
AldT/iXmhpqUg2SW8NjjbAhfvE7l9oIwDOqvcPvrS4LpGffnhfLxKCJDv2mx
i4DIktsfvqjQMelY3O1tdQScizf4tL82Bl0VGtYcM5nxZ5bbiV17PLDsjfeZ
dxzu+m3YsuhUct5cnJuV+SDrOQvmvH4wHujriCEfPaaynDjg8ii1p+6NPSaO
FV0f6ZnxGZqvXGhZEGpHCRzLlqFgawDrbSrNCe/84HOYkOTmswvmhR/ilBj4
6ygRePECAb9c/vy+nB6ItQFdiTv1KS59nN0/GUcS01TMA3AigBFBhs74k43w
WhX9OAwMTfg97ECAcfW/oDcjNBzPu/ZyoSgLnuMcMbF+Gh4xsDn7RowF253j
RZ8KM/FHBRnYJUlw7d9sP56yqMu+8zkIc1QkN8svo0Cm+StfcWsEDngcfar0
iQVrqR6OEWpQAs/Pe209WUU6JbrHjMlso95K/jkjpXQftPW9aAdHt1G+Tooy
VHwFefJBzpX/aAdww5yi8X9TTZA9LzXXV4WGitTvaMFd3PUw+32+nkhZuvJD
JGavG9uzkWDBT6t9yZJpK5BFJRZKqbeCv2yOkf7EDB93bLMVmq6BAzmySyan
otC8Ol6OcZ4FPl1W/cGT/kgupXlKnKRAdOWgUGSoC14tSm0xulYDE/HuvNs9
/FH7ehWfyxUKLvTQapUK4/BG1gHrdBMC/p3YbxrsHYvHH9DY4t8IUGnWzux6
wkBp/fVK30O4efq2/X/t1gm2eOFMI8+r3Fpg3BEKfjMnHJkfgxMuAsnF47vp
xel5p8LR8Uh8zZ91M/2kqsWbO8bE/CEJBf0/1ZBWbpVpzrHAM08NLNd8egy1
6/Isxa9GoP1EucypHywuPbmjd7lE298HnY7QRktV2bD8r495gJUk+tNfp0rn
d5INoSd5hOp5qfCx7Ik1u16TQ0qiduwXIfgqp3+fyR0SWptFF+6iuaPbx1pN
kXdseNLns6xXVQFLd21R5fN6SIrT30QyPOLRRc9K/ZbaDI+Fr/56xCcMn8Vn
Q6MNCaJKgUsC9jjhF3qZcqAyBxpzBT0aXeNwQ/lCnSXHCCiz1frTU+mGYQE/
9i3mrwHerrJXqfuj8PlOs77JUhaMdK99H2zKQ/mqP3S/1TsM0stDpn5vNEOd
RUnH5w3VQffja9fjnOjY77Xwp3M1AR1vRLwFIxyQra7VpX2DA0rinN0eL53w
u/fZK85zOfC2+aOEjJwP0g6GvjylzYZFwwxN0xx3HCVynaN62XBIxrr61HI6
6hzu7V35ZEbv1Vc+WyrAxC0mp8NuSBFwKZkd60ePR39PhfgtmwlovL5u2Qte
Bn6asyDR8iLB1R9TCWsOrNgfj5W5Is8ntxNw2/NA6+rVP0BbIW+ZT/oILEx+
rXD7byC+PDz/xpFtFHQMpvzYTMbhpMR+eocRwVU/KgMen4R6w3Ahc05Mgz4J
4iPCRQrR/8hzDwWIDdVD5O+8I4FhDvbI8rpiaS5QC3xFYRJff8bj3aIUGeVV
BPwpWvlXzXMHyn3YkyixvhXuD/+6elwoFqmRv3LL5rFgftvzT7VPmRjfYhRU
wDPjX4uPlg+cccTs2zlf19pwwLxmPMmwMQQfSEkdVbhPwr3u8R/9PQdR82Si
yhX/Jrj5euvdH2xeVM7sy3QyeUFukxc8/1g6DumrmH0tbtx+0e2487D1mkBc
JEmUV1hSYFkYa/hLLxoj5y1d8zaBBXLTA28FzKxRevkctG5/BE7ZYhkjpXFI
XuQ/ds2YmPG3W+yyaiY6dCYvmZxDcPnbROeJzTXPw/AdO19oy34SMrbufVJb
x0sd634QtZc1RI4VZ+02uOiLwYUbVx2ZokCYEP5xpAFR7OeCi5oDz2B4n93y
h0Q0psaGRfwXzIJ9p/u8fAzCcXRK6k2sKgmwYcDRUYaOg25Gg32NBMzmf6Ok
dWNLj0RgkW9pqhEPCR98Dl+E0FD0KTz+IOwcCXaxj4ue/w1A7Zt3NpUfo8Au
t2W7f7YOdsebmqqefgZVy3dYrjl1GPec0Xa+dqcBJv486ezfFo9nP2WkFGgT
XPmlaOVON4l8L+yaclW18mRz8U9ltNvkUiU6zjdBY596gssfZufX2fwym6c1
w0IUzaO9USpaQunNITYXTykm0H+cqpzRuz0B+R+kSJit/1a1u2/u04vFikw+
8Jwk4Pxy7+9JNaFY6OMwkkQjwVom6LbRHybyZ25fxJishoiRL67XLAKxpj/x
W+chimt/wiI0TXj2+GNtbMXflEKKq58nQi+ENK37Q14CiUibO69hP7Pi7wcN
f7xV0dL9t5ji4i+DG5fXLd3ExMJ9DKMPywiw7zsh0lwZi28C5BIU+ghgaex0
6r01h7o/V3t/7PE2srejf0R5LBKVzDs8dapYoPjW3MRxlI7FXV9Cyy8TcGg7
/Uw6oUrpbbgTaEjUkaIdBQtuSk6TSzr6q63zZ/RtlaH+mcsxeLgy+4GS5Ux+
W1wSNbhkKSV3s7FByfYRyZlarb631BGDvUJ4G0w5oGDsJcKrrEwpJSepFzU+
I/l1zlozXUJw8d6xAL1mkqtfZ/txzul3jq55gbhcUZnvyB4K7J17F670CcLb
yruSdNdTMKFw+NvnSlf8Ju/Vel61BiKIvl57nXVU8AmD9DVbOkC66F2JSFQg
pifnloscoLjOZ/b+VMY2RSQVx+OFHyd0FZQIoEuR30V95yJtxTaN+bfqQEDx
mczGHT7IV6jUrbWdDaz8Z/25arG4OLSRipgmwKWbPjn2NRDNYpZqbdKkwL34
v0ulEjTstRF23rpnhkdUe8fyS/ipI8HPxtpCn5O39X56DoUaY6bwvY+LVBpg
QZuN6uLxCHzRX6ExPsCCm6M3j6fan8CWiXVPTQNruHhndj6efX6cximX5K0R
OJytytMkQIKL2aPLZp9dcPmP4jqz5BqQTxo/tfVzHPIkjTA8987wlIib40R8
LE767b7b/Ing4p+m1IDNpgoeqPV98r52PZtrfhN/I08ir9gXz3j9TfWbpMCq
df7CNH8m6v+9qrBdhODar2i39PZvUkzU/CI4cXwFweUfD83s62SXmaC8UF5K
3ut6CPu4uN3hQBgaVp5NP+BEwuCKXNyXFoZG0i7xtubc+nljq7XdQLQfRgV7
WBk3U2CjN10pbuiLX64OqiiJsrl4bf/KhZwlxv5oIXQzVamAgm+2PK+LnOxQ
Lba6IdeOm/eOWZy6nx/kiRkfcywOpLNB5vSGuO/dUfhC8engYAaL6zxw0Dz1
Sy8dbcqGs8XyCRA6pTt59QsfarAWO/ZIv+CaJ8zO74tVE6RPGYYgqyLuvnI7
CQ6SOTH+QifQI9imfSezBlyUl4irYDhe+yNi9kKNhOhLDXThFWGouUzI38ub
hCP9n5+NTAvhQd35lak6HVx8KJUcKTB/qR8y2zLcu95RXPw9Ow/M5onZ/gHf
irWOutOx5uLJuRpVBJxQnv7Wvj8Qc+v9hhuNKWhRTxgenT/j/31Wtq90CS59
fmTR11V6nI7be9Ty0wkCmuxb6aGPwlBQQ+JdzsEZ/eC/OepzMhIftpVWPX4y
019hjJC5+sH4L2G71yUhCpgW+wO97fmwRzegz2pzK1kGQ8HB9jO8Gv3gfa4o
wdXPdZ4JgrpbZurjrEK7zlI2JB4cce7kCOE4xZHoya+Dw305V1drMPBMuNwh
71QCVvFpndPpoOGcQ9+33FnCgsCWH1aBjoHoue2895AhxcUD+Mc/QLqYgdd1
xWLXRhNQIb5DzVzUGp//l+ckOfSI63fvotO6y2mxmF4R5iLzmYCsA8Y/hw0i
cO7KHXLBc0hwDCK3x2oyUXR3Qt7epQTXvGZPUEbqn4UhqN6XFb7mHQmz5zez
7yNm1/90SVW/ST4Dpx3MBFViCNi0o0zp0s6ZvH1FTblGi+DKk7dOb9w8kB6H
Ow0PhHqaE1z3A+lVzzcb8tvhSoUQ0ja+FnKC4OYvKwb6b3+fNZpMgIGAwiK5
eU64eLRhpaE2BzylDrTrh/qjUm5787xLM+dZ0DbQvsQRFZxfBV+K5nDV3/w5
uRu75tKw6Vel1Nt9LGiILtKyDIzFzocfPaivBJcfzeaz1B2/ycZr0VjQXHCF
L5wFOs95/dR6Gbj9Iq9cfyABHKa20kcLPtxj2d7WYDdMzp7XzvYj1vTctdfq
6Ch7UjY5u5AAs7p4+5bL5pgsnHu92LQO6p2Giic0o9HZSE0m/xQLLu0fXbvx
mQsK5HkbRZyvAXXF/N03G6KxO2SXy2AgC/7jnJs6b+yMiZTUwsDhGuAv47UZ
/eiNOnNP7NLUZYN8Hqd/48MwDHK8KCxkxJ2Pfnn0r03apIiK2bsnLV+Vkgv0
kuRMFeNwfcNBzfYTBBBWnR/Cs09g9JGn9SWuNVx8/vBXmfhCqVgUfoMvv/Ox
uOpHNKQ2vPSON/YEMxV49rNhiJOnIxKjhw4SO/aGBzZzzQtm18/XSTvzU5E0
PPZSQtdXiQWlxQxTBbUxkO+s1zTqHITj1XmPv1cH4pf7c7+lIwWblgWZGLD2
IKPUpvvNUDOsTdEyOqxNw+UbXrWNa7FgIev4ObH+ILxhInGoTYICL70kLReO
GZaxCp5dLKqDyd6nGq7t7ija0OEW3sEGMRWPaVHxBCydGPUJH6/myjez80ax
TWNK63/RaKXscbcyggUuV9K+S0nvx8PG0+tzM5+AC7PqtPxpBi55nG1oyyCg
VKjgfUJaJFZ3r6p92jhTX66SYpe16dj4ld7cWEtAUM7uEpcN8XiQMGjz3UkA
n9zDqA33QvHutMXnDQwSys38dLuSYnH017aBmI8Elz6WPTvHr2BIx8P6EXob
2QTXfHJ2XizKN7UqjgjDpcFhY0bWJFyaMyDq8iQWe/oUu817CLDh/bMq/LM/
utxZnGmWSHG9X0fR+cfz6p3x7tRnEdaTGojfOMHR8Q1Eno5X1r8PUpBRPmI6
zyoSM9Xn+1S1s7jmE7PnMxNrFw3kBNOQZ59Y4idlFtf6d1e/asuVpiGzZyjo
ui4Lzsot+fJvKAbPPAg9nGU449++42We+90w7UKQ2UuJGlissxajM63x/oqM
N7/Zj7j0afY8Ji+NTiN1GFicdv2JTsoMDw8WBF64GYC28/wKfrpRUC/Y+FEv
XpPKruI0bz4fAwoZ2jJ3Y11xw6BT1uYdNXDU5EGHw7owzLaqm+7zILnqQ3/1
yDI6vypF3zGWIWPRADJ+hxapCFtizpXOm9mtj+HCF1q9+nZpTBS4nRxs3Ei2
922wCnbTxXG9DRMvdj6D71LqFTt9IzGioek28YwFcVcNjeKK6Vg4Qn9pWUZw
zTNmz9tqznZOaQb54jem9m9lgRm9UD3mTteMxQPNF0xkp7jvzzbdN24eeuOL
e+KDLXm/Ulz7u17u/d9wuhFq0sZ3Z9IauZ4/W3/lNxW9PbjaDyF7w8TyfgqC
u2scdjzcghU/dTPX9HeAevSNbRklTBR8uXa78VwC/gfkEBK+
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc41u8Xx2WvvlRokEJRGUkJSfepKDMqZe9nfJQRQpQyyoisSCF7FtmU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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk4VO8Xt0UiLbK1oCzZCyFR74kIoYSSpRIhUbJm3waNrVRKvm1KSFKh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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc81f0bxiUqejIzShkZmSkjZHy/ZqXsvfceR0khodJDKGU7yJa9hYzP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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc81P8ft31DlJUts2QUWRHvVyojUUZWVsouZBOyOaOUkgiJipLKDnW6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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc4V+8fxo0iSigkoyQqZGav5xipFDIyMrKpfFHxTUZUMksqGmiJFNl7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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc8le8bx88xU3ZCWvgaIUVTievJjkLIagkZlVSyK5RVqKwUiVBCykhG
cj8iM+PYO6NQstIZ9q/fv8/567zO63nO6zn3/VzX53p/PreEravJBRYSifSX
TCL9/5P8GhSm99IRn6CoXorMS4gXV7fRtGagbW9eL3L6laKzwfvmtQbE8H3S
Qg2m4W/g9tPTc8/INLTS/OlDpA4FdHY479oYRMZDr54z3Nj37/edI3fzX9Ih
wnG9IhsaAPf42wwee37sWCOrfZBIN7S/6vHfMr8B37vJbHOmHIJhM2ER/lOr
KHiv3GtwrEHDSh8ynZpWkUFGQ2AHbx06FrSorUTZiL2TNB5mITXDLdLKWsFY
YXxyVmT6sWEeUrFq2Wk5xkCG7T9xtXu1KLBg0nFLsiwu1WY4Yr2jAr1KNvCe
5CVjPr3Z4fn5RfBrNG5ZxmQLNrenaW791l7A7fULKjaw4hrytaOfJjNh6JFi
DY8aCYv0fMhzRrwa/aiI5fNC27CUBwrqpJ15qOq/sKYT5xgoYWdZSoxvP9zc
Utp1l2svtiMpTkMutgAdOX9n9+WHivjBou/+dMkMZODTW72bvAQOw6cFrxQ3
oXUndBV3rCyDmkDDf4udzajX7eriVqmtuDZkeFSttENzPy3jP0wWozvFNcyy
tICjjkvxRQUtLHxPvU7DQwrYHt3/+Nz2LZh0j3/ExEQpXNlclu74az3+XrHh
XOzLbFRuZrj/JcYAq6D7vvVTvcDDSknm1ZLAlfx4U0ZYcpGHnbike/dGXPOG
u09xbx0otSWcaFObh52+LCqkd+UQNrvZe6MfCa9ZWSy5ensQ8WuqueSwUyEl
oTPIMaQLGi9p6bt924tZ932svhv9BvzYnzGmSfMg1hczaytcDvbbLrw+e+vf
+04b1OMUGEDkd2PL0m5k/LxEQfbQ/QJwn+3Rf/l5G17TG5/Ova4Sre3Jnunm
5sYph+2KpZJ6kPyHcVfPR6tQY6K+oKhQg7ryO5RNueZRN0/g4WqPCpRozTFy
yocBgeR90YfNB4DCZmEaPcSKjfC6Xzfl/Iau8C77jZ0l47s+SlF+hqYjmcAy
Q/OlPVi/pNVLMUYBONguhM2FMkBqOF/dQD0NvE8W/axYK4rdC07lv1EVCa+V
VqMlAlUxFWdVNb31bVCzqigXPLGM2mzYI+R1KWAPuocqw8Xw+DutwTvDPkOU
n0tcB4MDD6q8TV+UK0JNcim72rr5MFXXJ99Jsp1oUWlD3kVOGqhtvz2iz0VB
BxsrPw3vXgUtv5APKjXV4HRTa+epUwvgeE58x4GcVjh24MjhrOdTSEjzuacW
ZQ49X/hCCeldgPDzv7YbRbQgQ//4QM4JBrzZwhFdUd+MHrc7TcdIrcFr3x/Z
O/XrO5zcyHP5+jYBzPFMdnOQdBdMZO9p/S7Bg3sIVRwPOxWJHMmK8uvrydjW
UrX9cZke8HDbOU3dZTqk76b9Md3WA8Yfsv0Cxsg4p/LHS4sCbUzrS7WODnFw
mYdwv4GM8t5WUAB/wbqP/+EtJ464vRtuhiSO4N/t0Qp4zhlpEc1dpWhrvsn0
u4NUtCwUP92o2I9c5UfcWxtp6D5JTEmS3IlcyvK8ytwZcM98P3fVtxZE1Ies
w+RTevi/eiZdy2G79plJTypl3xbN5tOQ4WH2pEKBBiTru+zBflYC06e1bxfc
OQiOt9JVWB7R0Qy2VsBYrgfsdyisppymI8qLDvebbAPgrdNK5ZhZBk3DdmkV
tXqUc2rqZkHICvrbZrDk5FaHYhL3n7sSSMZ0QqcpSnVZqE5j6D01moqudue9
ytFpZ9K/0WFL9pk0Oloser4glZMN60U0uHXWkbBFKt91aVoFWLnV8NVTGCi7
ZdtgPgsFSVrsZeNPpqNzozNpYVLtQHw+8f3ticu9c/EcGetqLPrFPlAAI5zZ
5hpxithqkEfV3jN16NLdeBNDpI9Vz8s9a1rfDHp3j8tELVVDscEvD3LSMsKe
rfL3NVJRonKsTczTPki6X8tWmymANw8/1Uv2+YQmT6jZ6G2ahz2+yvdehVdD
/RlNh1TGLFJfHEg58HYOVuw/Vi1zsOEHThRcja9vg/FvA3BXnBPXetV4b9iu
EznWTMTbNtBR0zsdGom9GBHrUaiBK3TVnIHuVOjGu/W3wffX5tZhR6Xx+kCH
iHuLDWhCWUU35iEdFg59/G16qQc6aa+1vYdpMJD5ZlyjowvpvXUZl7b+D7OZ
bhR9PpUD+wM1358QYSAscd3BGM4P6MB+C3AMXkGqezke3PCqB7G7vC1vSmnI
OimTX7ajBLi47aLEmqkgIrRh7ebstn/328kmUkm4kFGEg/ePUrSiNBjH0TGP
WLfZWXJytQHT+79wPLHPaR0+1bJ88B0Zh57N5OzpfhacfWGQNSQ3F2Iayt9W
PuHAr1b+OJPM9wNpbN5gs1BARe6beWN/mQ+C8C9eL+9QA6xPfWfsp6EmcNl4
40qZ9Ryk8fp79k/9RrnrLxzisWTBj99KtZEQzEeFF/ZwmUbTQfh4/ejtxyWo
UGPEiytMFBtZKRk5N1QBxHmTfF+x56kTFa57b/C/ZduOtsYu7HxbTsaNZGfe
N55LA2I/tl28+dNPnxX7pSDbcCrkOfRr3VG6e4sFW5egGzR+ZwhZv6L/iNgt
gJlNPzV7UtQPHQ/s/ZXtGUhY94H6EN6PkuSbPi1fX0EJnPW9kvL16L6WucOR
FSosq6TqWgo1oGdr2s1eHCXhNKW8Zd81laDalEwztKWB5+RS3919veAVM3Hn
GFUC17+1uRRkW9G9s849W2yFcaVHEXGr8jVArubQD/okjLEanmhkmykH9fet
XdcKGMCgX1V8d6EEqJ4tQ69VBPG43W5zWS9qgdgf9r1lv/bmrCC5Ux/IP+vq
wFrpwAaSFx1WROOOXE4cQL+oRzKP2bHhHyXlb162+ISC191KeuGxDCCWIHw4
+Su0jIpT5o7TgDd+w1sl9w4UiFeXdriL4a0Zfl07P0cDycWLweCbR1HLblJj
nyvBt3nvk7O7GOj2VrLy+MJ7CBg71lT7cRpxGF08ExsziYJULzsOTP7T78rX
W1MEWuH0diVp7VoayrXguTb+qh4J1gzp3k1hwIshmWdNZd3Ixy3bSkyKFZeZ
vTK7hdaCnmeZfz0/T8KnG4pUFYMrEEUy4N3w3TWYeqjallMXQqCbN/fE+iUa
ymr1nzQT64D+nA5W2Wd82AIprU7s9RBinzrRWQFUcNp3lLJ+/3dUnki5vsWa
FX+g21SnqZOEPsMHk4xPqyjGhlfhwbVxJv1cEzPjHKu+Cf9T/nZk5mk3OlMs
JG37ajO2npo4XTddhYTPB1fTgvjx52HJzhGGjSBuWWasIzePelJOBm6urYPf
P3I97fYp4hb2LsUDmjnQLrZDfEB0Hl1MZfc6WtcBxP4N1ntp4ya3gtgXxxr2
+9Wij2p6d088XgYf2ph2QUUtfG4mfQzesorudMq9SO5oAY8Cn+r9LPOgY2Wr
lURrgvaX0WUTj7diEeQE+92YA3gydKcK88jYC4v43ZSaQnRI9cciL3UVOZaa
NhVs+YqI14nzqcTA4S8yJeMD9i0eLIJvIKBQfrNhKBmPeX+843d9EZI5fmT6
9EUyxv3y5APzm19QmdJFGxoPGd8WIeFs6FfNxIdEviHyXfGS6Z0LGycR/0p+
RMmlP/DimPjrHC5+7DTd8sHV60PwLaYg94cDFXmmBuTpu7ejpwHSi1UHSNjH
k3/u3AmpQMaaXUefhK/B06+8kOxL6EEFbbe8uwIZ6BlVwCs2vQw+amMxou57
ML+1Vt+c84tRhnAeY2adAh6wRsftb0UynLke2jdvdAybW6+WW5TUBNfLAnM8
mpZgb9XI81tKDUj5Vcl5dgoNeh6UdY7ntUMH926VEwWi2LqdujL7m5pAvG68
jVOVBZ/5XGhtK5IPL+1MXh9SWoGgRC6GqEwtQvInUkbD6WCRdVrjknwHEmFX
yDuyyILZuMBPyqVMtLKOKu5cJYz3PeJ0VF1qRqxXnEI8dy+gW9TwG4qnW6D4
r0fu0UJuvPHA3Q2tbjnIolVat1WAhAuHRlEOXamHEpvtRlFi88Cmv5xyqb0U
iPMpfPNM2ca9+7DKodZh2vM0FMpYnlAkzaMBrtcFfC9bQJZ8oPjSED/+mXdO
3eitF/Rp2yO3SxpYVf/B3SDWwsSzr4xBJVZQAiutWdsVc7AKtJLMBr6M8OA3
jR76idzoRFM1Lqwfw2nQalWi0e5Yj4riSLCdTQGn8eobXmFLQWnezvvVv2/C
X9/nHd5Z/5mpv4n8RZw3tACFtYe5/0DEVG4OF+t3lBuQdZzz7E90+bjNEbfq
OeDdUXDiv1EGNMjkKEifaGWap0T9z05oHD5ZQUMcu8plL7kOoitx6U63GshY
ncmeBA/pUnR9X1va6qY92LjE3hGFTZ1AnCdpPZGSB4oXYPqk4uHrq//4Tjg+
o9OXDbctE06rHBmEeAcT1ZTeFdTQ+nv4pXkz+nx6vcEmHiq8pWkpNkr0ob/S
YumRXlToZrVy9FjtYNIXol/THB50ENJcBnGHdyzfglogGh91G88l483CAf4e
pZmI7V11eJfqPGpVMH/s4tiLduX/GhBXk8N/G/rW6iV9ZNr/5y2uisnc/Pgp
zznak59t8NBxb5TTExqUmdkNDk8OMvFxHJ9K1NRWUTxrWdDz/t8voHjBsPSP
Bgn/vGtRIfteBcpcl7JDNWUJuby+e7V0ZpxJ74j+ilUTu/pnch2+QyfX4LbR
VxAulFA3yeDHzpuKROxrHwGi3zOh8g4c9GYghS/1GM/EC5AVfa+ziayEdeTk
V2ctVKFUjkcyrmsX4aa3/szPO53Iu4oHt/zLif+Y3sgSIlEHh0I3fnn895+f
i6yXnFhqRY5BUFmgsgPPrNA+MctVBMTvUzbzl4R8yJh+1mctF0t3lOlzRzY+
goq+Wqu/EqK0MOm9+fjF/R2h8xA5WC6YJ9WOliRHNNxKx8Ft5IpPxtU/ULOp
hFNxqRksZX7dff5nGY6HpJavqV+EMR8lw9zaLhSgaoGdekxHHzz1OyI82sDs
qbXwrR0McJXvbuHj6kKTgrw2UQcFMdXCB4W7IjtBIizD/+wRBjrtftgq4m0P
xNVujhTRWkJNPm6uNxU60OKCm+3fJhLu+c1rzY28Svh2UsN3CjHQhK6lnqtm
MVwwU7twbJsgZsxzjyO3dRgR/z+xn939ZtuTyJy4cuvp4b+5FUDkocd6s36H
dOlo+cDUUYfNQyhV7rdVvu08uI8I+EnntMNAWSNF34ABYm9jYljkk5HRUiVu
FS+Cb/7Qt0PRqB0ywsKyw/gWIcHK8Pmlj0NwkH0FBK4sIdapOjsfoyaoZsNG
rYz+6V/yBEM/tAKpyvaIN4UsIWV/05AbXxqY6nFBslP2pNQsasT3Pfq+dQyt
/WjsuSeUHX98pYmdnjrMxF9ZB820I5PoEFdpsKQv1gn5ER8cqMmSmL1N77k/
/jiMapZYetxjIFJiY/y+W21odNej3ZNarNjVlWwR3WuxkF6mc7Z34i9s2382
Kl9lCvRitBmfCtdiXXpvNf42NDP1n9WH6at/etZijNXm5R0b8sHE5d0WDwEG
5O5pT1343Qs52tXPerX+ojm/jEOVaZOI6Le22lh8y39IA/+IHnOOf/PJsbbx
gNIMA4WOdclOrWsGk8uS40kl/Hh+eo2+L6kWIKF+pq1EFAs7sVjfop+AWgOv
/oreywBF+QajtXt6EZFXFniw430eZIyRRoXWlCgIekT/UK64D0t8b7DphtFL
6D50urm7RxRTjzIdyZb8jJa6R+QLBv/Vy80bguqpnSjlk6hRwhMGLIbZSimZ
vUJDXRLuZj2sWCNDUzslphn8L1Qrc4mxYJjeUKKDQwlymzy82UKODgfvFMxe
malEf26tznqxknGFsezqGKHPkKZhf17beA327J0l7R7tFWL/5rF0qFURr3iT
VB/R/ALsr58vi23gwlUtr7J88xlG4TrJQo/r/sPuczCkb0q3I4OO9a6behhw
uV7m9pmQVia/IOsvmrSxgQo251IiDbZ3gKnJVv7Uu/PojUGfwjBtACk8Czbn
eMaFXWYsYdecooCaiO14wqGNfWvMTpY0pUCWd2OcmQkLXirAVpAnVQIdGwsT
U99QoRoPeveqdwhxJN8fUyoi49FigUGz+1OBOM+IvGneLSSmXLkBDxjbxe0/
NsDEF0Re6XtoMJWA0yB8z/eMMbVepDMw5/L25Vp8Op3Llz10CBH9dMbjWiuv
f7x065DZD7rsbyRaFq7bLzAPDy/xatyO6UB90dnnU2x+QAa7atuY8hyTXyTm
f8S8ifg8Yh4Q4/xK01mWAyvX9xyTkOxlqm9hPytJY1NB/Jv10YUwyx4I0MhM
l/lXD+wh9m4B50pgtLdYlrtnFSnw6ew/blPJxC+6Wn5c7HYMWNOsuaIcRUGR
Vy0pzi4M9DvBcc83k1ZY3pemZP6QgYL2+l77kTCK1Li4RIq7GDDCQ2e9ItOB
9oVzUX+UkXHt2I+z9T9fM+k/CjrwYXCKDdNu/vo2+9Mo8j2XktieS8YqVDZK
9/8oQf+p1Eu9DpmHHJbp2vmsVkTMey6mtnIOzK/DFp4nJ5QE90GMh/nb91Yr
0BspyepW0YyI/DvoIZM8oS2IlYZymFfWDSAy+/2n1avzKKuk1Mk77x+/Dz8O
l7pHwjUF81cGW8cQUd+I+5clJnKRm4sTO5udcJdfopcpX5KQ0mdQTgPWeLnG
hle6Ff752KDyVyxYnE1/sJT1IBJxEGq/bTUPx2/b2XdwtyFX8hXHk6Y0cDRW
qGdvaUfE+UZcb7IKg7JddRxVnL2u7us1h1TO6xu21ZKxGm6vzKdjuagi6H0n
vecvXMxULljV70LEeslbnMzjSGLBwn1UdDmKSxBxfcT8dOkXIyBlkAEFm26k
O13rhPNRQe8Lfm3DOVVDIrl+t8M0nD9tEUfGdw4+7fSNKENvntis/5PKAAUf
A7En15rBoDKj4P7lZTjiF9B4yuUr4IkqFlE3WDCZbUtVZvQi2G4HLex/FqCV
5+Ces8kURNRPYp6Ayb75oN5Lg67Thyq8xQdR8/r+Eb44LnyU88zdPf/1MfE+
MV+f8XA9L6HHhwnw3+7iN86AWctsZ9mcbdiLZ8Yv3z75ClM0dClcnBtT2urd
nzlSCE5bzORrzq2g5QXV3G3CtVDy885auwUaur4rueZERxfSzGR3Gjg9jxY7
GTURrvVA5EOiPrFVNovFtHwCJ9/KHnxuCeiF92QEPlPRT/EX10lbq4HIn4+m
rtHnDOnocqyQg5WcKxNP59BfcMcx/oAgtx++Zt8M0lwif1d5vBkjSc8nBERT
gNtkMlrMYQU5aW81vPy2GRF5XlDIoDM47CdMrIlJqpehwhE3y/ZiI1as2/KS
fUh3OzRvTtNrx5bhi+H2BF+tFkT016oTYnQ+cRL2zPz01WD7KvRk3DOoPHAv
Nkwz7TXOzkX+YlGrQWqs+D2b7eaMn5mwJfBTsspCG2p/WKx30m8etY86XbtU
vIrEO+/7bDtei7hy0+2anBfAdVvkOa0i5jyEqAfE/SDm1UQ/GBXt98SgeBat
e+Fo59r1HdpyQox/Rq+AsOWL5gscjchFU0DUNp0f/913qlLLrBs9l7Nyf+JA
B4PbOjeXeL9Bh35Vz0CQOLY9a25IobGOyT9OCN3pLsElMd45Duvk5CLQ8Fbm
+y96H5ZTt5TUoqcNJcMeQtL7htB2tvJ5QS0qTMnQjco+MWD1e57Zg8IOpDFo
W2ErS4VK/dSdJmgYiDwqlMX7ws6Ihlynbw+tSWmG3PHItM/PpXGZLb94YhZr
oCyGXHd47p9/rjd154trB6IfM//57qtE7lrswLpSNtOSMiY/m+gmYfFQ9igW
+0ys6KhNM5hRJBrfJJHxqtHnlalRjxDx+lETRumpIhpiDS7zEV3tAvUA6bqB
b6L4sLWL12jGQ4iZGur7kLoB7/gw9ojHtYTJzxXUXjnycJEPlwt9lTTa28mU
D25YOBWb94WMUX7oCvCoVEDVmtEw2xR+jEfkWMDQ7wam8wyiPutFe55ce4gP
Ly7TeBSd2g/E/KBw3i9fT5qEScbLHhCyqEGuO0Zm71G4sbXhpVj6v3olzjsi
j+7+xFVt4bKKvCPLJxp2foGTqwv9NzmpkK8sb1Eg+B2ab1hrK6//x9sfLo3b
qTehca6ewjLTP8g/rMgkvWMGOLmqduoH0cFQL9mnTb4UiH56g7ckXzobHb1P
07rgYlHNlA8TeSxrtL+Kw5aGMp0LjKn5g0DMf4jnc0S+sBa63K33lY6iQ2JG
aqL6EPF8wrnlUZnp779I8mME7kzuRft9rHMkk0XwcqVgdLa4jsnPcYyLRHyd
FcW0VezDXOfaETEfEeGs+SF/io7kCw0XWEbymfK7Nm8+2jVrGurUPfcjevEL
cj5sbV2pzYBnRWvqxHckQeaYxhfdWDqkfU+dTnFqR6rGHNWUgHV4zqzbTaey
r4jonzgKjdcMmVDR9E6nY+ePdDGdLwZKlg1XyfHj7IOH03xdyhGxv4j5yfO3
tfb9l4Vw4y0F5aG2r+B/CVMVsA==
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8Vf//t1KKBmVUEqWkJFtf6X0QknWVhNCHhkIoZMveW2QUyQqZ2ev9
lpmszGNEdkZGtqTf+f1771/3cR+Pe+495/V+PeflNrK4+ZCGiopqhZqK6v9f
BeWKltvWQ9AvoOiY5YjD8SAhv+/UmzD3mIfl6/864ANfzuxCxyNYfrpbd79t
HWDMmvLXzxbCeJlTv6s/7YD5tneqtsW3wM3ndO9/afeB5BtVcr5WctjYVl0M
T9pn6CCjHqoQzYYJrk+s0aAReK6kap/y7RXQnz8zrvZ3FrILJvkh2mCkcj+n
85ELDs/ubfiy5W+DAmhMwn1acNgtc5V26qg/qrOTamD2wqHSpWDHkyN+KEoA
2+9FvP++vHxlM9sTOYhpX3MIx2Gk4+M0kVp6xJ2SYto8MQAfjNy4dzM0CFEP
bw0efonDWfEkWuZjZujwModB2P4++On3YR2F0yFoveV/fV+ccNi7XvJrIc8G
bSX1kjKbcegkLKTycQ81VpYxlLTkUgkM+MyiWvJ2IE9W7quSW63Q/c5EgChY
gzOMF67WRv0ARksnnSVzAtCtn9c2z7jj0Cf/SUgOhwNSb9uTx1KCwz9iyx/l
P3sio35c4ypxv05xZ/lUDm3CNNt+Ubv5b4D8PevmamZtnCBmUfLrRt5gJ5w5
mP5XJfEfvJRlSZcxXQt5ebHc93peqKipcq95KA7729moXAwfoMV7K+fLNPvg
d6WS1A21AHT0ffrpb8T9HNWLTTcYd0MKtN4yPm9wGFEwkGnV6Yv6v4n1F/rg
UK5DIv2hziZY7H5cqrw2AHNusRR62K4Bo5I3m8ZlA7BgEddjuqOMuV2jq612
KoCDSRevJK6swPxJqdY8xQZoL1vhrXV9FehYXEwNdhiF7JGxB5IYgtAjtl0l
k8T8ky4Pm5l8DEN5VJqxH21xeNKGPmzW2hW1294do03CYeVGqUjPPxsEGd+t
/GnCYddh38LKRyRspWXO+8GZcJjCf05Kip8a27jvvqNkVAhoG6tjGC+swslT
CQn/UA+I0DFDz/QCUXNi0eI/V5zifPDtz93iD9Qx4YLJ9UDaFFCfL82nIHkS
CXUdsqraKQPtjtJH7BTtkKYgPUsexGGrFnWXpFEAEpFjrMwm5vegWCC7eNIX
hV3xuhxIzAvGcdeXGvyDdFt2H3Mt6sCiWZdNPJc69niS/uT8h1TQdDTyree6
LmqWuZ92s7sPXt3bm2QpvQY6eAY2XUyagUlm4BszWxJ21nGMzd05EFwUhLfV
P7uimMUDqcGJODwdmb8eL7INDxrVH3m41QKmb3F+ud8WiuqSdufF2+OwrOZ5
T+8FDyR27uHewNc4jDFLOPtaLBQ133r7kp3Ac/RBC5ZYrSBECn439pSY/43u
6ZI3o6GoZc5J7xlxveNgX+s9X0+09vCJwzKxj9W/rwVzJ/ggkUYRWmt/HIq3
lKp1OtFhDv0nT7LyDMHhCclskWchyDRFo+A/Ai8iCRYLg5HO6Mh3pQiOjzgM
y+M11/EnYQ9ONoba8b6Eyc75VDPLf8FVra7+nc5G6FHC1M5s44nuFVjCSxE4
bLRsrAIuBxB9dbxswtlk8MD3dLu5ZwjKsIwtVyC+/9C4j+ysmRrGnMJQYB6Z
Aank1wwYcFVsdAB3KwnPAuT7NVl7LDNpyRv53igx5ArEIc+hhpBCahJ28EhD
4XTRO+jSard1McUeBdwtPjpSSvBL+3gYv7sM9rJ8TEyWpo4CH2Znulg191xH
pcG+S5sxA1D6pYt/XJkfYpQn6XYQ/LPq3FmmEu6Ofsz8E26NweGCRuw1r12h
6EnDbb1XxPxvHZ2mH/6gitG+qbt63TEbHH/3JGFchoS1cLk0YjAaLKVpGZRI
BaDFAzSVy8R+yfysr9uTbom4KrLj7i3hMNwiFdAXeCBpWtELOZE4XAuwKsuq
80HpbPN32Ynz6V96dZHdwQPRFr17ZBeFw9wVMwEdcxGszLqxnyT7DdJ9qN7n
cec5cvxTxzY5ikNeeumin0vUqLTeSPv5iwrAWrLHTUVZBYt9j8POx/nwOLW3
hMm5TfD2o51Z/xEEjc+d08g+RocZSUfk+bokAl+eOa6rrDSYWZJvUeouBBku
ZB18HRKGPJb3N80QeMbeDERxDKljOV7nEsqaE0GEniJ9hKMF2onXrA7fwiE5
XlmMjbj7OsLQtdquKV3i+mtsmdo2A/7ohO3f5CQPHE5/2jN2mT8Y5by02xIg
9OHHE/T2rTwNVjnB7uJcVQr2KXGytuE8iFlB7grj0TFYpWTU4iYRggxPku7l
EPvzzso2SO/jdSw4WvNUMlMZeHKbmq9c8Qa2ViFq+Ki0CGLyWmGt3WrYivGj
d5O3PwC5UG/vB+rq2NOf+vLs3ilwP6/fesaYF5K4xl8/F0zwedvZjrVsV5T7
VjBnJpFyPzRq7v73wmQDGuicdB6P7QITta8VHomsAd9y5SNqHO2gQ6mFBtdf
gFGVcpkttVNQcHfSUEc3LRIf0gv+RV8E1vh2unRPuKMI8eDDMXEEf/nm0aTd
WgFDARl+1PajQPNojTKPQjhSW/nQ9/QFwd8ebxKkGS3RvKlu2f11gt/tE6wT
dJaBxaSqPte9Phgya7Am4FEPo578Cxf6ugM/l5DSeq/SIoNmLoHBuVSoxl8g
LjSyAs4Y6sPPmTgoSb+sAZj8UMqJiaLLBL9RSSy1nTKwRb34XNlSDQ4z2Rjm
w7o90ZJcWCsNwRc30lxMRBv9UaHbmFkDcV5q+3e9yGAOQ7bQrI6a4BdVk+E2
4TFDtGe+dNcuuz7YbRU19m35OSpvGQySH8Jhc1pV1uWKLUAjt9We9PwbXFfl
pNd/vAqd9jS+3ucwCOk0R/BjtcFIYFDxHMmZ8ve3dxqVD06GIb0VmTBhYn/M
Px/7YiLjjxgZb35s8MShLNN7umVJJ0Rz5qeERS4ODyqlLrNIUyE2se6lqge1
FPxGbf10S+QDLSpqplvYZs2DHovC317Z+SCV/5n2thN4Y6Z29+I5EIrKZF3v
OhL4vtp0dHlZLBCZXpJUxNwo+bZnX1hESuE6yF1o2NyXPAzkorwHH1z9De/p
VzdOho0Bbv2dLYtpVaxEmv7hgFQWlJt8n1Uy+AjtP1O+evxyH3yxKLAn21sN
O1H1qVZpXwawfC4u+EOChGn7SfEkyceC5UciLCFhu5CAeeLb8VMVoGfi2t3L
WYoY9069/QJnBYUeJc+dvMCxyxoJd3I/7u/BYUq3fpSgoz/yYJiL0SbmdbaD
RFuSTYMq/35XO7NTDDb9l1Q9k72RkGWR/wTBp+T6Y+nCVe5EuwykWGj/3u76
Ccj1+4FRqVinXAmQsbArfTm3Dbap12QGAnxQ6CspxffEPONm230Z9N2QnecG
59d4HNr2n92vtMiNWVntfVbPMgi7p1ff1Rl6InE/8xfmhF6IxYnE3bN0Qz8O
u5x8QXx+hj2vqYx5HQoc8PcbejQM/yX7vhnzX4duv5V7Z9pzKPaTXA+Y5+OX
kyYnQHLwSMno2yUK/n8c/Ew/6k04mqKiiauxwWEUkjm1WnoDSZ/539UhpQHo
/9x070KmLZpbPeri/BmHJEl/D/c7NNhp7n/KuTmVoAD/PdVTswS9cVWHbJ5R
UObaP81lpIRUqMf3NVsMwLofapxZbkvQwCf3xHjLJAU+RYUk04atbmC62hwd
bPpFYOauLB9bpRcilfWuaIcQfMnSlXQ6kIQ1KNpPTTk6UvhHcv4i51vyfWWv
Nk/uYNsBjQnRdeapnfBYRZvswv1g5M/0sLaPwF/a+iO2HGZVzPM010xKUi74
/APG99QCzEjnPL3JhQYYCLYqyu45oShN6vT5HBxaHGQIPpdBh7HG7nib6dSC
QcUKaOwfjFiPdGu8J77vcEzrDMuQFcpJdJP43otDcj92JGUUx1o3wBmz6YKX
Vp2Q6q6JqFQPDfZG3fptxZMiQM4Xj3cHO9bWXsO0M/jFb5+rhmqLhVu2fIR/
487wZiXOvyA5SdvI2xdxrobOGPjiMFF75HuJbwBiORrgbELoL7n/khKUd5X+
EoauW8eKWBDzKlIJF9IMJ2EXsmvnz58kgUC3/k/Lzt7I9Vxt9I0gSjyR69m7
fprT1TxeKHxtahdHGA7nBB4q0T2wQdt8LzceteLwme3IBSHPK8iPe/DS7eTv
MLPh8v/KbUWxpuesTecS2wF5Htr2Pc64E8yEBhuKRwZ064GG4EnTQg83xGhi
PcxN4GNz9Eju9/+5IvPjbn9OJ+OQXI+W/3I5BZbtw/4Exhu6i7ZDe1ErZnWf
Xdi13w1CL08Wg8GsGu5ZOh9UtHQkdT6A0CPH2l6d4HkwVbBi+G5iBkhyCL2M
cXmOTltxpBWNEL8HtE2EjTcgmik2vW72HuK/c76eDXZAvHujTmkV4TBnqH5/
beI6OLr/0imX7iQ4XMFeEvBTHRvesqKxdE2EZ1fUhnpcD6CnRsOCE387QQ1L
p1xDXSgqclRwLyT4hpGaeiUgfhWmcyuWGR9LBk7Nz2w+pK2CNz2KW4IRI8A8
MEfGv1IB23yxclWCpQpuCEgmJe7ZhNHmAemRut2QJn2l1aFoDcxRz/3VP19J
gVcLqPlnNeIZ+u6Q5MMzTXl+G+s+l3ca76Ahxq5629390PG2zeETyhvwg/If
52j3aUDuh1SYjHWLZcNQyWe+mFd2lPt2aHUud/LuKvx625h7rKITmEYpZymo
roOewuyON6/yKfwueT4n39cUGmEs56oyRmXYF92cWwBKdp6T2AQsEOken7L4
Ng6f/2ZguPlPElNp4PBjC28GX5drO0bsQhGbdW+rhQNOMR955gjN61a0qFTE
FUtkqYBuPK033khtguZwlazxv9XAZZSm8duJeSg0s/so46lFWPiEzun3Lw8k
VyjkN/OKMj+5ejsXPNdYhw1SHekXz48CPpE7zfVPzNArM4eaIMY+aDHyuWwj
LgCV/dBOvk58Xkn4402bEjMU1KQjFLm3D/4zOOddx8mADhVIs7CHFcGajqBC
/opQdJr+69NmYj/I8yjdmTV7ozveKOJmMm0egU95hTM8lbI02KrgK53IzSJ4
k/28/DtHOmy1tarni10ryD/7voRz91Ok5ndQJm1PH3zFcStWT9wNsbB4a9sm
UPYNaQslL16ftEO6T6Wb/kPEfqrnNDYXBaE7z//I9hN+laXF42IbGxUm+otO
+ulODXyO27197UXCQg/UrHYneIAPYV6GOp4q2O+m/v9kp/Pg69lPhqWVati3
qPu4/PcP0LPK8nJ+oj+Syo2LOUDwybFRk6I7vcGo7wbzXjGCPxc1nrTy3eqE
HmOJHYv5m4AcX5mfHL/9bAtETUsi27KulPdH1Z7fs3GUFjF4RKbU3qmH8w2r
u484ByHF+zfvCxN6UCCu6pQj/wxJuR+KaZzFoQvjwbgYURpMU/BKYad8HTBd
bLrwU3YdzqZ+vddmMgAY3ktzFL/zQOk9H8uXiLwSEJt6r0NfATP1+X0g5HsV
ZOranNbjCUU2gYyflAj/RI5X8vxOruf5AZKjwjEEnnh7N7oJfJH3Iz/uazrc
Hl6Fg/xvoQV1O1wUidP7Ex6OdMxdJXoI/d4d1lvJr7oG+Q5XSSkkjMB8vHrl
1kFbtPtSRZVFHYEf/owG9RASdjx6c5e+sRW84Bamb33nGnb94VVT7qRq6P7a
0/xEmgq2yGo4WRmbB6p3K/s7lg8BNYGEU/WBa1CrvPc9Q5MF+hcborq+gcOM
iN3WrmFrIL3vfC/Hm2bIV+kcK39GFatlPW0zbpMLyefHtBinI/1nFWZez31T
sToMys+0HmAqtkLRW3v2jeM4vOMszVuoRsLiO7UWyj5EUfjtn2hJXdqCCj0j
qa2qB32BBYmTR4IN/odZfzzMx6j7FcynhL9kFPdCbeE6CcOhBL/1BgTccbFH
tjt7Ql3KCD8uPLfCd9EfzctEnfhF7Bu5f3yqq293RcIWge1fL3NqifwcRmpR
X6LGHtvZizs87gKOdCPcURKr8IyP4FCaHE4xL/7H/dwlkaGIpjvrzDmCb/zG
J6w3wkhYzqfzTWplBlCj+SlT0rYs9pnJo9dKuAbaP1ho23soBE2yTVmNE3mO
vK+0s/vuaRX0Eil5jdK4phLPcxQbevYvFNHt4+G8SMwjmj+DY97YHy1oipo4
e1LO74+XM8vD5SdIop1DiPpEH1QIeDWWTwpGnWLR+asEvjKcLWTlOrdgJqOL
kdc1HC7TfRuRfD4B1OQkJL4V/wYa7MOC+/RCkfzBBcti4nl2LLRjuXyZMOZ5
j1f5J+pBWeL2+msaR1RwaC00rQCH4/1U6/UxChjebVycYFAFmF+tzz0y00bi
p2QsH2z3QVJAzqwF4S82aEWsVoSl4SV63fnBs54Iuevf5Sf4lBxf5PrReptz
dpQ3DP3cLmrvtqPEd96oc4/C9yDkHu2KvSPwf8o/+Mz6zwCk8e3L3hoiv5D7
bXK/zhp56r/lAn/0mnPj8Syhh7tVDKufaGogHprkTL2kfkjhT28dWpLcL45V
F5ePLjq0gZSGe/IpxHlXmV5ROtxwH0yuKNeItVuiTyvOJxYXcBjLdi7wvG0w
OvQkarOSmD+5P8lbeq+luBmGODbyQvcS+I+oMDfWihRHTXH0X2+PDUFe4O7g
2MCM+U+kOQxxNYFELbHws8u/gdgL7zttl39C88efwp9pAYxHSfa1nEMD4Jnt
GXlb4Yx4fwoFJWfi8LKpSShLhR26ya/wNbuSmJ/iJ/q69UNYk9hpUk7gOKji
mNq0ErFEadq/vvau4pDPkGPgifgatPrgf484Pop9vmbBNE3DSo18Ao+9Vgnp
BpsDLVe/XQ9FfVoYnCL2hdVYt8o4yAN9XetrFY2i5HM+P/6HoUrUyKgv97/q
rQqo7qvgKr4dgFRHHrK+J87r73h05ViIBBYa2tont9ACyPsS8rwTIHipR1Pb
HcW7XWzNjSXy2QVlU/YFazQlZpLE/g2HbCJR9nUMJMxh2iNr4/I7YHnYMCyt
2xW91sywFCH8BTm/6dt2G9x000LTn1t13bj6ocqNlI/OJr8h79nPKzD1B0jz
0LnM1OWEgrflOW2yCT0wpdbf+boCbiQCZvr9yzDqgWdW5/YNLPyvkWfjlUKK
fsQvscpXEPmiq1xu5cM+xP2e3T73L1INU//lLiBZkg7J+5z3CsIWWq2KWPam
9suLfeUw+K8d83rqKpxZizI8odELarqDOPd+c0NL5513eol8d/FtcASXgzWi
7s85Mt2Jw4ZfVT9Mx1dh/eE7TBdZJ0CXpECbkqwJYqrS+ZV8rA9+eSHZ3nNE
GZs9Jd1WvbsQWiLP2KBgEsahYKJx4K0N2KNgGNP7JAhNGfMeJBH6iV9IZNo6
H4oCP/TvFSL4inm3yudg/itYh8fX2OHBLxT9uy8Lg1bgbxc0oF1ezvuByNfz
XiVBc1QYHcvZXQOJtfDu7Dp7Xs46mNIoDNCf7Yame9oLJT6uEblM/i/zeCPo
eRcgfjbMBAV0x8VrcfRR5NlSZxFZF8ZwVDKmPTH6gtDXXpNh+GUJmtw0UY9I
H4fkfoTUxP2gVpQXK3ndv+1u0wfI95l8X6d+KqWoD7bDyMkTMcytW+Ct9dhK
R4ct6l4b/l1fTcm/5Px1bMmCo3P+IarZn2dfIdsHjR9mtvTtWgDNE5VSTtvz
8JQxR3z7JW/0ZV6xi53IszJuXBqe1erYqOeK4pno94C87xKWs+JPd6LGDvuM
azOJOkLwsW71wDaGZSQ5p8rl1EHyPEre79teenq8hcoVMbyJllJLwaGA/kLG
iURrpBOvaLjagUNy/X858U9CFISi5rfHD1ER5w2o3Lowak+klsbxN53g7z4W
RYfBvaswtmA7kaVuguL5yP22+oKGic8fDfTxWXNTcXA/RV/3U9/7/H+EH5+P
F6hrkmwHj02VeVnLnyExr13y+BQOP7CX1xut+KH76XJVBkRepA9mjdyVvB9l
XBtN12scAeT4I+dj8n6GvF+3GTapaD+qiMVJes3dVq+EE5sr3QlCFbCt0ul/
Y9d3KP5/+kDX70BieI5srrFZaE7g0Fng0KNjgaHIsC88GnOg7Aubni6VR3I7
o+6AT6svswi9Uwvdr3n9FgqzM41/86Sfwq+S95eHbcdY5O1UMefg2uNfH+UA
ij6NrL/a7TR5PcRSHaMaenF3rSAZpgfJGInTe6Cqzi/cHNGU+kved1Rd6tSZ
+zkDzOCCOZ/GIlS+yDi40iqLYdzvO4oe14CFgT9Ctxs8kJ2xCddT4nq5TWxc
O80P9YxH3dn0ouxfeu/G657SJGHDUQY1zcWRQJfDgPM0/1VMpZ5Kef5WIyDH
Q/TRrello3BkqCT5WJTAd34B5nP/8xbgyj80OCwwBMjzKjk/kuPxvothql7y
U2R/YPX0DF0fnHytMfru5jqo633Isl37HZL7DXI/Rd63kOdhe6NGt6XzxqjJ
YbCERbwP7nY6JlOs+gJpCheran8h8t+OHqfBmDNS9DlQeimTsn8sL0IV2jrh
6MqBWXtF4nnXH9FdOGWwBr9eXZE/fLIX6JbOsZ2XpkIBKkW5rMdrwUaDrb3p
PyUsKw4v2Ucqpvj/Obl5H/MtU3Z0efR4adndTmjfO7gd8Ucea+ZM/TGcDSn0
5/8AzMDttg==
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8Vf//p5Co7FChouxdZPV+lZEkFSEkpKyGTfa69l6XlCZKSkahjHtD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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWWk4Vd/bRiGhDJmijA2mZChRrKf4lZQKJRQhZCpzhso8z+eY56SSComQ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWkglG8Xxu1S0YL8RQqVpZBCkbKkFEW2aFHWZImx78yYMZOKimSpSCWV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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtmWk8VV+8xpVQQiSUZMg8hijzWuaZw6GIJBHJPE/9CaVCZRYiMqvMY9jL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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXcgVf8bx4lQKLsoGWWVyijROleIJMrM3ls21yh7b4kGSkMqMqIi9HlE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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4VO0bx+uQVIqSQotskVTSpqR7tNjXtFFpUSJbmxCpZHlJdhURL1p4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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8le8blpEtJCMpJMrKzGg8Nw1CKsrK1jAqWyqVvddxji2KKKSIaHpP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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk8lO8Xxi2RSpE1WRLJmqi02GbQhuxElizZkp3syzCMJSWl+iVbCCGR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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWc8Vf8fV6EUSllJg2QkZGXm+0klhJ9NMhr23ntcMw2SUJKMihCKRKFz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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8Ve8f10RFIqSkpFJJsrdzs7JDpRJlZoRkZ89rr2QmKySjEIno+chI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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk8VP/3x+9QolREm7QR0qJNWSpnlNIqIomIslYiWpQku1SUpXyyVLKT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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk8lN0bxw0hFW1akBZZUkkSiXImIXtE2Ur2fd/SY0kiW8lSkqj06KES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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk4lF8bNuqXLSpCKonIHonIdh6FNkUoe1lCInv2dez7FkIpJZFSIop4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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWcgle8fxilEZZOZkZSdvf3urySjNK1QSTISInuPRCjJDqGsykplJc+D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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8Ve8fN8osJJKWkZGMhlEoz8dIWZGSFQ1KSPG1KTt7XfeShCjKyCjK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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc81P8fNytFUgqlqSIaiKLo9cooUZnZpGHv485xRqiUSgoZ7dxx1rmz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           "]]}, {}}, {{}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk4lP8XxmWpZMkWqWjjV0hIVEpHKtEmlERSqIhCi5C0UcnaIqQVRUWh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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8lt/7p4iUrDKjZK9kpBDPE5FNg1JWSSQR2ckW2XuvwqekhMyMcxEl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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWc8lf8bx1UqRUhmKKMkhIQW3aeMsqKM7O1YZ1RCKg2ljGQkZI8IkT3D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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8Vu/7R0VEIVGRhpW9Gx/VOWZRSqRQmSWyskeRkZHZQBpkJnukjHBf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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWXk0lP/3F6UkZCtrRbSgLBWJ3JulKEKpbGXJvs6YTfmUrZAllFJCCWPP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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWWk8ld3XRihCiJQkczKVIcSTI1OmpAiZyjw08BCZM8/k4IgiDSpSSZES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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxteXk8Vd/3viFDImSMBsoQRSklUXvxeas0mEqlknlIRKYMmef5ui4iKWWo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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc4Vf8fL8lKCGmQyK4oWSX6vI1EIckIZYTskWTvvV2iRIqkQdFSitxT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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc81d8bl5QRkUiJrMiMVCLlPJRUQmaKMspe2ePa2zWvUNKQCtnRkOLe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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXkgVO8XxilpwddaSkJZsregkjKTpUTWJKJCEkrZhci+jG0MUdqzJams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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8Vf//NzLTUjKKUiEklU2c0zCiECURieqTiojKKiuEZF3jiiIqsjdF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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8le/7lyJERKFBSkYqlT3SOSUkI5RVFKLIXsl2zGPVOYRSCE2zZGTe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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc81P8fJ2kikpGZvshKJKnI+6WMqGhpWpnZe+9zjnNGaSKFSOVbdiVx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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWWcgle/7NyJRioy0ZDdISZHkvmRTybHnGfYoJSplZLVQGUmkIjuyR9b9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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWk8VF8fN1QKkZTKEooibYg2nAmRXZKQLGXNTvY1SpE9KZEoElrspeR3
qDBjN3ahCPUnSZgZwuN5O/PqvrifM3PvOb/vesUuuxnasrKwsMwSWFj+f70d
pCaDN4Ziu8MFg+eKSaB1QUZaaQcdjY4mNOX/1wkmlf92lvj64PKEyx+KDpLB
95FpJP2EH5bPZafKcJNBeSZbtbiYQEwS/pWnvZAHj/8OcScf9sUxZXX6TaJk
aLfuGbRb3kVU3PRbOY+rCXhfXvbi+z2P0nV5G327OsBV4rNYXxoLlmwrO6Vv
/AmdSaKYi74OxV8PeLWSCkhgtNzTyvkkGPO+meTiqSHB8J/pp2mDS8iwMpfi
8XwEaWk2iCvUO+ORFDsBLfEG8KqNMeWMXEH8eZcP6JuR4MYzXdvQRStsemi2
fGK8Ebq+leWH7KRDeu1Dw00BNTA9LRlYMRiMVbJXVM4DCXwkypyPKtFha6Vk
MVX0B0LGtwItkQN2gYv1rzIbgG1tD0dwHQHL7M4+xBuSj1SJqdnpySH4xHux
XIc3JLAKHbpFqTLDpVOw0sjaDAImIp2nRWnQf0XN8WfPF7ipYdBDqZ1H/wqE
UdWTLnSP0uXnsWcata2TWbnb/QsWFzc8C3L8A+wPQt75Xv6F7AsidwgphOLK
Bed1BYUk8ND/u1do3zwEKU6c+jYyjthOqhp2RdPA4KPxpB2tCaIvKH/bSfbD
rnc0X7SvIUM4J59PjYYH5v9n1Ly3hAwB1Rlb4ymW+GrxRnbjQ03AMpk9WHzB
Ex8+8I4unUSGM95XDofmX8K5U9Nft19vAsGLUwtzlgZ47YvMubHoVuDd8Wi+
4Qkrrim8/kHbugQF3C8yfarLgs1CLsVLv6+FrzpWatspNNjtSHUOTXgD7UW9
oZrwC/HFvg4ncM+gSlrZIQFZVqLjooJ21/diUDUqdyJk0mB7eOqmkW+1iC77
UDUolAZX/vE26k9+hBGBn1tIsh743UhjzJcyMuy+LfPygm0wlqx7INjxafW8
Us6/p0vQkUI6h4WCXQ16c6pHO0zbHW+18Hdx6SRDpW44fVacDr+2dYnHz3ai
8Eg57h/RNHSzQnuGcLwTxrk/67vsnUO5GtEdbmk/UdML61RBTRp8pBDzZaP6
kambWX6z5QpKkvtzXlS4EQR8h5TfaFHBoVTZtLiqA04/OaHVk02DtyW7otxO
kBGZ1UrmXB8VZbG7nzji8h2ys3jjnhWexj8MeSi+Fu3QSe9RJdduxEqSJh50
+zqoSWmb/OktSJT0Fv4heLIb7Tx8+bvJByoc+pHZtPNDDfrmoFRz3Iqb6CB7
1uplJwVCX6Q8lGKxxc3CglX52xuZ8Chcn3wehwTih/WRvmVfSJCzQWNlNuAi
Ft8eqEkaaoIa/mKk8pCLmNDAu2vbgTrUJ/foUJ0+K3E3bEg3UCwBymxz+Zal
U1jq1/7mBlsKzDofSUmunIe8G5WVFXlNwJmk/jMgah0+tJeLyru1AxXcP5yA
I6goX8Du+mLjINBe98z8mQnG/T8zhN2qSLBBI+ZJinQv4nORysUmC0z7y2HV
OlcXzELMNfl8a879IxrZ3h1BUfHEzi9bniYlk0H9bZXEuMUSEhSh2nQntqFm
xV+h6XUG2HLd2TXBXq2QKa2zu/TnPOyqVyVufdCNfuZ3P/396QIW2mrPl5fd
DLPCP4oVRJah+LB4CSWsBeQKM+sOfV9CYRV5vd6eJKia+nstmzQHe6eWL3sa
diIViet1fpiKDnG+Knj/tR8Yz0OBHO1W1EMFtiNlltP8d9BL/j7uxHQ6LJ51
88nc2QUPuE+Dm74ffl3PGtDBRYY+sceqBhe8sS9BfsMBdTI8b9vPcRGt8l1Z
2LWNbHUoQHtHrOkmOrwSenzNR7AaxN1VdSKvWOCnCmzrY22agJFfCj8vVjwS
okOaFuttRcsa5CMx+umrNhXCHnaxGzyuQcdKsrd15FAhy/f+UufGbljyvdDC
czcQn40Pm8jpJ0HagnTqv+M+eH9t+t1IOTL0SrZqG5uy4jFFsWGD0jK4ZCrd
yyE0j+JqNarSODvRF1mOv/iqA67TWu5HaQ2AWUrODfDQYVZh75M2KkaVS8Ip
CoFUtNRw0UtcdRDUj/7NGz8nh6MF+9PlJrshyVaaq/PUEnJr/EbxMG8CE6Mf
WSeWtuOw866poUG30ehOpzAe8MdoDRFK5kigL6RnfPi0G+6YMpR+NcWsH/9u
WQc4sPtjNYfEXb9ZyNB8tbAyXZ1AnDEfWPz7s5RpHueFBe+op/jjAp5tbeI0
EnQSYvay36DCkEBXmS7bEBIRaBJ4NsqPj/tuZTe99QTFLX3Q6f81DzSnYzsr
OjsgKcYi/9pvLuJP1Z9yome7UJvbguKlLcGYRe9gzP16EhAUl2ngQ0PB65WD
1ttjkDGYiJMgU1H7WJqui8wzyLMOS7L7REN98Jd2v+YzCp+wK7/otYS6nVXC
N21sA9c93DoFlePIJJw1PobnL8oMnTsfNB2AFQXFj+h/X9WT02vF9FhpyDRF
LLRLfhBtcBzd0SG3DE+bR471ttQDNy37tAN9lX+8MrdI8/ci/U/uT6V/02FY
6CJFdaIXTZW93RznQSA+/ev2to+tAOkYxvs1bmUlqpgH7n4rWYpUl5q4WM+4
4B1Ziold2xsge3GxPH2MgKPM5B3NNaqReZuwxY9z/9D+D9bhFvatsJOS0L1M
ZMNazRm/TjukIj++zr+R7L7YQLDLpHU3GRj5e6dNV63iWxq6mOdqMrBQBj+E
j0fFBdrgsVIvXYFDjSBy9HrQsZDV++TPuIutEDHivSdZ8ty9lwugRKha9KK2
Ia2T5ZeVTtARi9PI1RsOnehBU6SaugcN1svo2Qk7YZg4kHQy/j8CUWeLn3eV
5i24/qad/vUUHQwNyWc3KZJBfEXpwElfGrge++9BsUgvch18cOGD7TxK4efa
Y1/Uih7A2rnYnhVkqKx4J3aQhGbXKLGvp3hj0aLcltaTZAhb9Gj5C55Y1eht
RUAkGRifryjkfttTGhXU+VymVDj6ECNee9it1daUseDFfNHxwLfVsMHn+ONU
ZRq6OyDIfo21HVlwln4KezcHJyLuScl3UyDs32mu1r/ueHaNMmF3FRli8lo0
+vVoyHpPnkPHnj6w0er/anOYBpdVnhkHzHej9xu4p/vjCbjqlSH3F5I3Ujq0
zpSNuIz03nt+MIiqR2+r6xdN+zxwn4+I5o9MMqTf8XeuvklDEd9+51+LaGXS
YztluRidVCpqUT+9LfxqDbTCTaUbqY5YK8yx+LhvA7Q8XyrdE0ZDnnwSVwus
qxDX3ZGf5lbzSMLqX7YeoRM4rkqPNz8PwTy353hiy0nAyJ+z6V7N8v/8cXBf
rN/2GRITXzH5Dy+3cJmPNMgq+ZW+saQGvQs2shnKWELx7/rDOKOb0Ai/u4Cr
fBCm/AmzsaKQQDPkUYRU3D/gzZF1X9JuAsb535kZ+PgOFxuR/86nZf3b/UBW
91hU+e2BU1mH1G0zyMA433wC7dF3hFzxTeU9Bg/WNYBTy+b+sMA9xCjLJ9m8
GdWo0vc1x9YZF0xpmcqX4mgA0YaA70caVuCpvui2KadaJvyHavclnLG8hk29
SOmW5mSY5Gh5fH56CXr0J3BPSBMqTrDVeKN7Cevrde4bi28CvuPRrlniVEQQ
//wuZLgLan+7ZThxXcOS2fFzyIYMrNua0sQ0Z6DKazhxqWsK6RdmPB1Fa4nj
PSB0q7AHZQ1bZvC3EYgrpl5+XN03YbRsJM6u/xq2Y7e5sOYsGZyVjtY6V3lj
lumovHAlMpMeMPod2TaK2MMOXxyl7vtBcisZqo+MzaZOhOJUvj0C9nkkOLhj
cajxVCCeWuB89GuIBJGn5uXW59HQ5PrK0Eb9LjhZY+St3kZD02ab5bq9SIjR
L/nM6EaQN9PR76HPZqqBrUx+f0ro0LHPnBw4IwKFZ0umoMvveA1jMq1wYHpM
YelyIzDyA8HwwOGF36xEv1t+tsrvchHj+aXck7UzzltPrNauOC9q0giKNKld
UYmX8fsMmQqRmEYmPamWnegx/hiE99CV97k3kkDFnljvamWGLeqDzTi2NsMR
HfaPK0IX8e3eXg/uP6v+afJedOIsFe5L6ya8ugJo/1rq3qFVPBv5+y9wbaqB
PB0178xMebwv7dsak/kuKL8q9PntawK2utr77pZZBZMeHb8mtvJ5Bw2orBN1
eZk9UC5m+mV5koWYJmkuNs1eAx9P8beMutHhTOjow57KPvigckuC13AFSdR7
+lXHkVHuZLovKZ6F6L1JWtqcTgJF8YGPsYN+2O2getENNjKsNCX7WjTOI1GF
e2tn6G+Y3sd9831JqRoCfgXSuhmqwUz+w5tzTUS7FYF4OO2UeuowgLXlbBu7
pBeGdxXZZwLJwD4xmfwulA3XIqNdEcQSVLLAr2/LSYNR24qJoMhqxJjHSl6t
yVqc8cMChhp9x1jJoGivnjK6k4XoP9Z7UlnkK/zm75vDmVSU18QX2nCpA824
W0huLL6Ga0OaTlUZkaGeoCLaHbkEmzeuKRqrbmPaH8Y8tGV7msB5OhXaSjaH
x1q0o5rGs2JzfCNI4+6kPCfnHMrcVH+gqXEBLoAi/6eXq/4+4IVsW6YP5hKe
ab8lTWbiZ3l16a3egz44PZr/2OAeMiSbKus7+gTghC/ta7dMkOD7OEUv5/Ei
mH1YewY+d6Lb1yoidRbP4r3v9a/dlmuF95FXYjwp/rjPxX5byCwJjqkqnk6Z
OYctNuR1fS5pAf/8g65Bv1lw2ITWw6GbGA3IX9g76umMB3zfPZPY3wCMeD1b
ota89acvDmLzuQJ8ZKZ8e18vKl2qgopESP9EFp0HECM/6ooEv7T7bw4dCMkQ
dj9MgZyFu9zzVTQgu8wv+WqWoZEEkXuv8lmIe7PS1MjUb0z+1vbTfr9/6q74
fnUFgZdtlU9DSk2SrNyxlvvShGM7GSr+7bG4JD0P4n1Kojrf+5n0+HbLgKsW
FwcWsRddzk+vR233jw+1bfLBzZkmh5oVVv2hI13v6kUC8dpT2+dGrRVMfNFL
FnILPMiK91YYfksaKoS8jbPGVm/s8NYjNQtKnQ1M8x339QyPwEk6qgq5vxRf
Wg/rUjQSwwJWUGDFSfPHqSQmP8lpOdRNbFsB3uI3hmNltVA7axbbtG8Djlu7
+CAogoLw0ZEtGwN4scGun4HrNSQgsKEoVm7DPNw+yL198Ew7el8zCPqrfhXO
o93imIIeb5evC00g4NbSORkZVU+wbW5eq6pvg6UK/Vm6FBpBVMZuY9R2FmLH
UNgUmNSB+0btRCNrKohWju4eXd+FGPVzqt8yQmqVjzidL5us/OiATq9+y4Ql
X1y8Nt3bZDMZar8OnxoUtMQhrE6yRppNMLGQGyzGQiCuHzfeqKb0nSmfM+YD
Rjz4mocceDhBwO3lB2Naj+ahiQETOh8XK1abnjtc4fGOab6nMtafCN/jh3uy
Zj8n8pCB0d/7vDWotRIMwbfucLo+qySBtf2HSeE/a/DWs8SVpJk3wOrLrS5C
5cBNOc+XHVu60O3rntmyQsp4F/HiRYPwDvCz6B8VukyD5LPNTqU2AzD4rfZh
zvCq/vKghg9mDUz5kxHPI3IDfbym/piWM8U/sEhi6pMOWre5Sas6YtYnnh77
rzdAGVuhtUWZD/7mQ5OgSpGB0a/z81/g9jhBQ1dclRVweBWKNH9fdiCIimr5
5kp0fQfQ8wdejR6ZOrh3caWJc0sbk39kzKP+rKeSjo/TofwGD83Rl8J0nns8
9rU2qoZg1YOvQ4ffkYBxfcR7u2F7D1fMaROSfHdl1Q9pduQIzMyB3u60L+tV
W1HtmHQpmqQiPtR7ZSmVAvOCwvOncmjQYChaSvLugpIcg4AKYX3s86eYw/5D
K8SZvYi0NVjVM2Mlv4zRUia/fPO7cxXL881E9V50zskwCnF/zC6+foiVWMO2
T1CyqxA8OXzUg+RWkHaucWhkaS308j0ZDlxHh8RNh+/Kr/pD9x1qgWUWNKQq
mmBeXVgJAmG973rSrmLPO5VjI6vnyZj3Xz1cWPdGiobiH3/LNTLrRs8MtF3e
K1LBcN/RuZawr4hnKHpQ+HEA3mfOGtPwgwTKgfcujR+bQ+yZEiHLqe3wzm1O
6UHePOh6vLUeSOiEhO39dSoxPvi7YsYFwQNkYNQH97e3vL650oGVS/Fg4+5+
Jj3Vy5cdaK4LwHVs1xejxkiQ4Pzfo19H1xAbdFSI7tu/MvUxjPi5u7tUsjEy
FN8bMNlo95IEE0ePkul35xB/X3xu9t1OFKEvcfMEnxc2VnfgDApexVNskrmk
5TycU7Mp4urpBMb9YPQLIdm/TfleB+GOgydLHZtITP3a6faY3I7VvKchmOD0
QbYcOfboWpdL/UPfhH4NKxQ2AyM/r6C/zqZVl/GAl070t/BGsJ3hPBwo7Iz/
vpwcOHykAQSG/G/Ju1OR6GmTqPzkCnAUkvmLV/2rBI/OVWNCEfpbuTby/BAV
li8Ok468vwvOAl4dRD8KXLcWic66toBoIhcd8vnm4UhPywrpGgWNF+zlsxhj
IbZMck8HFjYAoz5NOn6nl2R74bKEqSFvVzITft9kNTcQTEKwnJ+4DusqXgbZ
Qrtdx2jonpbinRN9JLhVIqhavJ8Ly9YS5++8GWDKn/0fEkPVL62gAAelOYGQ
Wnij3rZdcss8spdInRB0paDIp7UvXt6hoeuzfMMTc01w9OTmxCZhD2wzeW7y
/lsytM2xnNL8YovX7cjKzZprYLp/u8qZv+VhEB5Xy3hs00wCmf8O6EiU0FF7
wGPvAyIdTHmFsS80sr6W3WdliBPX5AxvEm2FPP3hj/krf6A+IG52XH0a+JIi
SmTW0ND5t9vs5QqeIu1zB6c7LtCQ2tl7vEGEAUgsGrih+TEUX95tfXIpn8Tk
L57K1ogWis0j92O/tzhrtyFGfmfsn/vt2Bfk3xCw70jN55xDFYgx/6x7K1jF
Oq2F17UVFNQat4FeVdxuqf00tEPK9Qdx7jpTftj9aYeIWigr8XrjNaEHj8uY
8ovF/lebLY0IxOJzX4qGnCvgUvymqrh1bJh1nnfnxJo8SDI4H6jbQcB9UgNj
jwrfMvVBJ78bergS5uEGr/7j0yFDyKksfm6GLEkcuSBmuWdXHhIQ5/rj5Li6
PlI+xLSlADH6N7HTDXIVsux4/y/3agWDVvhesPt+DN6Pa//bU76usQ/iLpdt
2+pOIH598Yv/pE0BSPqNzSaFeWOvNK+iApVVv5P0cTZr3BtnjVrv2nWCDD79
uam3lWmwbsjt7EXedpSjE0ExOvwPJYxWO1EymtGFODFHmbYQHB51RrW3lMTE
l8SzB04c99fAifxpBU70NjivrTOXLhmMuyZwRXYdCR4tnRjteGKMte1+3rSb
bIbC7DQke88bT0Wo8UwTyTDvUq9h/2cFJbYXEKvZalGW9jPR/ZJh2ORI+47r
OSR48cQvI2BVzxU1l0ujoquY8nCqgr7Nq+UlpCVdFWbdPYYY/fhir3mRwvk/
yNvoXFFkyh+4rhjOnrIpADuu2RbwY5oEekMb+pJdlpHSrwcPx/RamPoLY1MV
/nMjSxArb6KWMdrA1M+Y31UW4SdfwVKLXHt69RqZ+g5h+Y7pHSkO+HNfj8j3
ew3A2Ecw9gUPJ2zlH2RyEze2FRh/TUyB+R3H+HN2LiPPV3j5yVwz+AgrWMqk
ihGHVQaVPUtb0Vqqi7mIMw3xFz5rdQ16xfT/IbNZTZwkbSxeO55te6QNtm2x
YI/NZsVno9xPXfQtQ4F/kp92zs+i5GKBH8YavaDjHhJWkO+Pne9Yn52YJ8E+
Qrf8SsE8jBVEr91JIoGx3c4L/5F8MNGJoukoSYadKqU4SZOKJm7ej4gndTB9
3wlu3Uh5qkqFtbdvtFdVd4Fgcp0ePZoOXsM3ztcNdMF6sziW5kF3LLeoOTmD
yfBGiRobqkmF+nrq/R31NXCJ82/XT10RYqxbECWjjwLmLFK5erp0dOvl4M/c
1fXDl7zLjzsswE//1FaJJApTXmfUW0Z8Z+a98HGMsMYnwnrE/esamfSBsf9i
/H3G/rNrs8Qzap0TThsUeu6i2AD7I6qjhQ/wEJ9cUU8ULaqBM2WjkpPS64jc
CTSfo42NwBWbNhbo5oY3nKGbO0yQwWE/LWI4lorMAs8ol3P9YeZbhvyvUL5t
+2XPBcj1Cpn6YdyD9G5lmILMMoSVJu2TjG0G+YeweXB8CQzm8h9evUuCKBn7
9gRaIH5Tc1LRrYvExB880D/cHEJDjzIz3nvMfASHQJf3rsIueG/VVFy6UAMw
5pXDB8mO3hah+M5Kj9u61yQIzwnLWhf0Dx1jdbho86IJIgRcQlpjg7G7fvOu
hZrVeeqevHSOZR71bJDN8bjXjmRaLBqSp1mJLIK231N+v4Z3bQGSj9T/oenX
DwxSTTrgvtezDXu+BOCOPknsNEoCpS9dZllCTvibrr14hG4DMPaPRmVFZaHt
fyAtKkbrS8skZJ4OF5qzXoK3+i+PJMW1obCjfDwbnxGIZtyNDzXGKpjyNSMf
iS1JJk9r0VC3bAjbiloHLKfHxFE9rXDXHfZPvhxNoEpX/uUUu4zEi9bnFfmR
md7/f+27qY0=
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8Ve8fpxAyKiuUnVGoVEboXlIikcooQiSRvTMys11EKSuSzCRk6/lY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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk8VO8XHtlCiYgIWaJUpEgLIlsRCclSdhIq2fd97NsYy9AipVBJ0kKR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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXcglf8XxzMyki2jKCSZpVIk9TlmKqspCWWmEGWTTaQQ32ySjEIlIyN5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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc81d8bFw1SKStUlK8mEtnS54Sy97yErCQjoWtF1rW3a48UIaTIyDyH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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWkg1N8XxpMoShGVNpEklSKyJTNKiIosyZKsSfZ9Z2ZIEUmoKFrJll/6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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc8le8bxwkRJSO0lFEpsiXpy30ZTXsUkZG9994Oxx7JiEKSUZKRokU8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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc4le8bt0MaZqUoRFNfVBLVc9sjZY9SMlIke++99zyUJBLKzsiotJA4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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtmXc81e/7x5EoIzMlZSaljDKjPvdlj5JQoRAKZY/MbKIUEi0zIyGUlRX3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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWkgVd/fxU1lHqLMs1KSkCTCd4tGY8hQyDwPl0sRhb+iUCqSSigiFe51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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4VP8Xx0kpkrTIUhFZK0plifgca4gK2Un2XfYtDIOytqlIskSFCiUi
3Htn7FrIkvUbZS0KRRHq5/fv3L/mmeeZZ+5yzvuc1/v9EbK7YOi4homJaY6Z
ien/n7ph9WsD7lEhTf/V70dnMfTb+cF2kQNUODVc9F7ZHUNxcQKe43t2wbmg
79T+TZXoa0jEnZtfjOFkHtfcKc9GdED4geFiIwWu+l5m0viBISLneXlOxF7i
ilTtH9uDIXieAduPyKIoUODIL4qNxZAxZ9ylD1wRoBPVUTQgjSPLXE5HVhk2
wlnr4V0rjl60kXrzq9w6CrSHP799jgNHCi4J+oLvLsIPmb6qE/E4mrKT+ZAY
EQqO0hWPFetw9NPy/dJZFQe4ORyNl3jUoo9ptGdO+53hWPkOuiWNjmi9qo82
RVkB58uxy68i65Fq/AaPYS874NlvcWDuWy2azeTSa5oJAgta2bP1IgRK3L27
JcxLHdo4cs0anhehbKnkvb/1NWELrF08W/kOMX+LVp/8zAw+O50N9nZ2IgOp
tD7hOE+43pJTsFJGQ4Zst7bF3I+CCZz9J18cht4ltp0uTYmEgmbpk//qMSSz
X5TrmJc3fJnxENU8TUP+OcpM2UMREItlnHfZgqMTLm61ew19ofgvT8yeaQKd
y7G82/91H/HNITpMp7YR6SwI3kuv2kiEqDK/WjzegXc4vupNnQiBvrR4YfMh
HF3Zod4y9okHPonhti7SbchS4Tq7wT45eCyc9v6bSQv+xVb2UMz9cDj+V4x7
F8LRdQtjSkhAJAhmd9Zav8XQr8RmlzeqERCS6cfXIo4jqdKRcectFKh+waZf
yo6jozizRiiPKpRvuMUe4fwKr+Subdt+zgKG2caMHrI1IE97aTd70SBQinur
C0oEmo92FLqkc4io0pPcOfnpJW5fdkZB/4MDMF/pkLuqVYssJec0h0JVgemN
dLl+TQU6JKaYIthIBfV9zt7pehiynh3/hS04A/GFk+V9Gh29qwlrufPjOJy/
r394Jo+OHo14+N3BVvAJ8761yRyjSC3nMq728yJcG/sgsTUaR4mF6TNC+7xB
0Wo9j+s52ur7O8yqfdkX6riCXB6OEqgt/hTL7w8AMx/9CrcEV6GPsjv2lXr6
w1qnqXTOVAIJZMxZvf3PCG7cN/rAd7wJbWXPuCphEgZ1oynD7b44ohtM3Hh1
OhqWO58p8x3BEPtmOX9eczbQZTGP2Mc2jCfJz33SvqEOSmspPqI7nuLnbkRS
Mg7IEAXbVGS4p/JxP+xZ5s1QURCvU6u4YjeAYmT0Ncraz4OBWNFpun8dKhYz
9RiptYep5uuXe5Nqkb3Ku+0KTRFQr+s40rIdR4WKHJa8MmEgnT2s+F8wjg7y
l+6Jiecl1lXdqfSS+oC6Ek1UeHesIXzsfqoqXevGX17qLHn5uAP/BYXjk7GL
OKP+7jXIO0y0+YFR4qe00SICvdmkXpv4xg6+GrSm8Lev6sWVdX2WDyux3L3r
1ljjXXywK0ldqUCYWLyydVBeuROXAXMn04VwUI1Wz/c6jKP7HLnHHlOokLXT
pjLCAkMmGSla9/9dhDYj5l8sUThKpemJLRQu4BeqhGa9H03hzTK7qo04osDu
61muhAIMHdus2yOOAoHAnvBYmxJI13TZtMqYGxy1LCJGJTrxlGT/UrFjPiB1
2ICeJ0JDn3QGN1SLhMFnkxKFkVAcqTOv9QrZeAF073FyD8bQUJNEQ5n/myho
3xx5RJiCIZ2L9R5KPcv4rAnbTiyvF/kccF7xfh0AsddVy3SdVvt3ja1vx+1o
4Pe53WIqhiEBHDVW8VqAZLB5gPmuBvT2Y8zSrsNUeLljM4XVDUPFn2wWWI6Y
wFpzTcN+w0ZkNiTAwSmlAN2uM1WDVzpI8/OrCFPFit4kPqi6ZiUtagYdGLnx
X7aRP0g4vobv6QQKpE5O3x4NBMdwh6oPagTKzfziOYwOEppsG3f8kcZwnhfb
Xm/RZobg8p+UepE2nO2dXDHy3Qb3OPJNbPRKEKPesn0r/n0/5AhurY+kXhyq
RcWbpLv5f3biQi2ejpX2i2ikVDdJ3kcDJpQXXr64k43SE6yqkvXCgTVlvnyb
Ho54RIPUWDWooLJ45ZSjE4ZEd539ylQXCdRT/CvurzA00Zotmt2gCGtS+Yp3
/qrDb13kIy7necOBIZ2QKHUaUt15/lpOFAdx07bQdkxiCH2YDjTVOMFJfH75
Ai/2bMX3Lz4T8PcNhMNB+6YmzxDor2HwP+r5KJjJKjwcfxtDmT4sXpSzUdCb
RR87egdDp2R83tACRYiP8sEhcqcLEJOf9kJd1w4i7ez1X4sne/ByxbnkhiJ/
cE0IkU9IJtCj44+V03ZTYGW/ihEbG46y9HJOp+f5wB5HqaTgzTRkGZdeZM0O
IKmo5FDzGsO/h2XGRqVrwK3ffAUaIen4T2fpt0X7fWDd99RFK3EaoqcGREZH
BMHZWoMtY4cIFHFxWrRxYyDwXdLTmLIm0Mrlcyp2X6PggdkSc2cwRtqXm5jl
Fuur/KEyrIyvMJFAVvoP0lbE9xIDKODRu6kidPD7b/t9+TqQczc5rDr2DdrC
/aa1XMMI6r8krjGiNJGuf9vWq9WbUIO/RK1J6dfneH/XSQvhw0HwzUDwPXFs
VT+1xBkhzlD4nfuY/0gvjoQuRM++r6IAHtGrMfATQ4oO9gMCD5vwbGQd5Lb0
F2fc114Jj9r6R6hgr+1cPK1Frn++Uzdr2bQ/WK3T74cYgtTfvAEhF3urf+Fz
IHrQVecLXnnrRg2LkTcYfmo11zBe1afT/AHhKBniwTeHBS6RRNT4Llsqd1AG
rqfufx59qA03t18+fyRaDTZ1GG4R2vYCb7JSGIoZdQMZlSfzEjx09IRy+1bD
emtgGuT5l21bT6pv4tx35/tHQsG5vitFqB0n8QJjvXvOWESX7Fl9PgUKd8pn
DHUduFYa52wPwpdUf6x5WIusfFr9Z6wvgFbFmfH5UBppfme4vDghV60PgoUn
dZJmW5CXgOyivocn1G794f+skkbaN5SEtPlubWf4Ghd80LGKjrb3ROUHNUTB
hu6DN50jMdSdXY27lYSC3OG7nkJVOBLp3Cx5Z0cA/LaaGWqOIJDE1Vx3rjMi
IETBl1xLenDGededfy13mVsAJALsEygTTehXqnXGlTkHGJsPVJZBtSQ+irQY
YPHN8IOChvC3B14SiDea4qhgGgk1GXvDujvJenycK1uecTIIdHeeaW6QI0j8
I55E1b9goQuN61PfZB17g5bd6ZvuXY4EC/2/+d+bMBJvMNabsZ7n9yey97U7
wZ6Zz8V3O+hIssvWK6UjHIzT6Nmd8jjpu8Cu4sVIpfWE5u5uu2dPh/El1lFT
tpZI2DbwXvVvBYY2KP3NumDjC1/zx3urpwjUIvjC5ohYNHCLSo2XKa7y7bQi
51+f83B/rHFLXmodsn4hfPv3kXDQHpRU+HAaR8158o5v/3BBgV96v6zaK3Qr
x+CInoA7lP5J7DLhpCOfren0AtYQOBTjt0hhXdWHeO+JmH5nSB769Nc7k47g
maE9fU04dHT7O3iZ4giPbLG4HBEFT6eNmKeuYiRevXncmWM5IRruNFnc9pHA
0HKX9IjuH35gD87giX1Pxx8PRzTtmAqHfpepD8eO4uhw1Hb+qd1ucKWuS1de
no4+Oha+b12/HcafSDuFT35Grt3xX8/xhkEl83Gmb2E4qR8Yefq/ePhP9ogf
2L77zaHeRKANomUiQ2mBoE+kwz49An3g6jmSRdOA28u5E8pcN5DM8YPMWtaR
8GCm6JJJB4aSa2yycpapMLD224CfGoZKQgO9nEaiIDe4SZI7FENuAnJF5z65
AG3psfJjTzr6rFlB9VYOgKs27LNOIQS6us1kdLe1DUQO4Q0hn+sQxetHisBS
KNjizbavnuLo5XnbwS5eP4j7Wr3j4RuCtN867C/BUHUo9E8JOw9V4IjJgqJo
ttUfDkXw+jbnEaT+O20Tr5270Q/sXwzsH3hHoH9njOKTUs/BSdvdgmXs9aTv
Ef+l7D5WRYUaY5Pm4VNk/oHcTRoeGyIhd1d8zusJjMQnzgXLxlpqapDQ6DOe
rF6Gi5kETTzItIFsld5dkV11yOKEiIYDlyK03sXjH0+2o4CU+B7bG4Jg/euS
fo5rHf5WakP4g0UBCNfkuyN2cwgZmmUGi605DkZeqmbF92tJ/MW4L/nUXro6
/MdMuAl88C38/hox7mcfpsaCflsqGJ+ytHU5j5H8yj4j8Z6j+3wh4gCP7/lf
BMkvOabOWM7lhgL+zybZoQYn8Qjj80zNFwYm3fQFzo33LM4MEyS+PLa4K7rN
LBDyK06/23OWQIy/f+HElsU3YQGn/Jwdzo/Wk3jr70cm/n5LQ1iZOB3iNdWE
qO7y3hZrIqFy28Vyq68YGiP25vVpbiVE90879i3kk/6vYVbzd/tUBDTwiQlW
bsaR69vnv0TG1SFVvlMLm8/HX0opPVwOYYb2T03CjiND6Ir7Y6P85Eh4alLo
E9i4On+s0mVrzOeQwECFDHdbA+n9mAbtlcw6pQFWjwg7+Hcff39dtWFggosQ
LOKxHmxowI3vYgNiIxqQFqbIZsV8HGfk05OGbjZuH6PgobCxhOlFDFF4HA0i
U6lwUmm3x3tjDF2z39ZzqtoXPNimttgNECggwCfutU8QYINL/ZaHCbRQNHjo
ge8XdES8p+RN6XdE3cg8sTYxFGo6UyRmaTh6ra6mpPGMi7iWkSK+yagaMfoN
h4sNrI7x3qA7vPOxuQ55X26cvG27j9kbqtl8UqqdaYijsEduoXgzUVpusvXE
xDDOyEOyYkfHpxUiQfrP8X2eAxg6rpFgn3idCraGzllLJqv7SfPz0bPLUXBS
uTKROwAjPQ/ldinGHOoLbxfH2/+NE0h0pl01hzcQVIpMMjWtCFSfqSdqH3IB
4lxLX5QG0ZBeKzM79+4I+NMcPcQthaPNHWc7TS4EgwHliKz2DoLET10DMydx
PyqsxOeP9Vph6Fn4Tf8grk1Ev+6O+wlOBM6YJ9iuP+okHxIN3gf7ttzbv8q3
Vp9rvvnvJWabBLlHH1STeD7+Hwv7gok7PP1ur1mwjo6GZB01/shpwMUE5gfJ
4XlIR3LJou54MIjIqDWV71zVX7/n9yxjDUhngv09cfdJvMnIl9nvFzb7DCqA
C5Pz3RXuRnRuZ2GZWI8G6LxLr6lUj0VGx2xYLJk8QFz494jvFA15JB9Welvr
B0jITOtnCYHqTpVEnwvzgQ1Subd0eWgo+1xU7JcX8kDZ9aav3rcJlRd/E5M8
ZAe7DLh7RZjrSPuO0Z9mspwc8naOhqdMt63eSWOoKvLU9vDUUIj549RSgOOk
fduyXaxt2k0Dkr5NbB3jzMGdZKUzcp64gddXlfI9e+gkf32Ma7pab+chQj+8
Tp6jtBIx5mOMfppRL9+9LoretoyG1DUCYT8OYWghZDye6rUBSkbZPLkrG/Bo
7PHMbK4nvKV4dZ15TkOM/p+RZxj1zBUhp7luMQKKc+7JbOTEkfUZrbfHLgkS
NadE8zHxN+ha3IQg11kfyOlJW6cqSEPhK/5ZtD18YPRv0IX1WSPuOq80Pn+D
i+jPsVvY7tBHqmejJfWOweFAOCHMsvGvGVnvuWUyNFrSTnD1mNDcWPAC+Wac
sTZJNoeZC7Tds2oNSNgtNltnAxWeHjYoT/fFEJ4rrbypKhyKJtstA5Rw9CpF
Lv73bW8Y+tF00F2LhsRHG73bnalQy8sjqGCDofTtrjViPgEwHPak2MSXQDfu
0MeUONVg68r+0niZcvTvvHy8P8EGS0mTr5JtCJzRvxzOD1Q9VnIB5P44aYAP
DS1ObHS45BsF9mlliVduYOheevGDzJEO1JDKUqpfsYh6am9lygkBLMYXjah4
Yig41VrqBbs9bA5Kchciakk8Npe37u61BQoouSsvfZ/E0DsLA7ln4eEwNFB8
OUcDJ+VnD7d7LjfkBYB24iteF3eCNL9bLW5ubvD2AKKj1VB3gEbirf6xvZEl
v6iw4PG79ro6hqqtzHQC26zhmIDrk/Wy9aS8gjHP+hMTkhOsdgF0JHw6lSNW
+2Gzmcl510hQCNs3a9qGoYPEf/J+v8JgV0xJiJn56v2PlGz9FeIEnxKSaO5j
dJK/YeQZRn/C6Eca2gq3KT5RBknJo2FfPr0n+UeL5793/1EIAYnHMyrOzASp
f9kd1L7Nn6YChSPr9Yo9RspPGP064/tUOVKQ+cSJApPysc8l/mFo24Pd03sc
wyH4Ch/VVBsn5Vth9PvMUlQ/cKr+vNO2ikD89PmSM42rfF97GuUdw0n+9tZM
vPqhEXfwezpveX2Ghkx/7fxm7RkNRgeWT9RIYcg2+km1dQEVxrhntU0NMVIe
4G9asm1PJwUE7jv9eDKDIcb7H9e5IWJmFgSXQzfI6skSpH5aG8T9475jIPBp
z/vEGpL1ekz3p1psRhRMSBJOjvHkvCGxzOGUbbAcKFa1F7fMNSPDmKURvkk/
aGvFLNsLCUT/vpa10sIPYm0PTdfRCKQ9pHScIrCWOHr9+RL/bBta/6ZMzfWR
C6x/z+siEUxH8hc36NiDH+x6+nDjjgYC2bQPhl+PioQkV9oP5xaMlB/3rmP5
b3OxL1jXs8oXfSRI9WLU7/Izx/NlIVSYOTf5/bElhkY/CtmKd5hDp236UZ+D
DcjMRTC/T9caGjZTtSiG9agvQVE9J9UJXtobTHMP0Un79UTw+u48bXsY/bIV
u1tUS/J3Z+h+4dUtWoD51+y/MPoWPcnbOFTLoQGZgW9GFmcf4lwdXKwDFWHg
vmgfzWKPI6WqkqeRZZZgFR7feedZPTKKaLmz/EEZ+GVVWWjlNJToe2G95jp/
cN442dz8kCDt66w1pR4nmd1gfeV4908lOoknn/bINCvEaEDvGtEIrhOZeH7O
xA3JsB+43luZlJU/k6Tr80n2W35y9gOPr6YN2TiBYu69qtxsEgwJNXWPl3kJ
9N78kcxctjPABZcHfQV0Uj5yae3SBVefcJA68Qq7qIWT/GEr3aQ1VDsKdoWH
GIzcXfVzFZxmzfEaUB50ZvP8uXuIK/Hd1QouHxhS3KbVd4BG6h9GHmCsn+7W
zJjnLgCh4y3GPRo1+HCU20keUzdotM/n/k+KTppvjLzGOC/1WnWlX2cdAqZM
87cCCu9Rop1yY3PBIcJgp7S9amUpUhUO1+DarwpFKPXv/u2vSOcZX+iaWzlV
qPCa11ol3RkjnT8w8iNj/zHmo4y83JLO96elXArmr1nfTOluR/nVEp7tT+bw
J9/KLKrGA3HKp0ItO4EoqMttGXV+sHp9bve0yWw2wqD2sPtCYD9pvt6soRzY
3egIiWd9N/RtqiXlSy+N3N3c74VAbIXdj+HvOPr3L8ZIMTEIYlL/9vocJN8/
Ry9v1Fz+RdB+LfAz+SqOjj59lGBsyAo5ysblr9kGcVCM/jWUGgBh3ov393iS
/RTjvH70bYvyyBon+PglbsmTqRZZFIrPyPNTIVW2L2PCC0PehUVqUuK8xECh
VIREJB1n5E1+t22LxUeEoOBnuMGvy89wxvMsG+nn9jFOUaDfNfvq6K1Vnt72
ToPDYB1B9eZ+5qLzhcSLjPkBoz7FRwWCpstFCH1+q7xzbNE4Y36x5t8jXO1P
JKTsTVlf9hRDM/3LU/bbowGxC8qwqGAo7fmefCF9LlD5bXO0S3YUZ9QnI/8x
ni8xnqcx5m+M/PBG7bD+6eu7ISaJCJvnjcIF8CXNqyuqoCnSy9oaVo7f2mE5
3pXvAeHsxXccO2moDlV/Vl+vDpeYv+W1xj5DcaK7S7vNwsE4g6fzqO7q+4DT
48jJGXYO374XXkYn8bGEpWRsrEcUDFxSk/6UQs6rMHPXl7b0fRB26dOZyvRe
NH+80a3xgy9Mb2QP6egmkL7Dg664q+4wkpRhLLhCQ7vwmr4ZbhegM+VkqaTQ
EUt3ldpCfDjkZz7qa1LDEX9c/5qZ1CBopuUc+SdFkPLMvPjqqT0QCiInH461
tOKozuCspCydmYi181msCOgi5QXGgmp3r1mvhTiviKDMhTbkkms3nePnBrN7
TfiRJJ2UZ/wPIuU2dg==
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc81d8fx0lWEipJkZGKQgghOsfMyl733kpkZivfMiqjIlmFCIXsCNn7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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFmGkgVO/fxq1FVGSJkjVbJEtSlmYqSZS02UoM+aWsZYvs+2SZkaINSZay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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWc8le8bl5mdkSiREZmFpJD7MjJSGiTJziZkH3vvcYyWSqQSFaUl6zxS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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8Vf//V5FEiqiQjIxKKGR+eL+zt8qISqTsbKGIMkPCFUVFZGTvCHXe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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8Vf//l5I0UCqrjJBZZGXFpUSU0SKbiOxkj2zZ7jXuNROSNJD0KSrv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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFmXc41e//x8le2SMZx8jIboiG+y4zsh1KlJEPpUUlIxlFJUUZpYUke0YI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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc4lf8bx4uUygiRlZFEZSRZIYqKMsqozMjK3jKiYx7bOUiRUCoRMiqp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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc4le8bF6WIpDLCN6NUKrJaVM+tEiEZIZnnOOutrCgro0hGtswim+y9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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFmWkglN/7xjNUUkQiklIpspYSSe4hIbJF1mQpKiRbSQuSSvtGUQiT5UsU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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWXc41e/7xyeUQkRCSsieJQl5P3Yoe1PKyN47CpUSQkJWkVUhJCvheXCW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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk8VO8XxwlRRGXJGqKoFEJS8hxF1mSJyl5ClH3PbmYwdiVCydKiqOyE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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWc4le8fN8vIjEQpJJIy+5UUt6xQyd7jnNOwsiMRkoyMzJJI9t4r+/7a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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc4Vv/7NyMhK1J8mkoysik5R1JSSqKkMjKTsvfe20NIZZQoq8iKRO+b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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8Ve8fD0XKN5uojEiFyozm8yFkJXtc99quS1RWKBnJDJE9s1f2uvYx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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWc81f8bxous0pAoypbIqowkOSeRVDIjKzN77y1FqcwkQksolORM877N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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk4VW8XJZoQIQlNhiKJ0EhljhAylAwlInNS5nmep3txzUPIrFKI8O4Q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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk4lH0bxi0hSVoobYqHkLKXsl1XokW0yL6FyM4wZsaMtGhR2UOLrZJS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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk4Vd/3liElQ9JAoVQ+EZGhuKazKFNknjMkmctMyDxkysx1r0uRypAh
KZpdY4VEHEUqQ4kiRBKq3/7+e8/vr/uc5+59zt5rvet937W3yBlvE2dmJiam
xXVMTP/7/cOn7SSPZUD3dKPMpA2O3RdJJr37ngfS/Lsu3NfDMa7doXKkyVyg
MNdr1hrgmIhihW5wqzf83vBN8e9XHJt+1rKr4SEVaOO05hBdHHvtInT27+Eo
yCf9PY8l41jioLHxDE82bHXWvD5jimM2x2ODfgQmw+znf0/LnXHMMWHDln/l
VIDjHFgqmq9xS7DQ20+KLtl85hhH+XPMPm2oe8r/EozZ66yteuMYx8tavZFd
VFgmXWBVOIFjbamvp0hqBRCVOMDXo4VjzD+yxBt2+IKYQ3VH+Xscy/VqqLiz
8QqEarQsSGni2NsdplXWJYFQf6qi/+59HPvdMMvS0R0HZo0tW+0Cic9PrmyJ
miBL0htYWnZrW3U20q/KfneQiYT6Li9afypaT9huS400H/jVofLFahzHTEVq
xW5+9gW/3ry77TiOrRtayPzWlQU/WSJJ4WY4tsArJVn5PgtaKOMLVuh52odJ
KNUXA/d3N69TSJcxrcMLpqdVc8BmFoxzjdF6zy4fVHpVCFtE12OOaP12LFu5
RQpSwYr3ulC0A44dzfd7PaWaABpqzw9XnsexglvtU5cfFYBhKvcBaxSPRu0I
Q6fSKBDoeetQkoDi1fe1KHrKA/6J/mcxxDmANSiSOCzHMiG1upMn1wLHxvqr
NKyup4PCKyg4ZItj16Ws1PLmcuH0qeyxEpR/icge6v7DmnAsMo5KNx3E3ges
RjVq5sC3bSUl8f9br4bnEEWSCop3rEv3ovz0a5fWys7Ew9qzDZJXfHHM1X3K
2oo/Fh7clJecv4hji+xHkyqTM6CHK4O+GeFv8G/Ib1ffPOjbWBd8Vh/FU+t4
k8/FXBgLO8HqZIjW786hsK7PB8y2MzcEjuBYxPuchVN2ZAj5/cDr90n0/mjx
M+KOGJxRrJV6Z5DVWLp3qOaJUxScldYPE0xC+xEfs/+e5gSPhjil9B0GsKp7
T2+u/5ENyjqGj/ab4Fil4ps/LVKecOKOt38pxwAhvuoLMy/n2SnwBpuYIKP6
eJ3BFaD6XAw8Wvh+7Lo5gn3Qdnu4fJYGG+341Mu0cSxYLWve3CwZRiXg6gLC
+w/7MbY2A1G6TUhrjkFqH+Zyb0Sn4lcGiP0TezRhhWM3Zz3bRO8Gga74SLDY
HRzj7LdRrC7NhIjVn3f2WeKYTqWeGSdTJihFi57vQeNlbyewe9zKgtE45+R2
hKdCMy026YkE6IqhDw574hi3mfp/53eSYSl6KMUR5U995qRD8rFzoO2zkqHN
PIDJew7zdu4lA3cMxdnsf/mds/BQ0s2FgLeh5xtQvA/7RU8r/BcHjm7hs80X
0PqaxKnB7LFg40P/qxCGY8eMbQQzO+Xpr3FB2+7Km9iJUFZSWjoZJEcffq9E
+dj89Mm2JrFQWCveL5tWhGP+SovzH08GwArf/sl3TTimu88l6bwMin+ChHEp
4odVVx6WFcMMyHERvdGA8LBHS2SGOSQcYh5nG8dl49jQlGQY91wq2L6KW561
x7FDR6z2vfuYC0VN++qeovXXKB07XZoWCrLkbbd7r+CYFZv+400baXCqOqmH
XQcn7Lfexla9/0k+xEYrT1ui/wtGP2bPs/uB7l9aRUI/jpF8VtTqpyjQ7ab3
NADhWWQbtYiyFAOxKwcNI9H+myqUPLf458Ks0c0VHxSvpFDp3RpmNIg68sDn
Acr/C56DRu+WgoHVFf/EfxPHtK++Sct5UwjiMXUsNqie5Z/WNpEK4uBI+/A2
3iCEz6tClzKz08GHv9heG9Wfp2lY44tvaSBz59CMgR2OBbj7OmSFx8J4c4mG
SSiOZcw2/9O7HwWLoZsXtVB9+3Dw5jq7ZUFIrJuFrTnCT2MLV2cfFSzI3xts
Eb8Ov74SkvMlEL4aVPsxN+CYiUWbruJ1D2gR3nSTn2eA8Lzpk9Snmo1B8NX3
k/yh+v/NV29LDpanF28i9SgrVmNrcsrbvTup8OxQl4MLer8nmxSvdVQOPNQ3
0hIwJubX1ddVMnuHNJ0lyn/d0SfPGjXmB1X2xuRB6OXZ3SdRvasMCacyuRWA
tpL0Winir5OuGgIU83jgJDmbpPoT+dRh9HarrVUGdJhaxF1FeOn5fv1P5lsJ
+mv5J0MFPl2YxpE9rXu/SsGcl7W/qVdPI2P9il40rLNMSQWOqKsJVxCfWguv
Z/67XAhmFllqqig/55JIHxTZj9A710n8niu7gvX/KtNe8U2BZ08F9pCdcCzs
+ROsjzMaeIZ3JsXGI342XEtIy0uG/NY26mlnol5+oltvKJaKhqh68kBfHI5Z
8PELflWJgUHx60O1kSj/b1ac83tp4C2UGa+E8MMqTzedMcmGBKe0GUcUP/6f
YgsNEb5gG/pwffEgjvFoidny7YmC4yHyzNeQ3npkDbwVjo0Go3hOklgsjvHK
RHdN6NFgaDlmc7M2US8Y9Tj90Py3X8MFcC0RE1JC8T8aaOqxLTASHMIne5mR
3qn+edoavBYJlX1bC91TiPygnN7mST+QC+/uJGfOoXroVhMVMFgjQ3NBYvEm
xAfSJtwuWbqF4DF8Q+wNim/wfnxsqiAXRErzciXQeMGTuzdOJmWBrn3Dl80I
vymktR4F9UJ4OQ23PmgS56dEa40P2+fAB3PlLxYIb/uzOxxCDtJgdwqp7RPa
7yXHU4OemxJgaX7WRMWLiC9ui/qTG3f6Q/ezxGuHO3HsM62p0GiMBp+Pl8yK
o/ly1WtZPLczwYjLmp/Hkqifd402TbKxhoF4+MrDjxTEH/J/l9vDM0FXjHU0
BY1v33Pn1GNBVzhvLv+LU4Y43qa5wD7zx1EQpNaaOza0NJo8DhBqC8kDkvOB
51aoHmrOFFC/e3rB/nN3KUYLKP6r/aKhk9GwCf72Kkcj/GJX7XTLrIDL/U6+
BecbzGbXL+Ep9ShYl/uq9D3Su2TS0Ud+OwqBdrYnmFWLqLeM+L7xwUVEuoYC
8kMnV54gvmuY+GAk7EoFwftv5YdRfY/WHLk6uzUJhDBX7rduxPUfzfrrey/i
MhxcKS1PcER6UdsR6uKTACeKzgcLI7zNFrOf/xKSAQfuPlrCbIj/S4RdVP0h
GgY8KaNSdig+60WvhesWkeHwypUH2Qg/G6euPzphWQD+z1J+NaD95Hf+LfFJ
i4WHkmFPuBEfxs39SBAcigJnbpHjGZdwrFrvU/WXlgJQzntvZ4zG+2cKv662
j4HptDkSP6q3ppdTKtfOZkKPLJNZJ8rXK/N+3lexuSCtdIXfHOHR8eNoW/Vy
APi/KBHY9wTHeg2DykvmCkE5dcT9OMLflYP8Ga4KqaAqmU6WO438Q6Xe80Cj
dOCwVgipQfxtV7rpuYXMRrqumTF5xf5LI1eTk3paaCqwtB/ke4z4RvKUeuvH
9kJQC3aLcEPvM7ov/sNIWpbObRArTt9Mx74HbjloLOcGeXIftS6LDmCFInzO
hVuz4Iaveo2QBTF+jH6EkY8fnqmgGt3Ng3X3fw+xI3x9++Nd//tYGpT4tc45
2hP9x1Udi8NqFFuQiS1eDO0awNoM880iJvKgtLu3vgXxJ+/P1SXMIx+urXCx
1iH9nGISHWvPLIBG3RqrKBTvALWfy1pUKuQk6eFFukQ9FDLZ4PmZxR2S5Csf
ZQsNYMVH248FswlCq6jh/ljBD428hjajVRMXYHBscUf4LcSXke83OhqlwH/M
rZ1DiH/Zgk8Nls5EgF81fV1FGo65vXR8mvk6FDjCm27eLkT6dr+rvG9bKkQa
lIn5oPyouIeXgmACCPqlreNEfJC9BwZZziN/peUkUI/yv+fu/Vub/ssAldr6
ZplTyL/kUq6l5OTCdvETjiSEhwUpdid9pUSYGjMs+utBrIcztuYk8ptoEObU
s7+M6pPR3zGRC+iKWB6EkRVO3kLxv+s8ZF+kT4bNrBLKfAZEv1jK8XiUqz8H
br+Tz4kxQvXvP75Fa30ujMR5nDtoRNSrTpHtWd57I+BSI3cnZOIEvml0kqtP
bE0AEer2YIVzaL0su86EV2kA8xWDhYf4ICY5aLU47LyD7r37Kd+h9o+YYP+x
TUxvXCBgpfgPv/wA1nFC2PCrSDKU/JLAnVxQv7Rv1qONOQcO265GsCL/HG17
EQ99TQZsXHxJB9UrI36ZLFWraFVh0HG7dpsDGdWzT+D6t/0xsFGV3YcnHOk7
lt9fay5DT97bEGpe0Iy9H+Y0Feogw3MfA3Pzk0R+3lyqEiNxLwVaRMuauBEe
bmrEu/8bUYDPO1+4CUBzY+oLcVr8Yih89S/Q2IvwsKb+O/65exi0aV5qPJVH
9GNNfbIqHWnucGZ4EzWFfwD7FhOL1W4kQ/CN+KWLKD87VeXb1ZmdoMhkj/WC
6wBBnxj9lS7165rh8Qi4dl15+lUGjllaLjqO78qBsr9VSf2oHu3JTxN0lI7Q
mX++8w/+Y49JUzqNv1amQu/EdL8T4gdNLtlXh27TwPeFzMwptF/viATP0/EU
IMXy715A/OzUbZq4vS4GrBeYaMUoflp2x/xmn8TBMDZ5h4L6V8EozvjeoxnQ
IvG5kAnhuYy9jXvlQg7c+9VPE0PfF/RmFihOTgK++z3DT12J80NeuSnPu6iD
1s0J6ZH9Q1jgsFdQyjEaqI5du9ehTcRfriGJAraZIL6DuWQE1VOR9pLie8VC
WCs6IDuB/ucCpXEF8ViY3TGIV1wk9rPst1wXvq1GwZzTP/dh5Kf09gRG+dIy
INunf3LUGscmGo4UekllwLk3EfsE0H6Y+twXA6k5YHXzQMY3VA8X75a/lDTO
h4rR3vZuxEd+9yQ6GnT3gdCJD541Gm8bGf3k3bDxbXF8OVBx9lHwJxQPf1sL
rjvt0aD6WDnuParf7af+RPRUFYLw/r3mEWj9F4s371T8lQdlvMpYlR7RDz1Z
UvXTD7sIQ7bWwUv5yP9wpHz2uZ8J7cInM1csiHzV/C+6mrWWDEm5muWhCN9y
u5VGuJV8gb9t/JD+MNGf/42uvZrSQIGde6e86lD+D7bf5gutOQBvv1yx3NnW
3yhINXN7MOMK4h38FqZiA9j9WOeAzxtsoTLgnFd0/wBmV2+6+aVXMJTYUFgf
l6F8pMwpbRChQMmBrIJAtB/J77fKu375QcGySat+F6qX6WfMtjYXwSAdd4qk
oXgoapqkeqvCT1bmWCNSLcZUmL7aGHcJiod5t77wJvZ3pw+4eITb+8P6kJ/S
rC8Qvyrkf/w5mAlFXiVHy1E8SPNDW06vJYNBynb3pLMon/Ijwh2Pw6HgV6ob
NQvHpquHBTIEPMDa+SDrA74BLIde1zNET4TpYG/TUnfEN4tLzGbnaaBULFl7
FeGRp7jLJDY0DvRTf21IQf3ULZsW65LWC8D5t1FXthLp86WdC+8gF+w/5N1o
MyTij5H/GeuVsX9pY9rjPFAUAncWi84tXsOxx28n0iRvx0J//jmepBDU35lG
r89gc4GUDgnWWtUBgl6cGFoj9ZXHQ5TXrZEgP8SXYu9OjAS7Qdcr/tX+vQME
/8iop/79EHogTQEGa7k4PJqbsYdqOaXuz4whom50/uDjN1gz5fYJlh254JD4
3pXLiKjHUuUfKSfOUWAyIdKaD+Vf29zLaJg/BJwu7KIG3MAxesLZpvQDKpAu
9/J1k2V9I2P9MZ53CElXf647Fwu13e6qZOTH1rErNEi7RADW4rH+NOK/iVOh
2jpD8vB7ivf0Ft5njT5lKj6j3JeA7exai5wvWs9cc68PLQl0uldj81yJ/Sbj
9zzl2/TFn2eDcFenRpAJsd904Ji1PXQ5F75rX1XQRvl2EnTMNrp0GtT3equw
kwew46IOY+36wbBagXm4lyP/ZJFKi5iLg9Gpnb8nAoj9NKOeC47wtejbmsA/
z4zCwLI32P0Kj2z1hkuw4HlcRBbVA//QHgWSnTJ89n6XOi7xgOB3mnd4uqtw
ZsFQcY6LjAXx/Ga8m03bhUueLpsv0pvAVodJbemyqZopADtxnbqDWkT8JvjO
bC/PzwL+WYm8b2bE8wOTmAFRjr/xwFqi9srNl9iPMvI14/eDak62Ki6nA5+I
z9lqlP+u2cKgUG8qRI+IYK8Rnt4ETupx+gTAT5/ut+N01H/1jkcJK1FA19st
zwzhy5XvBc8diQB4ahas9qYZ6VGTkqaDaBaI3BgMWkLx9dA7cqDZngoihw/L
TOgS+bhYJM6yk5kKxrJvm80R/82bTdV9l5SnmxQfSvSYr23EvV96HzPMgrvr
Na7moveR9gnfcLlcCGGyQVU0tJ9NAjLdswYFUCcEa41aRDwy6inj/vK2TQR9
9PQBvnT7tL5PRL2bezxokzgQAB7N5hXcT4nnIcJ4zLoDw1TQT3faborep9PL
XyRvSoHQzzcH5PSI/URA93ROswANFCZXsSVtIp+Wn2n6pxuTAV/etBiKoX7K
bkN355FxMgxfWDU5jPREIO9wUczGACg7lzKHtxD7mY8PbOsfOJPhNH2FPI3G
V+dX7li1SoWhKb6MXwhPp+ZC52M+UYFUtO+iLlpvUPzpF3OnEsHc1tSz1IPo
Rxj5kBF/jHynet7rAGdcIXRzsHKXoPzcuxvbXHMYgzadHdhlBRpGPqTW1Lcz
EOpoafFKj1F/1tYWtjcxHnj2tCl99iPeFzD2rxvmb7M0pdGAv3r0RjiKX+oX
iTKaXz5otiV2l+sQzxOmttTI68xmwEiv3e4/VsR86HxmrTj3PQsykrbPypsR
9Zfx/iEiUfteR0w6PB+UUXG0JfY/bMbYOmdxCuSnymV7oPx7/xHl9XWJB1s7
/h9myJ/ojFZsOvQvC4yPyB3kRd9zq0gUb5Zzhoqc0dr1OgMEP9//zDjyc1s6
jC2Uuq2cIvqhE3e/+BpZ5cHY9YePE1D/UVU8Mvv9YyEc++nRZYL2n7Yjupk7
MQKqjj3fMZ9O1KOUpbZSjf05YLj1c2nr/+OXPGb1cr/PHQGVzY/46YZtjYz3
SYz5PVBF2VnTmQM/M5W8M42I9w+M+Gh2br176ysNni5zVopoE8+XGfnf/uw6
l3csWZAtLXlYE/Fr2INUc/kHnuCXInvjzPoBAt8y3u98OK6/bvVxBmw4V2kc
j/xne1V+cFdYNoytfgvjNCX2y6yLV7KqNKkwduc/A9YTxPMJRvwx+t39zwtx
/auZELRPzVER8ckGPfOiMlYf2BioR3WfIuLjnmZQSuPLDLAtKM+wROuDt1UO
z6RS4DJP5N49yE/tTMaULmpQQNpp5rouir+OQoxGxfZ8WNbYbLMZ1fOrPVsm
+qXOQNMkm9lU4ADWy1ZZQBoIgn/hn2Yca3HMwMQitc8kCkjXz1SFJRH9E+P5
reh9++KX96Kh9IehpnQM6rfFVmVS2bNh7eJ5h38oXgIn63jueuTCHUrbagSa
b8r8Yjn2UAE0KF5SG0F8nMQmN97aZw+BH/ycdGsGsNwtTMMU41ywZY2DcjRe
VmvlXbRaFlAXJQ48Rvx+3ZtbPyr9MvSJkja6OaL4PpqN/efvCdOp7rciNwxg
k+JHP1zRcQLLoOmP6U4DhP7Mstp0Kz9PIbzw0djGib7fe4z8PkerAODPLbbn
6LlZXcbSRf0S+OSGR5N9cEz/0/7Xz9aHgus5YWfRYhyr/eco/TojGCxSOsI3
lxHvGxnP1xj1mtG/KTotCR5WpsExJuHTfQjfBuw2FqHkKPDsqbnElEg8v2Kq
pFuldOfDvSqWZU2EJ1+na/Ui+QVwpOhLcDBaf6htXKyAYj6ActuTr+h/h/zx
y4aRKpDAMSmfw3UP+7NGrrTbeQGoZw3uvavBMcM/GpxcbEpgGhC5z7z6CeE+
hXF8lvOWQcdVGsC+CDlebSI+7YTwQuMv/lCg5Mz7thXhvag2PgGLhuu1v5jC
kd94efaGYmkABWxy/2RvQPjcrC61PG1cCF5NZhWvUPxmS5ctvDZkAo+0zJGH
VsTzKEa/zXhfzaiHu/LfL844UWBC+9x/wuh7Eiy7eg/SL0L5BWraJBX5O41H
exWyAmBDZfra90aifjGeb/0ffZf/vQ==
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk4Vd/3JmVWbpF5ypgxRabqLBHKEKGUzBkyZh6TyJCZ65pdRTTIVEkp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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWXc8Vu//NkMZDaGQQhQyspI4B5HVEIlCoaV87FL23mQ+SBHZSsrM6H4b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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8le0blzcZCSUrIzTIyCpvSe4rkkgD2aTIqITIynaOPQ8KDbPoTbaM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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk4VP8bxpFSCGVJCy3IElJCCt/HLtlSRBQiS/Z9340Za0qWIiFZIhVa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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc8Vf8fx82iQkMIqazsRJFRn7dNQpJ8s7eLOxQZoSJklRWyd0b2VjjX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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWk4lF8bp5RsEeofRZSlUpLs0jmRIjsxxswwo0KUreySssuW7CJrluzr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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4Fe8bxiWSSEURaSFRUZYQiXMKRYRE6mvfsmRN9l2Wk/UckeyRQiLa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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8lf8XN7JSlBXJntkiZeRzQiTKKIWQjIjISCR773Fx3Ws1tFRmpMW9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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8lt/7RyFFoqIlZWRERlI2FaGMUGayR/bKlpW95/NQySYhhRI6V4pk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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtmXcgle/7xymiskJSSFaJMpIVRRTJSskeFdkze28OjlFKViFFkpGVSu6L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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk4VO8Xp5QiZBcphUhUpCTyHsqWEGkvRPbIvm8zY2eYUSS7ZGmxZKmE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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc81e8XJ5GohIwohIwyGkaKPoesBimUkUiJCFnZkU323u7lGiWJUESF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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4VP8XxxMhX1uytFkqpSyJktIyliglS0WksiZL2ddsY8zQolVCUUgk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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8ld8fR31LojKiQhlZDZGs0HkkGdl73ssthRRlVFYZoUFF097ZKzuc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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWXc81f/3RyENI1FkZDckKSvjnCIhlcrMlr0yr30JRSKUSqU+koiSSt1l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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk4Ve/3NUSGImSOMkckJITOMUeGDEWRylRERShjxszzFEXSQBoMDfqY
3l1EKVO550ZEFCkJIVN8z+/fe39/ec5zud5377XXWnsdCZdzNu5MDAwMs4wM
DP/3M1HWaV0UYsLv/RfH1dnWicn7uXb1uxniqx2uQ5uDq1Hw0+nR5SeXobG8
S/YqL4FWk5avou/R8DzTKjV0jYKq+b0m7L5ng0pJ2kG5jxS0cN1n5664WIgL
o0Z+WqSg3/3XiJShdXA1nfG51gBgM8ZzZxmqV9EPv2nWlT8/sTC1q1sxnitg
8JAQUFigIJYcieywRHdQePOyqfUVgeRPa/SujC6iTZ+PD2iN/EKbvMquarRI
guT2D5ub9jdhG97Y8LXEGeMX7Re6MrCrmMeMspu1kB+kGb13KHAgUK7A+KvP
pqtIj9tz3IflG9r2/WpgXZkB/j4jKSEk5Ck6WrUuTe2rBVyfyoxvKvuInDR3
Njx7mwl680rPd/ZTkEBvXc/znPOAOAMv258ikPa1O68m1NVx3vI9emXoHRbc
4lLlZ50EnSNpUdt/UtDMpWF0wTsKtPmubo1hIZCC3VPnw605IDp35ncNQUFN
h7S+5G7PhEXN9T+zByjo5oPz43IqEfD6ovBkySYCoVPuRZm+ObAxwfWRHpWC
jLVjPDheGeMru6fC34xEow+dnVHhM6lw89PK0/qvFNScHF9hcO0KZN7V9E6Z
p6CCRKzUrCQLZr36xoL7KOir5UWzX/ruwPc3ts/sDYHkGPdstrE6D3nFjfcO
ehHIeiJ5ZF2aP/hqFtTKGBFIerPws2uX9fGyuy3CDt/+Q5M2eTobwoqxJx0f
DMpNVrHWT0N7RjelgN3y3u6BMQqqP6cwXuEVDHXuMlMHZQgk9D19r/7QFTC6
fs2hZY6C9n54/6rk3GVQauyt9uAjkNg/veuyBsLwRpQFY71ThilwqJ47WiqI
a9+t3Z1umINsJw831z5PAvvi/nSnHxRkvom68UZFGrieimK5PkJBug8O8U+/
SQJ2GJLVJj+XYUmN+fDEEGeb05gLE6vCLBktTrLXZ0Elt4CAKXl/yfTEM5XM
aWB49O/Xm2S96kPLg8u74+BeuO5WlT8UFN7jy5L4jRlXE65lHr75Ew2/zt/O
7pwAuxulgo79pqB9WaxuGh5ZcFD+89Zp8vtaTrtKLZxxA52Kos+negi0U6Q5
bt/OXCju694qRPZ32lmyhqneGLfP3fH8oEgimqx4+Wv9WijsOGKTaC9K3l89
r0/KPQK835TzRHATaP/i2G2ObbbA71Nif4LzI3otEKR8u5sdrDZsdnH4MoAC
+79yPnuYCjvVTeTkv1EQlqRflzoRAFKrJh+0dAgkkn+uViQkHUKvvSNav1AQ
u1Z9jM3SZVBBg1vbeQiUvy+iXvKJEX487vURMCtDp0y8L5XMZ4J+fpRfzycK
WlYPtnWJMgajJ+EHPqb0ojjVgRIlp3245Ws+6SOMTdjZ/dyb4kV58P/c3t2S
rOtA59l03L9whkJMyrGb7eIE4nEpJe6cyoYJnoko9l4K0tc1yucajoQ+S2b2
ufUEYik4rvnilC7OkPapumusCQvS8eUpv5cMh10D5PO+U9CoU0aohbwnHOvU
EFO/QaA7MedXWv6eBeHCMyc/XyDQR94rlcLvfUEwOYAi5EjQ4fFTgVXDfOd6
aHrrNXS6eADDmwevLfT4Q10arBoaEKi5wm9yk2sGyPiPF3kOUlDh0h2LvYnr
4XNE1MXXZpeQYdcG7fjqWSz235n5teIJpKEa0S0enApRRvr1IWS9Zb2zgpRe
G+NuAfvO+mhGYmN8dU8TX2SAfTDFJeYzBSnFpYlbcMbAzRLW7OVVCgqgHm5/
58aEr7WI2SfsGsAeyO38aX/ZGOc0t5cyKMxHYpPt/AvvDXGnmB1dmTmViLa+
np53YrVG9uJrg0++2x9vQQI80+2MJXp4iDyTlhl3A/b4WGaptH4sOBlGeNcv
kfVTrFyvpJIJN7bo+UaSfPJKJMLKUO0fSpLne1ue8xVrcI7gsG42wp0Xfq3J
pZVi1Rzq1UnxWXD3+8W9D0k885i/UdhziAOWvQVsjNa9QuZsQ92CWvEgreBz
SWaGgoKH22Wv/M4CpiL9mVGyvxMtzx6yhcfDY9u22YvTFHRGx3C6wjgH5CiL
u+JJvqo9z3xVuSIOdI7rOCWT88WhX/P3rOJGiD43xbZ08yMdP1Zv/TUEg9mg
/JSPew+pH8tjO7ft2J0Nfb6+0qfI//d5MHtHl20EiDWaaA6R8zI61Yi8QnLh
gqns2i0KBWlJWD8OEVbD2ZbmM+Ont2F9x+xcKW7JYLRLvoh/nILu3Fkdqelx
BAc5x4RTh6lIW7fYeOqvPzS0LFof0SdQ+1b/wFJDPfyc6oN0zZONmPYx8w8W
uUlQXF00fIPklzvfVfx4jmdDmUXtihB5HlGBVGFxzQyw9C/ioZB4Wi885SvS
lQrGMqLVMyS/aLBvSXb/HAGZgejJ7AYCsTZcjinqTQeDMUWmN0MURGTVvOsw
T4AaGbWsWJJfCka18QjJK6Bl53Rq7i8F6cUnLrSUZoChR9zcCxJfMgtFGi/U
rsCCnTHHC/LzqW9ecs7MufDNBWc4SvINb0XNyMtGUl8qm2Jekc+08/t+R+LJ
+slYuFS3/Xw2qa9zm4diHlvhuEJcwSGFCaDTJzlNFwZqVCIk3w6aeD9BQR0r
wUPlj91go6zVUH4XgQ7x7wdmLgXcRlJFNFrvHVbTmP/TYjgXmDWYf2wk+7F7
LbprcXckbB0cctbiJNC3JZaYC39ywWTLbc+5Hgr6d+SL9EF1b7CS29lrcoVA
940razUtomGkWsCSykigtw0LaYZp8XCQq13RgsTXg+pbTIEqQbB47AX3CwUC
Mfp5tzuIZ4BVSFWKAFnPQ4xqHI570kGpfjo0fpiCDM7g/Q2bw+E/jkDnUkEC
pQx1GqKySeTOGCt+8sAEKn3vtM7irzDElL+PKVrpoOOfPsXgkgQhNXwX+832
uexONMWw35PaZYx7JYR56Li5YiGlq7nfLbLBLa1PUJPEwxVRxWn/gAOQ1bzd
OWDsI9qzPtzNeTkR+Hk8+amkH7hyctF2140MCOIPvEWQ/SxwN9w+fjoS0ruP
3dTgINCcat5J5zlRcBUI+nd5uhRJnn8W582phpvHdBpvepOBLW2okqo57QtR
fvmmK84EGn5r8/gNUzqw2xzVECP1cB9X8oYNsv7AVZBgzL2fQGEVz9oFBzVw
U7eALV+y32CqhxuxHq5MqE2faO0k+SGGvdzXRyQbZI/nlueS5z+a3/PeetkN
ztwNHP32jkAc4rUJu69mQtSVvbsLSf9zrr1EXsLUCG+OUmxlanqAzV6+/yDh
jiLu/0r6zKvRVjRnHD548FAgFAbICDVpEehqdlc4NTcUHIWNBd9tIespIWjV
VpwJ4xLTNxLJ70PxbXZvuJJht9W7LTXkfEY+Ymj6bXsB2mbnbPUsCTQjWrnI
9N4dfsnM1zu+JFDHNW8TlZZoMOKkmK+RflPtBd60srgOXnYY7DpC9GEFmEbk
rVM6+MQPJnvJz83Yl2JO9b3ns8EBUxZYIvmEll+MO+ZmAwZ8AKQ6TT8EE8jL
oK1RQSYd6refLf2PxM+Do2N9vUoxsC5Awy6U5HP7I8/v7vsiCg7377RH9rzG
Ov1Wm+aqMuEyRbvcnbzPQb4fknbLjPjuerVwV4yCOci3KVh+ygCVYa1IE7Lf
o6PXqDnZrqC9eE8iaIhAMjHLiEvkDFjmXXesTiUQ25jdI8llI5ytcuA598Rt
FHX2wgWL8FMg4evjG19BIPGOwcQKhmyQ+MbyoKWX3k9Fmm1e1y96FBo2HNH/
e56KlO8uB1z8lgkqohVOC5/o/UCmyIyMqH8oePxRuGMmRj9/iWOzzdw9YvgX
5kcG/JRezCCE/UhMaRKIdzyRDif58JVCrAVX9hQm36jJbn1jhk4fPrgvMw5n
p8P21aA9kaQfuWi3bH9MOBqCQwXqypgIFNMgW/WrPgX831VseDJKQSvSgr81
1jJBwZ079yV53otVC/2uwlbAbJYswJ/yEXkd01CHbfzwPUzvSdQkgSkc/9SZ
8uoU+DKJbS19QCBz4uXhL7tiQfW2ZuIcqYeXu9onPAoN8Zw5tznz2Cp0ImOj
HQqLgkPivLmapN6cf5od+e5sFgit7do0ROrfKTw67o/KCbjR+2iHjRgViY3H
5xxm4sV3JHn/up05jE53zXteT+HAj9YGy9X6N9PpFy1/j9i+KzT0ygVlPomE
BpIP59fJ3nSs1geRHJETIkZ9aOJnj4gZRyIUVz4Zof4i77/k3N22lAOpHcLm
p0j+pZ1/Wr5QtCh/e8o2Fu61TJVHk/f1cAlY0mXNhJmu88kj5HzjJSI+VXcD
QDdzJP2nLoG2qUrFn8veg1MyLmEned9iefcZco5VZsDO42GOD0l8Jlz7viQu
nADrwtwV137T83dRueiNDaZbocqhveZj1xOsP/3yybpWP8if5+yusCHQL2b/
ya1YDIT9WDmsu0qvj+rTf6J7A3dC2mDthQ0vB5H0H7afGTzCuKJ/aZTbv/eY
k4yLkrV4HmQ5/X39nNQHaU/nebDOA5Wp+Z2+5LPl/OxQKyULvkJBsyDZr3cf
5ARMFC7DcvHhAc3NBB0eq3KXdIqas+CsqVueJvn7tP5r3ID9pdurBPioq2zi
O0lB23l/NZ1kiYfUpEc7ykm/c1xT+rHWpUDwFQicndMkUJpZIZtO0Bp60W//
YE/RN8xzLss05Ckfrpu65qS6u46uX/06r+ZqGVNhMFfyMU7im3Z+aP0+7edq
3pxUi5cmkJs7PFZ3rJdu/6090jNf9igdhpqNfbXJ+aL1OxY+WVPf83lgV5H6
f4TAd2Qt6TXz7HcETAQylBSQfoTy8mHNBmkePD3F4VKZXh8SYRGXq72fAjcD
dDW6yfPS7rdBcltnvk9lw3cqZ5HQR3q9YPOKtbQJ1sMPJfCGcN9oQAp1Zzxk
714C201qig5KBGJ+t3/iwLIeLnXE3OhlWx1Ge57RBZ7qoMJ0YG0q7vck70Pr
51kIHjPZ4BywYnJ4pkal38dp+/1ihZuFb5gRxKr2+FyQHcXWEj7pxncb4xf3
H1BJNzZCUm098ckiRngRsZOqnvIIo52nja+GRq6VGOMjyGrmg3kWMnvOPRn8
khFf5U5L99jeg4Fg1cGa1kTQLPT6pUf6o4NTbOcpoRmgF6Yko0DifbhAUfXt
Y0l8bjXIyMy5D620eLA6BkrhN2aUHMYO9CD868eEW9pmcLucUNrJ2YtE+bF7
DetcQSpRJnfLOP1+bKJf4AIcs+jSZiP3OGECo9WDRqmCiuKqKMiOtdE9so5A
IfYi9TO1Q9i7aMcdrLZ/MdPNEUHr5daDp4LEctklKkbrb/wy4u4pMVQiEyfv
uHDdVbq8hBafXfLnFm/YJkO/bdQ1dRJveRsPLF6+rornJq04THaXI/f3qkZx
2Rsgs5hXdtx6BAtXW7ab548CCbdQC1ZyHxyW2ZOnWn0RUmx4v8qrEkj1RK61
haY9KP4b7Vx3l4qaWw3O657sxP4mBMnnfVjBRn/Ms1f99gC7mPdtEU8JhAno
P1bZt4x+hVhE3voxgXHJxe18yKeCI7WnGz3C67GgA2rS9+bjIdi/wM56ivRf
FYyX9mEb8Bd7brNcwwk6/Lpy/VgffDQD3iZGToeT/UuvMwnzEsyEc0u4QD3J
pyzaW0168L14kPXGVFuWVmzXa4YMi6Qc+J00MCZIpc8jaP2F9ZaxsCyhEOg+
5z0QKUmgSh/JOFUwxl/Hrd3/7R2H4ac+Kh3ligWVqAODp5cpaImna/lEjSfU
/Tpur1NAIN7MQIk/+9JhIa+S6/wwPT6fj/sHcNnswo1++pX2bn5B5/+UHcxN
S4wwPH7s+cab219i0ZoX1a+6GuA2qfJf/ROe0eU9rx90p/4KiAXb2vo9fOQ8
WItnZT70d4EiLudB4xkCzSbPq4dNJkOoqQGbKLm/W1Wg4ltcQZB/7bOU2w56
fRIq3KxTqaoOIRvUa9ftH6DLA2j5ljZP4h/ODIyocIafxiO+DbuoaPsJycv+
j7PghxL7rSPkvOM/19d1nAgA3oqyE2UYgToPHnsdZBgGJxwDp91ECCT0efkI
J7M//Le78CqXKUE3j9TC+jUb9Y14++4ephObBujyqBPyveMv6iLAmFWZ7f5G
AlVYEqvil1KA43RzjPwYuf+2ne8+FMaHP23zKhF/ewtbYitNO1Cijx/oLyt7
5/Yf5sHhI72s5wh31nvcHnamoumLe978i86FwZ11+/NIf3BKt2rg2sMc8Jgp
6Bwi9f+lPLF37831+PXMHGVNpW+Ilm9ctfIm3pyLBolfbGKWpF+jzVOnT3xK
VbSbR6LBlA4TlVGsprez8YEOM7xqNeiss+/GXA6NGdztk8b79HbXcxZ8xGj3
64JnGSacYTg+a9Qm8i4fMK+CRxPF9iw4l2SSIOu1KqxXKWLDmjITbKSOdz1i
6MYMow6zOFuHgpNj0uk20k/mMTYzts1HQajlTeoeZgIRf5hziwTi4fbWgMow
Ul9p65/vwV5cLWKMn+XulzlreAuFB3AfFnXKhPrWHZISA/R5A+35Uu9q1A79
IPdPH/U7jGQ9f/TYX0/TjILxD99EvFjJfSbj7IFNod5g//n4OZMYAi0MNExN
F8bBAf5Hx2r/UNBO+aJv2/SOw2CUjzCbApWO735z3V0fdjgbauYfRm8n+ZZ2
X/MSXnchJCcGksyHEtj+0e/XtPjru7JStuhJzr+dr+Od9uvo46id0E+PFOg2
ttQyIfHU1DXzsXBrLOSKnWZRJvlA6oZfs5gLM167zsFocrEdfdcC3MQnE7If
lwgvk/tH+01zxUn3baDO/105IKcda9U7ZizVqY+POr5vvNrwHNHmtXsLdb6p
jKTBhc25RVbk/igQ1cgWp5wB+eK1nT9I/hMzuhRyX0gBv3tBbqej8ju6ff/k
ptv39Q9fAY33nw2OkH6XNs+k9T+ZlFr3e15n4ahV1/39Fwm6/YA2z4z6ERa6
VuUPr1yEWtUMCTQx6/dsbDgOZsseDjOT/Wo2RUGzijlQ7xjH/pjkX9r9h1bv
dFMOhVJtTwJTqrS4OysV7V+onsp7fxy8eZuE06WoyOiC0vGESmO81frgtr07
0hGtv/Vsfb8cPJEBj9z4zbeSfnnKtdYw7GMOhEhc+XqdnFer5EI+9qELcNzc
wofHjEB+J3l+PrkXC/2H4rb5LFLo9i27bAExTnbSj75ekxBQv43R8uPceFWX
+8EYUG9xbl4l8STQHDW0yGKI599NME1keYIZcYmo80ZGg3DIpBYHOf8gKfN0
W0YWnPz3xf06yYcdjyaj0x3j4VGemnYHOS98S/vVA0PiQN0vQkFwlkKHxz9f
zO85fc6C2Rrv8+vJvy8V31FyzyUJ/l4oFGH9SUFFW2pibiYb4U2uS38IpnK6
ftO+r6DVW6GqJ3XiA4xQVufrcaWtC6P1K73ZSpeqOLaBVDHHMbeTGXT4qAxg
07Ezi4eTAU9qF8n7jH4lUk+2hIBPUNgEZSvJL5MpyvpXd+N+FMs7LontdPk8
bR7UuMLYL7KQBQLaSq+JXvr8n7Z+tO/HTg+fXmeaO4PJJAk//Zo+hAX2hNqv
CmrhazVrf5J0X2Ohy9r25j2Z8DhyfcIWcj4rFjc2FKVlggRPbG8F+Rw8/lep
ziEdWsZOO8uRep4h9FLWnqKHJ2vczp60q0eW+Zv4ImTY8U+ilsqsRpEYbT/m
hBdFJZoyYaWQewHvp8/TzkhtSag0dwXHSNRQ+5Wgy7N5V7kEn4o5wwzHUfRY
g0qXP/Cz3JLomAuGQYsrLVxSBKL1n7TvU2j1mDbvzIkLfXuoOAq4Or7L3iL7
TZsXs8Y3RDBBLljelTuK/T/54cjbxtjOGHZ8O3siN9WvBqPN7xT4nz5Q7eCE
Jc8dz5BzE919GUaf1U0MBYIs5wm1wj0k3mj0y9x99Jaocwicnnyj6S1BoLMz
23986c8EY80ULw6yvjIRBq5EaDjoNd26eViAoNvPLg0VSbM8j4E6QeJD2goF
nR14MugSmQ1F2nmun8h96fMbRlYmI5IvR+pXk0m+FA9cVRWMTYKo8LdtL37Q
57dqIq9uF/kmwjGFRyV/Sb3PvH0igFf6LOgojVHZgwi6+aTVc9p9iTY/pt1f
7c2pCWzHNuDjswpGcZJ9qPFnw65Q/QjgmenaobeJrIfL3zZTNk0Qaisy2xPe
jzCWxiQHDz1wKZiqVsruo/NDvLXntsVyHQZvIS5HaUSlm8c+u3k7Jy8O+Fa9
fG/29xPsZTum6HEiEY52/Y7f8ouCFDS7z6vmc+IPBmwTAj2pGO372Spdvs9j
z2zhouGy/sElKuq8Ff/8akc2JKxqV9qS9XZ/FkJZfn0JKpJq71UoEnR4ipD7
d4C1jQf/0BqclvF8GOvmJSrvdfPglpJsX6LNv2KdEzeOEtPSsN/B+sWVXdcw
2vMrM3Fo3l0vh3vKHBb4SPLZ/wAvUqpt
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXcgle0bx4WyykjerJY0aEikaJwTKcneZGRlb9l7b8oMpZDZS9Ybivsy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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8Vu/7J000jCQZkUqSSKRkZEVSyKwIkZHZ8DGSmb3HYydJRslItu4r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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWcglW8blxEqWRl/o6gQkZWK1HUlMkpWRRnZju08p6IiMyOUmb33ykiS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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWk4lV0XNiQUKVRCVCqRIRTqLeeQkHluUiJkHjMnZJ6O8TgI9RIZQpRK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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk8lV0XxkXqIVMiRBmShEZPRck5mUMllFnmeZ7ncw6p8CglMmQoUmap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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8le0fJrvs7FEZhVApWzzfSCQr2fRWSmSU7OyZzTkc+5xDUiKRN9mj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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc81e8Xp1JSWSmkiKxURpNU90SkbUWJskoke++9su+93Gte4w5lhuyW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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWWk0Vf/XRyqalKJQGUtIyJhpb1JRKkMhZAgZM4bMXPeWCqWQJJmTFErp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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk01H0bxkdFaKFsla1QKHuoR3LfUtoQKTwUsm9jZiKFSFL2NWv2XSRr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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8le//JiKjrJKEQkbIykjkvu0RMo4jyU6KZIUim2yRKEklI4SQGXlu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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4lO8Xxi0l38jSIjstshZlSYpztFjaZEtaLSEixNgHwzD2kiSkkCLt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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk0lP0bxrVI5I0WRVkq7Zv9LZH7tkUqu5BUsu/7MtaZMYpKkhCpVNKG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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWcglf8bxq1QiNJQRsjeETKfBymVPaOQla3sHQ4lSkNJQskqZZQt8b1R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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWWk4VO/7T1oUfWVrE2lTKCKKUvedPXsi+56yZl9CGDODFrKUirKUpJCI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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8lu/3tzKKlj4hLZmJosyK+0hKRouy995C9iZ7PMZjPlZSpMhMyUhJ
KEruh7JnSgolo+J3ff997t9fz+t+Xff1XOc6533e533OzWfuctWKgY6O7hc9
Hd3/ft1UHpf0hqWAkL+sSKMVjr0VeyfaL5wJZ6yqOOYNcczg23h53o5cKHfk
kPmlg2P1y/dJ7KnSzT+uc6+c2VzblNw3Jxi7GgdXR+eTddxxrCallP7isRzY
PCom+lQXx45tcLwfOpYNuve2dxXr45hqOD3TrqWbsNebc5irHccaNPmbA6PS
IFJUhMffFMdeivq5CzveBEe5jjNhb3BsbqeMFdQdhWVvVfkukxGMMVIj8p28
L5SSBn82VeLY6KnHR70HbsFW5v2P/MJxbB//A5mq11bgPxM7knqViimatdZY
9OTC+Gx6tDayv+qcdoH1hUwIG32a1YbuN5gT5l5ndBza8ZbQ8Z9DWMIDhjmJ
n6HgUAcOhxNxjOwZGKZZFAdxrDxZi+7E/X3lHMsFUm4gnpqirzSFY1r9ceyn
h2OA7q+npY8Xjh3iiLhWd8kC9N8+E/jnQcU6L06ySrzKgZ/HiielkH/KllKk
fQyFIXlBhOdMQ1eTauB/Bd5OJBje/C19rxOO/WuoCraczIK6O6X0K8h/a8yn
wjwOZIIxp9mpNXQ+WVOoJ7YrCLQ9io1CcnFsxevB94WOZDjxrYAXbHBMae93
flZ+CuTGxIxX6+HY/kJGp7anGZAnFBToaYRjHf1vfrdIhUPCzs6bYjE4ZsRw
zofjShwUy7DJJXngGFy/kvlI+QbcWk5mkfmOYzZps3IjRelQ9yk2eswYx15o
2Bccl7gCEWfvlZ0d78OKWWNjknr8oNfjPh3/AxTf1BnFYtsgmPilHVSbh2Nj
LtoqR15kAEU+968DOj9bxdjpU18K+N5+RceN8OdVITsYFxsGVLOuA3VxyP6E
gFOLV9JBg5ckcd0Exz49PCkgaSMJEzKVQonVhViF+S6ppaNJ0LxgcmW7A45p
mFSZDfxLhbeDahZ/zHFsYUBhPe68Oyg3zG3hGsQx0bJzOk/Sc8F2wkojHOGh
0mLt8p9N0VCx9FOoxA/HHqi+mghIzYbw9PUeJeTvorZfkxabcuCtcrHgKIrX
p6bljbaZTEjVusLEgfw/ocAVsVp0tHlp1OHrfpnOpp9qSbdHmz1A5a7ZP9b3
OCb43qLVwSwJKG/+ciXa45in5c09mAQZ+Gx60u8g+wYln+WWtniD76f11sQn
OGb7KcV9ysAXlo4bsh1B+Haq9PlB2pwGSplytopmOJYgvzx8XT8aXGMKLw37
ovykZ6quvJMEgemZKp/tcKyruWzH7oFYeE+VyLl5E8cO8lVdTjLPBOUmSkwJ
steoIcCEvSkdlrWVxJtQ/K7ZLQp47I2EWyY7qquCcayZvdlIvj8dmje6eXLQ
usdhh/9ac/3BTvLeGd4SHOPi/3HT31gfnCN51Vs2qFiX3qK6Fbsj+DDF5mzb
TcXSY1dPJvdlw/vTWzrXEd7oal4dypGOgVhX/dFpbxzL9+HaNyTiBTO1r36s
Pscx9uFNCSnyCcDmYX/y8A2EB7W/imEZyVCpIE0uQ/gtcfQZeKCdC4afdrbW
o3idkvnecZWHBHUXScPbnIn8dHR813R/SxYUfX/RwmuAY+d283Lfs02EksZr
oORC5BfaeI3kV2HqGrmQ4RHU2oL+T+cj26OTbZkw3+mRcAL572EQs96BcOTP
7Px3Iej5/Fl2kYdbM0HmgmbpVoTnCMuky5lsyfDVwfn2L1uEn4CKn/NPKPCy
eyJbEPlD7vii3CF2NVBxULjBX9qPSfJePLg/3RF0qxfvsO+kYtcEQrlVpLKg
Utrx8WNkP5k3ROqjMBkWtkotViK8hMb/XTPyygJps+RgJ7ReRz33N5xBEqY7
Flv/83zUVJatvuBemwlf6PetnkP23R2XebjAcBnW9UIDmHb0Y5cNjBs6GgPh
OxddTGcBjp11E5P0KA+FIQGXIxokhH8HZkPlnRRo+EQRa0X2DjKkWv0nFg/h
RRryf91wLMS0IL6FR7b5K0VZjS/idlOujR1JLp6vWeFrgzq9ALqPYml7QgUF
eGzO2Iuj/altmh/Y1L1gf4313lMo3su3r7zd3+ILs8Hzkjcf4VibqIbMZRE/
EAjkknpThu4b0fps6l8GvJ8YkuFH/gx29XxcyxMFei0aBesBOPZIX6aPez4H
HO6bvt3+v/qimh/r5JcCGod7OLsRf3TnvxHiELKH8qLDXnaCVCz35Qv1bXOp
IMLKVc5tgWNqiv5uj84FAZ/1VY0D+Qhfqzu5jppngx+lbcED5XuC2Ye2CVIa
vJ4QdHNB9ci2wX7POpc3LCRvjvn+DPHnxw/UKodQmBGLVPdKQvWMhq9pz+t9
IRoXUxgJ5rP5AyeDcGyXhdKo1wmZ5re+Br/UX1Rgm6N4so4eCQZOyW8cCxSE
pxajOfKDIMhUb475jPj8q3huXSlfLGyu2XL8myeORafpzw0yuIMCS3ub6jDi
43vccq9WycD4KmpV14zoL9s9lg95rGJhbZqh1gztHxi5t0erhQJPX+3o2Yfi
c8AzPl4jkAQHl6r2zDmifNrRG6cURAHGK/X5hmhdCzNpL4ykQDvrm1pt9Dz0
oMRQ1z0TFnXL8skIXyF/xlKs2siwrF5TWILOn3A/+PjXSDa8Oz4V/Bu9L0O9
mEc/mAVnfud/oUN4DVqeINldSYG5vSdiBKxxzDfHfkJqTzBc+nltWisHxwzF
3pmF6nM3Hypwn8MCR7B5W0bnPLlMOP/52asBQ+L+mq1Xrjx5fRLKY36MzIQN
YN9dXcoipTLgX1V30CHEX4r9Xet0CnrQ5715kouzD9OZq65zbUuH3et27VVo
XfpSULZLeATYbKt86xqKY+81C/IeG3iCVufZztuv0P/HVJON3HJg4ufBc4G6
xHphkSA+IY6rwqTjJZHZnn6s/kx0G4sDGSgJTwyUUL6yDHXvKvbKgM97x5I7
EZ5b8ozoGruSwEBrYSgY8XXmj42vhUs+wFsVb/q9iojfjqLat7456TB7bdvW
OWQvv54wMz6ZBiK9VpOLqB7m7D0z08gQBFu3cWf8RHguncNYoiu84ODOjdgt
TTjGQLa9WDUt0fxvUMawQrkNkxpXSP5wzBWYnH8M1q3iGDOZxOORGgdTDuas
O1G9Z71ZxZbbnQl+92LHDyN/u2cFK3Q15ADbo0KR0+j+N8QcxK2VSdDC5biR
ivAeVrB2udQ6FeT1Fd6zWRLxxzkvXG8ikQ7OFWHtt5C9+ZT9NuHb7GDqWNKv
k8eoGC1f0eoNWj6krb8n9uhxKBdlw3yf+qIEyt/nOgbb/ging+2dlNYkdJ7G
r6JzawXBoGH1SEgrC8eUnc5qTY5aA7XVh/OBChUz04nvUM1MA0HfwF5zlO/T
eJjakYVMIJ0wvMGI/h9byo3s93CFgzwN36p+I30l80v8Y18c3Cg9L0pGetDf
XT4ti1kA1GRJ3V5tPU209hzrLzk8lpIEFS6vXmxH9V+tXMnFsSYHvEerXJWR
P89OKgiWPrkF06ocXDNIvzY0dzMwkygw9tv/vQbKH9p4jbQvtMW4R0CdydOa
QoTX65vvBuiku8Ly8fCxk0tEf8inUVhvm5MhStDU5hLCYw511GGqPwJWuljv
e4YgPWQ+lFjImAhfRmJbRlB9lF8KCaYzjYSF1EKRJcRXA0o/kzg48kC039xP
ENVD1j/L75qsxID9xp9X9eKtTdfKAwOeTmZA7Y3M02eMiPrq8uvDFwbpcmHz
/iYfBl1ivh/jm94XXpME4pcu/deI8sGhV7PF9EkspEmFqNQh/SLROBnmelcT
yNI6m2XP92Nbjtp88R9OhFL97arxzv/Tw7w1XpVpIPWM7YSCKVGfyjC/2jVq
nQF8DnZ8Y8g+2np7VMHguZRxFui6+IpEI3yxiFbv8OJPhTq66t2RCM8VFZL1
m3Tc4GmPHQvHJOLjlxYRbVgSuDGRv0zaE/Pxkr2tTV5MEPCrsJAv5hH1h+Y+
ux0rv5KBRdmucwrx12/xXU5nWkIAO7GPPiaViE/a+spZw3i+51AyNFpbFTxB
+qLkLCVPuSwd5ptVOKjGRDy++8hfd7E1Erhi/GAkEMdup69aDV9LBQMo6hVB
98vadVAm7oMPXFrzmYusRvrrXvAnz85UoKua6dVC9asoX5wkqKMEhe/0x5Tl
PhH4PjapRS6mJRko7UqGV5FeK7UOVh3QSIZrrem1usg+3peaYQJsFnBM8YGS
kQ8VI49TjHhJyeCa5S33HL3/NlZkMSvXA6ZNtiasIv11YVhqrVj4JkS7fyZd
6MKx/lqW4eGyACgLPfT1ShGxPghuejDfypEDF3+KhvcjfHWyelQ9HrSAIhOe
fVmOVIJeuvd8357EkST4l6DmrIvwJj7Q7vBnhgxZHOVV7ug+9eoMarxx2SD/
h1tdDeVP/XZmTs2CLKiRrhnC0P64ai0tnyfSzYvXXZUHuGqwU1P9482yHiAn
+MFwuJfYz3V/iVBjuJACepT7XdIo3vHBl9trbGWbi/wqNs3cjmni24gUkJj0
haItU3zT5Th2y9a1O9c4HvDx7XtuI711hpyYYd9jCqHlqdMxBVRC/Si8/6E7
zM4SXPTKX963pGKGUsGfhCdD4JaL5MbnFBw74jhmzeyeAoL2qxyjVkR8s1en
cNC1xcHOqw5HqhGftRZ5cODd6aC0keNUjPB0Z5W/TvfNkebwhUshDKtdTRON
e7j3rmbDmMfN5iHET7T3p+Uv5yp+h6lSXYjfa8bqtK8PE/cUkiuZTIV4qLIW
Rvj6aDXwq0ozA+qZf5XRGxP1yd9z2pbjnDHQb6MredwH5Zv1CW3sSS481oJZ
W8QvW/8Te34qLgU2c3KoP0T3c1hzHbjU4gm7x/yHlF8i/JW/GyuT8wdXzvCi
zPsIP0fTopw9ZJudGxm/dvXoNe1fevIm/3kumF+7utf8/+Er2n6mmk3k2u+I
W1B+/vWx+Fsof79GPFMySIAPH4FvwRXHuOm/5qjGmgIpuSXk6j0qlkOZTMsK
i4O546+zJVF9/UY2ex8alwlNAScWvVB9kb+40eG7YgNj67Uv5uWp2Ieobvvt
4bbwG++29ZKiEuYp17+tOG3nRfl7P2stDcXvS/O0Ss+FUJDV2rFrezKx3zy3
c5nRNSoDmPZO8dUi/mMeX2EXLQ2HQLOTvAFRxPt9Dj/78NPuaNCK0hAORvqG
Fk+mnccFvsqEgcUDg4atCTjGePu0rndsEkge4MgXROddpOjnWCbcBJvY39fu
dBL1uuWkZdoRhjSw+ddRqo7y7XxKle1Pt2zo+07psdAn9le08wKWTq6erq3W
cD3p+8SpS1Rs+Wj8ol6iD1C+Xe1uqsGx8bhg31KjZLjSeMzlOOIfLjCiSDtE
g0e1o1kt6pefldSxlabHglJVMekPqi+UA69/ROMuIPHFdbHvL07Qm12aSgkH
mMKAsuUh/Ti674rtVumOK5nQvb8xoQGtO/31Zb/ulw1h0pNqBsh+lohGIZnf
8fCmP2IyC/Wzvp94hvoepoB8VJGlPcInbb6LzlaQQm3CgbWxSvZGNLEfdsOa
/pFHyRChcORgCPKXm+ahc7Lfjze3qX6Q2na2BevojE3wc06GN9JPnNjRfaMY
ftT7+yTCuxZXOWFUbyxWLMdaGoyAImPmHttFxcJ1UihiJRSgfpZQkEbxNo7h
MKHfkwvZ3iJ75hD+n0k82T/j5wxSouOhfJuohPNo+3faeRJtP0rbn2+5d7pT
7m4EiNyZG9kSStSfjtK+buG5ofD5OKNIGupHhchrnFF8t0B7STRnNALpWboj
iXcMSfBBtddTw4moz+XXLyvtn8uAEzraw7JGxP8vDro85U5ygbX2pqYb66h/
s63EdvjEwN27KgFXvRGeP33rvq6fDkWHN0zUUD2nnR8+dMr/8WZrOhz1JX+v
QeuLQ3oJ/GIZwNbLFySO+OvdxO3+X/aZcFDJMjnPkNg/2cxutVRiJsNvLsbu
b0iPyRZ9VnU/QIZ6j226z9GzY8lG/9CjXHi0OtPggs5TSTnA4H0hGnrOV7kz
+xH1Iu085oGfgU1UmTtQHB3FvvTjhHlpZf3hs6f1yUBe4Qo0Qud5lUjbdepl
g9EERAcg/CZtqV96zB0CCa8HCz+m49h6sbHs6ckogMwtXX/Q+RPH7nNe25wF
2jq5Q9OoHvpxqL8pMo+AP6wMX6konu0+7yLEKOdBgfp+5u16P6Ff0MnX712g
zwImFhbjebR/SPb18Em2YKiVbEp4jPSg0v03MtOtB0CY9QvH3xd9TewMoZ3D
7wLg236FtKE7SL+9DXO/25kG7h/kJriQ3uuP5h9z2wKgrpY68zj1E/bJzqbr
lEQm9K33Tk8ZEvUj95tyrUPWN4CsqKg98g31663fK+0bs+HI05dtXPrEeks7
b6OdP1oXX2dkvpAN/rPsrxPQ/omDVvLlzF6wM6V67WkLjh10vTeevDkDrus9
a9ND+JCfn3+r9jcXor8yDxxH8TX96Gci7eQFPMn1noHNOBb+8KLYrrOmoOjz
g6TxkIpd8JfvldXLAU2noOxUhO++qY8rHX9j4cRhurQTiL9UH2T23T+dCtwy
xU91LIn1cDd/RpLvSg60PyEVsKH9VbIGRvSvI8C7hrq3GOn/4ZOuf3c+d4Zr
+qNq9oxULA0rZTqslA6yVoWzTgjfO1MidvRSL0JosjZl55F+wrzl1R4q/icw
CnbN3P5v1R/Hro6bfzFXjoXsjJXcu55EPchJjt4Y/JAKQnxJq2ctiPNJxo8S
j315zKBm2MDrZzYVw1heKz3eCAfdz2tZ2pGoPqUuzt7glgT6b2K96QFlWEHO
mQSlF2lgrCGoJoDwQOjvDXUiBncFwtSsDPNKIY5dYQ159FAlHL7HfC2cQ3xL
my9PZ7sT3Ct8wP+XwHZ+VE8ueTZuGS5JheaN7KeJyN7i4XvDgo1usP2yVFrM
KMrPaBa/Jt8cCAh8P+iJ/Lvue/3Pc0cbqFeccSzFqNiaeLPBAETAN/FtpxTD
iPV5j/teZ6YOEtTXui/zOiK9sxJoZiybBIwtL5LX0HpK5H2/Q0+TwTFd6qGl
DdEe2u8nIlv9OM+Mh0LSV57rNxKJ9vmLkxRrOihQO/Oafff/5pE/Nn7FhVpB
qNJkFuN1KmE++lC27jKvcxRQBRx3C6B+/rPW+1sjvcGQslJkjmUiPZYvv8t0
PgmkpsrVJOyIet3h7l6+tk0pYNF2i7cF6d9eW3YeL5d4+ElXrB3uRuyXIka/
PKgLy4YWCcvXV1E+Rahmu3mO2kF70D76DmEq9sR3vXChMhgSPt4P+o3ON0w3
ypCgRoKHvUJvBepv/n47vfSBlAEb1s4epUZE/qLlT/lFwdzND3PgCc/QMzXk
n8MJ4qlCE7nQ6EjZdB7lZ3XTiOyx0xSgT6xPpyB/PagtMY48Hgu/M5i02j2J
9Zt2fvKZ7ohgAx8J2Ip2cC8j/tv++rL9RkE8rIiS3h1B9zeOq6fc9U2CHV9q
Uy6heDsFMYQPB6XCpQ++pQMWxPrsR+JdjxVKgmWeREEhB5zw/YN2PqADp5Ln
Z2MhsSfpljbiC+mJLV7jdu5Q+aiNnmkA9X/6arv+e3Wi+b8fnTXcB5oJ8wna
eWBGqHabwWkrYD2YzxqtRyU8357o8A7aHwd3xdmOLnoQ55eKIbvd4tRkmznp
hOIb92Q2cZh17+jsJoOmtCA3xYy4Tosf2u91TnuTSBaVGRDEkMoSYkSc16p0
9L4oakyBwuf/VC4gvtrwcZNc/n0dnnv7WARgfQT80X4/pJ1PWamcjvcIDAGJ
5036OBnxG1tPQbVXGry7dTOMbErMh1WzDpP3Ookwxi5laYD0GG3/bnCMTuhe
aQx8VYzlm/IizmOWXo7tStudAh/uz93PRfd3fLer4pyhN8Ra2T1PrMex09Lv
y3t/3ADnDV388WfifOc911+9ayMI34+YJA+geDqc5+CZzU+GaghgoCA++fE2
r3z7i1Qoe6n4zBzhTTjq2ezYkSyYvHGe57kBsZ+l/d5Dq6ebQsaF9z2OgLwK
9Y8f0fmCgUvb4v9lQdTbLPshlM9blXKEW0cDga/yAq9JAY6NWgTjm5XIkM99
dlOUOfF7RQETKYSTjgSP8p526TvjmIKHdlxuHBlUW0Kz2ND7O6qWRlyLUiDd
bRubH4qvYt908p9ziZAnpnznJvLfbdmWkL5yS+i7R181YErFGo73G6cdSAfV
MceOHFTf+HICai/kZIJonamqpSHxfdp5cz+brvi/0kSoNNN79RHZ83+/S0+F

           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWc8Vf8fV5EUElEUZWW0fkpR0vcjW4lSdtkrsvfeXOveS0ZkJSRFSBJJ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8le/7R0hk71RW9t6leC6bhpBEUkmZyUhkVPbMHsfmHIdEISWRQlYL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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk8ld0TJ1EpUSiKdpISScnWnSSFpEJooQVFiEhZQ3bZuVyu5boXdyHK
ElFRKmsiS/WmuHpRRCWS5fUb/3p+fz2f+cw5s505M985z8aL107aLODh4fnN
y8Mz971OtnoZq8KGvet+N8clcUkUpzbqTF0WlJSkeGhQuKTHn/smeYySYNVw
GKWFyiVd7Ym/tZmWB2SVx/dVcb2Rctekx4Mc+NQnL62WzCWVWr8R0pYNAPeS
uLoUDpfkreaqenF/BkQu96NcTeGSxjpiFCTIDGj4+9K7DNf/ubGUL3CpN8S5
GnwufcAlZStHte/gC4Ln04JgxOSSXuqTFWg3c4EqrntGBNdzDjj66ivYwzpd
1ZkjHVxSum3vy8FoGmS/HjrEQHtLBb6q7RVIhKnWLMV3aVyS47Tfj+axLHAc
VhlWQP7KBUu2htvEwMLSdUsaM5HPa/cpdj0TmhNl8kfQH2NXvicvNZkgw27d
8S2J6M92Z89IWV06dF28XyKO8tI7dthaR4eCaMxNI/1sLunDj+Rr7dk0iCHr
+1CRH3p+rxUn1B0+afZ5WjzikhiU5iMs07vwxWxiw0AWl7S2+Zbr16s+cHpU
NRbuc0nmYaE/ay9RwWvHp58bUrkk26mFIa2mmbCoaEeLFMZvm6z5hYppOizi
0gJ7MB4rZCTldj/KBhWHt7HOSL9h+jakPmLAifEbwgVIC7nzqNiIZsEhe958
d7TnH1n+fpEwCoxqDTf/h/Kn1GN/i+owoc2+/fUA+jvqJvGEd0MudFW5bt6E
+7Xuf5Bqn8kEqS/iOz/M7Q943cE5wwDpi9c7XyF/Lf3X4KEjcWCp6dRvl8El
+dUPKep60MHe41WRAK53P7Li/L2TTKhWNBPvQ/mNhR963/angN+qkqtRqH/R
5FKBojVZcLyzTtUN10/rxOxa+y4dxB7U/wlAf3+crHxQpxUEReTUJHHMhwnx
SIvyC7kgVSNZLYb6FxzeddDmFxs+BN3cfQPl20SuJhV4hMHhqn112Qz0L5Qi
aLQ1F3ZVraRvwPXWBfKZGfJkcBS8vuEY5oeUSok/5X0U+G4z12bQ0B630siQ
dBocnTUVzUB7DjyqLnl1Oxv42xRP+eJ+/lGHsNksJqy3XGHcifoSlb2Htx9k
w6l1TI8YpOP9AlhvXdIhIDPsdwraD5Rajzs/YiFYx6GagfFJPq8fqKVEhz8l
vZpSKF+Nt4WlaBgCvx/dYhzI4ZKaPkgOTz9kw9cGmc2+KC9YqZuiWsgB/c6k
HRZJxPtz8KCM9BobMlTU8exVQX8YF2eNbc+GwWO6XHE5+v+03yYx1ZwDVOVn
gza4X3loNNxmVzToV26V8UZ/p74djTt2ggPMIqtZW+QfOTlqtOVtPHTccNPx
TOeSEl6sTB6w4kACT9k7a+TzZi5KDOKngPfCsxt3YD3gF0z6UvwoGLx8L22o
QPuVhj30pElh4Li/p7EJ9QeBg1ZsgxOMSQZsMGrkkr4U+Km5GdLh3s7vEaLo
/6khCZNZHg7428bPXE8i5nebWwb19WsmaJVscmpGvoW8TIZdIAc8n4gFWCFt
ZrrF7oJqOpSe2PmLifEW1HZou8hiQ17zDhs/5K/L6BZyWUYDzxpyZtucvnFW
7YEvLJjepvA+A/nO+xK1q56yYN+Hse5spJNUWTKMlQzgNz8f8A/qp5QYDvWv
cgbNJoHmz3XE+xDjEl9WeC8GpjvttGKxniTSWyhd41FQXFBVR8b42u0/n348
hQOCn9pNzqL8O65vM5fvz4aIN6MKUXP563TQsKA5B6j5o33KSH+8brjiSxMb
9uwvrfHE9TKn9xx9JJ0HTT4m+XpIv60dF1vgSQOBUM1Neahf9HNi2VE2E6xO
mfJ0zJ2vFN1SM+YqWIhWjf9o5ZKum/0dD+k7D90iIc4Zk1ySJ+/R026bE+Gj
6d+SOsyXxSaaB6JrA4E/1FIpnEm0t+V9/N8LtTlg1jNzXQXte/dp8+WOPzGw
xyzC3hz9JT831eAcuAbqyrkaHg1c0pW6DZ08m7JA6lBEjQvapz1Wl9OtSwPh
JU2vniCdk53nKZwZA5/7dDqouF+11ujC9xPOYGRnW7sW42tx9aBBqHUUkJeI
yv+D8Ys7zEzXScyBbN2iS6T/0y8oAptrAsEOyk7dHnn4DvuHbHVpy3AYCLY8
+2SG+Vcef+1uTyAb1l6WEg9Gf8Jcn2kUMRjQJ3izqBjltfAdyyiN4EDFcpfr
lsjfb7NT+GkFDahpvLUJaO9PiWavjG8c+L4t8P1x5If6/8ncZOcIpntnxf++
xnq0TDld94wXbPVL3uxXxCXNLixb4XA6F3xVd6qvQvkS7V9WfsxIgFt7s9Ys
w/sUEiXf6dDHAJ0w4UE68s91hO8TvpUDP1a/eXQI6YeveNcafnaE1m/Gj5ej
fPLPWF/z8XCQ/Oe1+gM65quKhrFZEAv8JxQ4BXP3dV9EVayrOZDa861CNvaS
2HeTi1688QJB6+r3Exif8Rrz46L1VKDxOlzkx3p7dpv3tZsCsUD67nTYMJPY
H19t+NmTFkoDlXO+3Byk2x0VpwI/02H4kx/1K9p3tz5yctlaGrBWuUs1I1/o
J6f4l+RV2C0oH7OwjUtymmhafPClK8iOtiU8f8olHR4zKG/0j4LgFK8jTXie
EpdL91K+3gRR9qCZVBmXJFLTCaXfM8CH8+SrDt5fT39v/82iaaAoLCb/C2nn
0Ii7z/9LBIvom98uYL6+FfN3OOzOhmW53Vah6D9f1aq9Aj9sgcdz9RbWZyIe
WG0nVpXlnQcHMnozNHH9yZH73gk+bPiVraAegvSQwtRLnX00OJOyXqkG1zeN
3E0KfMgB8f16G8yRny+gc7FmVxKcfVF+uwvrndes19jm2VjwF7OsT8F6vuFW
w6OBUzFgOcC79F0msd48rpIug+IwsPq+3MsX85GPbzCxtY8O/TM6Cf1zeOmk
7/TwdBp0bNWSeYj+6vB2XGfcZUGDmtO1e6j/QfefKSN/GkTmaPuzKMT6vqpi
Sw/bng6uvXpjgsjP6rgk5RPCgJlzDgaVKN98o2j5Bc9I4PFRXH4M8caYos97
pdZIuF/eL7sJaT7y+4O2V2lwbe1H+/u4f9+jwqXrg+/ApqkNC/pZmB+dGTuL
6jPhdIXJwHfk/7bNupb+OxtuDFuIX0L5CiGdEQ6yLLhgyxx7ivYe7JBfOvoq
F5j3ZP14kB9PDygY4fGHmfiYpxr5xHp/rOJ4U/94Mnx1enx4F8bXLohfa+H2
GHD781/8dCYx/pIpbmY/ziVCN9lZNR/zQV99m/aNoVzo5nN0+ovy+i+X5LNK
EoEkK0m5g/ycj/6z0d0RsMz8+KFtdGJ9W79G0efRsiiQcBB05sd4DHGun9bp
pkGTtKpkKPrrUvhdhBrvD6LKCl7WeRjv9q+2b0xCQT+UceEG4r20BpV1Gtp5
0N77NE0H5XW8lRaZWekOQvqLrslVcEklrxeX2KQxYDbOLakU47EuVCa8rI0D
KbIxv41xfdfXrdk6EkxgrDkl/PP/9B9rpRYhZ/od8B5c5fwCz0OjSt9ox04m
6E8bDg7h+qaB4W3q/uEQNKZ4aBL9C0gd0+AtjYUXese1mzA/B1Uppnti7kJ4
pJ9xLfrnqR24VSI5CaQ+3D5TjPEkuTgOvWOxYGNaUAgL5dlaUNtlLeNhM7n/
4GOsV4Z2i06LiLCBtWHyQTLye3RX8sv9mwsCZzI7JpHm71nq7P+KCa/ThB+/
QZq60kTJpZgGpAq6WRKF2L/n46OMikT5CwZMyI7Nc+lPIuKvTeWjoRMudGjQ
LHu7eA4fxtluunMoGH4n9dRvyOWSNsPrTAG7XNByHzoiivHatrxS8pxSGqzd
oZb4DeWrv5SJFyB7gYei3LAG1uf6ZqbVZ7tsOL9QMf4Orr/1N4L11jALyl1k
1S+h/Ie9FUHOlcmwc+9daV0qEV/M75/z7ZuVjusUzE0EHT91l/A0Yr6amOtZ
s45FQ7l++IQTjYgPz4WGSqteSgeGzLhTOuprmx21FSvOAvnk0VPaKF/SROry
z+kQ+NJYFPQQ80/jhekTWbc44Pu0xtAQ9/P2PfB9NpoL5zirF00kEeeTi7rv
dIb1WXDcR4hejvxucRNj0rXz8L1oU2HgDMq/s3tE9RwFEmhtpULov/7CXIW0
7kzoG3Gw+ZdC7Ef0IbV+yn0mCL2yvNeWRIzvfPw9P7+4cuJxeQNkCFZTfTFF
JeKL+fNTvVHfmaOLOSCtGtzrgvqeNJbGbFW7CVemFtspl2M/fpcT0kHJA1b1
9vx9yL9ruUdytCEGlNf2HvZEeQqScka/fjlAr+WNgW/NXNLG2bByEUMG2P62
q2hIJs4Xg7LTR38IZoMJu+9FCtJUCUH+g9lpIJGm+74Rz2fFoMCaCY9UGN2y
uf9iKnF+So/+mt9+ngVbO/O6S9Aez56xX+8uWUC409Vec6leUtyV3XLD6nlw
ed2bjENJRHzczlk/k3ImA4KfMRbboL6AgS2VBtYp8HZf+t6HqE+ytMRB73kE
GKSN96rRiXjv/CnGv4PFkXB3yCVPCe9/UoBU1NUmDpzO5vxngvrmz/98pb72
B/pDIbU+f9dSzJeGX2fkav71BMV6quCyYuL83T2U8/t3aCZ0B/6cWJRCvO9v
ntTo519mQztpZ354EhG/LEhcTn3pEA+FW6seFmM+5C9Sc1b7y4G71rvrjyFf
5ZNXv7FzLnTy5rSsSCb2/w9BD54uyImAQr0dOfro/+1XESybPDrsCzvPO4Hr
7xdbefWE0OHpn+e3FlCI8/J8vD6/n0bXdYdtd4uBpW5VUlWYP2V5rgm57Sw4
ejULsub6TdFOWWodHX58sn0yMievOj9O0Y8BnzWrVJ4gvbWu/2CEZDbc1HeW
TUL6pLlpp8AeFrwRXeDwGPcb2kz7N2engsf0LZVTqcR8L/KIJde9OwGMEXee
Naa9JCmJY5ZTBhfhlcK/Yq2/uKTMqGa2WhIN7i+K4NAoxPzWerZ+/OwCJhTu
WqgxNjevXnum7OyXDrfWOPokpRD1d0wk64a1hIHSyNCqqwxi/56PZ+bj3fn4
vEr619F2sUQ4VdT7/Q3WP9eY7NyQD3FgsGhrzDKsVwzR9vWlP2/D9O0hhb57
iCdPRzwMrIkHn6X+HgGYDzEvJttSNfxBonHPYG8e8XwerToX4G1KA6tNmVfK
ke7SWz094Z8M4cVlp85QifjHWsvvyiDTD4batBfX5BPz7VJwnFP9WRqsMLxe
WTr3ftEXl9Z8gwMvHZfQLyBfFdzLfOvSgVaocSYY4/dQo/Kjza0guPRSfkcX
9qNje7+Kb+anQbu4vG3n3PygWS/Vet8NxM2NPRofY78TLbNbRs6A4f7qpea4
f22imaxrGQtMamtX56L8UyMNkgo5mXBvR7neNO7PnR09Rk63BtPFzcnbBrgk
dpKS2vrwWBgp2mw8lEHEI0FTZ+UO7z4LSs70uE/Le0mfDg3pFRXRgfxAd3gM
z+fy04wlsvdZUNZkaMREffqr37eNyNGhJFHbcR3qo4fGpkv5cMDZ/XDceeS7
i1RbTaldgs8mAvGkYS5JqkZHfQpi4Tg76NZGvA/U2GF1Nb4cWL9+S7XVXP1s
v3H8nmkK+FU86qxIJdb/11+fi708wYYPLsMyUSh/SaGlRPUmCljssezbSCX2
9/n2LXk4QP/h7gbfvyzk032C9ylhGW+/UgT0JJyWjsb7X+ns/Wb/f9GgtZK/
byPe501MpY6WTgZMSKVRc1F/XZah66HceJgws1gUj/m1ysRTH5pzobrfTWx2
7v1z44Xjr8pzwPSYRJRqMrHfKkkfXl/6hQmNLr1BDUnE+U8jM06t71QcxL1w
NjqP52N0ljw+VZECAzO736ViPP6TC/qnquoObGlx0mYgnjudJZLJy/GEDVkC
DcZYX2+az6b2N8TBRQmRbHHcX9CQ/6XahA6+eq8vrUD/vd5E1MjvvAPrm1yl
jrHRnwfeX/ge3gb9PwozEgWIX+FAi2ZsAmycbigQRf/uqcaxveLZUPf1Y+Od
JCL+nD//za/HzHOSRlUb08C+vezccMrcvHTRrkYoDuo+BPfGZBD73fz3mSdK
fkJnn4WAhk4X5wvGr5c8qe3qSQHbkY5qPjxvqYLX+T5vMuB44Yv9Bij/+h3v
rzwVOB85VH0cRXk1pTe+8aTcgtMZFd3iD4n4JFIto2/X7xyYNsxT247rL529
WiAwcBeMnCqjKXjf/5vM37a6MhMWbj9BG6UQ37NuOE0UuiriPPPwRVVsMjGf
wsdP7o7rp4Hw60XkINz/40Ry4f5UFmgai0xy5u5HseOrD125cOHMA9L03Pvc
VM2F2wIOwP1m6NLXgvpEJJwSC0xgv7Ds33H1XlLpqz21yvfIsNbxULhYGrG+
xfQuVjwknwyblfSGvdA/maGWqBSTdAjMLB6ipRDze/48J3DYXpG3NRNcleOE
B9FemnklYwcnBxKp2vnq6F/QvcK9t6dygJQcU7QNab3u6m3PDzGg6aJ9QRPS
TR1fTmQYX4Fvis17T/1DnPdfllt20mpiYTWf3JLneP6TKXsbc1pSoU7ckK2H
+f2R3Bb5Po8Krp2qO4WQdh9/rcc3xIRv3ZNq9RifTS5sAcN+KkhZ3M6ZQX9y
Whsvd5Gz4GSCQZLBXP05b56WNsmEs/fsGa+SiPVmfj2a/94x/73pbZNXT0Eh
G9TOfDh4O4n4vv4iPKjs7a0M0MhcF2iZQnzvnz/v2u7vXSSnyoDLicGpLUjf
+Sk5UPnYGGZdl4R0aveSmNcEzdZ/ZsCnzYrPs5Fv18Cr8KjCG7wT1DT+3Md5
3uJoQ3ZVLtxNKB/iRb7YH/fgyxoc+C1QqGU/9962YkljzucQcN4nPtOUTYz/
fHxjwPND+6IQGY4s5NU7g/kUoGFSlngwAGxMqiZcOUS8Lisq7//T3B+8qTw9
ZZhv00I3JX5OGkLguJaNvEcvSe4Kn1SF9XW4up/OFnuO9m4j1alkJEO9kHf+
cczH1OGeSNbRbDCblMoMR/3TvpcC1zxOgHZOmchMGvF9RfrSHvu+VRx4bLD7
/jWkn4+fM+MtCgIB16of2Vjf3SLTnd0rqFAlZqK7JJX4/yYjbTm9Zqs1kHZI
L5D8xiUNKEmte2ydDLGt+ZK2aE9HCNXixrg3lCo7W5bfJ74fHH2WwRAVy4Qp
0t0L+/B8v7pH8kXrUoFcxD8uh/ocur7r9bcmQoA0a6E76jtQ2l13up4G7x8s
L4imEPv5y+1e7eNKNJhSrux/SSHWq39EjrXurUP8V3zZmIN0zI71qz/LMiGq
tclgGP0/q7IwccqCCcIn2sq/IL00ckl5l0MsnDgXY8WL9n68siBa+CwdoqeN
tYT/j36pvyvLNIJzYZ/7PhehZOL8bD9WLrrifTjcSJTlq8Hz9m6baF3gT4Vn
DwdnJNDfycP7d/XuS4bLjxSvuVOJ87u63181/u1x4Ozz/ZAP3m+LwaXsmK03
IG1PkGlPJc4PBfTgk9MZ0Fbi9/zAHH78FWVwVfUIKKypDDW610sy6rCfrj3l
C/Uqjj8sCon/86Rr/pVd/oEMdOGIb7wY739kdm/5ej0FXLkeKQ/QviUSPUwh
TTcI9Tpx4hn2d0lrp8UhRvHwrlGl60U6EX9yeknvlcKiIWDdzIAJjfg/ZT7+
mf++M/5OpO3YmyDYI9hZFY75yGjJvK+jwIaYZuHpeIzHwky+XewlTFhP0+kY
TSK+97wQCxjStIyFjQOOPMvm3lOdBU7neGTB0hPLx0xQ/onFUUcsTRhwSfF5
bV0ysX+m1Xw8M+nEhj8ze4LDUJ5VUqBMXXEmWK9L8B/H/Rc2Di823UaFNfvP
C+5KJdaLipbT17Vf+oHnlrDpRMSzu8Tcuqqdc6A+ao/xYdS3SOU9daNYNCQl
19mH0Yj/E8zXaYUee0aHA28aGn/OzUu/Jk9uDfKAA7rPfjSVcEm3Pj3eG6iT
C7lfWtlrkN/c8uKP1QgFyDphzR/RnlbZrkc/JRkQyXM38P3/qQfz8UbjxoHA
A7reIOc5Mn7jAbGfKZ/cKrnzWAQc6WG98sH8LeRvqtVamQ2qS0LHklG+lDiD
oRmRBxt+B2erz71vqJhOG2uy4NqYnlzlXP4vtBk5sikVzqxaWe/9f/5vzn+f
iYpLWU01ioXqnRZFq/D88tgsM4OWLFhEObdbjULsLxGs5+RstTio7foU5Yrn
9z/TeNy4
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWc8lu8bxklCspKREBoqJCujdJ6UUUlEkZG91/M8RUpTitSvoWyy994j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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFmWk8lO/bximpJFmTIrtUKBHKck2UJdtUGLuZKVFZKiRrIqEkW4koS5bK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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWWk0Vf/Xr1BUVIQS+lEhNAhFYW+REonKmJAx8zxd872GkoRIIqUQSQlx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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk8lN8bxpGSNUmJyFJItkI/snRukqWyV/YslS37vhvMUERJKaISSlFI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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk8VG0bLi32skTKLrIkKiRLndu+lBglFbKXEmVJsmXLUpYZ24xBISRL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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc8le8bxysKlfmNZCUZkVWKzPsKkZm9ZxpG9pa9t3OOFUpJRKmoiEpI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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXcg1d/7t8pKRBIiUSGjVEglKhJJRHZGySpR9t57u9eVZKuQlZ18nKek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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmGlcjO8XxlUqrfZCaaGEFKJVOqekFEqrFktKC+17TdsMbZZKJErID20i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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk8VO8XFtn3PUK2siWJspV7iKwRpURkK1IISQrZ92UMxjZKtmwhhZII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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8le8bNjLq65cSRVuKUGmR/d5WdhkZLUKyN9nKHiF7z+NwSBmVRJFR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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtGWc41W8UISurUGRmlJKy9z0ZKckM0ZAUiuwkEVml7L25196UlNBQ/Ymi
ZJWMuAkZpYiS/sfXe/v0e85zznves96zfqKn3czO0tHQ0PygpaFZ+6qSXOuu
ymVAqJV2jaQymWCYazo8mp8HKvwJxAEFMkGewc/71kgCsHYdGSarkgnC65pu
RmmFAx2YW0zsIxM2lfOeMtpUBS7hXskLcmSCkC1v9W7GPOjMHqtkVCQTTIXb
GfyLUsGSLdbxC/Kn2WCywjKTBf3jmS98lciEUIvPvkIGKcDtt7vUQYVMGGZ1
2PljoAiOEoUOzMuTCa5u4+xVz0shYvuLySsIr5/aLd7inAynWBWmGpHeak+z
yEIhCZxErwyL4n1FjRmjfywuQohLBF+aBZnw/gG/0uRqGIRYPpndqk0m1G/8
pra3xwcMyuy2C5uTCbaNTWUitoXgbdifpob6dhRZ8ozKuMFOWomOQHsygdDR
y8T5KQ2MqxmI4Sj/N77eBBv2JHhs6tZthvb4POk6pVEXC31x5553qZMJdN8G
5qYnUuBHfiZ5F8pn/9nEyHc1Eeie3hCwQXo+y9NJpcYk6ORvf6KO8k7EwQGn
bdbAa8l9TbeKTJC7sTUnnjEITN1yeRYOkAk5sZJO2saF8Eipv0sT5TujOb7y
/HECRGiFaS8gP6eBjOaraRHgeSZZKZxAJjw4z31ztKIUnF8UGASivfi76tuN
F0lwlKdInBXvO5fFIHaGUAgSzEGc+5BfjRNbU3q5M7S9n2NgPE8mtHe+sHxF
yoeu4RypTMSH3nTUM9cvhPkIXg8CwnoCo6yrt3PB5JTNrWfIT7K8dTgrsgi+
fjyTSoN47dwQVXW7Aijr6nFyR3jHztB7WkwkGNn5qMIU6UsbXca33y4Gc8kk
11conwBLpXfQBBEMpk0KjiH+jb9g5kOFMhi8fcTHBfFa+ZPDVh4JYHzq1zZh
NTKhr1Gej1ckETYwd995pkotn3whD0y6xcA7Qc17yRpkAlOS9ANahVxQ8mzd
/AP5f2Q67CLclwr1/VYFA+jPS/R+PcGioVAfL9H/WodMoK2YSFFmD4R3RyW/
PD1IJtyOrvVhcc2CQIYpmmSMVykS06cFKIHLs9wqdSjfY+v5jvCwSiD+jOmj
R7j6eW2QzdN04OznIOkh/5eaDttqPItBh+s3bz/iQ72r2zt3lUHgcnTkBYQr
OS4Z3rkdD+Kl80ciUL89XMo6+13KYMo5Z/oM4tka+2oDOwPA7X3ixDsDMsFM
xMYlYCQUvG67iW1BeV+Mb47efzEPdGTP7ptA/VlL08IiC9Ig9MtL2nS8X9ou
Nmm/SSaIdE0GDqD8sv5NVqocpTCm4+KRLE+t7yYX05lPSzmgyWfUw4z0AW30
tCYvyuH45xlBFaQXeeHUeqAzE5j9/b81IP7du6jrersr4dzBMQ92xJ/jv/Bg
U1QerNwvnvyI8ug7Vatn6pYBKbzz0HnEF7o+sjx4rwLM39wdF0D491xe7NOH
JCih0f3Fj/6RGfzeKql3Dei0rLeJ65MJaSoft9In5cFRhs+dwwrU9s1oGyJv
ESOCyrnde7Lw/I9ItaOnZklw5vb+0xsQlmUgKCVUF0D4cSFu27X4fcchkG5F
Auk61hOqiCeU8kUXCReC76bpNP01/mZcZ/yrYkBtM9NHf4wfA7neuam/GM/h
tkpGiN/qfCYwuTkezonQ7whCfyVXBhex/IgDQZfb5isI/91jxbtZPBjoXc1y
6PeTCR4iT/OfpxZAumOpyhk8r+4x3VBBGwrdPXvbv6L/rCM+vp6Oj4f5dXUD
GXh+OcWj2edPOPw4xH/cFPOr4fUvVVVRgaB3av6DzUFq+x1ZPJhJriSB51vJ
OGHUp8HP6OstzhhoNEjWeojy5/zOFMz1K4bWDzMPe5GebHvpc6l2CHx/M72j
XpdMcCcJtHT8KYT/OLdbCqB8psHpC85RSdBL5BXix/f1fpeQe2p+HDRE5QjK
Yn6zSjpvolF0FtxaZH1F/MiE2RSz7VYX8iDaQer0FJ7P0TNos9gTA++vExer
8f7uO7RkmZpoqMmubhjXoI43JVH/Rq035bAUVCWhjPLpBm75cM+UCDzEqzOR
qM/eyyuOM8mesGuuKGHXMTIhc3p7rG1ILlwxbGDpRXxG0BJb+koShK/vTZ3C
fCs6s2zA0BsLEz2anxtQXnabDS1JOvmwHBimeQfleyjW+0HliC/YdPXs/W5C
JrTtH40TysuFXGtfizbkxxDFf+Obei6k13CxfEPY2kfbxvdEHtw1/108i+eV
vtYMNDEUQYCWwpsta/CxMoswnkjgUpjVENFC+33qdPbxIELdz2f6wXie+LKX
5ZZhGaQ9CVY+h/rtsmjgliLHgd3cVytGlM/c0uEagT4YJr19/uzEePm27+zZ
4PsF8OTuhhMnkL8W7eUmXf4IWB+iZdyL+f01mbVig8QZ6Lvv7F4cSCaUnPxM
av6I+UX4W8Jz5H9Up+C/3z8L4KGX/4gxns/uk+Ol76sAH4jQ2/yP/ESZP2l5
PAfFtCph+MPtSjakrxuMvGR7MhyUt/3y7ViLR3fP+uCaDOAS0Aunx/MLeRwP
X3sXwVmrxkV6PC+XXpLyq8IN+nx0rKtOY/15P3ez6zERuk6dPOyE9gg3ZKit
2nkeNEbs39lcQP7W5Duc3FcgLOBgSMphzD9KZvkMOSTgftcsK470Gsf0TAV4
L8LW1vJAVkvMpzvkFE1pwsBy+Xnrb6znZfGBfO8jymHGtXeegPJKM9AUuZJO
wwljvjaecDJhJaA3jvVdCixv/nxDDuMj39RN/J58PmhKqO+8h/JS9j/ZG5+X
p8rHg6vf3Hw3vkfagRZ6m/IiWGVnf/sL+acslvPOpNwEv5sTq7Po7w99j0Da
pALGTslOSCHe/LF7iX4gCaxpn4XKoPzkH99WP1pHwE3m5qEK9F9LynxnflcU
xOx6IX5QE+Pno7Rgg+UteGCc+zIU+RUYdRsZPU+Du9ci9WJRnkDZ9M4m40Sg
JUXzVeB77CN1rhP/mAHWfbcZl5So3yN9duVXuuYQuN2z/fNeXWp9rzhZvmJx
yYbAN6Mhx/G8NzPr7TtDifCx81ObE/I/1vlde0TKAU4m5Jh4+VLn835r2Q1L
QQXQ1mRw/hzCXPOvbrTaBwODhPaVe3oYnw8iD/PyeQCtRVLZ0kkygZFb1KdQ
PR8Mt5Hk7ypQ69/keUD3SPIt8BM/UH5ai7oeUNq7aio06wVLDpAZ1L3UUH7x
MP9H60qIcNMhjsYd6Xu97CMd3pbBf2N8GlbojwihGOsWh1hoJhh5b8D8Ixwa
qdh6EPsNAaasGEVq/y6tWPUl/KgEiQ7N2SXsZ/Nm+kUc63PgR7tPGC/e57zN
4RqpgwTs83PnefH80tBYVmNpPhjR3NFNR/2y/LmnDV5lQa3tEZogJer839s8
pbDePROkS6evvUX8/S/Hk1/zekGoqdgVFhvq/L66YbXApqoCZOQUXm9FeJHB
VjRGtQAmmG11LytQ96dahRf66bLDIVLdMz0D3+v4xfT6NxvjgXFTQNAExvPq
uNvdMaVSqNVQj4qVp77/8kMFvrBD+SD6avRADfIPcBm88FUnGFQ49NoG9aj7
7+J1LcYJ4ungqLGQ5aVMXb/+jrJKptgRgVa3Nek62usTe33+Fo8CuND2d9wF
+UOeoaVVcAiYZpiUe2O82gXb+EkcLoLzzglmbP/Ir6c72B58Zy4AptpZrtB/
5OOSnVvSahji4IF3sFo65leeQOP2s0pp8J0htrsR5fP6zpzJVpUINYOmkoGq
1O+Fsn/qd1Y8pq9ZBO9PSx3iUKDur2cN0uaYv2RDPbek1D70p9/DoeB2/nLI
B5nfhxHvK6z0JmCuBESYnihkrMXXF7P5xq5cWA0g8dWjPfju1B58GV4IKZre
OXLIf+Y5r9jh6TygVe0Tf4HwDfrnbJYPC+FFsl6eFMLksZEfzkUVEGcg80AQ
+fnxExQXzIphULUrcBBh3qW7mjKkEDg1UL3RHPWRndXiPBRbAj1Knk9LEG8g
KjKi9KcUFPSrhL3X4kvzb2wduRIWC0mZvzDe34oXxYarlYOeX+LMwbV68jjF
3yMnDA4obOV3xXx72fnJltgSR+ixV5d554Xymwn2VIYWgfJ+WTY6lC9t3fHo
0oxskFtvIGmG9hg8Xa96TqYIlr+36nOv+cvZqrT5aAmYlel53Zan7tf8jMb4
/XXi4Shbg147xitD9ViajU8psIgv6V5fy6/rN8+EpaWAnDuHw0GMv53L+btT
WVJA4S59wVUVanubzzeOmiZ7Q3zgGGkJ60cdl4yJtnM+cH/ZE1byj3pFOT/M
1C0umJWdgyOcfqZRrtT5KlLwl/YAIRH2GpAnazGe5u2t2FeNA+DE9Y/3jA9R
z7OzB9vnR+8TgS1Z+sN51Lel3vz8voJKiGe67EiL+GtBw3OqpcWg2Jb/uANh
RvLUlEIcEUouy7VeQvoH9q+elQhlQQb76rNitG+a40PpTMZK+M0gO8qN9KJE
5u+KAXmwOnJWbBz1+zV1Vu1VWy5MpYR9bVCk7k/PuCqxDmeUwY6Vp9En1/rJ
dvPZ16FxoHGAdU5HnbreLE4uq3tuT4XuisQsXrS3zMttmV9nCoHm8TZ7Ibxv
L9uCrFFZMsg1fU/NQ7ywTO+gCV8sWO2IcjBAe8Keo1qEVRKsjxiYYPpX/03R
n/w5brvVg74KBt6G7fuJ8XlRe1mSN4UE8eN0wZKK1Pqqj7CLvZ6tAGHZO3E8
qE9J+I2AitUK+GA18t/Gf8w7nBU/hdW4oyGE19JzF9ajq3P3pI7fKIGfFV2r
pUj/6EP4et6jqbA0EaLAiPpkjHWl+Fn4QG/TAvOkOdaf3dWrA8okGOUdXNFG
eQTyN15sEAoHLgYRfzp8L6fzrsYIm8TAw5O5L/JQ//Hh9feYMm5ANHNc3g6g
rschg5zpt838QGoyTcndiExgHuqy4/sRCV/qVi7WaFLXN8r4pOx32Q2sH5Zm
ZYEaP83cTeTf5Jrsem2IBI0tf0a5UF6flr6MqGfX4HrqxdP+GA+Rln926XpF
QWlM8OaLmtT5jnLev7L1vy4azwwoiWT25kF/eQ5ZKBRMV0KIrNrzZTnqeKfM
r15OxndqE+NA4NuyvyrG24U9C143y7KBw2rxvhHK66KYIS+dkwju11lqwvF9
7Xn1W0uhoxCOqudFiOP9KafeyHd9KYKRqmc+c/LU81h1XuKDyJ5S6HcrKL+M
+AP9IcocczHgxBXjYa9BHd+U9bq5f+FlbWIk2I0ubR1Bexgz/GFxfHMFIjr+
XGwzRHn+9l2Y/BQLvtc9UqvVqfWnjAfKeZ9yfqGc1yjj8y5TM1NdrD+U3xER
Y8L7yy5JWEmE5UFClRQDGeXdtq7uiePZPFDSrAydRvgH20LsBt48mLjhAnRo
f0cJ0zTWRF9Y+dm9NQvnn2b59MmwPZngJHUnZkyJul+lrH8KolY+2pty8T0x
edIoUfsrcyhjQXowC5Yu8Nn7I1z83FxAd6wMhNoid1igPkyCP9X3Xg2H4wPP
PtXuo65/PvtP7By8Wgguj4oUFRSo/SNXMkJwESgGmRj+LZ+Rn8816ZmWiBzQ
iH0tLYL4AbuLH/geFINLzEnBl4jfKmKgaihsB798m9ILotAfNxhPOJakwJkB
zTwdtPe03J7Ee2nlQOK58EsT6adaDfligouhX6zJsQfhjjCVu/ZxaH+7dV4/
MF5kHjvqBORUwNBSbr4Q4lULGb9w7coFbcUw6Z9o38Bx3y4TmkSIMdpQ3Y3x
6tw8wOj+lQiPuLnErRWp/THUBfA1oQy4Z8YzbZFf4n+8JdyhZRDNtPTAbk2e
/s2p+2zKYbGPfVJvrR4cfbVkQCoGfsboja8R/izzPeqRpRcQ2r9sCLQmE4I9
VC9Oy5KA9o/8eT3kv1nvc/b23cdBenP7ngIimSBW3yHuXxsHGZodr8XVqf1N
6V/KfZ3Ltm36u0cKQMtj4/iRtX7L7irt5FIEvL2bLmGI5/UfDDnwdFbA5jkB
mS1IX287+kH6eDaU7qj6a7uW3z6tPDXLqoQ+/jfadGv7yb/28mXLJhAaLXz1
+hcyYczNr9DJjQQ72j3U5dbslZT9p9/0CjjeeDppivPhpZMaqVztyRB27IhE
CvrvTGJtef31VLA5K8K6iPlkrzlty/lXgaDgw5Ughfm9KNhOxcAoC85GEnyy
lNb2W5U1QdsroL9SJWvX2v7xk8qxNx2JYJtqI++O/tqYenNctiEZ8mXbbLKQ
//7KZhHel0Wgv1dHcAHpiaX2R9it3IEjMIcoakcmxOb9vvbxXAq0fA0atEH6
dQJLLQoHUoEttL6AFeH1Rp+eMTmkQX5eT3OFMvX7pJynKfcbSy0G9Q3Pg8BF
fOfbHn3q+Yoyv0TRXRJ8uTcBDrL5Zu9To97XU8LbK6ZpdgxnAl2M3sb7aB+6
EbENDpeJQJ61yQ/E+78OqHy4HRMDS7/FH0Vg/OtpzGkc2lICtEEbYxvlqfNr
rm+zwVHFItCUXWzl/Me8yUGW+8TT5w4qLvGBZbbU+1Dm+uN/PtBlgJEMqVse
7cFqb+hzMaoSBlcGfq1D/Pio78m3LSUwmzGgQlzrdyKSlmdYyqH7jReDiTx1
PXqp8DTmymApaFZuifH9x76Z8v9CZV/s6uzDRKizFym6hPFw4+3OlHUniuCm
OtNJ5n/kI8r9RovuHotDNGawZWCpjOYj9fyT8mzH7ytsyWBVS7M4hvGxyYC8
UaWxCP7Mqy3+xPv/Uyne3ny+GC7u/OT2bq2f//7MlXuoEOIy9L1F/zEvKeka
E7rK8+Bp2Erku7X+xzGLmMQTB8dNZqVj1Knvi2k/NZwTUwGFHj/9RJD/4XUj
WQHml6FqHy17gTGZkHRGQNmgPRvSn/yd0Feizpe9Txn8gldwXigo51ubjynf
z+CrA62X+VMgQOhnmi/SG2/2z35SmwfGfvx+fShfd2WS9DE6IrS77FQrRnvo
XuRomLqSDVohDazWa/mmNCcgmNcbdrO9jflmhe/dpjhh4V4J8Pd9LMhb87d8
njB3UxIIRn8PZcD7vFcuHuxYSgHrk+36Umv/g5reSQWXOsGdQrUSPg/qff1C
oAVHUkk5cHZL0GsgrOli204wy4C+ewlMQsrU/TJ74ikVxkPFMKAh/2EI6Y/X
2FqbKkYCK7FrlQP7f78TTz5EBCQB/YWtnKJr/2O0GSQ4EqLgxYKHmQPWa0/l
dcxGWUnwd+SA0kbEN1b5R+l3+YEr8Zfj0GHqfpMyf19T8jlYm38NPu/rcivA
/ixDz2xLH00FWCtts9271s/mC746TZ8LWoYCNYxK1PsAyv1ItNC62pu3ksGy
s0a2Gu31in/pHX12KYjsr4y+hvzmlcVKyt/ngv36C/vqFKn/X1Duo326li/J
cyaC2p2MspeoX7j9dM3wQiGkj4p+2Ir+vjdiqfCXrhyadC+zmuL5Z82chwwT
LkMv/YskC4y3XYemeLvrSLAw8FhXcO09thoHsbBh/2rJsPnJP/afTlZ/ORnK
z8PNN85j8i7U+f5ox+vFCvko2CFqypCA9vf5y+6j0x0HZoWCrpz4HvReWKnp
PgqD5lPXG820qf8/Us5X/sJakZusPMA6KWHFAPPt/S2vN53XyoIQByZlIuL/
ztBaS5/Mgi3XourTEB5dbYplliZCSxy/d7oi9f/Fsgxr9+rLEcDUSjufhvq8
zXt6iCjjCpkxWj6KZ6n/f1Hmc8r/LZp7TM2Mb+XCEK36lrdr+5VAge1new7D
dInY5Cz9J6p6RLkPocwPBLe3w2Z7T4BXfppYYxbms/XVT061FoDUibRF63/U
K8r5h/J/Xdqy67K3XQK4zdlWSCHcqB3rtcsuFG6tTxOM16He/zOb75bU+68Q
nIqneCTxPvO4S4LWwkch+3VcZHwtmWCpoLeRkTsBDPy15cyRX5dkhY6gRSQQ
24U//UV/TxW/G3Mfx3i6/4DIgfLQhOzf4yRUCe3PlpU45an3oQ1nV0eHez3h
ZffrtDQbMiHh+a63uzNyYTEuR+uVInV9pHwv/wN1V+Bl
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc8le8bx21JQkKhjLRRomGeU6QoIxlJZrbDeajISEooI1kZpYwke4+I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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXcgle8bxu3IDqGQEclKNMh4XyNbVCRKsjcthUKZJSl7ZY8jxLEyiueW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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8le8bViKhYUcUSTIzKpE8t6ymlTJSRCESIiMj2XuvvqKMoiiEJNV7
jGxKve+xQkhFsjIy4vf+/j3nL5/zwTn3+zzXfa0jYuVkeHU9AwPD7DoGhv//
9HEveiDTd5Dyqe+ALZdSM2ZXvCTPAC7wMK3i+H0DAvXnjRf97k8E6/czD1Ed
juApT37hcjS4ul6oEu/A0dadCjpuHRqUncquutdiHmB5UwFPR2VC4Ff1Nv20
YRwdK0nab/zdCji5uk3qhwgkOM3aFLvkDz+sk+YOLeKIj1Hvn3SBPGD7xEQq
2xuxUz4jNRKuBvBzQXao+3gnWjpvJvx85iawnh0QylQnkEzEtZL7wQGwdbn5
e8Q0jrQFNRk3zUdB4ti66XWfcaSXkaNYlhIKbnmMvJcGcFT8NHCryVAItI5t
irEfxNHBDUvluwf/obg85TdSar0o2hV9U7HeDJwLcvPb/IfRA++ZiwefDmNJ
32bCf25cwG5yuHm4bAoDF9MP9sL9OHqqm7Is9zEGEo9EpL39gKOAMXv/2ZcB
4JdyZX/hFI4yc8xfHTDSoCRx9YR83JePMf02b/A6ow86p9Yyudw70TNOsxSf
uARQ+5BQytqAI0/B4sDIzDjYKNhUtb4VRy4Rbo4dOfEQ0TTlptmEo039Bkfc
+8OAhUItnerF0bVc5Y6qujsg5nVSMnoNR/uqCtMns2WBl9OVkF9tQzKDVE/7
V+6gennxUdheAoWU+UpIjioDF5Vxh+6VXDTg8vO3NXM0MLD/ODv8CUeR93h3
MbPHQOmnQEk28j4LJlmF19JOAPvv362dsl0IOxLFsVwQD1cG8jr2k/M4s41e
WcwJgrSkhoC+nzhaGZgZ9GMOhpzclhdeP3B02LJwm9hsEuTuTzyiUIOjjLoT
QXdUAiEzMJHdeQJHYm5cz9/H3AVvTrVfMvPkeXIesISwCHCZmX201ImjzQcn
yh41HaNQTyuoPjlUhJwuOAT+JThh1375IymLg9isiejtT1ZRIP+i5fkOHEc1
k+9PZnT7A3dI/ZcxEk+OPEVsh+3OgW1DxorFRyoaIESnqzsSYMOuXmuPehwF
JbIfP/kzANpGAxg/TeKoU3Hh5bNoZfj87MbW6BtPsUOHzp3eR7kLaaV+hw/N
4ejGoPuFKgE5QHeuPv2cT8FuhfAEnqu/BE7sjgO5klSkU8KjH+eeDH85OfTP
VOOIsvG8kIRJNHyJXkGnyfPNxlnuWbuqwKYzY3qKdQ6Ia5AYmzwZCMd8tQok
yfO4LTPiG5qcCNlKn+3xOnp8SjiubXzDZg4VeZbHR/WoiPbzg32zrhRlJIIN
a3lBLfn/eKOH7fZwT5ghKqycBAm0llFUytLzHZWGfN34LG8Wq9jouVBE+AKr
bNK5MSYC3frT1f/0dCQUmJxW16fiCMt2o1aKXgSHxchsSaAiu+7AIYHHsvAh
3ERoOb8WSU21YBoB4dD3wYHtQg+OHsqHXSuKCoSL13+95v+No1m8uqjuth88
GvM7VcZIoL2b9NTPTEVCtNbtnlXyvr593HnlGR8jqD7LvGaxsxnTtctjX9BI
BJ8PatN+73EUVb3kI5uiALuT/iUtXknHfHhsjF/z+cE1H20mJnLeDfgpKcdc
F/i3kSvq0RkC6TWoovWWNqAsyyhlXEIg4vvtgTW5ILAoaK6NHsPRLw9WC9Wd
7BRZjtR+LRUCTc3o2TLviQMbkcwI+zaSf+7YpmM5d8A3zi3lD7lPTyy8zfk3
h4CI3HzMum84ui+bY7GtWBI2Ha7ITb7RgRmz3GyRPsYM5o8KdDr8GlCf61if
fkIS7Lw0aTpC4n3vzrdNMyOTqFdLoe2V+BRmKGM+c4zTGc7Kx+15eolAryMK
bMR3aFL++D/1OjAYgw09cQhUDgLKeI/u1onh1xij7h+hu+oclKhdfv47zLuw
1tS/SSz88VCoVLi7qBlH4fHr/3NoD4TWGMeRreM4qupXk2jgNoblwaO4/hMq
KuCc/qqe4AVLoloNunwEgsLEXyfuyoOUfJpShEs5KlptqhEODIKAaxWcxqM4
MlGS/j2Q4w3qn+/eOrCFQJbariq96vHwYu08/zHy86pGds9N3r0CLfd+231t
IlClL+PF/tNxEG1UozFF8tW00akhdYVY0Okf/yVI8uFPIy2BeNkEsL6X5jpJ
8tsxa68WLaYImHc+RN3TjaPx8jCl4z8YoV5kmD+r5Asai1JS2be4gmm09IRs
iPqKbmZNRwZfDQU5ND4/SvK3msXterWdCXAuxSOIt5Hk233sfh5P2Cg83t9k
zMR+YJ7pzq82XnCCSt3nNa7WBIpxjTD0eCUOx47qPmb8GoOd39sTZpm1gVIy
r3oq2Lgb4z7jmiOmKEDZflU+XXJdE1arMKIumZoMBhVdjTzk/tZW2hj3PI+E
Jt7u6UCCxONtk/S3a1ogavauqLuiiw6fPB/+DQhmKQHa/OcE1PfS7Tf3mT19
ekmxYMozL+3fTvL9FmG5B2kR8G8dkyyV5LsHQeunbrOyw+G8Kxs1TSkY7X0W
D84adC1sgc1YftSDuQJs6KJwlmiTP/gtx3VrLeFI6/NuZSUsEpJfOLpYkfPS
7rOb3/VZE8Y4UO46zNdO4l1ZhQt5eWpQKvLON00zPcZ2fealttWtos1Vo8mG
Gd8xm+OPODB3f9ie0ebDt4KjvoobRg947SHC4YTk+wgC8UaIagm4AYXxOtvl
T1JVdM+3u8jhLH9PBBic/cKsTT7f8mYbqQa4A27b439KrSPo7ndrY7BSwEll
SDqXxn1Z7jkSEJyuPh8XAmdjrr23HsJRh0KOm/tmTcq8QqFusmMidlibZU3Y
IByqY8r/+0Tyz17zPJXhopuwyccscViDQDvleoJynwaDMrG/VnMER3ekfDL9
shVAp+fHbW7tIMxvc7saZB6kPFgxOl8e3oxYLjB+WXkbCD0vJsoMyH1ycO1N
D15koCioJSYeePMVGziTYRWAe8HlRhkePl4C5ZxVq85Lj4d91+9ImZJ6OL78
1pS7Kgm+usqN3yP3nxaPL6c9Za9liUN/hiCrnHQmyjURocrsSISE57kmVJLv
it2M20s3JgFvsm/rRC2OvD3+ballSoBmmadZBiTe287j519eCQCejIIVkRkc
fX7xZTuf7g3oWfm3R9meQHjhLZ8DF+PAwoZvA4Xcx492Nzr4Lb4hqZ4cI067
Bcwkdp+3+9ErkD/304nSRiAPXRWRB9lJIHv6EmsDOS/TFs5qrvkgWHNZ2l5G
6vfeqWkbP6lEMLVqOlhKzhe8wn+D/6AOPC7cpecW3IVAX3NM63U0nBiTVEkn
/YJTtnJTOEUJinebJIe8qcBOrLZqdj5KhMHIoKUXpB4lreoZZLXGg11N7/r+
Rnp/RLs/ZUpXh1geq1Piuhzilx+Vo3f9MSuNq35w2bD+BsN6An0LqjpRdlIJ
amab6o9MVKKCfFX12S/xULr+e2Q5+f6cvcOJXZ0BcOONtZoA6ccWilW4u6Pl
AfXEdA15lWMNN1LrXsQuYFuUMmPvVk8ih2UZhsyPpB/xvtDzbZbUe1XLECdB
JQpxxLJR4mEjVmsdbjzy2hWa3ITmJI4QSMFJzOWVmCbFdYLVuGcqBNNuj9fm
xxUof7/5ucp5taOmrhadlzYqIKTIdJ7VLByZk2S366Uc8MVWvrH+0owKquPU
ZV2joExa9eMy6Vdftaa/Y/COh0+X8hoLSTwNf90wFR4YBVvqrHi/kL+fvy+4
qH14C/CUnNTQ5S3Fyn8b6xtFxoNt4NdPAeTff2sd0In8EAcizyPiPVtI/5Bw
iuOL0m34w7O6QY+bQIte+UHyuW5wTLwoDA7Q++c+RuGX8TsioW/v85RXJF9k
nh2MeicfBeex6X0+pF5/6h3CU8U8IXWw/4nnToIOvzjGrL7fkJy/TImNj9QL
/3WlYl0TYTDiXanYQPrV6Hanf1vEuCnssuLlVjyfMVo/6GkUKejf6wzV4w2m
NecIOj8jHf/xZMdRBrjXmzWZ2zyC6k0rA9YHJEHjXEU3I7kvtHmDNj88JLTK
Lc85Q+6Y/Yd7FwgkLBPDWWFuBSFVa2fZxgnUfcTutVyqOxx5aq9gIE6gwP3f
vBal7oJV91FR2b848qXcm/pnFwz26qtPdn/HUf2it3oa42V4M+W32shERS+v
CNXtzAiEPDutTCrJH50GPyjZib5QZq6X/ZmZ9N+3MxmSPkTCdJDednWSn8v/
3dnO4XgTeC5cCVPWJtAPTbNR6s146GyTH6wm75P29ehN7oTCFwpQ/Uvqw9bO
u1haSPSM9UwClMy1Ku0n/Sytv7h6oKnqQXM0jPC8k/Qj9zPNVmJFfPsOcD5m
Fsg53Yc1GdjX1af7AfdRmxkt0p/lZx0W8MhLBkVnfc0lCo7G0sK2tz9MgPmu
JL8R8v3Xlus3X1AMgPOe5dksf0i8LFFEVR/chRvSfe96SH+sUChcomHjD4o4
9wd3Ui84RXXnAktm0ZdhhUnGH6NYo1Ve6t3jghRFd08Zz/5+7IDQwi9hixBw
lPJ5uULyO22+oEo9VTI1i4fBqJjsdSSeaO9buiqHV0BbntLT4OJl7fmRzt/Y
MhSzQZ8oqA7XfS8tpNL5Qfkai9HGPj94fHXbxuskn4T9p/vB4p0l7N/SfOMG
GxWpcuSWbl4MBSOWKa4zZN6jzQO5bcoNCiLxoMmLS94j50sYaTs2evouDGw0
7/ZfwJHde4sDiPRvf4/o98uEF6BjjqfbtueFQs4t5r/7Sb37+tCg1331NpjE
PNf9vo3Ee/W2HuQTCKtGZ09cJP2z01t2i1CLBFgf4zToTfonWn2izZu0/oo2
D8+xKDeHM8SD0pnNodPkvIoFWErP4QfYPb/O9omtq5gieyvbM/t44CvM2txJ
nv+fPR8e2zQEgCgf74IV+f7aLnmXJYWT4Onj2dF35PkLZqdue36JA8wfs94q
WPyB1Oz+PpsaiAQGrl3fd5H4Nn4Uev/OVl+oLxsuf8FCIMbdd5Pr7y1ivmY8
D4uVBlHgSoq4Sqg/WIwp/Hy1jCPmrNLwSalICM2/+SiZ5B8x7au37rx3g0Gb
Eg99RRLPNRVLIyepWPWJcydubVtCtPxN2y8c/sH86LFiIhQfr3udRfLT5cOS
I/tcDoF+bdAFkeq3GOjoPRMaiYejLVuvZ5F6kVKYa2BIFYZSpxmm+udDSNHg
zb6pJAVYCxAzNfydjnJ9zHWwoyoU1bK6bZvG6ujyAC0fh0U/8g+X84WFaksT
ZfL5NZOfeE/JaVK4/j5Ruqnpgmj3IWDINCF6lzeIFBS/NiXxQLvfNTdD+MJU
48Awbt03YdK/ETkpvQb7kkAtJ3dzEXkfmTs5LvT8x0cpq6RYbV2rwWj1ycSP
iaFOOwLsVStPxHThdHpAmQ5hnj+XDLZ8gQHB/8+vD5Wawk+pQBllIt11Mhlp
qxw8z+NlCVcr9pzS4KCiK2H7tE4JKlKeUJS2FrK3Y7xOaZGSgfHgyjxWm0o+
//pRbv3DNmbQl12SunSNihxT42I35BhDzI+ar8EZVLTG1uHoPBcPl7oXrLzI
8z/A7rZePTcKttcMb80g8Uqr57R+jTZv0PoNxaFU310lCaA6T0RQyPO7/ZUz
WEnyJnASG7IeHidQtkm7s5O5Aii0Wt69LZCHwbqbMn0PPaDEM+PiSRECbV23
b3UidDMleEPsSP7bfrr+hDZ/2Bq1/WckHgxnc9znmUj/RKtftPmftv+h9Sfz
NWyVLds1KeLjaodW5ePQzVsWi8d5VKDRe+vxgNaHGG0eaMrpe/jDLREk8+Vn
+Ui8V2+1YzG7xkepFv8btgVrwOqvFtRW/Q2A2cZ0zYhJHC2dbZw4vvsftpA1
mPPz1RdUzp/PLrbPB/C0ETNRdgKFO+qXSkQkQfF4beIs6Q8x3vn9/7lfB9n6
sCJtD4Ku3ylioR7zrQgF1ZM8Auv/37fRzEfbr8k5ytRapsSBuFMbpwDpV/29
LK/nJoSDv3FoiiLp52uujTfZ3dOgPPa4IpYxloN1yXEeOcrpDiwtDByRkuR8
hRpVbbJy4P1n70CAOQXZ5tnLCrt4wd5d/et+k3n37b3rQn/XKcB21r38R/P7
UFuMhfGD9q2gWqs4XrazBDU3GW4LGbSHUUh6OBxIoOuCHieoCsqws0vMXuN6
EcadqzcsPb4N/Di87stqDNP5WfEHCwnRO0TBPKsmhscRx6JbhQKiXp0Ft9SD
HbyrVHRd2vbkV984YHCPzLEkn69R/kuCaK4NKE6MmEo+J1C1ta+ERJAjrI1s
kct0IhC7o+1oPEcs/Of3bJMhiecyjo2/q039wM3ydLLoBgLRzkOrrzmcUlny
b9QoRlfTZoInMDQXLSLoYC8Lk7sY77ybqMVyT3APi82dgqIXUjzT3zvp+rbw
Q3bqVhfCwJltW7pmH8knJcyxkw63IPlSYWGLLJl3pDOzJ++EQJ4Ri3sKqdfd
KaEoLzcW3koUXLch896tCq8O7Te3ob74ayQjJ4GaxO+P3DcToKhFYB6i596h
LGcLfxfVu7DB9olU5wJ9H0y7H2H9FVLRiUEw/WKPgMAojjwqnYW8v2lQGNR5
XPzhPl2+ouXD0byA9Qn3oiEi90ElQfqf/hd9QVbskvAjfJOhTVYLUunvsuU7
bQqVQmLjar5URNsv0fYFndsiWATtjsOPmM/KG026UHj4ucBKI3doz/urN7qP
QLcvq7YYM22gMJz15OcPJvHm8+uOfqQPrNxPEM1hJZD90Ys8Hx0CYcf2tyez
ftP73Rfj7GW1b/ZC6O+VwLXqj1jKmKmwAxUo8oU2Xn9cKrEjzE9u6YWEQmJZ
lVsUuV/BIxp2HLOLiHn9i6H7vd/p+GZkVoPJvygGtBi02GZJPD29Z3Ix/HMS
9J+SVnIk9zXKzsX22tEjlKnWJC/15lpk6xiavChnAtskys9oJVDp+uUKm44T
7y/fAQa21D81DAT67HO34apjJFgM5AaykXpNm4+OhGQxNKZLw52WM9GbDjVg
wo2G3vzi0RBl6O3/+BN9/0fbx2gEdz0du8RFuahzf/fqS9J/XB4wLO5NgicH
99peIuen7UNp+0ba/lxHkefgHlU7qPhl1ZR4n0DSDEPsfonxkFzgPOdI/t7S
qcPfUpA879NCfHNFb1BJJdfEu7ADFNYepa45hlaMtp+Jqcuwi8mygg9m198Z
/yBQZpTRi4W6KOD0vHTvEqlfTs9+2lK4k+GTRt7cAqmnj3Z3tvEmyVNyTuW6
Cxz+iO0xj7PpMQiCErODutvG6L+vuGVOUc5mE4GuO83T1i4f6fw0LZ9vbthR
MPXXGuKrnTirOgg0lTklX68jDXt1wp/75zdgrY0zWe8eHqO8FR8PjgovxupK
hX6J4eEw1tBYkUr6Rdl0O22LvtsgxUpVdeMgUH9le9JcgAtI2c2+mdEl0K57
elyPMQnoLH1TJrSlFaP9PoU2v9P2I2xeKMi9PhGWY00wZxKfh1IHpeIvk/6O
WX9E4hCBRqMza/JP3oKK5EeXn+0n84jTiwJ56TiYZnAZMSD9zu59ny2C2OLg
TPGlLeXka02tZ5VTpzUou6sD62Lj8+n0JuPwvH0b6w143z3m+M+Bvg+i7Y+d
L1rOHoy9BqclDoulxZJ5wJCtaKA3GKiCbu+yvtH7R1r98c8RbYz9YgGWG4Kv
BgtRkWE2IjAIh1qu671LpJ7R6ivt/NLc1IZz72PhNauFqmI7fZ80Y+b75HOq
OXzydHQd1qEi9o03WB4PMcIGf2c2BqOv2IcNQ2ve35Tgx7aXL6XYKpCsrZWp
Hjc/ZYXKovalpAqj5TtafqbVsyrLybubazzA6pDQWoIwgXyY8m3ul0VBxY6a
Gt/P9N8/SYQVS66dDIPXkzt2OPfR91W0+YHWrzh7sa1md7vDEwcVyxoxgq7v
HRyD10PvXUByvfyRi6cJpDrT4js1YwaJoBA2aUlFRcvXUhb/McGU2I4giepm
jDbf0foN2n7PJmpRuf5pEhg3+85WkOcdtv/X3n9TtyCH2+axhRRBp4e0+kKb
x0Ii3/f31AhRpN2lN702foxYcXsBZo4owAyJg29xHPEZLes/F+ChZAlHixQY
0eOBNl+csVy0v1h/BVZ2vPzFX08gN501gz2MoaCVGNDCMkifh2n18MnmnxqZ
7YmwKzjA0JLcv3ahhL1sIXGA/YplPtFKn9+P/PbufegaC73na1dLSTxGnNCZ
GhWJBcm/1deVSD2ZM3w0OL5/B6WPs7nj2fb3yENranySdQGzZrqakCA4hbiS
v53tC0mGLxNaHvIk/9Hej5S1r03g12TgVRo/lE6h779WusP+dTreBRFK5S7q
PI7w3SdvTHy6Bv4eX032RRN03z/FXeOU4AiUgtIPqOHlyEc0iplZXXZSoez+
O7VWUVKHket36L1DGNjLB5zj7/t/Hxn7sXJUDg6Eyc+3f3mNxAZfsR3cIguf
TzX+ihIdQKOtj/SJ6Mvwq+N0PuMyge7/4AubNowFdau1oz/J87BxlSRkCh1A
My1mycaXQP8DFlirJw==
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWc8lv8Xx5EiioQkMhMySkYSnZMQksgoSTbZ931fysyW7D2yMjMre6+s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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWkgVO0XJ6FSUkhSQqHSZolI9kQi6rWlsu/7LrsZy9D2iiRJerUQokUk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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFmXc8le//x4+9KvNjJCs0yMqe1xXZJDuz4hMNhAgpKyKViCKJ7D0SoeK6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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk8lN/3t1PalLLLmlISEirdkwpFSCpbtkL2fQnZs41lZpiQUtq0IqGy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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk4lO8XxpVWQqkoKWtFSikppHMo2VuQsmYNZV/HNmZGpEiLCkWR0qL4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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8lf8XR6goEorILDOjQRSeU0n2piGZEZKVLXvvce1171WSaEnKKqPQ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXdcjV8Yb1AJKSNpSCJJCU2J99FEeyvRkhAplbS3hvaeut3bvbe9lxKp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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtGXk8lG2wJOWWStFBhIQuUkp2JFGRogtRylHuvkioXGvd931b1rWuFTk6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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8le8bFg0pQlKRREMaCklJzjEqkpVRkREyItkj2Xuf4ziOLSVFRlFa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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc81d8bt/deGWW1S1RGkZxj763UV0hWVrZQpKSkFFFZkZWsSCiUc4yk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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXcgle8bxq2QkdkkO1tERqLnVoTISGZCJZJUvmSLcyqbjGSUMrIpqxTx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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWk4lV0XNmYmIZESTVKK9KqEvVQkIiERIUK8xowZyuyQ2TmokJAoRIZI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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFmWk81O/3xkkhW0pRImn52opUQts5FKEVSbZQ9t2stkilqBCt9n3fxp51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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8Vf0fp0dUSpSdvVc7SuT76SozWY1HiMiOkHltLu61shoS1YNSVMiM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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWWk4VG8ftreHKC3WIvxbbBVJoQXZtyRFk30ra2Tfl7HPDEqWkhSFQpYo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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWXk81N/3FkoihCRrQknKJ0Qi91CSLIkUhST7nsiefd/GGLKmtNEiJcne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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk8VO8XtmRPZN9FiEhRSpR7IhVaFBKSLWu2ZIvsW/Z97MvMGKKkVJKU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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc81e8Xt1LSQArlmxZRVlK+Gu5JA0UiSiqVPUIklOwVkpE9Lte63IFI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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtGXc8lW1UKRIZhVQqiijSDWlQ99hJiaSEpCElo2EkZJOVLXvee91rS4jI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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc8lt8bx8mWzOyVPZKyVTh3fNEwUlFCkey99yhUZCQpI5UVKhSFROfo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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc4Vf8fV2mIVJRUkpFIooSs+ryLKJLIiuwt89oz196ua1NWJUKojMa3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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk8VN8fxpG9bGUvIaVISoT64hxZssWMbA0zihRtlKSS7LKUUqSoLNlL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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk8VP8Xxsn2LUm2ypotKkIIIZ/TpqIoIYUo+75mD9nXYWZoEWVpt6aQ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk4lV8XRSWSnyIaKBXJkFAZynDfUMhYGTIPRaZMERkyZJ7nmWRIFBIy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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc8le8fxqVE24hKyF6ZoZJx37Ky9xlOyC4aKKTMJHsTGWVmj7JX921k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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWVk4FP77ra+tImWJaJFEVJZKKdIMEdmKLEnZl5Cd7Ma+q2SXJSKJEpF9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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWXc8lf/7NqO0EGWVkFVKtIxPz22UFsksDSsqyR7Ze2YdHOcYR0YkJFSS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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyNWWk8Vd/3likhGaNUX4nKLKk0cJYhpEKIyFyUqcwlyjxP1zzPXCKZh2RI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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc81e8XNyLSQJFVWWWVmWR1D76Jwq9hkyQKKWRlVFZGZO8V17xWqaxS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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc81H8YRykjI3sUqayUSKVC95hJKiPZRYgQSZE0yMjOyrhzOHu7o59I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           "]]}, {}}, {{}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWXk41N/354OSIrvSYlcKJUtlyVIkJEKWCKUoZCcpS6FE1mxjmGEYO0ML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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk8VV0XJpEpU6ZCqWgQksgQQlGfSqZKMqTILEN4Dck8Rebhmu/FRSKZ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWWk8VG3Y7wl5HrQhWStEKllKipbrskSIkn0pVNZkTZbGNjN20iJ7JFtS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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWWk4Vd/bRuUXkhARhRJJJUQqWU9UyNhAxspQMmdWlHl2Ms+zlEhJhkI5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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc81e//xq2MzEqOETIiK0K0dN8yQsahbI6SMiKVREMiI6NBRpGZlche
GfdtZYTsvYVEyvhIId9+vz/POf+cf97v9zmP+75f1/W8rreQravRZRoqKqpV
aiqq//vewxVZqnFME89vWWRMJdQDF1B4e/rpXjjx/slyYwVGl6VGxZOLiDBJ
0XDul04qaP+Zn7hoZ4z/8O9gaNQpAtIrAudb16zx/LFBXR/iM2CsRK12Q5YB
c9jOEj69mwSJck+2fM+uodylC0Ml7gvAwvjslSUPNah0ehdj4r1alJI9ab2p
LYI3p14bsmk2A59WuUbRsXNYk935de5UCTieoUojZUvCu6I7EsK8SBTXs6UM
pbJW6EPxGOmcntFc0PK42lRoSABLpii1vjvajrh2mmXknaXDw55O79RGegCn
Jn2aZjER2vJOzkyrpSI6T+HR7RATbJinvqPDugAVawZNfLlogFNOLcXUNSD0
SwndSSrgwIJbPAqfX1Ujwxrv0daac7jw6dfdG5ylqDq/j+v3ZS1oz8+7yrNa
AfzGl7mb0q1w9FmB8CMHE1HXV84cZjpL/JeRpuPGkXTAGf2Uf4lFCX4zr2H5
/fczUhIKEfgZbQjfPWu1YGl5isJWrdXbrEn4Qo5jxpycC6KO+4UbsvUwt89s
r3cbBnnLB7OP+pjjvKMNfL2VWeDbdQU74Wxm7Jzl9fwNfSoaiw2ZGCVCaMgU
yVqk1QBkFwpfqkISFpZtyVNv8UGfbLiFPYSo8UrIG5oFswnElB/9Sy3TBL+X
6znqLlWAbhcETg7fEMRRppkJh4nVwE1heirMRRt+4XrhkkBTDqrEmbloDM7A
li8ay63MCOkj3uDOThZo92RGaH9TOwiafGuyxG4IWVkqrqZzJAGaHawSFQ3G
uEmWdHlfaiH4s4+OWpbqMPR4L+s3IFQFom51nbIf04NjrYpcdTH5qEzwPyGF
OHP8p05R188yC3FrBP0sb7PGuvUidXmW4WDRuFXMnZGEGVhBq3xyKKiydM0P
lzbD1gFTjr5puYCH4PDatcEajzNM3H37ORwQRXbXT//4g3QiTu/jV/2KYmk2
drFd2wunYouMt53KQdaa6XW9DTPsd9VS58rT9yhYMGtkeNMaq9dP3rO9+hSE
vMR+jxpN8QF5WcXr+nlolltBt6hbAKbFETSW5TEqcXdSUNY+C3s5v/X/F1QC
MmSYI8b71WG49fkbL7er0YF1RVqDZUusfHtumO/qG0S+fjXHs+8rXyJhnkGj
6MQzRsCUurTs86mduHC7M6/Mow2Rn396dWfg7GKC6+j/e1D0vAC1uaZoXk/n
xa7cXXUzYu0g5H2OjlmAMrxqYnGz26cNaKxHEnnqDbDLEGQOvIBQ0PnzAsH+
BtCL1vHmLuf3YMfhd2JSprvw0lDK3tWsLop5/SSpK3HHUQtu65NSrn+vQDIe
rWlHR+XgaY0XFj8EEJo46JtrYcsMnVlvG5z0bAB0/leExu2JuH+u6W0vsQqY
qktfWZSlwYyZbFNJLF9Q0ZSbHaFKH/YECQanDuYim5juPJYXROgut88lrioN
5BxRzjhSfgK2HTwWPN/ZDNp7VdsJkcqwZ2ZDLtStDflXRry72MADHzU4DByk
H0HHPhsvXVXcQLovRhLFGMbRY7UX838VSBiV589yZvgBuaZCfGPrCGxOvfYp
nYFyfRi4alXY1M9gyR/TgRP9dYDvkP9lpvoDUOE6UeYFZycqKeR901S3jg6L
JlFJJHxBc8JqihU5RnjEYF7QY7MM2R8/q3+GbwW0XyrMQqkLIFSzQnYPvyG0
L2SYunwhEeSohzDcvG+EkzWNWlzNP1Dsr+P+8HB1V0ZIkt1ptuLUjVa7We4r
KQpAifG+pGHuMaAXX6X2/JIO9APq+I1SGViRUi/uL+PA4XweXfvyilDNub2m
Wy6s8JcK+2obVScIfQmJAaxaMMLiqk/p60p0QKas6niGKFz/2Jz3nHYQMEkK
6sgGasLjcSfEh7UxWnv0IFn+4RgQyH7zYzxyDbklTxczMR+Dc8JvVQwIrahF
lS71Io8FLmpe+VqemAlalYbdT6XoQSeRsrfU7AXIdFDpVfcdMxzg2L7FKJoL
GmNtFiMimeHssTM2Wc/aActoVOR9I1Mscv3y0oM9+UAmkK6EL4wDp5oMnnq0
2Ysc4o8YKOnTw+1GdHi3YjfyZ8ytaZO1xsfoX/nWZ8aAi0acO+m3z+PBY15n
k9eKQHZbH+NfVhIW3aJy5asKAeT7b//EQyP/gzwU39vkSv2zA5k2CJYlp1jh
rcUBhyrlRKBUrTggeBfiplcnQ2/PN6MF05kfcfJ/kV9FhodU3DT4ESfKp6iq
ACd8dtG3k/zQ8Q2l3OL5H0jNukggiWsFkfvfgr39znOlLHizRuORgsg//Rg/
jY+dIcAoXmqCb38XqOS+khmwh4jnG/Y01mxUoTo+6km5dBqYG72gYYC7kGVH
ScEHgjaMdJYlLr4pB7c/l3WjJWbYcinUQ7x7DBXIMxN282lDLhPZj0lx5Yh9
KkbRolMD68nct879UY9s7KR0qCwMcfWDyq95tytQtKOsjvQcAe+bE9O4qT4I
TuYP1B4JngBfQuvsHyv9RoyP1ruIVxnwZ5sUs1arLiAoaXv2WY82jtu08DjO
XYt8e0YWpcT14C7nWt4W6kJwr1+lKsTXEqsYKRYmg1SUzdFusFKjhcsOLvox
tdaC/cXvRl3yrfF9KXp+Oo4I9JfqSVtt/l7MFZkc4RCQDbLPZIfyaRvgjgKD
rLoJRHGem0ZNuljZVgDnruWfrj8XKM6L0UKiYgKvJbbQli8rH0lDhzldiCdo
TfHLeWF7t+h8JOFY+WV82gSLkkYLtBvzkZXQAOHnpR9Ii+0z90HGJdTFc0rN
x8oSh1+d4zIeSAXD/eGDijpWWJLK9/SzL0lIwy2Ziu2kFf5FsCVuiyYjKiER
B5BjjHksD/ZztxUin6QBkuwCBx62mG3p8esASxKMwT0bp+H9jx8e9dHXIbmX
Y08GLIhQfsI9gHc9g0Kv+jJ0ipkVzPAjncyvMbG5iLeIuuaXHBX2HR9XOUIY
ByPC7rv84+ix2evB0deXSsD7zUsxAhEEOJoyEsRQ1QUuJya9S8wywEPSqfwz
dxCFf16af7xXt5MG2grMsJt8G6XYf3L/Ip9Pcv2K+ssqa3bBDO9bpgmRNMgF
ig8OEf35rHDsjvnHDcXJoHhjb8YndhMc4u9gXi5diAZs5decnAxh/ok7gvrq
0cht66+kwPX9WE3wbq3CyCskeWtwnafLEG+4TTtXhZUDK4mh9YA+Znw7NE5p
VK8OrHcdyFD8I4br1BTyPE+UgrCVNxL3h8/CKEKW2pZ7MSrpZ/M0vWcIgxQ0
g5SzI8DxQSe927VMmLDEYm6b1g58d7SEmzrp4mALNelA/2pwT9ZYW2dZEEoM
0tONsOWAaZpxwpAuCYdpchTgF/cR+f5fs1E/uDhhhbltC1LsqOPBvRKBAZnG
E5CgKaKf3NiMIrmepOTmWOJeGkmrDP8UoLPFZMdWwQfj2+uTFd2GALnfxM7a
hXkPKeI54wCqRcZOJCd+6qK0CQkbxgl6rtPcBo4s06Ld2ASfZh6LWthRAPCY
eh3rBRLmNtgd5MRpD2Jj+l5zeltg7zwt+zfSb4EtHawgKrNhUw72pyrBjWBC
39fwibY49qWN0xMeL0Qt4TWnz/+734dLqMNC+QrKqo4rKKPjhjy8KSO+TbUg
XEx0bYFwCB+VYtl43dODHGcvRfkdtcKgd4Ce6kgy4MmTLB/L04HnS4h3HqeU
AnI+YmYROzlYqANptWnv/IovpfA7ccLCwWrqbZA5YiPmUTWObp7scWbttcKb
VSJNf+/Hgwpv/6B9Ybw49PqD/4R72pB1yrLNNyYFTHfnWVkhcxeasyoW/xV8
FofqefXsYKoBu/mf2TpwWOGm9ozxodlkRK4X5PdHTA6PP31KC90MHLQLvAcQ
Oc91E8YO+vj8BQcSyg7ZE8ZR/q2k4KIlC5xfNnFA/H46CJRfjLlLdQ6nEi6K
B14tQ+T7o/DwULjkNSKc27fvUvjRDECux2muJMHe0yT8SM5LmUvEh8Kfyf2Y
OtGDqqvcEFY9SbXx4ziPXi6zFWzrmmGtmar+Ptdc1J739lxbhDy0KyiC9W05
iDyvkPNHc0xd3X/KRPymcbkkNK8K8KiwJwMzEoaBsxHv1G6BheVaD784QyhZ
GZRlpBcKAqpLy3vK/vGJ+Y3Jk97XUJBqxu7/Mi2wzv2Uvq+PM9Bkqf5drd1m
eMrr7Y/yzlww73pG8/mUNWZM+Eu3mzoMEI6/mw1bM8JmKdetTnqVgZjPVPNL
t/+iHIfjsYGLM+Bkalk8Z4EhxCUikmyJD5BS98W0jyfYYZxk1/hfVI8mG1ku
/ipkg3L+0TPKKf1oD/XN5t6Qb8C2t+3iEadVZCv33nZW3xCb5H8oXQ6pAHw5
L/20PQH8hl8a7N3VCETkbNkt6CywIh+J/fFCJhB/OHIxlI4Dsin9cleZmAZV
ucWdnnoMWIDxz0oDTS/K5+IyyS6wxPKnIhbo3VMQuR/qw7cZFaa78ScO9fy8
v0OI/RCOfCHHjulaLB/NS+WCjvmpRpMDBrCun/7WW9pcRJ5f1yx/+2qxmuOD
zDbZIcT3gDwfaj6XgpvymyD+5ywrz8MpoPoi4htbliE0UNv5W+uWH5Le57qm
pa4Bm4trBqmeV4OJ5l5lD/Nt8NQnOL+vuw94DmTah/KTcL7cyp2SPUFArK+J
6+xvDnxBxetJh0UH+hHD21JXbYq1tO4PfzDPA+ur0yJD00R4u+ih2QmhNyj5
qhC7yDY7VKliydzYHkPm00hXMZqI79EUntddrgTOOuoM9iIG0HqHVSxiyAXS
/NIcDlv6uJhV5EArN0ZGJy8lf3I/BN3Or4WwnagH99uNVsoqrfDdLQYqR/cE
ICqYqTEtR8JL8RHi3wz9ETxm5JMVbY4zvl/k3riWBW7FPtr9OsAaV6X7SbJ4
RgHyfEn+fPL8b1TDfpgtnxpTf0uk2lE+CAJ7Rk76/6SDv3RfufRtdoOtYIZn
m2unIb9D+EMzljqgzxM/sKZNwuWnxgYczz9ARx2KmfDnk3hnssv2tVutFH5O
7k+lL5OLn3v2oA0fj9HKpd/Iu5jfbeu1BNar1KK5N9eHjECwGpWpAZTcJdHp
pJiDdld8/GD6zBrrqJ84x0cTBXTaeTezVPbjJL+qfkaFTqC3OeKnbUXC2v3D
pntNr1PoDzR90OJ2gBN3JE9vX9kMoeCpdNY/kQ/3DoKBvOcFibLrYKTTO/qo
3zQKMZ2i+pK0BpqtjD3p+OnhFxGvs1b91RR9TJcNvBXxL1+a1/nncyZqAvet
Wll3DkMo53FhfJApCQEPJhlxGxLWbG7x2ipwRN4/ZC4GGVjitNmWIwdY05Ca
18etTOIpuKtX7Kz7eCOaMNw7/XTUBLushfd5dOeDykmrIbqa8zjgTOMHLlIx
xXy/vqsfJn1GAz888DHSl/QRZe/TG/swfQY3H7ZZuni5Dl2XfWU516CHzx8b
52XDGA1rRpYoBhhjksWs+szuIuBI9J4JEVGAf9k9u1Rex6IEUxEZJmF5+HHM
EPdmFqL9yMntrJshLH9zJfb1UiQS91LguGlNwnYifTr72a4BCwWut4qfGPHP
CKXsKZ1Y1JHiw76VKg89B7WG6qTegy6Xd6M510Rx2aHEnJmYRDS9tswdsGiJ
v1w48ebGvTcUfiRrbXOfXfcsjO54eibRrwSR80xCIjH/Fts/v747O3T6ehOa
NqR+vaDCBFVcMqhNmIYBz827kzKHLLBR1uKYg3EmBZ+Q9x+OMYekEv+I4PGS
rN2qyw3IKxyb+XerQ6WXJ9kl6GooeJqcX/jN2p4e8xDF6IF38NfKWIq8W7m0
b7ylhBGb2/CbhDl2IYaW5Jb+QGq4eoGXv/ToKEW+I1HZ1IXwMmONr0w15fG1
SKNIXa5l2BpruNAl2d8Ko8h3Dfimwvdz//jmXdUN/xoPQN53jBqkvwriJuHF
wPaNsbUgwJLryNRxjYANnOIu+imHUuiF6JZxw7y3NSam5HmttkdR9C/VU2L9
4v/Ws/F4ncsYjRfovGXDfGqFGvYpvddpiepH0li5lL/KAifZqS1UwAwkwxnz
OKxWFYesW63yhDahaHUZn1fj4njVYyrGWeotsOMWU44ep4e28lGdWbaFIG6j
sODDhBZm89lhblRai/o4HDP9nh+GWWu+TdmFZRT58Kdxn5W6BBV2fKrikyw0
jj7rxrup5mnASxVVTrf3VwPy+ThnFknvnqYLb4XS7lBZLwSt4NrJq/o7MOzc
I3CI2EfRt6nNTISk6xrCMZuoWF6NWJRG/aXQ7JQ2Nvw97FF0txZI7usa4X1o
hpNpb6hd5sml6G/WlA0vJ6YQ4c9kzUtMdGkUv0ee/8N7ddJvTdLg848+ypwZ
6wN+r4onsk6SsBLLhVazbF+U+lb6sdeoNZaeZFtrMQ1DHW7vrwlIWmHOAGJg
jXsyIM9X5P6QcfjB7K1qbZg39zHH4/IHsMqsECRRRI0TvpS3fi4ZRAu3Zhj+
tlhhzeTlcJXBePQgmNG14h/vtNt4x893u6EqfasmehlD3BzCb7eztQI571xM
EmNcB3Z2Tr2EtBmKvu3w/lYme4nzOGax8OOJf/kreKgzoe2MBWa3NXvItv4W
RRV+rL2obo1pcZp0Xdkr4Ht/MU/8PxYcST03KjaTi+J6vbPVmsxxX2p/TSZ6
h+42KOhLFHHiX4JOg+93fAItK5uOdvrWmE1F+SlWfQXMQ2+vf/zHX71jKWaR
U9fAveqtXf1Ea7yRwrmTXfQVGvhWwV9SZ4b/Y4ltuaCdAxb2SFB/XVeFcvnG
5ecU6ynyS5PD6x2eCZa40vRu/GpjCvAd/BpQzWiEDwutKffJlCPyPi7oaUC0
EfVZyB0sPg85ShH59QlZdhItQobY1WQg4cNkBSCf3yu7ftO8kzCEPOXXHc1s
E4CetonSn4skTPzxT/T4LoCjbLejhGxP4+xjhrxPFhvRqcVwVz0vAuTqpx3Q
2q4Gn/YXzcvaM2LuP16OCuofATnPkufPhuSBvE5uMyxW3PGooiEXJUnqT9y7
QA/5l97/DK4vRzLjcyGPzE1xwndPi0aGfAq/X8sJFd7zkQivXC3aafYiBejO
Tzw2/vd/yzyJwr8+2KJi3hFVv20iPkkthw4dqETn2s1MZx0FsRhny9lD6p+B
i2J8cUafLpbwnLMo16wGu5WiB6767YWo7Oc1pbAyRJ6/TVS6fH8m0cKsjUUX
UtgMam1xiuYx/edPycG/176/QlSia1vX1uThdFmYWxYhFajsERghvpWHK/Bx
jvFGB8j/kH6UqGaM1b02VC0eFYEqP0KynbMq/JnDJ7M6Wk/B2+R8SH6edln+
8OTcYoCiUj4/JXiGgYrgK+olJi1oLrd0LPJNJYgSzEkxfM8Bn9AcHbIw6AUr
9UKsp/7pydVIKaK1USxFf9rDO9Fpk2aKn+3rjHscmAeE02/HxmuywT7a89sh
B0bBLc5YxWt01tg7zE5u8flrcFrq0R2YvgsHPjw6O5U+gnKUoq9vvrLGglna
P/VdIxGfcK8MdQUDptphWZEh+QUkuPfuDzhBDyurbsxy5vRSvO8h1+eFzyYm
hvsO43AO0uaWZjcFT4c68Ox94c+BkS/Dn+HKTrC3U+eg2iuzf35/J+rSSA4i
7+80DKL7NCY20Y6IRt8izjlE9f8fOiwkuOps4jWJ8mN9GmfzuKEJoxYVnWQa
cOVw+D7VQMCW9wIXPWj6wU2WY5cFflvhvy2+jDbMceCyGxtzjAwzVuXavDz3
7RmgvRP05AjYBRu/+VWrMX+m6DvJ+2dyXo9l4THtZyJh2/jX1KmOoRR5KWZt
TlWRwRp/EKHVTb/5GmkLKKP6KQssnGvmH5WXjsjnlbyPkt5IMDK7dBxG2D5K
Z1z4BPZcOXejUMYKL9E46OdeTkaNijOfVictMSdRtUUs+w0inwe/lcjdDnfy
gLKQ5y3Zui1A3veT85jXiDQ63WSNB8U+jc3kh6PzsxVKK29EcMX0Zx5h6VI0
9Leg/VKZBfYqyT0eaZRB0a9c2XKM3UroAicPltcfCtlAN/bLjxnzE6FfWKBw
j+o7QN7/3bNxZhyT3w2N5Ka6MDETrEWOehHuMUHjqhndI0nNiIN6l/BxNzWY
cW4jZehhLYX/xJmeIg4G0GJpQeNxU81OVMWEBVoum+DryX6uDnEFFPlFhJrT
7nmKKObp+36wdHGQgi+PpKhl3bs7jlK3kp98svoNyPkXE6JKbzAQ8YKAk9dj
TgQ4hb6/WuHShxmC71sypPPB7vmLcZPZ5jj5F6E1c38WIH8+eV4j51X1JPUn
IunG+Ltx2IP3Q4WgRliQmZ4wAMx+DAasWG6AISln5wT1UzC4J76Ze64RRDC7
E4qPLQMpH2YUpbuA9h3bt9ZLZIcrrvfOfT3RQcGb5O+7yPM5Xfs1hwcaWthd
oujqW+E6Cj+2X41td+8g4oaGCbXD3pWIvM8kz4/k/Ezuv83gUVWvOhuO/VF0
72TrDGLTOyYnc5CEJ1yVuyS4AhG43+dxxZENVh2eYvxs3gxOWGz7MYXTwjda
Dm09o70g39f/NIiaQjanHETNfdfA/wCyRpjL
           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXk81N/3xxFZi1IiW0rWUih7ZioqS5Z2ZA0hS1my70v2MTNoVZaKbBUh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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc81W0Uz0xGVpGGmZGRoqKhyCgrEZXVQJSZFSIyr+3a2fdem3u5IpLq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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk8VV0XjqIyKyXzlDnSZCjzLFMleZE5ZChTVOZ5nq75XtO9V4lUSNKA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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc81f8Xx82GNOzMSIiMkJHiXiJJaZCMkr1lE7LJ5hq3FCmioaKMSHif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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8Vf8bT0VJpKJSqfS1ihbKKJ4HWaHIHpWZZGZnXvsKLZLVopRkpIg4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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk4VV8bFRKZohCZJZmnEKlzlCYVmfqphMwRkjllzDyPUSJDg1KJkMh+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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWcg1e8bxslehchelZHsTep5jmNFpJQSStmRvZIIKalfKDOlJLOkrMye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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtGXc8le+XSCqSZCSyWqgoo0ShlBRRUVZo0NfKTFaFMiObe+1xL/deZO/0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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXdcje8bxysZ7Z0ilDSlQSn5kgoplLQJLQ3tvfc+jXNOlCgpLRntIY37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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWkglG8bxSu0iMjSKkoRWUoIhRmUpdJiy5ad+Ivs+zrDtElKJKSSSiR7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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk8VO8bxpUt8iNEpCLayFaRLaFISskSKbLv+76MbcYoSkVIlEiKCoU6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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtmXc8Vu//x40omRGiVGSEUmYkzmWPTzLvOyKrNISMzLL3LFRUJDMzklDG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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXk8VO8XthXas6WUSHxJC7JTMwkpS8VXtEmWkois2TVl381ghkrWhJIt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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtWXc8Vf8bR8ksI6NSoh1FqLSQ7CSjEBJRGSmRXTIzs+7FtbkuUUYSkuI8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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk8VO8bVUkqa2VXkihb+mpRqPcJoSJJiqzZQrayL2kw9mUslT3ZpVBR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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtmXc8Vv/7x1VWS7LKqGylZI+WcxKy903iE8lWMiIjskc2t1GRSFJG9mq8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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc81d8fx41kFEoSZY/Iiowyz0myZa/rGsmM7E2isr8UIdkrIyMhpHvv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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtmXk4VO/7x1GKhGTfk5AlIVu2GUSKZImKREl22Zfs65hSfLImWpQSpSxF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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFmXc8le//x+0UIiW0UJFEqZSSuk5JpJJoCdkryszOyh6pSDIilT4JGVlJ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk4lO0bJUuJihYUZUuFUioU8iTZJbL7hGG2t0WkIhFlX7NlJ5I1+74/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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmXc8lt//x22yN5EthazISHUOGVFk3SpKPkbITJERUkZGZCWjkJXsld25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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc8Vt8fR4hIEVkpCkWhkBn3ZotIMhqyhZIZyip7zySyMzKSLfOcEBnZ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXcgld8btwoNlRBlb4VQKJXzVJIoSsio7ChkZq/sdblRNGSUlBlZUX3v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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXkglN33J5WlQqSNV/EiEkKWqJ7BtNBKltBiDVlKso9t7JG2Fy0oxTdZ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXc81P8fR6EyMhoqymxIlJK0zsgmEaUoI5W9xxnHOVJGi7SQShFpEO5z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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk8lN8XFopSaZE1IoWS7LvcE0VRoo2StRRZIn3tsmbLMjGMQYtQKktE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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxtmXk4VP/7xiVlKbKVVMjHlr2EZDu2ZCmJSFmKsiakkH0Z+zqSLSkk2ZMW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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXk8lN37JoootBCSkCVCKfK2mdH3bbEkVMqWyBoqkq3Ivi8zY2QXRZYU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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlWXcglP8fR6VUkoxkhjQQIUnkHiXJiowksvc6x92lpdI0CtFXWSV75GwZ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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJyFWXc4le//l4rIDNlCkS0jFeV+i2wlW/be55QyUiJ7r+w9K1QcO+I5SoXs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           "]]}, {
          GrayLevel[0], 
          PointSize[Tiny], 
          Point[CompressedData["
1:eJxlmWk8lH8XxqnQRkqlSP8oLYhQCtUhlFBSCkWSiiRUyJIlSSmixU7abG2W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           "]]}, {}}}, AspectRatio -> 
       0.8333333333333334, Axes -> True, AxesOrigin -> {0, 0}, AxesStyle -> 
       GrayLevel[0.5], Frame -> True, PlotRange -> {{-2.5, 2.5}, All}, 
       PlotRangeClipping -> True, PlotRangePadding -> {Automatic, Automatic}],
       Black -> Gray], $CellContext`r[
      Pattern[$CellContext`e, 
       Blank[]], 
      Pattern[$CellContext`t, 
       Blank[]]] = 
    1/2 - (1/2) $CellContext`e 
     Cos[$CellContext`t] + (1/4) $CellContext`e^2 (1 - Cos[
       2 $CellContext`t]) + (3/16) $CellContext`e^3 (Cos[$CellContext`t] - 
       Cos[3 $CellContext`t]) + (1/6) $CellContext`e^4 (Cos[2 $CellContext`t] - 
       Cos[4 $CellContext`t]) - (5/768) $CellContext`e^5 (
      2 Cos[$CellContext`t] - 27 Cos[3 $CellContext`t] + 
      25 Cos[5 $CellContext`t]) + (1/
       160) $CellContext`e^6 ((-5) Cos[2 $CellContext`t] + 
       32 Cos[4 $CellContext`t] - 27 Cos[6 $CellContext`t]) + 
     7 $CellContext`e^7 (5 Cos[$CellContext`t] - 729 Cos[3 $CellContext`t] + 
       3125 Cos[5 $CellContext`t] - 2401 Cos[7 $CellContext`t])/
      92160 + $CellContext`e^8 (7 Cos[2 $CellContext`t] - 224 
       Cos[4 $CellContext`t] + 729 Cos[6 $CellContext`t] - 512 
       Cos[8 $CellContext`t])/
      2520 + (1/
       2293760) ($CellContext`e^9 ((-14) Cos[$CellContext`t] + 
        20412 Cos[3 $CellContext`t] - 312500 Cos[5 $CellContext`t] + 
        823543 Cos[7 $CellContext`t] - 531441 Cos[9 $CellContext`t])) + (1/
       290304) ($CellContext`e^10 ((-42) Cos[2 $CellContext`t] + 
        6144 Cos[4 $CellContext`t] - 59049 Cos[6 $CellContext`t] + 
        131072 Cos[8 $CellContext`t] - 78125 Cos[10 $CellContext`t])) + (1/
       7431782400) 
      11 $CellContext`e^11 (42 Cos[$CellContext`t] - 590490 
       Cos[3 $CellContext`t] + 29296875 Cos[5 $CellContext`t] - 201768035 
       Cos[7 $CellContext`t] + 387420489 Cos[9 $CellContext`t] - 214358881 
       Cos[11 $CellContext`t]) + (1/13305600) $CellContext`e^12 (
       66 Cos[2 $CellContext`t] - 42240 Cos[4 $CellContext`t] + 
       1082565 Cos[6 $CellContext`t] - 5767168 Cos[8 $CellContext`t] + 
       9765625 Cos[10 $CellContext`t] - 5038848 Cos[12 $CellContext`t]) - (1/
      3923981107200) 
     13 $CellContext`e^13 (132 Cos[$CellContext`t] - 17537553 
      Cos[3 $CellContext`t] + 2685546875 Cos[5 $CellContext`t] - 43501188346 
      Cos[7 $CellContext`t] + 188286357654 Cos[9 $CellContext`t] - 
      285311670611 Cos[11 $CellContext`t] + 
      137858491849 Cos[13 $CellContext`t]), $CellContext`eom[{
       Pattern[$CellContext`z0, 
        Blank[]], 
       Pattern[$CellContext`v0, 
        Blank[]]}, 
      Pattern[$CellContext`e, 
       Blank[]]] := {
     Derivative[
       2][$CellContext`z][$CellContext`t] == \
-($CellContext`z[$CellContext`t]/($CellContext`z[$CellContext`t]^2 + \
$CellContext`r[$CellContext`e, $CellContext`t]^2)^(3/2)), $CellContext`z[
       0] == $CellContext`z0, 
      Derivative[1][$CellContext`z][0] == $CellContext`v0}, $CellContext`sol1[{
       Pattern[$CellContext`z0, 
        Blank[]], 
       Pattern[$CellContext`v0, 
        Blank[]]}, 
      Pattern[$CellContext`e, 
       Blank[]]] := ReplaceAll[
      $CellContext`z[$CellContext`t], 
      Part[
       NDSolve[
        $CellContext`eom[{$CellContext`z0, $CellContext`v0}, $CellContext`e], {
         $CellContext`z[$CellContext`t]}, {$CellContext`t, 0, 200 2 Pi}, 
        MaxSteps -> Infinity], 1]], $CellContext`plo1[
      Pattern[$CellContext`xy0, 
       Blank[]]] := 
    Module[{$CellContext`$pos, $CellContext`$vel, $CellContext`$zer, \
$CellContext`$mx, $CellContext`$tex, $CellContext`plo2, $CellContext`plo3}, \
$CellContext`$pos = $CellContext`sol1[$CellContext`xy0, 
         0.1]; $CellContext`$vel = D[$CellContext`$pos, $CellContext`t]; 
      ListPlot[
        Table[{$CellContext`$pos, $CellContext`$vel}, {$CellContext`t, 0, 200 
          2 Pi, 2 Pi}], PlotStyle -> {
          PointSize[0.01], Red}, Axes -> False]]}]], "Output"],

Cell["\<\
Phase portrait of the Sitnikov problem (gray) and projection of an individual \
orbit (red). Click on the locator pane to start a numerical integration with \
different initial conditions.\
\>", "Text"]
},
WindowSize->{707, 637},
WindowMargins->{{438, Automatic}, {Automatic, 64}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 49, 0, 70, "Section"],
Cell[1287, 32, 2117457, 35409, 70, "Output"],
Cell[2118747, 35443, 212, 4, 70, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature Yvp1Uf0fSScZ5CKvJspHQr29 *)
